(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    127462,       3158]
NotebookOptionsPosition[    126959,       3137]
NotebookOutlinePosition[    127358,       3154]
CellTagsIndexPosition[    127315,       3151]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"calculates", " ", "individual", " ", "histograms"}], ",", " ", 
    RowBox[{
    "and", " ", "exports", " ", "a", " ", "list", " ", "to", " ", "be", " ", 
     "used", " ", "in", " ", "program", " ", "that", " ", "calculates", " ", 
     "uncertainty", " ", "moments"}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Data", " ", "import", " ", "and", " ", "manipulation", " ", "commands"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"prdata", "=", 
     RowBox[{
     "Import", "[", 
      "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
spfhistogramscurrent.xls\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"btrdata", "=", 
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{"prdata", ",", "1"}], "]"}], "[", 
      RowBox[{"[", "All", "]"}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"datestrings", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"DateList", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ToString", "[", 
           RowBox[{
            RowBox[{"btrdata", "[", 
             RowBox[{"[", 
              RowBox[{"j", ",", "1"}], "]"}], "]"}], "+", 
            RowBox[{".1", "*", 
             RowBox[{"btrdata", "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "2"}], "]"}], "]"}]}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Year\>\"", ",", "\"\<Quarter\>\""}], "}"}]}], "}"}], 
        "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "btrdata", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"dataalmost", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Prepend", "[", 
        RowBox[{
         RowBox[{"btrdata", "[", 
          RowBox[{"[", "j", "]"}], "]"}], ",", 
         RowBox[{"datestrings", "[", 
          RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "btrdata", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"data2use", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Delete", "[", 
        RowBox[{
         RowBox[{"dataalmost", "[", 
          RowBox[{"[", "j", "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", "2", "}"}], ",", 
           RowBox[{"{", "3", "}"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "btrdata", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"databydate", "=", 
     RowBox[{"GatherBy", "[", 
      RowBox[{"data2use", ",", "First"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tdata", "=", 
     RowBox[{
     "Import", "[", 
      "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
truledatashort.xls\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gdprtdata", "=", 
     RowBox[{
     "Import", "[", 
      "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
gdpgrowrtdata.xls\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gdprt", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DateList", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], ",", 
         RowBox[{"gdprtdata", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"gdprtdata", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tstest", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DateList", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], ",", 
         RowBox[{"tdata", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "j", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"collectdata", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"databydate", "[", 
            RowBox[{"[", "j", "]"}], "]"}], ")"}], "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"gdprt", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"j", "+", "17"}], ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"databydate", "[", 
            RowBox[{"[", "j", "]"}], "]"}], ")"}], "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", 
            RowBox[{"2", ";;", "11"}]}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "databydate", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"databydate", "[", 
           RowBox[{"[", "j", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"constnodesSPFgdpQ4", "[", 
     RowBox[{
     "gdpq1_", ",", "gdpq2_", " ", ",", "gdpq3_", ",", "gdpql2_", ",", 
      "gdpql3_", ",", "gdpql4_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tst1", ",", "tst2"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"lng", "=", "10"}], ";", "\[IndentingNewLine]", 
       RowBox[{"nodes", "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"tst1", "=", 
        RowBox[{"Nest", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", "+", 
              RowBox[{"6", "/", "4"}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{"5", "/", "4"}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{"4", "/", "4"}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{"3", "/", "4"}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{"2", "/", "4"}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{"1", "/", "4"}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{"0", "/", "4"}]}], ",", 
             RowBox[{"#", "-", 
              RowBox[{"1", "/", "4"}]}], ",", 
             RowBox[{"#", "-", 
              RowBox[{"2", "/", "4"}]}], ",", 
             RowBox[{"#", "-", 
              RowBox[{"3", "/", "4"}]}]}], "}"}], "&"}], ",", "0", ",", 
          "nodes"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"tst2", "=", 
        RowBox[{"Nest", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", " ", "p1"}], ",", 
             RowBox[{"#", " ", "p2"}], ",", 
             RowBox[{"#", " ", "p3"}], ",", 
             RowBox[{"#", " ", "p4"}], ",", 
             RowBox[{"#", " ", "p5"}], ",", 
             RowBox[{"#", " ", "p6"}], ",", 
             RowBox[{"#", " ", "p7"}], ",", 
             RowBox[{"#", " ", "p8"}], ",", 
             RowBox[{"#", " ", "p9"}], ",", 
             RowBox[{"#", " ", "p10"}]}], "}"}], "&"}], ",", "1", ",", 
          "nodes"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{".25", "*", "gdpql2"}], "+", 
             RowBox[{".5", "*", "gdpql3"}], "+", 
             RowBox[{".75", "*", "gdpql4"}], "+", "gdpq1", "+", 
             RowBox[{".75", "*", "gdpq2"}], "+", 
             RowBox[{".5", "*", "gdpq3"}], "+", 
             RowBox[{"tst1", "[", 
              RowBox[{"[", "n", "]"}], "]"}]}], ")"}], ",", 
           RowBox[{"tst2", "[", 
            RowBox[{"[", "n", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "1", ",", "lng"}], "}"}]}], "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"q4nodes", "=", "constnodesSPFgdpQ4"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "function", " ", "for", " ", "bin", " ", "probabilities", " ", "for", " ",
      "third", " ", "quarter", " ", "forecasts"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"constnodesSPFgdpQ3", "[", 
     RowBox[{
     "gdpq1_", ",", "gdpq2_", ",", "gdpql2_", ",", "gdpql3_", ",", 
      "gdpql4_"}], " ", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tst1", ",", "tst2"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"lng", "=", "10"}], ";", "\[IndentingNewLine]", 
       RowBox[{"nodes", "=", "2"}], ";", "\[IndentingNewLine]", 
       RowBox[{"tst1", "=", 
        RowBox[{"Nest", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"6", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"5", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"4", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"3", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"2", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"1", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"0", "/", "4"}]}]}], ",", 
             RowBox[{"#", "-", 
              RowBox[{".25", "*", 
               RowBox[{"1", "/", "4"}]}]}], ",", 
             RowBox[{"#", "-", 
              RowBox[{".25", "*", 
               RowBox[{"2", "/", "4"}]}]}], ",", 
             RowBox[{"#", "-", 
              RowBox[{".25", "*", 
               RowBox[{"3", "/", "4"}]}]}]}], "}"}], "&"}], ",", 
          RowBox[{"Nest", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"6", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"5", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"4", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"3", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"2", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"1", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"0", "/", "4"}]}]}], ",", 
               RowBox[{"#", "-", 
                RowBox[{".5", "*", 
                 RowBox[{"1", "/", "4"}]}]}], ",", 
               RowBox[{"#", "-", 
                RowBox[{".5", "*", 
                 RowBox[{"2", "/", "4"}]}]}], ",", 
               RowBox[{"#", "-", 
                RowBox[{".5", "*", 
                 RowBox[{"3", "/", "4"}]}]}]}], "}"}], "&"}], ",", "0", ",", 
            "1"}], "]"}], ",", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"tst2", "=", 
        RowBox[{"Nest", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", " ", "p1"}], ",", 
             RowBox[{"#", " ", "p2"}], ",", 
             RowBox[{"#", " ", "p3"}], ",", 
             RowBox[{"#", " ", "p4"}], ",", 
             RowBox[{"#", " ", "p5"}], ",", 
             RowBox[{"#", " ", "p6"}], ",", 
             RowBox[{"#", " ", "p7"}], ",", 
             RowBox[{"#", " ", "p8"}], ",", 
             RowBox[{"#", " ", "p9"}], ",", 
             RowBox[{"#", " ", "p10"}]}], "}"}], "&"}], ",", "1", ",", 
          "nodes"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{".25", "*", "gdpql2"}], "+", 
                 RowBox[{".5", "*", "gdpql3"}], "+", 
                 RowBox[{".75", "*", "gdpql4"}], "+", "gdpq1", "+", 
                 RowBox[{".75", "*", "gdpq2"}], "+", 
                 RowBox[{"tst1", "[", 
                  RowBox[{"[", 
                   RowBox[{"n", ",", "m"}], "]"}], "]"}]}], ")"}], ",", 
               RowBox[{"tst2", "[", 
                RowBox[{"[", 
                 RowBox[{"n", ",", "m"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"m", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", "1"}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"q3nodes", "=", "constnodesSPFgdpQ3"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "function", " ", "for", " ", "bin", " ", "probabilities", " ", "for", " ",
      "second", " ", "quarter", " ", "forecasts"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"constnodesSPFgdpQ2", "[", 
     RowBox[{"gdpq1_", ",", "gdpql2_", ",", "gdpql3_", ",", "gdpql4_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tst1", ",", "tst2"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"lng", "=", "10"}], ";", "\[IndentingNewLine]", 
       RowBox[{"nodes", "=", "3"}], ";", "\[IndentingNewLine]", 
       RowBox[{"tst1", "=", 
        RowBox[{"Nest", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"6", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"5", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"4", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"3", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"2", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"1", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"0", "/", "4"}]}]}], ",", 
             RowBox[{"#", "-", 
              RowBox[{".25", "*", 
               RowBox[{"1", "/", "4"}]}]}], ",", 
             RowBox[{"#", "-", 
              RowBox[{".25", "*", 
               RowBox[{"2", "/", "4"}]}]}], ",", 
             RowBox[{"#", "-", 
              RowBox[{".25", "*", 
               RowBox[{"3", "/", "4"}]}]}]}], "}"}], "&"}], ",", 
          RowBox[{"Nest", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"6", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"5", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"4", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"3", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"2", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"1", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"0", "/", "4"}]}]}], ",", 
               RowBox[{"#", "-", 
                RowBox[{".5", "*", 
                 RowBox[{"1", "/", "4"}]}]}], ",", "#", ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", ".5"}], "*", 
                 RowBox[{"2", "/", "4"}], "#"}], "-", 
                RowBox[{".5", "*", 
                 RowBox[{"3", "/", "4"}]}]}]}], "}"}], "&"}], ",", 
            RowBox[{"Nest", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"6", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"5", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"4", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"3", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"2", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"1", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"0", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "-", 
                  RowBox[{".75", "*", 
                   RowBox[{"1", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "-", 
                  RowBox[{".75", "*", 
                   RowBox[{"2", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "-", 
                  RowBox[{".75", "*", 
                   RowBox[{"3", "/", "4"}]}]}]}], "}"}], "&"}], ",", "0", ",",
               "1"}], "]"}], ",", "1"}], "]"}], ",", "1"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"tst2", "=", 
        RowBox[{"Nest", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", " ", "p1"}], ",", 
             RowBox[{"#", " ", "p2"}], ",", 
             RowBox[{"#", " ", "p3"}], ",", 
             RowBox[{"#", " ", "p4"}], ",", 
             RowBox[{"#", " ", "p5"}], ",", 
             RowBox[{"#", " ", "p6"}], ",", 
             RowBox[{"#", " ", "p7"}], ",", 
             RowBox[{"#", " ", "p8"}], ",", 
             RowBox[{"#", " ", "p9"}], ",", 
             RowBox[{"#", " ", "p10"}]}], "}"}], "&"}], ",", "1", ",", 
          "nodes"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{".25", "*", "gdpql2"}], "+", 
                   RowBox[{".5", "*", "gdpql3"}], "+", 
                   RowBox[{".75", "*", "gdpql4"}], "+", "gdpq1", "+", 
                   RowBox[{"tst1", "[", 
                    RowBox[{"[", 
                    RowBox[{"l", ",", "n", ",", "m"}], "]"}], "]"}]}], ")"}], 
                 ",", 
                 RowBox[{"tst2", "[", 
                  RowBox[{"[", 
                   RowBox[{"l", ",", "n", ",", "m"}], "]"}], "]"}]}], "}"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"n", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"l", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", "2"}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"q2nodes", "=", "constnodesSPFgdpQ2"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "function", " ", "for", " ", "bin", " ", "probabilities", " ", "for", " ",
      "second", " ", "quarter", " ", "forecasts"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"constnodesSPFgdpQ1", "[", 
     RowBox[{"gdpql2_", ",", "gdpql3_", ",", "gdpql4_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tst1", ",", "tst2"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"lng", "=", "10"}], ";", "\[IndentingNewLine]", 
       RowBox[{"nodes", "=", "4"}], ";", "\[IndentingNewLine]", 
       RowBox[{"tst1", "=", 
        RowBox[{"Nest", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"6", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"5", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"4", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"3", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"2", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"1", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"0", "/", "4"}]}]}], ",", 
             RowBox[{"#", "-", 
              RowBox[{".25", "*", 
               RowBox[{"1", "/", "4"}]}]}], ",", "#", ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", ".25"}], "*", 
               RowBox[{"2", "/", "4"}], "#"}], "-", 
              RowBox[{".25", "*", 
               RowBox[{"3", "/", "4"}]}]}]}], "}"}], "&"}], ",", 
          RowBox[{"Nest", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"6", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"5", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"4", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"3", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"2", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"1", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"0", "/", "4"}]}]}], ",", 
               RowBox[{"#", "-", 
                RowBox[{".5", "*", 
                 RowBox[{"1", "/", "4"}]}]}], ",", 
               RowBox[{"#", "-", 
                RowBox[{".5", "*", 
                 RowBox[{"2", "/", "4"}]}]}], ",", 
               RowBox[{"#", "-", 
                RowBox[{".5", "*", 
                 RowBox[{"3", "/", "4"}]}]}]}], "}"}], "&"}], ",", 
            RowBox[{"Nest", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"6", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"5", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"4", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"3", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"2", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"1", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"0", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "-", 
                  RowBox[{".75", "*", 
                   RowBox[{"1", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "-", 
                  RowBox[{".75", "*", 
                   RowBox[{"2", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "-", 
                  RowBox[{".75", "*", 
                   RowBox[{"3", "/", "4"}]}]}]}], "}"}], "&"}], ",", 
              RowBox[{"Nest", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"#", "+", 
                    RowBox[{"6", "/", "4"}]}], ",", 
                   RowBox[{"#", "+", 
                    RowBox[{"5", "/", "4"}]}], ",", 
                   RowBox[{"#", "+", 
                    RowBox[{"4", "/", "4"}]}], ",", 
                   RowBox[{"#", "+", 
                    RowBox[{"3", "/", "4"}]}], ",", 
                   RowBox[{"#", "+", 
                    RowBox[{"2", "/", "4"}]}], ",", 
                   RowBox[{"#", "+", 
                    RowBox[{"1", "/", "4"}]}], ",", 
                   RowBox[{"#", "+", 
                    RowBox[{"0", "/", "4"}]}], ",", 
                   RowBox[{"#", "-", 
                    RowBox[{
                    RowBox[{"+", "1"}], "/", "4"}]}], ",", 
                   RowBox[{"#", "-", 
                    RowBox[{"2", "/", "4"}]}], ",", 
                   RowBox[{"#", "-", 
                    RowBox[{"3", "/", "4"}]}]}], "}"}], "&"}], ",", "0", ",", 
                "1"}], "]"}], ",", "1"}], "]"}], ",", "1"}], "]"}], ",", 
          "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"tst2", "=", 
        RowBox[{"Nest", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", " ", "p1"}], ",", 
             RowBox[{"#", " ", "p2"}], ",", 
             RowBox[{"#", " ", "p3"}], ",", 
             RowBox[{"#", " ", "p4"}], ",", 
             RowBox[{"#", " ", "p5"}], ",", 
             RowBox[{"#", " ", "p6"}], ",", 
             RowBox[{"#", " ", "p7"}], ",", 
             RowBox[{"#", " ", "p8"}], ",", 
             RowBox[{"#", " ", "p9"}], ",", 
             RowBox[{"#", " ", "p10"}]}], "}"}], "&"}], ",", "1", ",", 
          "nodes"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Table", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{".25", "*", "gdpql2"}], "+", 
                    RowBox[{".5", "*", "gdpql3"}], "+", 
                    RowBox[{".75", "*", "gdpql4"}], "+", 
                    RowBox[{"tst1", "[", 
                    RowBox[{"[", 
                    RowBox[{"k", ",", "l", ",", "n", ",", "m"}], "]"}], 
                    "]"}]}], ")"}], ",", 
                   RowBox[{"tst2", "[", 
                    RowBox[{"[", 
                    RowBox[{"k", ",", "l", ",", "n", ",", "m"}], "]"}], 
                    "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"m", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"n", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"l", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", "3"}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"q1nodes", "=", "constnodesSPFgdpQ1"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Non", "-", 
     RowBox[{"linear", " ", "constrained", " ", "optimizer"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GoalProgrammingWeightedAverage", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"fg", ":", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"_", ",", "_"}], "}"}], ".."}], "}"}]}], ",", "cons_"}], 
        "}"}], ",", "vars_", ",", 
       RowBox[{"opts___", "?", "OptionQ"}]}], "]"}], ":=", 
     RowBox[{"With", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"res", "=", 
         RowBox[{"Catch", "[", 
          RowBox[{"iGoalProgrammingWeightedAverage", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Append", "@@", "#"}], "&"}], ")"}], ",", 
                RowBox[{"Thread", "[", 
                 RowBox[{"{", 
                  RowBox[{"fg", ",", 
                   RowBox[{"ConstantArray", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{"{", 
                    RowBox[{"Length", "[", "fg", "]"}], "}"}]}], "]"}]}], 
                  "}"}], "]"}]}], "]"}], ",", "cons"}], "}"}], ",", "vars"}], 
           "]"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"res", "/;", 
        RowBox[{"ListQ", "[", "res", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GoalProgrammingWeightedAverage", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"fg", ":", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"_", ",", "_", ",", "_"}], "}"}], ".."}], "}"}]}], ",", 
         "cons_"}], "}"}], ",", "vars_", ",", 
       RowBox[{"opts___", "?", "OptionQ"}]}], "]"}], ":=", 
     RowBox[{"With", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"res", "=", 
         RowBox[{"Catch", "[", 
          RowBox[{"iGoalProgrammingWeightedAverage", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"fg", ",", "cons"}], "}"}], ",", "vars"}], "]"}], 
          "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"res", "/;", 
        RowBox[{"ListQ", "[", "res", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"iGoalProgrammingWeightedAverage", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"fg", ":", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"_", ",", "_", ",", "_"}], "}"}], ".."}], "}"}]}], ",", 
         "cons_"}], "}"}], ",", "vars_", ",", 
       RowBox[{"opts___", "?", "OptionQ"}]}], "]"}], ":=", 
     RowBox[{"Module", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "fs", ",", "goals", ",", "zs", ",", "z", ",", "res", ",", "ws"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"fs", ",", "goals", ",", "ws"}], "}"}], " ", "=", " ", 
         RowBox[{"Transpose", "[", "fg", "]"}]}], ";", "\[IndentingNewLine]", 
        
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"!", 
           RowBox[{"VectorQ", "[", 
            RowBox[{"ws", ",", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"#", ">=", "0"}], "&"}], ")"}]}], "]"}]}], ",", 
          RowBox[{"Throw", "[", "$Failed", "]"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"!", 
           RowBox[{"VectorQ", "[", 
            RowBox[{"goals", ",", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"NumericQ", "[", "#", "]"}], "&&", 
                 RowBox[{
                  RowBox[{"Head", "[", "#", "]"}], "=!=", "Complex"}]}], 
                ")"}], "&"}], ")"}]}], "]"}]}], ",", 
          RowBox[{"Throw", "[", "$Failed", "]"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"zs", "=", 
         RowBox[{"Array", "[", 
          RowBox[{"z", ",", 
           RowBox[{"Length", "[", "fs", "]"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"res", "=", 
         RowBox[{"FindMinimum", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"ws", ".", "zs"}], ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"And", "@@", 
                RowBox[{"Flatten", "[", 
                 RowBox[{
                  RowBox[{"{", "cons", "}"}], ",", "1"}], "]"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"And", "@@", 
                RowBox[{"Thread", "[", 
                 RowBox[{"zs", "\[GreaterEqual]", "0"}], "]"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"And", "@@", 
                RowBox[{"Thread", "[", 
                 RowBox[{"zs", "\[GreaterEqual]", 
                  RowBox[{"fs", "-", "goals"}]}], " ", "]"}]}], ")"}]}]}], 
            "}"}], ",", 
           RowBox[{"Join", "[", 
            RowBox[{
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"{", "vars", "}"}], ",", "1"}], "]"}], ",", "zs"}], 
            "]"}], ",", "opts"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"ListQ", "[", "res", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"fs", "/.", 
             RowBox[{"res", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", 
            RowBox[{"Thread", "[", 
             RowBox[{"vars", "\[Rule]", 
              RowBox[{"(", 
               RowBox[{"vars", "/.", 
                RowBox[{"res", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "]"}]}], "}"}]}], 
         "]"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "List", " ", "of", " ", "equations", " ", "to", " ", "be", " ", "used", 
     " ", "in", " ", "calculating", " ", "individual", " ", "histograms"}], 
    "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q1nodesByDateG", "[", "period_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "e1q1", ",", "e1q2", ",", "e1q3", ",", "e1q4", ",", "e1q5", ",", 
        "e1q6", ",", "e1q7", ",", "e1q8", ",", "e1q9", ",", "e1q10", ",", 
        "infql2", ",", "infql3", ",", "infql4", ",", "indcheck", ",", 
        "goal"}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"infql4", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "1"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql3", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "2"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql2", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "3"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"e1q1", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"6", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "7"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{"6", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "7"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q2", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"5", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "6"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{"5", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "6"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q3", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"4", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "5"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{"4", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "5"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q4", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"3", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "4"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{"3", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "4"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q5", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"2", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "3"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{"2", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "3"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q6", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"1", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "2"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{"1", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "2"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q7", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"0", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "1"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{"0", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "1"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q8", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "1"}], "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q9", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", 
               RowBox[{"-", "1"}]}], "&"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{
                 RowBox[{"-", "2"}], "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", 
                 RowBox[{"-", "1"}]}], "&"}]}], "]"}], "]"}]}], "}"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q10", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "3"}], "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", 
               RowBox[{"-", "2"}]}], "&"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{
                 RowBox[{"-", "3"}], "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", 
                 RowBox[{"-", "2"}]}], "&"}]}], "]"}], "]"}]}], "}"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"indcheck", "=", 
        RowBox[{"{", 
         RowBox[{
         "e1q1", ",", "e1q2", ",", "e1q3", ",", "e1q4", ",", "e1q5", ",", 
          "e1q6", ",", "e1q7", ",", "e1q8", ",", "e1q9", ",", "e1q10"}], 
         "}"}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q2nodesByDateG", "[", "period_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "e2q1", ",", "e2q2", ",", "e2q3", ",", "e2q4", ",", "e2q5", ",", 
        "e2q6", ",", "e2q7", ",", "e2q8", ",", "e2q9", ",", "e2q10", ",", 
        "indcheck", ",", "infq1", ",", "infql4", ",", "infql3", ",", "infql2",
         ",", "goal"}], "}"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"infq1", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "1"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql4", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "2"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql3", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "3"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql2", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "4"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q1", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"6", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "7"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{"6", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "7"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q2", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"5", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "6"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{"5", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "6"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q3", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"4", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "5"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{"4", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "5"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q4", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"3", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "4"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{"3", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "4"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q5", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"2", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "3"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{"2", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "3"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q6", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"1", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "2"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{"1", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "2"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q7", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"0", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "1"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{"0", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "1"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q8", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "1"}], "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q9", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", 
               RowBox[{"-", "1"}]}], "&"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "2"}], "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", 
                 RowBox[{"-", "1"}]}], "&"}]}], "]"}], "]"}]}], "}"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q10", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "3"}], "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", 
               RowBox[{"-", "2"}]}], "&"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "3"}], "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", 
                 RowBox[{"-", "2"}]}], "&"}]}], "]"}], "]"}]}], "}"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"indcheck", "=", 
        RowBox[{"{", 
         RowBox[{
         "e2q1", ",", "e2q2", ",", "e2q3", ",", "e2q4", ",", "e2q5", ",", 
          "e2q6", ",", "e2q7", ",", "e2q8", ",", "e2q9", ",", "e2q10"}], 
         "}"}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q3nodesByDateG", "[", "period_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "e3q1", ",", "e3q2", ",", "e3q3", ",", "e3q4", ",", "e3q5", ",", 
        "e3q6", ",", "e3q7", ",", "e3q8", ",", "e3q9", ",", "e3q10", ",", 
        "indcheck", ",", "infq1", ",", "infq2", ",", "infql4", ",", "infql3", 
        ",", "infql2", ",", "goal"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"infq2", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "1"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infq1", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "2"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql4", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "3"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql3", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "4"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql2", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "5"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"e3q1", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"6", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "7"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"6", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "7"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q2", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"5", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "6"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"5", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "6"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q3", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"4", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "5"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"4", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "5"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q4", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"3", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "4"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"3", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "4"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q5", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"2", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "3"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"2", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "3"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q6", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"1", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "2"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"1", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "2"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q7", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"0", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "1"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"0", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "1"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q8", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "1"}], "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q9", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", 
               RowBox[{"-", "1"}]}], "&"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "2"}], "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", 
                 RowBox[{"-", "1"}]}], "&"}]}], "]"}], "]"}]}], "}"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q10", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFgdpQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "3"}], "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", 
               RowBox[{"-", "2"}]}], "&"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFgdpQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "3"}], "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", 
                 RowBox[{"-", "2"}]}], "&"}]}], "]"}], "]"}]}], "}"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"indcheck", "=", 
        RowBox[{"{", 
         RowBox[{
         "e3q1", ",", "e3q2", ",", "e3q3", ",", "e3q4", ",", "e3q5", ",", 
          "e3q6", ",", "e3q7", ",", "e3q8", ",", "e3q9", ",", "e3q10"}], 
         "}"}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q4nodesByDateG", "[", "period_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "e3q1", ",", "e3q2", ",", "e3q3", ",", "e3q4", ",", "e3q5", ",", 
        "e3q6", ",", "e3q7", ",", "e3q8", ",", "e3q9", ",", "e3q10", ",", 
        "indcheck", ",", "infq1", ",", "infq2", ",", "infq3", ",", "infql4", 
        ",", "infql3", ",", "infql2", ",", "goal"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"infq3", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "1"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infq2", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "2"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infq1", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "3"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql4", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "4"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql3", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "5"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql2", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "6"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"Q4listofeqs", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p1", "-", "p2"}], ",", 
            RowBox[{"p2", "-", "p3"}], ",", 
            RowBox[{"p3", "-", "p4"}], ",", 
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p1", "+", "p2", "+", "p3", "+", "p4"}], ",", 
            RowBox[{"p5", "+", "p6", "+", "p7", "+", "p8"}], ",", 
            RowBox[{"p10", "+", "p9"}], ",", 
            RowBox[{"p5", "-", "p6"}], ",", 
            RowBox[{"p6", "-", "p7"}], ",", 
            RowBox[{"p7", "-", "p8"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p3", "-", "p4"}], ",", 
            RowBox[{"p4", "-", "p5"}], ",", 
            RowBox[{"p5", "-", "p6"}], ",", 
            RowBox[{"p1", "+", "p2"}], ",", 
            RowBox[{"p3", "+", "p4", "+", "p5", "+", "p6"}], ",", 
            RowBox[{"p10", "+", "p7", "+", "p8", "+", "p9"}], ",", 
            RowBox[{"p7", "-", "p8"}], ",", 
            RowBox[{"p8", "-", "p9"}], ",", 
            RowBox[{"p9", "-", "p10"}], ",", 
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p1", "-", "p2"}], ",", 
            RowBox[{"p2", "-", "p3"}], ",", 
            RowBox[{"p3", "-", "p4"}], ",", 
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p1", "+", "p2", "+", "p3", "+", "p4"}], ",", 
            RowBox[{"p5", "+", "p6", "+", "p7", "+", "p8"}], ",", 
            RowBox[{"p10", "+", "p9"}], ",", 
            RowBox[{"p5", "-", "p6"}], ",", 
            RowBox[{"p6", "-", "p7"}], ",", 
            RowBox[{"p7", "-", "p8"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p2", "-", "p3"}], ",", 
            RowBox[{"p3", "-", "p4"}], ",", 
            RowBox[{"p4", "-", "p5"}], ",", "p1", ",", 
            RowBox[{"p2", "+", "p3", "+", "p4", "+", "p5"}], ",", 
            RowBox[{"p6", "+", "p7", "+", "p8", "+", "p9"}], ",", 
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p6", "-", "p7"}], ",", 
            RowBox[{"p7", "-", "p8"}], ",", 
            RowBox[{"p8", "-", "p9"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p1", "-", "p2"}], ",", 
            RowBox[{"p2", "-", "p3"}], ",", 
            RowBox[{"p4", "-", "p5"}], ",", 
            RowBox[{"p1", "+", "p2", "+", "p3"}], ",", 
            RowBox[{"p4", "+", "p5", "+", "p6", "+", "p7"}], ",", 
            RowBox[{"p10", "+", "p8", "+", "p9"}], ",", 
            RowBox[{"p5", "-", "p6"}], ",", 
            RowBox[{"p6", "-", "p7"}], ",", 
            RowBox[{"p8", "-", "p9"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p1", "-", "p2"}], ",", 
            RowBox[{"p2", "-", "p3"}], ",", 
            RowBox[{"p3", "-", "p4"}], ",", 
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p5", "-", "p6"}], ",", 
            RowBox[{"p1", "+", "p2", "+", "p3", "+", "p4"}], ",", 
            RowBox[{"p5", "+", "p6", "+", "p7", "+", "p8"}], ",", 
            RowBox[{"p10", "+", "p9"}], ",", 
            RowBox[{"p6", "-", "p7"}], ",", 
            RowBox[{"p7", "-", "p8"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p1", "-", "p2"}], ",", 
            RowBox[{"p2", "-", "p3"}], ",", 
            RowBox[{"p4", "-", "p5"}], ",", 
            RowBox[{"p5", "-", "p6"}], ",", 
            RowBox[{"p1", "+", "p2", "+", "p3"}], ",", 
            RowBox[{"p4", "+", "p5", "+", "p6", "+", "p7"}], ",", 
            RowBox[{"p10", "+", "p8", "+", "p9"}], ",", 
            RowBox[{"p6", "-", "p7"}], ",", 
            RowBox[{"p8", "-", "p9"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p1", "-", "p2"}], ",", 
            RowBox[{"p2", "-", "p3"}], ",", 
            RowBox[{"p3", "-", "p4"}], ",", 
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p5", "-", "p6"}], ",", 
            RowBox[{"p1", "+", "p2", "+", "p3", "+", "p4"}], ",", 
            RowBox[{"p5", "+", "p6", "+", "p7", "+", "p8"}], ",", 
            RowBox[{"p10", "+", "p9"}], ",", 
            RowBox[{"p6", "-", "p7"}], ",", 
            RowBox[{"p7", "-", "p8"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p1", "-", "p2"}], ",", 
            RowBox[{"p2", "-", "p3"}], ",", 
            RowBox[{"p4", "-", "p5"}], ",", 
            RowBox[{"p5", "-", "p6"}], ",", 
            RowBox[{"p1", "+", "p2", "+", "p3"}], ",", 
            RowBox[{"p4", "+", "p5", "+", "p6", "+", "p7"}], ",", 
            RowBox[{"p10", "+", "p8", "+", "p9"}], ",", 
            RowBox[{"p6", "-", "p7"}], ",", 
            RowBox[{"p8", "-", "p9"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p1", "-", "p2"}], ",", 
            RowBox[{"p2", "-", "p3"}], ",", 
            RowBox[{"p4", "-", "p5"}], ",", 
            RowBox[{"p5", "-", "p6"}], ",", 
            RowBox[{"p1", "+", "p2", "+", "p3"}], ",", 
            RowBox[{"p4", "+", "p5", "+", "p6", "+", "p7"}], ",", 
            RowBox[{"p10", "+", "p8", "+", "p9"}], ",", 
            RowBox[{"p6", "-", "p7"}], ",", 
            RowBox[{"p8", "-", "p9"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p2", "-", "p3"}], ",", 
            RowBox[{"p3", "-", "p4"}], ",", 
            RowBox[{"p4", "-", "p5"}], ",", 
            RowBox[{"p6", "-", "p7"}], ",", "p1", ",", 
            RowBox[{"p2", "+", "p3", "+", "p4", "+", "p5"}], ",", 
            RowBox[{"p6", "+", "p7", "+", "p8", "+", "p9"}], ",", 
            RowBox[{"p8", "-", "p9"}], ",", 
            RowBox[{"p7", "-", "p8"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p2", "-", "p3"}], ",", 
            RowBox[{"p3", "-", "p4"}], ",", 
            RowBox[{"p4", "-", "p5"}], ",", 
            RowBox[{"p6", "-", "p7"}], ",", 
            RowBox[{"p7", "-", "p8"}], ",", 
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p2", "+", "p3", "+", "p4", "+", "p5"}], ",", 
            RowBox[{"p6", "+", "p7", "+", "p8", "+", "p9"}], ",", "p10", ",", 
            
            RowBox[{"p8", "-", "p9"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p2", "-", "p3"}], ",", 
            RowBox[{"p3", "-", "p4"}], ",", 
            RowBox[{"p4", "-", "p5"}], ",", 
            RowBox[{"p6", "-", "p7"}], ",", 
            RowBox[{"p7", "-", "p8"}], ",", 
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p2", "+", "p3", "+", "p4", "+", "p5"}], ",", 
            RowBox[{"p6", "+", "p7", "+", "p8", "+", "p9"}], ",", "p10", ",", 
            
            RowBox[{"p8", "-", "p9"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p3", "-", "p4"}], ",", 
            RowBox[{"p4", "-", "p5"}], ",", 
            RowBox[{"p5", "-", "p6"}], ",", 
            RowBox[{"p7", "-", "p8"}], ",", 
            RowBox[{"p1", "+", "p2"}], ",", 
            RowBox[{"p3", "+", "p4", "+", "p5", "+", "p6"}], ",", 
            RowBox[{"p10", "+", "p7", "+", "p8", "+", "p9"}], ",", 
            RowBox[{"p8", "-", "p9"}], ",", 
            RowBox[{"p9", "-", "p10"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p2", "-", "p3"}], ",", 
            RowBox[{"p3", "-", "p4"}], ",", 
            RowBox[{"p4", "-", "p5"}], ",", 
            RowBox[{"p6", "-", "p7"}], ",", 
            RowBox[{"p7", "-", "p8"}], ",", 
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p2", "+", "p3", "+", "p4", "+", "p5"}], ",", 
            RowBox[{"p6", "+", "p7", "+", "p8", "+", "p9"}], ",", "p10", ",", 
            
            RowBox[{"p8", "-", "p9"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p2", "-", "p3"}], ",", 
            RowBox[{"p3", "-", "p4"}], ",", 
            RowBox[{"p4", "-", "p5"}], ",", 
            RowBox[{"p6", "-", "p7"}], ",", 
            RowBox[{"p7", "-", "p8"}], ",", 
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p2", "+", "p3", "+", "p4", "+", "p5"}], ",", 
            RowBox[{"p6", "+", "p7", "+", "p8", "+", "p9"}], ",", "p10", ",", 
            
            RowBox[{"p8", "-", "p9"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p3", "-", "p4"}], ",", 
            RowBox[{"p4", "-", "p5"}], ",", 
            RowBox[{"p5", "-", "p6"}], ",", 
            RowBox[{"p7", "-", "p8"}], ",", 
            RowBox[{"p1", "+", "p2"}], ",", 
            RowBox[{"p3", "+", "p4", "+", "p5", "+", "p6"}], ",", 
            RowBox[{"p10", "+", "p7", "+", "p8", "+", "p9"}], ",", 
            RowBox[{"p8", "-", "p9"}], ",", 
            RowBox[{"p9", "-", "p10"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
            "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", "p6", "+", 
             "p7", "+", "p8", "+", "p9", "+", "p10", "-", "1"}], ",", 
            RowBox[{"p1", "-", "p2"}], ",", 
            RowBox[{"p2", "-", "p3"}], ",", 
            RowBox[{"p4", "-", "p5"}], ",", 
            RowBox[{"p5", "-", "p6"}], ",", 
            RowBox[{"p1", "+", "p2", "+", "p3"}], ",", 
            RowBox[{"p4", "+", "p5", "+", "p6", "+", "p7"}], ",", 
            RowBox[{"p10", "+", "p8", "+", "p9"}], ",", 
            RowBox[{"p6", "-", "p7"}], ",", 
            RowBox[{"p8", "-", "p9"}]}], "}"}]}], "}"}]}]}]}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q1ListofEqnsG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Q1nodesByDateG", "[", "j", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "5", ",", 
         RowBox[{"Length", "[", "databydate", "]"}], ",", "4"}], "}"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\"\<here Q1\>\"", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q2ListofEqnsG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Q2nodesByDateG", "[", "j", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "6", ",", 
         RowBox[{"Length", "[", "databydate", "]"}], ",", "4"}], "}"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\"\<here Q2\>\"", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q3ListofEqnsG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Q3nodesByDateG", "[", "j", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "7", ",", 
         RowBox[{"Length", "[", "databydate", "]"}], ",", "4"}], "}"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\"\<here Q3\>\"", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q4ListofEqnsG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Q4nodesByDateG", "[", "j", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "8", ",", 
         RowBox[{"Length", "[", "databydate", "]"}], ",", "4"}], "}"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "Functions", " ", "to", " ", "calculate", " ", "individual", " ", 
      "histograms"}], ",", " ", 
     RowBox[{"by", " ", "quarter"}]}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"indhistQ1", "[", 
     RowBox[{"period_", ",", "ind_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "e1q1", ",", "e1q2", ",", "e1q3", ",", "e1q4", ",", "e1q5", ",", 
        "e1q6", ",", "e1q7", ",", "e1q8", ",", "e1q9", ",", "e1q10", ",", 
        "indcheck", ",", "goal"}], "}"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "e1q1", ",", "e1q2", ",", "e1q3", ",", "e1q4", ",", "e1q5", ",", 
          "e1q6", ",", "e1q7", ",", "e1q8", ",", "e1q9", ",", "e1q10"}], 
         "}"}], "=", 
        RowBox[{"Q1ListofEqnsG", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"period", "+", "3"}], ")"}], "/", "4"}], "]"}], "]"}]}], 
       ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"goal", "=", 
        RowBox[{
         RowBox[{"databydate", "[", 
          RowBox[{"[", 
           RowBox[{"period", ",", "ind", ",", 
            RowBox[{"2", ";;", 
             RowBox[{"Length", "[", 
              RowBox[{"databydate", "[", 
               RowBox[{"[", 
                RowBox[{"period", ",", "ind"}], "]"}], "]"}], "]"}]}]}], 
           "]"}], "]"}], "/", "100"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", 
           RowBox[{"Cases", "[", 
            RowBox[{"goal", ",", 
             RowBox[{"_", "?", "PossibleZeroQ"}]}], "]"}], "]"}], ">=", 
          RowBox[{"Length", "[", 
           RowBox[{"Cases", "[", 
            RowBox[{"indcheck", ",", 
             RowBox[{"_", "?", "PossibleZeroQ"}]}], "]"}], "]"}]}], ",", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"#", "<", "1`*^-03"}], ",", "0", ",", "#"}], "]"}], 
            "&"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "p1", ",", "p2", ",", "p3", ",", "p4", ",", "p5", ",", "p6", ",",
               "p7", ",", "p8", ",", "p9", ",", "p10"}], "}"}], "/.", 
            RowBox[{
             RowBox[{"GoalProgrammingWeightedAverage", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q1", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q2", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q3", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q4", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q5", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q6", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "6", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q7", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "7", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q8", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "8", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q9", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "9", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q10", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "10", "]"}], "]"}]}], ",", "0"}], "}"}]}], 
                  "}"}], ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                   "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", 
                    "p6", "+", "p7", "+", "p8", "+", "p9", "+", "p10"}], 
                   "\[Equal]", "1"}], "&&", 
                  RowBox[{"p1", ">=", "0"}], "&&", 
                  RowBox[{"p2", ">=", "0"}], "&&", 
                  RowBox[{"p3", ">=", "0"}], "&&", 
                  RowBox[{"p4", ">=", "0"}], "&&", 
                  RowBox[{"p5", ">=", "0"}], "&&", 
                  RowBox[{"p6", ">=", "0"}], "&&", 
                  RowBox[{"p7", ">=", "0"}], "&&", 
                  RowBox[{"p8", ">=", "0"}], "&&", 
                  RowBox[{"p9", ">=", "0"}], "&&", 
                  RowBox[{"p10", ">=", "0"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                "p1", ",", "p2", ",", "p3", ",", "p4", ",", "p5", ",", "p6", 
                 ",", "p7", ",", "p8", ",", "p9", ",", "p10"}], "}"}]}], 
              "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"indhistQ2", "[", 
     RowBox[{"period_", ",", "ind_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "e2q1", ",", "e2q2", ",", "e2q3", ",", "e2q4", ",", "e2q5", ",", 
        "e2q6", ",", "e2q7", ",", "e2q8", ",", "e2q9", ",", "e2q10", ",", 
        "indcheck", ",", "gdpq1", ",", "goal"}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "e2q1", ",", "e2q2", ",", "e2q3", ",", "e2q4", ",", "e2q5", ",", 
          "e2q6", ",", "e2q7", ",", "e2q8", ",", "e2q9", ",", "e2q10"}], 
         "}"}], "=", 
        RowBox[{"Q2ListofEqnsG", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"period", "+", "2"}], ")"}], "/", "4"}], "]"}], "]"}]}], 
       ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"goal", "=", 
        RowBox[{
         RowBox[{"databydate", "[", 
          RowBox[{"[", 
           RowBox[{"period", ",", "ind", ",", 
            RowBox[{"2", ";;", 
             RowBox[{"Length", "[", 
              RowBox[{"databydate", "[", 
               RowBox[{"[", 
                RowBox[{"period", ",", "ind"}], "]"}], "]"}], "]"}]}]}], 
           "]"}], "]"}], "/", "100"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", 
           RowBox[{"Cases", "[", 
            RowBox[{"goal", ",", 
             RowBox[{"_", "?", "PossibleZeroQ"}]}], "]"}], "]"}], ">=", 
          RowBox[{"Length", "[", 
           RowBox[{"Cases", "[", 
            RowBox[{"indcheck", ",", 
             RowBox[{"_", "?", "PossibleZeroQ"}]}], "]"}], "]"}]}], ",", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"#", "<", "1`*^-03"}], ",", "0", ",", "#"}], "]"}], 
            "&"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "p1", ",", "p2", ",", "p3", ",", "p4", ",", "p5", ",", "p6", ",",
               "p7", ",", "p8", ",", "p9", ",", "p10"}], "}"}], "/.", 
            RowBox[{
             RowBox[{"GoalProgrammingWeightedAverage", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q1", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q2", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q3", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q4", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q5", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q6", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "6", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q7", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "7", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q8", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "8", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q9", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "9", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q10", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "10", "]"}], "]"}]}], ",", "0"}], "}"}]}], 
                  "}"}], ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                   "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", 
                    "p6", "+", "p7", "+", "p8", "+", "p9", "+", "p10"}], 
                   "\[Equal]", "1"}], "&&", 
                  RowBox[{"p1", ">=", "0"}], "&&", 
                  RowBox[{"p2", ">=", "0"}], "&&", 
                  RowBox[{"p3", ">=", "0"}], "&&", 
                  RowBox[{"p4", ">=", "0"}], "&&", 
                  RowBox[{"p5", ">=", "0"}], "&&", 
                  RowBox[{"p6", ">=", "0"}], "&&", 
                  RowBox[{"p7", ">=", "0"}], "&&", 
                  RowBox[{"p8", ">=", "0"}], "&&", 
                  RowBox[{"p9", ">=", "0"}], "&&", 
                  RowBox[{"p10", ">=", "0"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                "p1", ",", "p2", ",", "p3", ",", "p4", ",", "p5", ",", "p6", 
                 ",", "p7", ",", "p8", ",", "p9", ",", "p10"}], "}"}]}], 
              "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"indhistQ3", "[", 
     RowBox[{"period_", ",", "ind_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "e3q1", ",", "e3q2", ",", "e3q3", ",", "e3q4", ",", "e3q5", ",", 
        "e3q6", ",", "e3q7", ",", "e3q8", ",", "e3q9", ",", "e3q10", ",", 
        "indcheck", ",", "gdpq1", ",", "gdpq2", ",", "goal"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "e3q1", ",", "e3q2", ",", "e3q3", ",", "e3q4", ",", "e3q5", ",", 
          "e3q6", ",", "e3q7", ",", "e3q8", ",", "e3q9", ",", "e3q10"}], 
         "}"}], "=", 
        RowBox[{"Q3ListofEqnsG", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"period", "+", "1"}], ")"}], "/", "4"}], "]"}], "]"}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"goal", "=", 
        RowBox[{
         RowBox[{"databydate", "[", 
          RowBox[{"[", 
           RowBox[{"period", ",", "ind", ",", 
            RowBox[{"2", ";;", 
             RowBox[{"Length", "[", 
              RowBox[{"databydate", "[", 
               RowBox[{"[", 
                RowBox[{"period", ",", "ind"}], "]"}], "]"}], "]"}]}]}], 
           "]"}], "]"}], "/", "100"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", 
           RowBox[{"Cases", "[", 
            RowBox[{"goal", ",", 
             RowBox[{"_", "?", "PossibleZeroQ"}]}], "]"}], "]"}], ">=", 
          RowBox[{"Length", "[", 
           RowBox[{"Cases", "[", 
            RowBox[{"indcheck", ",", 
             RowBox[{"_", "?", "PossibleZeroQ"}]}], "]"}], "]"}]}], ",", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"#", "<", "1`*^-03"}], ",", "0", ",", "#"}], "]"}], 
            "&"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "p1", ",", "p2", ",", "p3", ",", "p4", ",", "p5", ",", "p6", ",",
               "p7", ",", "p8", ",", "p9", ",", "p10"}], "}"}], "/.", 
            RowBox[{
             RowBox[{"GoalProgrammingWeightedAverage", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q1", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q2", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q3", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q4", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q5", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q6", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "6", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q7", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "7", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q8", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "8", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q9", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "9", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q10", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "10", "]"}], "]"}]}], ",", "0"}], "}"}]}], 
                  "}"}], ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                   "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", 
                    "p6", "+", "p7", "+", "p8", "+", "p9", "+", "p10"}], 
                   "\[Equal]", "1"}], "&&", 
                  RowBox[{"p1", ">=", "0"}], "&&", 
                  RowBox[{"p2", ">=", "0"}], "&&", 
                  RowBox[{"p3", ">=", "0"}], "&&", 
                  RowBox[{"p4", ">=", "0"}], "&&", 
                  RowBox[{"p5", ">=", "0"}], "&&", 
                  RowBox[{"p6", ">=", "0"}], "&&", 
                  RowBox[{"p7", ">=", "0"}], "&&", 
                  RowBox[{"p8", ">=", "0"}], "&&", 
                  RowBox[{"p9", ">=", "0"}], "&&", 
                  RowBox[{"p10", ">=", "0"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                "p1", ",", "p2", ",", "p3", ",", "p4", ",", "p5", ",", "p6", 
                 ",", "p7", ",", "p8", ",", "p9", ",", "p10"}], "}"}]}], 
              "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"indhistQ4", "[", 
     RowBox[{"period_", ",", "ind_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "eq1", ",", "eq2", ",", "eq3", ",", "eq4", ",", "eq5", ",", "eq6", ",",
         "eq7", ",", "eq8", ",", "eq9", ",", "eq10", ",", "indcheck", ",", 
        "Q4listofeqs", ",", "infq1", ",", "infq2", ",", "infq3", ",", 
        "goal"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "e3q1", ",", "e3q2", ",", "e3q3", ",", "e3q4", ",", "e3q5", ",", 
          "e3q6", ",", "e3q7", ",", "e3q8", ",", "e3q9", ",", "e3q10"}], 
         "}"}], "=", 
        RowBox[{"Q4ListofEqnsG", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", 
           RowBox[{"period", "/", "4"}]}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"goal", "=", 
        RowBox[{
         RowBox[{"databydate", "[", 
          RowBox[{"[", 
           RowBox[{"period", ",", "ind", ",", 
            RowBox[{"2", ";;", "11"}]}], "]"}], "]"}], "/", "100"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", 
           RowBox[{"Cases", "[", 
            RowBox[{"goal", ",", 
             RowBox[{"_", "?", "PossibleZeroQ"}]}], "]"}], "]"}], ">=", 
          RowBox[{"Length", "[", 
           RowBox[{"Cases", "[", 
            RowBox[{"indcheck", ",", 
             RowBox[{"_", "?", "PossibleZeroQ"}]}], "]"}], "]"}]}], ",", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"#", "<", "1`*^-03"}], ",", "0", ",", "#"}], "]"}], 
            "&"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "p1", ",", "p2", ",", "p3", ",", "p4", ",", "p5", ",", "p6", ",",
               "p7", ",", "p8", ",", "p9", ",", "p10"}], "}"}], "/.", 
            RowBox[{
             RowBox[{"GoalProgrammingWeightedAverage", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q1", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q2", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q3", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q4", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q5", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q6", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "6", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q7", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "7", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q8", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "8", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q9", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "9", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q10", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "10", "]"}], "]"}]}], ",", "0"}], "}"}]}], 
                  "}"}], ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                   "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", 
                    "p6", "+", "p7", "+", "p8", "+", "p9", "+", "p10"}], 
                   "\[Equal]", "1"}], "&&", 
                  RowBox[{"p1", ">=", "0"}], "&&", 
                  RowBox[{"p2", ">=", "0"}], "&&", 
                  RowBox[{"p3", ">=", "0"}], "&&", 
                  RowBox[{"p4", ">=", "0"}], "&&", 
                  RowBox[{"p5", ">=", "0"}], "&&", 
                  RowBox[{"p6", ">=", "0"}], "&&", 
                  RowBox[{"p7", ">=", "0"}], "&&", 
                  RowBox[{"p8", ">=", "0"}], "&&", 
                  RowBox[{"p9", ">=", "0"}], "&&", 
                  RowBox[{"p10", ">=", "0"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                "p1", ",", "p2", ",", "p3", ",", "p4", ",", "p5", ",", "p6", 
                 ",", "p7", ",", "p8", ",", "p9", ",", "p10"}], "}"}]}], 
              "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}]}]}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"individhists", "[", 
     RowBox[{"qtr_", ",", "ind_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "date", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"date", "=", 
        RowBox[{"databydate", "[", 
         RowBox[{"[", 
          RowBox[{"qtr", ",", "1", ",", "1", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"MatchQ", "[", 
          RowBox[{"date", ",", "1"}], "]"}], ",", 
         RowBox[{"indhistQ1", "[", 
          RowBox[{"qtr", ",", "ind"}], "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"MatchQ", "[", 
            RowBox[{"date", ",", "4"}], "]"}], ",", 
           RowBox[{"indhistQ2", "[", 
            RowBox[{"qtr", ",", "ind"}], "]"}], ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"MatchQ", "[", 
              RowBox[{"date", ",", "7"}], "]"}], ",", 
             RowBox[{"indhistQ3", "[", 
              RowBox[{"qtr", ",", "ind"}], "]"}], ",", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"MatchQ", "[", 
                RowBox[{"date", ",", "10"}], "]"}], ",", 
               RowBox[{"indhistQ4", "[", 
                RowBox[{"qtr", ",", "ind"}], "]"}]}], "]"}]}], "]"}]}], 
          "]"}]}], "]"}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "]"}]}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.5520730541513042`*^9, 3.552073090526515*^9}, {
   3.5522358320461817`*^9, 3.552235880309218*^9}, {3.5522359933381987`*^9, 
   3.552236018023509*^9}, {3.552236118291136*^9, 3.552236150198792*^9}, {
   3.552236195988188*^9, 3.552236311055551*^9}, {3.552240988001449*^9, 
   3.552241014177617*^9}, {3.552245676093368*^9, 3.552245718987974*^9}, {
   3.552245754621851*^9, 3.552245756788754*^9}, {3.5522458585433893`*^9, 
   3.5522459026879787`*^9}, 3.552245976778206*^9, {3.552398187712821*^9, 
   3.552398255074933*^9}, {3.5523984386419897`*^9, 3.552398471307672*^9}, {
   3.552398760939505*^9, 3.552398782948801*^9}, {3.552398836484479*^9, 
   3.552398902035722*^9}, {3.5523989904083*^9, 3.552399016007707*^9}, {
   3.552399429512727*^9, 3.552399643184916*^9}, {3.5523997054936934`*^9, 
   3.552399734680208*^9}, {3.552399878994783*^9, 3.552399882497143*^9}, 
   3.55240065552028*^9, 3.5524006968376637`*^9, {3.5524011730941772`*^9, 
   3.552401178079187*^9}, {3.552401226550118*^9, 3.552401229856718*^9}, {
   3.552402914311324*^9, 3.552403129462607*^9}, {3.552403187496359*^9, 
   3.552403276722855*^9}, 3.552404037482184*^9, {3.552404076625242*^9, 
   3.552404089068294*^9}, {3.552409450112493*^9, 3.552409504773643*^9}, {
   3.552409557839979*^9, 3.552409605824914*^9}, 3.5524096562179317`*^9, {
   3.5524098149720716`*^9, 3.552409825073827*^9}, {3.5524098594747133`*^9, 
   3.552409862560771*^9}, {3.552409906479953*^9, 3.552409924212631*^9}, 
   3.552409966466263*^9, {3.552409996703611*^9, 3.552410014636889*^9}, {
   3.553865240398295*^9, 3.5538652495524073`*^9}, {3.553865862305024*^9, 
   3.5538658901544*^9}, {3.553866621940226*^9, 3.553866633703157*^9}, {
   3.553880530106964*^9, 3.5538805666056967`*^9}, {3.553880603866713*^9, 
   3.55388061301066*^9}, {3.5538807084696007`*^9, 3.553880719046033*^9}, {
   3.553888874887168*^9, 3.553888899389818*^9}, {3.553888949230979*^9, 
   3.5538889786349373`*^9}, {3.553889141185397*^9, 3.553889183677331*^9}, {
   3.553889541886442*^9, 3.553889690695354*^9}, {3.554037416349835*^9, 
   3.554037440729422*^9}, {3.554038756639208*^9, 3.5540387630451097`*^9}, {
   3.5540387981871443`*^9, 3.5540388137568493`*^9}, {3.55403903029622*^9, 
   3.55403903325634*^9}, {3.554039234011935*^9, 3.554039234312524*^9}, 
   3.554039303061894*^9, {3.554039463014258*^9, 3.554039534991688*^9}, {
   3.5540407340360203`*^9, 3.5540407768108273`*^9}, {3.554040818486373*^9, 
   3.5540408337987413`*^9}, {3.554041799230015*^9, 3.554041805789359*^9}, {
   3.5540418673574963`*^9, 3.554041870457423*^9}, {3.5540419354941483`*^9, 
   3.55404207719221*^9}, 3.5540426079343767`*^9, {3.554044148517684*^9, 
   3.554044192228063*^9}, 3.554044267415491*^9, {3.554044303151206*^9, 
   3.554044394062829*^9}, {3.554044438166298*^9, 3.5540444714583673`*^9}, {
   3.554044610248152*^9, 3.554044681769376*^9}, {3.554044723558584*^9, 
   3.554044755337049*^9}, {3.554044785686337*^9, 3.554044821411736*^9}, {
   3.554044858163447*^9, 3.55404511289851*^9}, {3.554046579003031*^9, 
   3.554046596878007*^9}, {3.554051340942788*^9, 3.554051390529001*^9}, {
   3.55405145810903*^9, 3.554051577795458*^9}, {3.554051628193037*^9, 
   3.554051669213516*^9}, {3.5540518033984127`*^9, 3.554051895116901*^9}, {
   3.554468567265442*^9, 3.554468882556385*^9}, {3.5547300427899647`*^9, 
   3.554730079089221*^9}, {3.554730593715416*^9, 3.5547306443235083`*^9}, {
   3.554730774684189*^9, 3.554730774951583*^9}, {3.5547308427800407`*^9, 
   3.5547308726212*^9}, {3.554731083961891*^9, 3.554731088143478*^9}, {
   3.554731301002969*^9, 3.554731315473778*^9}, {3.554734920923008*^9, 
   3.554734949550391*^9}, {3.554735629496334*^9, 3.554735797461425*^9}, {
   3.554736081237904*^9, 3.554736151917673*^9}, {3.55473618653834*^9, 
   3.5547361873776627`*^9}, {3.554736633612069*^9, 3.554736765130405*^9}, {
   3.554745262718659*^9, 3.554745410303735*^9}, {3.5547454418846292`*^9, 
   3.5547456673426743`*^9}, {3.554745723083886*^9, 3.554745787587411*^9}, {
   3.5547460839054832`*^9, 3.554746230101053*^9}, {3.554746676344666*^9, 
   3.554746678641766*^9}, {3.55474673375491*^9, 3.5547467487130957`*^9}, {
   3.5547467788661633`*^9, 3.554746793577413*^9}, {3.554747044748767*^9, 
   3.554747079647685*^9}, {3.554747378728211*^9, 3.554747396412547*^9}, {
   3.5547474677413187`*^9, 3.554747530901678*^9}, {3.5547476248823423`*^9, 
   3.554747664855631*^9}, {3.5547485761526527`*^9, 3.5547486905278597`*^9}, {
   3.554748756747137*^9, 3.554748792845358*^9}, {3.554748904270761*^9, 
   3.554749280764491*^9}, 3.554749411217469*^9, {3.554750673960045*^9, 
   3.554750675683042*^9}, {3.554755752101965*^9, 3.554755835659395*^9}, {
   3.554755936451934*^9, 3.554755942727367*^9}, {3.554756994615855*^9, 
   3.554757008964706*^9}, {3.5548167633499393`*^9, 3.554816821051242*^9}, {
   3.554816992977757*^9, 3.554817055903673*^9}, {3.5548172273789177`*^9, 
   3.554817240313216*^9}, {3.5697891420606833`*^9, 3.569789144089725*^9}, {
   3.5697891877085333`*^9, 3.569789188026133*^9}, {3.5702994642598057`*^9, 
   3.5702994708508673`*^9}, {3.5702995101328087`*^9, 3.570299523171565*^9}, {
   3.570299721006398*^9, 3.570299806204393*^9}, {3.570299840317738*^9, 
   3.570300388563856*^9}, {3.57030046580669*^9, 3.570300485513291*^9}, {
   3.570391531675744*^9, 3.5703916560180063`*^9}, 3.570394557376937*^9, 
   3.570395070553801*^9, {3.57045717366455*^9, 3.5704571920262136`*^9}, {
   3.576931576637834*^9, 3.576931686321623*^9}, {3.5769317568285007`*^9, 
   3.576931774967928*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.570394585360343*^9, 3.5703945865488586`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Generates", " ", "a", " ", "table", " ", "of", " ", "individual", " ", 
     "histograms", " ", "by", " ", "quarter"}], ",", " ", 
    RowBox[{
    "list", " ", "to", " ", "be", " ", "used", " ", "in", " ", "calculating", 
     " ", 
     RowBox[{"IQR", "'"}], "s"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"individualdatatableGDP", "=", 
     RowBox[{"Quiet", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"databydate", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"j", "+", "4"}], ",", "i", ",", "1"}], "]"}], "]"}], 
            ",", 
            RowBox[{"individhists", "[", 
             RowBox[{"j", ",", "i"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"databydate", "[", 
              RowBox[{"[", "j", "]"}], "]"}], "]"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "1", ",", 
          RowBox[{
           RowBox[{"Length", "[", "databydate", "]"}], "-", "4"}]}], "}"}]}], 
       "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{
    "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
individ_hists_rev_GDP_carry_use\>\"", ",", "individualdatatableGDP", ",", 
     "\"\<List\>\""}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.555073474543185*^9, 3.555073474857917*^9}, {
  3.5697892841634903`*^9, 3.5697892845553017`*^9}, {3.570391674138357*^9, 
  3.5703916934555798`*^9}, {3.576931698380129*^9, 3.5769317233422318`*^9}}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/Data/individ_hists_rev_GDP_carry_use\"\>"], "Output",
 CellChangeTimes->{3.569798459987617*^9, 3.570391705755114*^9, 
  3.57039381810351*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.5547309180650787`*^9, 3.5547309302989264`*^9}, {
  3.554730960336319*^9, 3.554730977968142*^9}}]
},
ScreenStyleEnvironment->"Presentation",
WindowSize->{1873, 1044},
WindowMargins->{{235, Automatic}, {Automatic, 23}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 6, \
2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 124113, 3053, 9858, "Input"],
Cell[124673, 3075, 94, 1, 47, "Input"],
Cell[CellGroupData[{
Cell[124792, 3080, 1777, 45, 198, "Input"],
Cell[126572, 3127, 223, 3, 47, "Output"]
}, Open  ]],
Cell[126810, 3133, 145, 2, 47, "Input"]
}
]
*)

(* End of internal cache information *)
