(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    128568,       3229]
NotebookOptionsPosition[    128151,       3210]
NotebookOutlinePosition[    128506,       3226]
CellTagsIndexPosition[    128463,       3223]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"calculates", " ", "individual", " ", "histograms"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Importing", " ", "data", " ", "statements"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"prdata", "=", 
     RowBox[{
     "Import", "[", 
      "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
spfhistogramscurrentinf.xls\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"btrdata", "=", 
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{"prdata", ",", "1"}], "]"}], "[", 
      RowBox[{"[", "All", "]"}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"datestrings", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"DateList", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ToString", "[", 
           RowBox[{
            RowBox[{"btrdata", "[", 
             RowBox[{"[", 
              RowBox[{"j", ",", "1"}], "]"}], "]"}], "+", 
            RowBox[{".1", "*", 
             RowBox[{"btrdata", "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "2"}], "]"}], "]"}]}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Year\>\"", ",", "\"\<Quarter\>\""}], "}"}]}], "}"}], 
        "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "btrdata", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"dataalmost", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Prepend", "[", 
        RowBox[{
         RowBox[{"btrdata", "[", 
          RowBox[{"[", "j", "]"}], "]"}], ",", 
         RowBox[{"datestrings", "[", 
          RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "btrdata", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"data2use", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Delete", "[", 
        RowBox[{
         RowBox[{"dataalmost", "[", 
          RowBox[{"[", "j", "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", "2", "}"}], ",", 
           RowBox[{"{", "3", "}"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "btrdata", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"databydate", "=", 
     RowBox[{"GatherBy", "[", 
      RowBox[{"data2use", ",", "First"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tdata", "=", 
     RowBox[{
     "Import", "[", 
      "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
truledatashort.xls\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"inflrtdata", "=", 
     RowBox[{
     "Import", "[", 
      "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
infqoverqrtdata.xls\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"inflrt", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DateList", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], ",", 
         RowBox[{"inflrtdata", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"inflrtdata", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tstest", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DateList", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], ",", 
         RowBox[{"tdata", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "j", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"collectdata", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"databydate", "[", 
            RowBox[{"[", "j", "]"}], "]"}], ")"}], "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"tstest", "[", 
          RowBox[{"[", 
           RowBox[{"j", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"databydate", "[", 
            RowBox[{"[", "j", "]"}], "]"}], ")"}], "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", 
            RowBox[{"2", ";;", "11"}]}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "databydate", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"databydate", "[", 
           RowBox[{"[", "j", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "function", " ", "for", " ", "bin", " ", "probabilities", " ", "for", " ",
      "fourth", " ", "quarter", " ", "forecasts"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"constnodesSPFQ4", "[", 
     RowBox[{
     "infq1_", ",", "infq2_", " ", ",", "infq3_", ",", "infql2_", ",", 
      "infql3_", ",", "infql4_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tst1", ",", "tst2"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"lng", "=", "10"}], ";", "\[IndentingNewLine]", 
       RowBox[{"nodes", "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"tst1", "=", 
        RowBox[{"Nest", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", "+", 
              RowBox[{"6", "/", "4"}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{"5", "/", "4"}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{"4", "/", "4"}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{"3", "/", "4"}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{"2", "/", "4"}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{"1", "/", "4"}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{"0", "/", "4"}]}], ",", 
             RowBox[{"#", "-", 
              RowBox[{"1", "/", "4"}]}], ",", 
             RowBox[{"#", "-", 
              RowBox[{"2", "/", "4"}]}], ",", 
             RowBox[{"#", "-", 
              RowBox[{"3", "/", "4"}]}]}], "}"}], "&"}], ",", "0", ",", 
          "nodes"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"tst2", "=", 
        RowBox[{"Nest", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", " ", "p1"}], ",", 
             RowBox[{"#", " ", "p2"}], ",", 
             RowBox[{"#", " ", "p3"}], ",", 
             RowBox[{"#", " ", "p4"}], ",", 
             RowBox[{"#", " ", "p5"}], ",", 
             RowBox[{"#", " ", "p6"}], ",", 
             RowBox[{"#", " ", "p7"}], ",", 
             RowBox[{"#", " ", "p8"}], ",", 
             RowBox[{"#", " ", "p9"}], ",", 
             RowBox[{"#", " ", "p10"}]}], "}"}], "&"}], ",", "1", ",", 
          "nodes"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{".25", "*", "infql2"}], "+", 
             RowBox[{".5", "*", "infql3"}], "+", 
             RowBox[{".75", "*", "infql4"}], "+", "infq1", "+", 
             RowBox[{".75", "*", "infq2"}], "+", 
             RowBox[{".5", "*", "infq3"}], "+", 
             RowBox[{".25", "*", 
              RowBox[{"tst1", "[", 
               RowBox[{"[", "n", "]"}], "]"}]}]}], ")"}], ",", 
           RowBox[{"tst2", "[", 
            RowBox[{"[", "n", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "1", ",", "lng"}], "}"}]}], "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"q4nodes", "=", "constnodesSPFQ4"}], ";"}], "\[IndentingNewLine]",
    "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "function", " ", "for", " ", "bin", " ", "probabilities", " ", "for", " ",
      "third", " ", "quarter", " ", "forecasts"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"constnodesSPFQ3", "[", 
     RowBox[{
     "infq1_", ",", "infq2_", " ", ",", "infql2_", ",", "infql3_", " ", ",", 
      "infql4_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tst1", ",", "tst2"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"lng", "=", "10"}], ";", "\[IndentingNewLine]", 
       RowBox[{"nodes", "=", "2"}], ";", "\[IndentingNewLine]", 
       RowBox[{"tst1", "=", 
        RowBox[{"Nest", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"8", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"7", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"6", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"5", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"4", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"3", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"2", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"1", "/", "4"}]}]}], ",", "#", ",", 
             RowBox[{"#", "-", 
              RowBox[{".25", "*", 
               RowBox[{"1", "/", "4"}]}]}]}], "}"}], "&"}], ",", 
          RowBox[{"Nest", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"8", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"7", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"6", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"5", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"4", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"3", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"2", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"1", "/", "4"}]}]}], ",", "#", ",", 
               RowBox[{"#", "-", 
                RowBox[{".5", "*", 
                 RowBox[{"1", "/", "4"}]}]}]}], "}"}], "&"}], ",", "0", ",", 
            "1"}], "]"}], ",", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"tst2", "=", 
        RowBox[{"Nest", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", " ", "p1"}], ",", 
             RowBox[{"#", " ", "p2"}], ",", 
             RowBox[{"#", " ", "p3"}], ",", 
             RowBox[{"#", " ", "p4"}], ",", 
             RowBox[{"#", " ", "p5"}], ",", 
             RowBox[{"#", " ", "p6"}], ",", 
             RowBox[{"#", " ", "p7"}], ",", 
             RowBox[{"#", " ", "p8"}], ",", 
             RowBox[{"#", " ", "p9"}], ",", 
             RowBox[{"#", " ", "p10"}]}], "}"}], "&"}], ",", "1", ",", 
          "nodes"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{".25", "*", "infql2"}], "+", 
                 RowBox[{".5", "*", "infql3"}], "+", 
                 RowBox[{".75", "*", "infql4"}], "+", "infq1", "+", 
                 RowBox[{".75", "*", "infq2"}], "+", 
                 RowBox[{"tst1", "[", 
                  RowBox[{"[", 
                   RowBox[{"n", ",", "m"}], "]"}], "]"}]}], ")"}], ",", 
               RowBox[{"tst2", "[", 
                RowBox[{"[", 
                 RowBox[{"n", ",", "m"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"m", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", "1"}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"q3nodes", "=", "constnodesSPFQ3"}], ";"}], "\[IndentingNewLine]",
    "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "function", " ", "for", " ", "bin", " ", "probabilities", " ", "for", " ",
      "second", " ", "quarter", " ", "forecasts"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"constnodesSPFQ2", "[", 
     RowBox[{"infq1_", ",", "infql2_", ",", "infql3_", ",", "infql4_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tst1", ",", "tst2"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"lng", "=", "10"}], ";", "\[IndentingNewLine]", 
       RowBox[{"nodes", "=", "3"}], ";", "\[IndentingNewLine]", 
       RowBox[{"tst1", "=", 
        RowBox[{"Nest", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"8", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"7", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"6", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"5", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"4", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"3", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"2", "/", "4"}]}]}], ",", 
             RowBox[{"#", "+", 
              RowBox[{".25", "*", 
               RowBox[{"1", "/", "4"}]}]}], ",", "#", ",", 
             RowBox[{"#", "-", 
              RowBox[{".25", "*", 
               RowBox[{"1", "/", "4"}]}]}]}], "}"}], "&"}], ",", 
          RowBox[{"Nest", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"8", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"7", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"6", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"5", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"4", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"3", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"2", "/", "4"}]}]}], ",", 
               RowBox[{"#", "+", 
                RowBox[{".5", "*", 
                 RowBox[{"1", "/", "4"}]}]}], ",", "#", ",", 
               RowBox[{"#", "-", 
                RowBox[{".5", "*", 
                 RowBox[{"1", "/", "4"}]}]}]}], "}"}], "&"}], ",", 
            RowBox[{"Nest", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"8", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"7", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"6", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"5", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"4", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"3", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"2", "/", "4"}]}]}], ",", 
                 RowBox[{"#", "+", 
                  RowBox[{".75", "*", 
                   RowBox[{"1", "/", "4"}]}]}], ",", "#", ",", 
                 RowBox[{"#", "-", 
                  RowBox[{".75", "*", 
                   RowBox[{"1", "/", "4"}]}]}]}], "}"}], "&"}], ",", "0", ",",
               "1"}], "]"}], ",", "1"}], "]"}], ",", "1"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"tst2", "=", 
        RowBox[{"Nest", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", " ", "p1"}], ",", 
             RowBox[{"#", " ", "p2"}], ",", 
             RowBox[{"#", " ", "p3"}], ",", 
             RowBox[{"#", " ", "p4"}], ",", 
             RowBox[{"#", " ", "p5"}], ",", 
             RowBox[{"#", " ", "p6"}], ",", 
             RowBox[{"#", " ", "p7"}], ",", 
             RowBox[{"#", " ", "p8"}], ",", 
             RowBox[{"#", " ", "p9"}], ",", 
             RowBox[{"#", " ", "p10"}]}], "}"}], "&"}], ",", "1", ",", 
          "nodes"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{".25", "*", "infql2"}], "+", 
                   RowBox[{".5", "*", "infql3"}], "+", 
                   RowBox[{".75", "*", "infql4"}], "+", "infq1", "+", 
                   RowBox[{"tst1", "[", 
                    RowBox[{"[", 
                    RowBox[{"l", ",", "n", ",", "m"}], "]"}], "]"}]}], ")"}], 
                 ",", 
                 RowBox[{"tst2", "[", 
                  RowBox[{"[", 
                   RowBox[{"l", ",", "n", ",", "m"}], "]"}], "]"}]}], "}"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"n", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"l", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", "2"}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"q2nodes", "=", "constnodesSPFQ2"}], ";"}], "\[IndentingNewLine]",
    "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "function", " ", "for", " ", "bin", " ", "probabilities", " ", "for", " ",
      "second", " ", "quarter", " ", "forecasts"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"constnodesSPFQ1", "[", 
     RowBox[{"infql2_", ",", "infql3_", ",", "infql4_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tst1", ",", "tst2"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"lng", "=", "10"}], ";", "\[IndentingNewLine]", 
        RowBox[{"nodes", "=", "4"}], ";", "\[IndentingNewLine]", 
        RowBox[{"tst1", "=", 
         RowBox[{"Nest", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"#", "+", 
               RowBox[{".25", "*", 
                RowBox[{"8", "/", "4"}]}]}], ",", 
              RowBox[{"#", "+", 
               RowBox[{".25", "*", 
                RowBox[{"7", "/", "4"}]}]}], ",", 
              RowBox[{"#", "+", 
               RowBox[{".25", "*", 
                RowBox[{"6", "/", "4"}]}]}], ",", 
              RowBox[{"#", "+", 
               RowBox[{".25", "*", 
                RowBox[{"5", "/", "4"}]}]}], ",", 
              RowBox[{"#", "+", 
               RowBox[{".25", "*", 
                RowBox[{"4", "/", "4"}]}]}], ",", 
              RowBox[{"#", "+", 
               RowBox[{".25", "*", 
                RowBox[{"3", "/", "4"}]}]}], ",", 
              RowBox[{"#", "+", 
               RowBox[{".25", "*", 
                RowBox[{"2", "/", "4"}]}]}], ",", 
              RowBox[{"#", "+", 
               RowBox[{".25", "*", 
                RowBox[{"1", "/", "4"}]}]}], ",", "#", ",", 
              RowBox[{"#", "-", 
               RowBox[{".25", "*", 
                RowBox[{"1", "/", "4"}]}]}]}], "}"}], "&"}], ",", 
           RowBox[{"Nest", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"#", "+", 
                 RowBox[{".5", "*", 
                  RowBox[{"8", "/", "4"}]}]}], ",", 
                RowBox[{"#", "+", 
                 RowBox[{".5", "*", 
                  RowBox[{"7", "/", "4"}]}]}], ",", 
                RowBox[{"#", "+", 
                 RowBox[{".5", "*", 
                  RowBox[{"6", "/", "4"}]}]}], ",", 
                RowBox[{"#", "+", 
                 RowBox[{".5", "*", 
                  RowBox[{"5", "/", "4"}]}]}], ",", 
                RowBox[{"#", "+", 
                 RowBox[{".5", "*", 
                  RowBox[{"4", "/", "4"}]}]}], ",", 
                RowBox[{"#", "+", 
                 RowBox[{".5", "*", 
                  RowBox[{"3", "/", "4"}]}]}], ",", 
                RowBox[{"#", "+", 
                 RowBox[{".5", "*", 
                  RowBox[{"2", "/", "4"}]}]}], ",", 
                RowBox[{"#", "+", 
                 RowBox[{".5", "*", 
                  RowBox[{"1", "/", "4"}]}]}], ",", "#", ",", 
                RowBox[{"#", "-", 
                 RowBox[{".5", "*", 
                  RowBox[{"1", "/", "4"}]}]}]}], "}"}], "&"}], ",", 
             RowBox[{"Nest", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"#", "+", 
                   RowBox[{".75", "*", 
                    RowBox[{"8", "/", "4"}]}]}], ",", 
                  RowBox[{"#", "+", 
                   RowBox[{".75", "*", 
                    RowBox[{"7", "/", "4"}]}]}], ",", 
                  RowBox[{"#", "+", 
                   RowBox[{".75", "*", 
                    RowBox[{"6", "/", "4"}]}]}], ",", 
                  RowBox[{"#", "+", 
                   RowBox[{".75", "*", 
                    RowBox[{"5", "/", "4"}]}]}], ",", 
                  RowBox[{"#", "+", 
                   RowBox[{".75", "*", 
                    RowBox[{"4", "/", "4"}]}]}], ",", 
                  RowBox[{"#", "+", 
                   RowBox[{".75", "*", 
                    RowBox[{"3", "/", "4"}]}]}], ",", 
                  RowBox[{"#", "+", 
                   RowBox[{".75", "*", 
                    RowBox[{"2", "/", "4"}]}]}], ",", 
                  RowBox[{"#", "+", 
                   RowBox[{".75", "*", 
                    RowBox[{"1", "/", "4"}]}]}], ",", "#", ",", 
                  RowBox[{"#", "-", 
                   RowBox[{".75", "*", 
                    RowBox[{"1", "/", "4"}]}]}]}], "}"}], "&"}], ",", 
               RowBox[{"Nest", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"#", "+", 
                    RowBox[{"8", "/", "4"}]}], ",", 
                    RowBox[{"#", "+", 
                    RowBox[{"7", "/", "4"}]}], ",", 
                    RowBox[{"#", "+", 
                    RowBox[{"6", "/", "4"}]}], ",", 
                    RowBox[{"#", "+", 
                    RowBox[{"5", "/", "4"}]}], ",", 
                    RowBox[{"#", "+", 
                    RowBox[{"4", "/", "4"}]}], ",", 
                    RowBox[{"#", "+", 
                    RowBox[{"3", "/", "4"}]}], ",", 
                    RowBox[{"#", "+", 
                    RowBox[{"2", "/", "4"}]}], ",", 
                    RowBox[{"#", "+", 
                    RowBox[{"1", "/", "4"}]}], ",", "#", ",", 
                    RowBox[{"#", "-", 
                    RowBox[{"1", "/", "4"}]}]}], "}"}], "&"}], ",", "0", ",", 
                 "1"}], "]"}], ",", "1"}], "]"}], ",", "1"}], "]"}], ",", 
           "1"}], "]"}]}], ";"}], ";", "\[IndentingNewLine]", 
       RowBox[{"tst2", "=", 
        RowBox[{"Nest", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", " ", "p1"}], ",", 
             RowBox[{"#", " ", "p2"}], ",", 
             RowBox[{"#", " ", "p3"}], ",", 
             RowBox[{"#", " ", "p4"}], ",", 
             RowBox[{"#", " ", "p5"}], ",", 
             RowBox[{"#", " ", "p6"}], ",", 
             RowBox[{"#", " ", "p7"}], ",", 
             RowBox[{"#", " ", "p8"}], ",", 
             RowBox[{"#", " ", "p9"}], ",", 
             RowBox[{"#", " ", "p10"}]}], "}"}], "&"}], ",", "1", ",", 
          "nodes"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Table", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{".25", "*", "infql2"}], "+", 
                    RowBox[{".5", "*", "infql3"}], "+", 
                    RowBox[{".75", "*", "infql4"}], "+", 
                    RowBox[{"tst1", "[", 
                    RowBox[{"[", 
                    RowBox[{"k", ",", "l", ",", "n", ",", "m"}], "]"}], 
                    "]"}]}], ")"}], ",", 
                   RowBox[{"tst2", "[", 
                    RowBox[{"[", 
                    RowBox[{"k", ",", "l", ",", "n", ",", "m"}], "]"}], 
                    "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"m", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"n", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"l", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", "lng"}], "}"}]}], "]"}], ",", "3"}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"q1nodes", "=", "constnodesSPFQ1"}], ";"}], "\[IndentingNewLine]",
    "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Non", "-", 
     RowBox[{"linear", " ", "constrained", " ", "optimizer"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GoalProgrammingWeightedAverage", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"fg", ":", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"_", ",", "_"}], "}"}], ".."}], "}"}]}], ",", "cons_"}], 
        "}"}], ",", "vars_", ",", 
       RowBox[{"opts___", "?", "OptionQ"}]}], "]"}], ":=", 
     RowBox[{"With", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"res", "=", 
         RowBox[{"Catch", "[", 
          RowBox[{"iGoalProgrammingWeightedAverage", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Append", "@@", "#"}], "&"}], ")"}], ",", 
                RowBox[{"Thread", "[", 
                 RowBox[{"{", 
                  RowBox[{"fg", ",", 
                   RowBox[{"ConstantArray", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{"{", 
                    RowBox[{"Length", "[", "fg", "]"}], "}"}]}], "]"}]}], 
                  "}"}], "]"}]}], "]"}], ",", "cons"}], "}"}], ",", "vars"}], 
           "]"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"res", "/;", 
        RowBox[{"ListQ", "[", "res", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GoalProgrammingWeightedAverage", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"fg", ":", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"_", ",", "_", ",", "_"}], "}"}], ".."}], "}"}]}], ",", 
         "cons_"}], "}"}], ",", "vars_", ",", 
       RowBox[{"opts___", "?", "OptionQ"}]}], "]"}], ":=", 
     RowBox[{"With", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"res", "=", 
         RowBox[{"Catch", "[", 
          RowBox[{"iGoalProgrammingWeightedAverage", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"fg", ",", "cons"}], "}"}], ",", "vars"}], "]"}], 
          "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"res", "/;", 
        RowBox[{"ListQ", "[", "res", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"iGoalProgrammingWeightedAverage", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"fg", ":", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"_", ",", "_", ",", "_"}], "}"}], ".."}], "}"}]}], ",", 
         "cons_"}], "}"}], ",", "vars_", ",", 
       RowBox[{"opts___", "?", "OptionQ"}]}], "]"}], ":=", 
     RowBox[{"Module", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "fs", ",", "goals", ",", "zs", ",", "z", ",", "res", ",", "ws"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"fs", ",", "goals", ",", "ws"}], "}"}], " ", "=", " ", 
         RowBox[{"Transpose", "[", "fg", "]"}]}], ";", "\[IndentingNewLine]", 
        
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"!", 
           RowBox[{"VectorQ", "[", 
            RowBox[{"ws", ",", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"#", ">=", "0"}], "&"}], ")"}]}], "]"}]}], ",", 
          RowBox[{"Throw", "[", "$Failed", "]"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"!", 
           RowBox[{"VectorQ", "[", 
            RowBox[{"goals", ",", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"NumericQ", "[", "#", "]"}], "&&", 
                 RowBox[{
                  RowBox[{"Head", "[", "#", "]"}], "=!=", "Complex"}]}], 
                ")"}], "&"}], ")"}]}], "]"}]}], ",", 
          RowBox[{"Throw", "[", "$Failed", "]"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"zs", "=", 
         RowBox[{"Array", "[", 
          RowBox[{"z", ",", 
           RowBox[{"Length", "[", "fs", "]"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"res", "=", 
         RowBox[{"FindMinimum", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"ws", ".", "zs"}], ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"And", "@@", 
                RowBox[{"Flatten", "[", 
                 RowBox[{
                  RowBox[{"{", "cons", "}"}], ",", "1"}], "]"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"And", "@@", 
                RowBox[{"Thread", "[", 
                 RowBox[{"zs", "\[GreaterEqual]", "0"}], "]"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"And", "@@", 
                RowBox[{"Thread", "[", 
                 RowBox[{"zs", "\[GreaterEqual]", 
                  RowBox[{"fs", "-", "goals"}]}], " ", "]"}]}], ")"}]}]}], 
            "}"}], ",", 
           RowBox[{"Join", "[", 
            RowBox[{
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"{", "vars", "}"}], ",", "1"}], "]"}], ",", "zs"}], 
            "]"}], ",", "opts"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"ListQ", "[", "res", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"fs", "/.", 
             RowBox[{"res", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", 
            RowBox[{"Thread", "[", 
             RowBox[{"vars", "\[Rule]", 
              RowBox[{"(", 
               RowBox[{"vars", "/.", 
                RowBox[{"res", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "]"}]}], "}"}]}], 
         "]"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "generate", " ", "list", " ", "of", " ", "equations", " ", "by", " ", 
      "period"}], ",", " ", 
     RowBox[{"used", " ", "to", " ", "identify", " ", "histograms"}]}], 
    "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q1nodesByDate", "[", "period_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "e1q1", ",", "e1q2", ",", "e1q3", ",", "e1q4", ",", "e1q5", ",", 
        "e1q6", ",", "e1q7", ",", "e1q8", ",", "e1q9", ",", "e1q10", ",", 
        "infql2", ",", "infql3", ",", "infql4", ",", "indcheck", ",", 
        "goal"}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"infql4", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "1"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql3", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "2"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql2", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "3"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"e1q1", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"8", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "9"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{"8", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "9"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q2", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"7", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "8"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{"7", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "8"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q3", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"6", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "7"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{"6", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "7"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q4", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"5", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "6"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{"5", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "6"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q5", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"4", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "5"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{"4", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "5"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q6", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"3", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "4"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{"3", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "4"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q7", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"2", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "3"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{"2", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "3"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q8", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"1", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "2"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{"1", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "2"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q9", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"0", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "1"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{"0", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "1"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e1q10", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ1", "[", 
              RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "1"}], "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ1", "[", 
                RowBox[{"infql2", ",", "infql3", ",", "infql4"}], "]"}], ",", 
               
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"indcheck", "=", 
        RowBox[{"{", 
         RowBox[{
         "e1q1", ",", "e1q2", ",", "e1q3", ",", "e1q4", ",", "e1q5", ",", 
          "e1q6", ",", "e1q7", ",", "e1q8", ",", "e1q9", ",", "e1q10"}], 
         "}"}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q2nodesByDate", "[", "period_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "e2q1", ",", "e2q2", ",", "e2q3", ",", "e2q4", ",", "e2q5", ",", 
        "e2q6", ",", "e2q7", ",", "e2q8", ",", "e2q9", ",", "e2q10", ",", 
        "indcheck", ",", "infq1", ",", "infql4", ",", "infql3", ",", "infql2",
         ",", "goal"}], "}"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"infq1", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "1"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql4", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "2"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql3", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "3"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql2", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "4"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q1", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"8", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "9"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{"8", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "9"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q2", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"7", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "8"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{"7", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "8"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q3", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"6", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "7"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{"6", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "7"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q4", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"5", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "6"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{"5", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "6"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q5", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"4", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "5"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{"4", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "5"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q6", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"3", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "4"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{"3", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "4"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q7", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"2", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "3"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{"2", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "3"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q8", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"1", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "2"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{"1", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "2"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q9", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"0", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "1"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{"0", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "1"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e2q10", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ2", "[", 
              RowBox[{"infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "1"}], "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ2", "[", 
                RowBox[{
                "infq1", ",", "infql2", ",", "infql3", ",", "infql4"}], "]"}],
                ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"indcheck", "=", 
        RowBox[{"{", 
         RowBox[{
         "e2q1", ",", "e2q2", ",", "e2q3", ",", "e2q4", ",", "e2q5", ",", 
          "e2q6", ",", "e2q7", ",", "e2q8", ",", "e2q9", ",", "e2q10"}], 
         "}"}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q3nodesByDate", "[", "period_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "e3q1", ",", "e3q2", ",", "e3q3", ",", "e3q4", ",", "e3q5", ",", 
        "e3q6", ",", "e3q7", ",", "e3q8", ",", "e3q9", ",", "e3q10", ",", 
        "indcheck", ",", "infq1", ",", "infq2", ",", "infql4", ",", "infql3", 
        ",", "infql2", ",", "goal"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"infq2", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "1"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infq1", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "2"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql4", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "3"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql3", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "4"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql2", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "5"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"e3q1", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"8", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "9"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"8", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "9"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q2", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"7", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "8"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"7", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "8"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q3", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"6", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "7"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"6", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "7"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q4", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"5", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "6"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"5", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "6"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q5", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"4", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "5"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"4", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "5"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q6", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"3", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "4"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"3", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "4"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q7", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"2", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "3"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"2", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "3"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q8", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"1", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "2"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"1", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "2"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q9", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"0", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "1"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"0", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "1"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q10", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ3", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
               "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "1"}], "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ3", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infql2", ",", "infql3", ",", 
                 "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"indcheck", "=", 
        RowBox[{"{", 
         RowBox[{
         "e3q1", ",", "e3q2", ",", "e3q3", ",", "e3q4", ",", "e3q5", ",", 
          "e3q6", ",", "e3q7", ",", "e3q8", ",", "e3q9", ",", "e3q10"}], 
         "}"}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q4nodesByDate", "[", "period_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "e3q1", ",", "e3q2", ",", "e3q3", ",", "e3q4", ",", "e3q5", ",", 
        "e3q6", ",", "e3q7", ",", "e3q8", ",", "e3q9", ",", "e3q10", ",", 
        "indcheck", ",", "infq1", ",", "infq2", ",", "infq3", ",", "infql4", 
        ",", "infql3", ",", "infql2", ",", "goal"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"infq3", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "1"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infq2", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "2"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infq1", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "3"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql4", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "4"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql3", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "5"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"infql2", "=", 
        RowBox[{
         RowBox[{"collectdata", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"period", "-", "6"}], ",", "1", ",", "2"}], "]"}], "]"}], 
         "/", "4"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"e3q1", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ4", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
               "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"8", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "9"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ4", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
                 "infql3", ",", "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"8", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "9"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q2", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ4", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
               "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"7", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "8"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ4", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
                 "infql3", ",", "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"7", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "8"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q3", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ4", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
               "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"6", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "7"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ4", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
                 "infql3", ",", "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"6", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "7"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q4", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ4", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
               "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"5", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "6"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ4", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
                 "infql3", ",", "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"5", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "6"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q5", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ4", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
               "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"4", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "5"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ4", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
                 "infql3", ",", "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"4", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "5"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q6", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ4", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
               "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"3", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "4"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ4", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
                 "infql3", ",", "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"3", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "4"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q7", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ4", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
               "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"2", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "3"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ4", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
                 "infql3", ",", "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"2", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "3"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q8", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ4", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
               "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"1", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "2"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ4", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
                 "infql3", ",", "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"1", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "2"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q9", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ4", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
               "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{"0", "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "1"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ4", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
                 "infql3", ",", "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{"0", "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "1"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"e3q10", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"constnodesSPFQ4", "[", 
              RowBox[{
              "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
               "infql3", ",", "infql4"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "1"}], "<=", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&"}]}], "]"}], 
           "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"constnodesSPFQ4", "[", 
                RowBox[{
                "infq1", ",", "infq2", ",", "infq3", ",", "infql2", ",", 
                 "infql3", ",", "infql4"}], "]"}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "<=", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&"}]}], "]"}], 
             "]"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"indcheck", "=", 
        RowBox[{"{", 
         RowBox[{
         "e3q1", ",", "e3q2", ",", "e3q3", ",", "e3q4", ",", "e3q5", ",", 
          "e3q6", ",", "e3q7", ",", "e3q8", ",", "e3q9", ",", "e3q10"}], 
         "}"}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q1ListofEqns", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Q1nodesByDate", "[", "j", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "5", ",", 
         RowBox[{"Length", "[", "databydate", "]"}], ",", "4"}], "}"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\"\<here Q1\>\"", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q2ListofEqns", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Q2nodesByDate", "[", "j", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "6", ",", 
         RowBox[{"Length", "[", "databydate", "]"}], ",", "4"}], "}"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\"\<here Q2\>\"", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q3ListofEqns", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Q3nodesByDate", "[", "j", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "7", ",", 
         RowBox[{"Length", "[", "databydate", "]"}], ",", "4"}], "}"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\"\<here Q3\>\"", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q4ListofEqns", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Q4nodesByDate", "[", "j", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "8", ",", 
         RowBox[{"Length", "[", "databydate", "]"}], ",", "4"}], "}"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "functions", " ", "to", " ", "compute", " ", "individual", " ", 
      "histograms"}], ",", " ", 
     RowBox[{"by", " ", "quarter"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"indhistQ1", "[", 
     RowBox[{"period_", ",", "ind_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "e1q1", ",", "e1q2", ",", "e1q3", ",", "e1q4", ",", "e1q5", ",", 
        "e1q6", ",", "e1q7", ",", "e1q8", ",", "e1q9", ",", "e1q10", ",", 
        "infql2", ",", "infql3", ",", "infql4", ",", "indcheck", ",", 
        "goal"}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "e1q1", ",", "e1q2", ",", "e1q3", ",", "e1q4", ",", "e1q5", ",", 
          "e1q6", ",", "e1q7", ",", "e1q8", ",", "e1q9", ",", "e1q10"}], 
         "}"}], "=", 
        RowBox[{"Q1ListofEqns", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"period", "+", "3"}], ")"}], "/", "4"}], "]"}], "]"}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"goal", "=", 
        RowBox[{
         RowBox[{"databydate", "[", 
          RowBox[{"[", 
           RowBox[{"period", ",", "ind", ",", 
            RowBox[{"2", ";;", 
             RowBox[{"Length", "[", 
              RowBox[{"databydate", "[", 
               RowBox[{"[", 
                RowBox[{"period", ",", "ind"}], "]"}], "]"}], "]"}]}]}], 
           "]"}], "]"}], "/", "100"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", 
           RowBox[{"Cases", "[", 
            RowBox[{"goal", ",", 
             RowBox[{"_", "?", "PossibleZeroQ"}]}], "]"}], "]"}], ">=", 
          RowBox[{"Length", "[", 
           RowBox[{"Cases", "[", 
            RowBox[{"indcheck", ",", 
             RowBox[{"_", "?", "PossibleZeroQ"}]}], "]"}], "]"}]}], ",", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"#", "<", "1`*^-03"}], ",", "0", ",", "#"}], "]"}], 
            "&"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "p1", ",", "p2", ",", "p3", ",", "p4", ",", "p5", ",", "p6", ",",
               "p7", ",", "p8", ",", "p9", ",", "p10"}], "}"}], "/.", 
            RowBox[{
             RowBox[{"GoalProgrammingWeightedAverage", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q1", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q2", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q3", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q4", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q5", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q6", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "6", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q7", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "7", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q8", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "8", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q9", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "9", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e1q10", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "10", "]"}], "]"}]}], ",", "0"}], "}"}]}], 
                  "}"}], ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                   "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", 
                    "p6", "+", "p7", "+", "p8", "+", "p9", "+", "p10"}], 
                   "\[Equal]", "1"}], "&&", 
                  RowBox[{"p1", ">=", "0"}], "&&", 
                  RowBox[{"p2", ">=", "0"}], "&&", 
                  RowBox[{"p3", ">=", "0"}], "&&", 
                  RowBox[{"p4", ">=", "0"}], "&&", 
                  RowBox[{"p5", ">=", "0"}], "&&", 
                  RowBox[{"p6", ">=", "0"}], "&&", 
                  RowBox[{"p7", ">=", "0"}], "&&", 
                  RowBox[{"p8", ">=", "0"}], "&&", 
                  RowBox[{"p9", ">=", "0"}], "&&", 
                  RowBox[{"p10", ">=", "0"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                "p1", ",", "p2", ",", "p3", ",", "p4", ",", "p5", ",", "p6", 
                 ",", "p7", ",", "p8", ",", "p9", ",", "p10"}], "}"}]}], 
              "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"indhistQ2", "[", 
     RowBox[{"period_", ",", "ind_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "e2q1", ",", "e2q2", ",", "e2q3", ",", "e2q4", ",", "e2q5", ",", 
        "e2q6", ",", "e2q7", ",", "e2q8", ",", "e2q9", ",", "e2q10", ",", 
        "indcheck", ",", "infq1", ",", "infql4", ",", "infql3", ",", "infql2",
         ",", "goal"}], "}"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "e2q1", ",", "e2q2", ",", "e2q3", ",", "e2q4", ",", "e2q5", ",", 
          "e2q6", ",", "e2q7", ",", "e2q8", ",", "e2q9", ",", "e2q10"}], 
         "}"}], "=", 
        RowBox[{"Q2ListofEqns", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"period", "+", "2"}], ")"}], "/", "4"}], "]"}], "]"}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"goal", "=", 
        RowBox[{
         RowBox[{"databydate", "[", 
          RowBox[{"[", 
           RowBox[{"period", ",", "ind", ",", 
            RowBox[{"2", ";;", 
             RowBox[{"Length", "[", 
              RowBox[{"databydate", "[", 
               RowBox[{"[", 
                RowBox[{"period", ",", "ind"}], "]"}], "]"}], "]"}]}]}], 
           "]"}], "]"}], "/", "100"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", 
           RowBox[{"Cases", "[", 
            RowBox[{"goal", ",", 
             RowBox[{"_", "?", "PossibleZeroQ"}]}], "]"}], "]"}], ">=", 
          RowBox[{"Length", "[", 
           RowBox[{"Cases", "[", 
            RowBox[{"indcheck", ",", 
             RowBox[{"_", "?", "PossibleZeroQ"}]}], "]"}], "]"}]}], ",", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"#", "<", "1`*^-02"}], ",", "0", ",", "#"}], "]"}], 
            "&"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "p1", ",", "p2", ",", "p3", ",", "p4", ",", "p5", ",", "p6", ",",
               "p7", ",", "p8", ",", "p9", ",", "p10"}], "}"}], "/.", 
            RowBox[{
             RowBox[{"GoalProgrammingWeightedAverage", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q1", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q2", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q3", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q4", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q5", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q6", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "6", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q7", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "7", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q8", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "8", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q9", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "9", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e2q10", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "10", "]"}], "]"}]}], ",", "0"}], "}"}]}], 
                  "}"}], ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                   "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", 
                    "p6", "+", "p7", "+", "p8", "+", "p9", "+", "p10"}], 
                   "\[Equal]", "1"}], "&&", 
                  RowBox[{"p1", ">=", "0"}], "&&", 
                  RowBox[{"p2", ">=", "0"}], "&&", 
                  RowBox[{"p3", ">=", "0"}], "&&", 
                  RowBox[{"p4", ">=", "0"}], "&&", 
                  RowBox[{"p5", ">=", "0"}], "&&", 
                  RowBox[{"p6", ">=", "0"}], "&&", 
                  RowBox[{"p7", ">=", "0"}], "&&", 
                  RowBox[{"p8", ">=", "0"}], "&&", 
                  RowBox[{"p9", ">=", "0"}], "&&", 
                  RowBox[{"p10", ">=", "0"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                "p1", ",", "p2", ",", "p3", ",", "p4", ",", "p5", ",", "p6", 
                 ",", "p7", ",", "p8", ",", "p9", ",", "p10"}], "}"}]}], 
              "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"indhistQ3", "[", 
     RowBox[{"period_", ",", "ind_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "e3q1", ",", "e3q2", ",", "e3q3", ",", "e3q4", ",", "e3q5", ",", 
        "e3q6", ",", "e3q7", ",", "e3q8", ",", "e3q9", ",", "e3q10", ",", 
        "indcheck", ",", "infq1", ",", "infq2", ",", "infql4", ",", "infql3", 
        ",", "infql2", ",", "goal"}], "}"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "e3q1", ",", "e3q2", ",", "e3q3", ",", "e3q4", ",", "e3q5", ",", 
          "e3q6", ",", "e3q7", ",", "e3q8", ",", "e3q9", ",", "e3q10"}], 
         "}"}], "=", 
        RowBox[{"Q3ListofEqns", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"period", "+", "1"}], ")"}], "/", "4"}], "]"}], "]"}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"goal", "=", 
        RowBox[{
         RowBox[{"databydate", "[", 
          RowBox[{"[", 
           RowBox[{"period", ",", "ind", ",", 
            RowBox[{"2", ";;", "11"}]}], "]"}], "]"}], "/", "100"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", 
           RowBox[{"Cases", "[", 
            RowBox[{"goal", ",", 
             RowBox[{"_", "?", "PossibleZeroQ"}]}], "]"}], "]"}], ">=", 
          RowBox[{"Length", "[", 
           RowBox[{"Cases", "[", 
            RowBox[{"indcheck", ",", 
             RowBox[{"_", "?", "PossibleZeroQ"}]}], "]"}], "]"}]}], ",", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"#", "<", "1`*^-03"}], ",", "0", ",", "#"}], "]"}], 
            "&"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "p1", ",", "p2", ",", "p3", ",", "p4", ",", "p5", ",", "p6", ",",
               "p7", ",", "p8", ",", "p9", ",", "p10"}], "}"}], "/.", 
            RowBox[{
             RowBox[{"GoalProgrammingWeightedAverage", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q1", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q2", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q3", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q4", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q5", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q6", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "6", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q7", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "7", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q8", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "8", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q9", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "9", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q10", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "10", "]"}], "]"}]}], ",", "0"}], "}"}]}], 
                  "}"}], ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                   "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", 
                    "p6", "+", "p7", "+", "p8", "+", "p9", "+", "p10"}], 
                   "\[Equal]", "1"}], "&&", 
                  RowBox[{"p1", ">=", "0"}], "&&", 
                  RowBox[{"p2", ">=", "0"}], "&&", 
                  RowBox[{"p3", ">=", "0"}], "&&", 
                  RowBox[{"p4", ">=", "0"}], "&&", 
                  RowBox[{"p5", ">=", "0"}], "&&", 
                  RowBox[{"p6", ">=", "0"}], "&&", 
                  RowBox[{"p7", ">=", "0"}], "&&", 
                  RowBox[{"p8", ">=", "0"}], "&&", 
                  RowBox[{"p9", ">=", "0"}], "&&", 
                  RowBox[{"p10", ">=", "0"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                "p1", ",", "p2", ",", "p3", ",", "p4", ",", "p5", ",", "p6", 
                 ",", "p7", ",", "p8", ",", "p9", ",", "p10"}], "}"}]}], 
              "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"indhistQ4", "[", 
     RowBox[{"period_", ",", "ind_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "eq1", ",", "eq2", ",", "eq3", ",", "eq4", ",", "eq5", ",", "eq6", ",",
         "eq7", ",", "eq8", ",", "eq9", ",", "eq10", ",", "indcheck", ",", 
        "Q4listofeqs", ",", "infq1", ",", "infq2", ",", "infq3", ",", 
        "infql2", ",", "infql3", ",", "infql4", ",", "goal"}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"infq3", "=", 
        RowBox[{"collectdata", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"period", "-", "1"}], ",", "1", ",", "2"}], "]"}], "]"}]}],
        ";", "\[IndentingNewLine]", 
       RowBox[{"infq2", "=", 
        RowBox[{"collectdata", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"period", "-", "2"}], ",", "1", ",", "2"}], "]"}], "]"}]}],
        ";", "\[IndentingNewLine]", 
       RowBox[{"infq1", "=", 
        RowBox[{"collectdata", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"period", "-", "3"}], ",", "1", ",", "2"}], "]"}], "]"}]}],
        ";", "\[IndentingNewLine]", 
       RowBox[{"infql4", "=", 
        RowBox[{"collectdata", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"period", "-", "4"}], ",", "1", ",", "2"}], "]"}], "]"}]}],
        ";", "\[IndentingNewLine]", 
       RowBox[{"infql3", "=", 
        RowBox[{"collectdata", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"period", "-", "5"}], ",", "1", ",", "2"}], "]"}], "]"}]}],
        ";", "\[IndentingNewLine]", 
       RowBox[{"infql2", "=", 
        RowBox[{"collectdata", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"period", "-", "6"}], ",", "1", ",", "2"}], "]"}], "]"}]}],
        ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "e3q1", ",", "e3q2", ",", "e3q3", ",", "e3q4", ",", "e3q5", ",", 
          "e3q6", ",", "e3q7", ",", "e3q8", ",", "e3q9", ",", "e3q10"}], 
         "}"}], "=", 
        RowBox[{"Q4ListofEqns", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", 
           RowBox[{"period", "/", "4"}]}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"goal", "=", 
        RowBox[{
         RowBox[{"databydate", "[", 
          RowBox[{"[", 
           RowBox[{"period", ",", "ind", ",", 
            RowBox[{"2", ";;", "11"}]}], "]"}], "]"}], "/", "100"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", 
           RowBox[{"Cases", "[", 
            RowBox[{"goal", ",", 
             RowBox[{"_", "?", "PossibleZeroQ"}]}], "]"}], "]"}], ">=", 
          RowBox[{"Length", "[", 
           RowBox[{"Cases", "[", 
            RowBox[{"indcheck", ",", 
             RowBox[{"_", "?", "PossibleZeroQ"}]}], "]"}], "]"}]}], ",", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"#", "<", "1`*^-03"}], ",", "0", ",", "#"}], "]"}], 
            "&"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "p1", ",", "p2", ",", "p3", ",", "p4", ",", "p5", ",", "p6", ",",
               "p7", ",", "p8", ",", "p9", ",", "p10"}], "}"}], "/.", 
            RowBox[{
             RowBox[{"GoalProgrammingWeightedAverage", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q1", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q2", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q3", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q4", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q5", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q6", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "6", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q7", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "7", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q8", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "8", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q9", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "9", "]"}], "]"}]}], ",", "0"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e3q10", "-", 
                    RowBox[{"goal", "[", 
                    RowBox[{"[", "10", "]"}], "]"}]}], ",", "0"}], "}"}]}], 
                  "}"}], ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                   "p1", "+", "p2", "+", "p3", "+", "p4", "+", "p5", "+", 
                    "p6", "+", "p7", "+", "p8", "+", "p9", "+", "p10"}], 
                   "\[Equal]", "1"}], "&&", 
                  RowBox[{"p1", ">=", "0"}], "&&", 
                  RowBox[{"p2", ">=", "0"}], "&&", 
                  RowBox[{"p3", ">=", "0"}], "&&", 
                  RowBox[{"p4", ">=", "0"}], "&&", 
                  RowBox[{"p5", ">=", "0"}], "&&", 
                  RowBox[{"p6", ">=", "0"}], "&&", 
                  RowBox[{"p7", ">=", "0"}], "&&", 
                  RowBox[{"p8", ">=", "0"}], "&&", 
                  RowBox[{"p9", ">=", "0"}], "&&", 
                  RowBox[{"p10", ">=", "0"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                "p1", ",", "p2", ",", "p3", ",", "p4", ",", "p5", ",", "p6", 
                 ",", "p7", ",", "p8", ",", "p9", ",", "p10"}], "}"}]}], 
              "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}]}]}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"individhists", "[", 
     RowBox[{"qtr_", ",", "ind_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "date", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"date", "=", 
        RowBox[{"databydate", "[", 
         RowBox[{"[", 
          RowBox[{"qtr", ",", "1", ",", "1", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"MatchQ", "[", 
          RowBox[{"date", ",", "1"}], "]"}], ",", 
         RowBox[{"indhistQ1", "[", 
          RowBox[{"qtr", ",", "ind"}], "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"MatchQ", "[", 
            RowBox[{"date", ",", "4"}], "]"}], ",", 
           RowBox[{"indhistQ2", "[", 
            RowBox[{"qtr", ",", "ind"}], "]"}], ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"MatchQ", "[", 
              RowBox[{"date", ",", "7"}], "]"}], ",", 
             RowBox[{"indhistQ3", "[", 
              RowBox[{"qtr", ",", "ind"}], "]"}], ",", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"MatchQ", "[", 
                RowBox[{"date", ",", "10"}], "]"}], ",", 
               RowBox[{"indhistQ4", "[", 
                RowBox[{"qtr", ",", "ind"}], "]"}]}], "]"}]}], "]"}]}], 
          "]"}]}], "]"}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.5520730541513042`*^9, 3.552073090526515*^9}, {
   3.5522358320461817`*^9, 3.552235880309218*^9}, {3.5522359933381987`*^9, 
   3.552236018023509*^9}, {3.552236118291136*^9, 3.552236150198792*^9}, {
   3.552236195988188*^9, 3.552236311055551*^9}, {3.552240988001449*^9, 
   3.552241014177617*^9}, {3.552245676093368*^9, 3.552245718987974*^9}, {
   3.552245754621851*^9, 3.552245756788754*^9}, {3.5522458585433893`*^9, 
   3.5522459026879787`*^9}, 3.552245976778206*^9, {3.552398187712821*^9, 
   3.552398255074933*^9}, {3.5523984386419897`*^9, 3.552398471307672*^9}, {
   3.552398760939505*^9, 3.552398782948801*^9}, {3.552398836484479*^9, 
   3.552398902035722*^9}, {3.5523989904083*^9, 3.552399016007707*^9}, {
   3.552399429512727*^9, 3.552399643184916*^9}, {3.5523997054936934`*^9, 
   3.552399734680208*^9}, {3.552399878994783*^9, 3.552399882497143*^9}, 
   3.55240065552028*^9, 3.5524006968376637`*^9, {3.5524011730941772`*^9, 
   3.552401178079187*^9}, {3.552401226550118*^9, 3.552401229856718*^9}, {
   3.552402914311324*^9, 3.552403129462607*^9}, {3.552403187496359*^9, 
   3.552403276722855*^9}, 3.552404037482184*^9, {3.552404076625242*^9, 
   3.552404089068294*^9}, {3.552409450112493*^9, 3.552409504773643*^9}, {
   3.552409557839979*^9, 3.552409605824914*^9}, 3.5524096562179317`*^9, {
   3.5524098149720716`*^9, 3.552409825073827*^9}, {3.5524098594747133`*^9, 
   3.552409862560771*^9}, {3.552409906479953*^9, 3.552409924212631*^9}, 
   3.552409966466263*^9, {3.552409996703611*^9, 3.552410014636889*^9}, {
   3.553865240398295*^9, 3.5538652495524073`*^9}, {3.553865862305024*^9, 
   3.5538658901544*^9}, {3.553866621940226*^9, 3.553866633703157*^9}, {
   3.553880530106964*^9, 3.5538805666056967`*^9}, {3.553880603866713*^9, 
   3.55388061301066*^9}, {3.5538807084696007`*^9, 3.553880719046033*^9}, {
   3.553888874887168*^9, 3.553888899389818*^9}, {3.553888949230979*^9, 
   3.5538889786349373`*^9}, {3.553889141185397*^9, 3.553889183677331*^9}, {
   3.553889541886442*^9, 3.553889690695354*^9}, {3.554037416349835*^9, 
   3.554037440729422*^9}, {3.554038756639208*^9, 3.5540387630451097`*^9}, {
   3.5540387981871443`*^9, 3.5540388137568493`*^9}, {3.55403903029622*^9, 
   3.55403903325634*^9}, {3.554039234011935*^9, 3.554039234312524*^9}, 
   3.554039303061894*^9, {3.554039463014258*^9, 3.554039534991688*^9}, {
   3.5540407340360203`*^9, 3.5540407768108273`*^9}, {3.554040818486373*^9, 
   3.5540408337987413`*^9}, {3.554041799230015*^9, 3.554041805789359*^9}, {
   3.5540418673574963`*^9, 3.554041870457423*^9}, {3.5540419354941483`*^9, 
   3.55404207719221*^9}, 3.5540426079343767`*^9, {3.554044148517684*^9, 
   3.554044192228063*^9}, 3.554044267415491*^9, {3.554044303151206*^9, 
   3.554044394062829*^9}, {3.554044438166298*^9, 3.5540444714583673`*^9}, {
   3.554044610248152*^9, 3.554044681769376*^9}, {3.554044723558584*^9, 
   3.554044755337049*^9}, {3.554044785686337*^9, 3.554044821411736*^9}, {
   3.554044858163447*^9, 3.55404511289851*^9}, {3.554046579003031*^9, 
   3.554046596878007*^9}, {3.554051340942788*^9, 3.554051390529001*^9}, {
   3.55405145810903*^9, 3.554051577795458*^9}, {3.554051628193037*^9, 
   3.554051669213516*^9}, {3.5540518033984127`*^9, 3.554051895116901*^9}, {
   3.554468567265442*^9, 3.554468882556385*^9}, {3.555089852131954*^9, 
   3.555089916110341*^9}, {3.569697781722378*^9, 3.569697782897986*^9}, {
   3.569761726120569*^9, 3.569761740730941*^9}, {3.569761819231496*^9, 
   3.569761832793428*^9}, {3.569762100223381*^9, 3.569762102108245*^9}, {
   3.5697621363939447`*^9, 3.569762139694152*^9}, {3.569762263017694*^9, 
   3.5697622632241983`*^9}, {3.570211325862808*^9, 3.570211337209647*^9}, {
   3.5702115551925993`*^9, 3.570211581017564*^9}, {3.570211615009365*^9, 
   3.570211617203903*^9}, {3.5702116538050547`*^9, 3.5702117107907343`*^9}, {
   3.5702118719363413`*^9, 3.570211991659202*^9}, {3.570212034196751*^9, 
   3.570212041803383*^9}, {3.5702137115195303`*^9, 3.57021378653583*^9}, {
   3.57021391807535*^9, 3.570213989376175*^9}, {3.570214135589424*^9, 
   3.570214204547411*^9}, {3.57021439685942*^9, 3.5702144520117493`*^9}, {
   3.570214514845828*^9, 3.5702145213601294`*^9}, {3.570214554704698*^9, 
   3.570214559384203*^9}, {3.570214640772036*^9, 3.5702146507123737`*^9}, {
   3.570214682165758*^9, 3.570214720104856*^9}, {3.570214775093429*^9, 
   3.570214790913075*^9}, {3.570214826279409*^9, 3.570214918882477*^9}, {
   3.570214967429604*^9, 3.57021497174961*^9}, {3.570215003510014*^9, 
   3.570215046858185*^9}, {3.570215305149891*^9, 3.5702153140518303`*^9}, {
   3.570215401880496*^9, 3.5702154461891403`*^9}, {3.570215484032928*^9, 
   3.5702154893672867`*^9}, {3.5702155355708923`*^9, 
   3.5702155662701273`*^9}, {3.5702155972942543`*^9, 3.570215625512843*^9}, {
   3.570215670336371*^9, 3.570215723621337*^9}, {3.570215929009891*^9, 
   3.570216043983981*^9}, {3.570216462490575*^9, 3.570216471050313*^9}, {
   3.570216540305139*^9, 3.570216547735066*^9}, {3.570217587983481*^9, 
   3.570217602005767*^9}, {3.570217746759465*^9, 3.570217747558597*^9}, {
   3.570217787073782*^9, 3.57021779641072*^9}, {3.570218813130603*^9, 
   3.5702188791637897`*^9}, {3.570218933376795*^9, 3.5702189440529747`*^9}, {
   3.570219136465844*^9, 3.5702191407981043`*^9}, {3.570219193827775*^9, 
   3.5702193491830797`*^9}, 3.570219392696121*^9, {3.570219528833699*^9, 
   3.5702196727288437`*^9}, {3.5702812175536137`*^9, 3.570281261310998*^9}, {
   3.570281382778723*^9, 3.570281404523288*^9}, {3.570281557405704*^9, 
   3.570281622004979*^9}, {3.570283790344324*^9, 3.570283805988995*^9}, {
   3.570284331073741*^9, 3.570284341308865*^9}, {3.570286278007942*^9, 
   3.570286291524576*^9}, {3.570286572876399*^9, 3.570286599370758*^9}, 
   3.570286747315682*^9, {3.570293782875001*^9, 3.5702938279373817`*^9}, {
   3.570293968842886*^9, 3.5702940613512697`*^9}, 3.5702942249276247`*^9, {
   3.570294268589102*^9, 3.570294278280671*^9}, {3.570294388642334*^9, 
   3.570294437719244*^9}, {3.5702944754918003`*^9, 3.570294491800124*^9}, {
   3.570294535212205*^9, 3.570294542129694*^9}, {3.5702946158078623`*^9, 
   3.57029465107836*^9}, 3.5702946861653967`*^9, {3.571512683654591*^9, 
   3.5715127201788197`*^9}, {3.576930837030962*^9, 3.576930881356866*^9}, {
   3.576930920941625*^9, 3.57693094229561*^9}, {3.576930992535515*^9, 
   3.576931001711009*^9}, {3.5769312639126377`*^9, 3.5769312787275457`*^9}, {
   3.5769313180031347`*^9, 3.576931331575602*^9}, 3.576931398232147*^9, {
   3.576931428695299*^9, 3.576931429201935*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Create", " ", "table", " ", "that", " ", "collects", " ", "individual", 
     " ", "histograms", " ", "by", " ", "quarter"}], ",", " ", 
    RowBox[{
    "then", " ", "export", " ", "the", " ", "data", " ", "to", " ", "use", 
     " ", "in", " ", "program", " ", "that", " ", "computes", " ", 
     "moments"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"individualdatatable", "=", 
     RowBox[{"Quiet", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"databydate", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"j", "+", "4"}], ",", "i", ",", "1"}], "]"}], "]"}], 
            ",", 
            RowBox[{"individhists", "[", 
             RowBox[{"j", ",", "i"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"databydate", "[", 
              RowBox[{"[", "j", "]"}], "]"}], "]"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "1", ",", 
          RowBox[{
           RowBox[{"Length", "[", "databydate", "]"}], "-", "4"}]}], "}"}]}], 
       "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{
    "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
individ_hists_current_inf_carry_use\>\"", ",", "individualdatatable", ",", 
     "\"\<List\>\""}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.5540519669634647`*^9, 3.554052091751758*^9}, {
   3.554469143684811*^9, 3.554469148342307*^9}, {3.5699624135041847`*^9, 
   3.569962424033081*^9}, {3.570281843287156*^9, 3.570281849071114*^9}, 
   3.570281924416301*^9, {3.5702840962004023`*^9, 3.5702841078462667`*^9}, {
   3.570284181887166*^9, 3.5702841863991833`*^9}, 3.57028849424341*^9, {
   3.5702885369907227`*^9, 3.57028853800384*^9}, {3.570289926156505*^9, 
   3.570289932868636*^9}, {3.576931040072887*^9, 3.5769310855678463`*^9}}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/Data/individ_hists_current_inf_carry_use\"\>"], \
"Output",
 CellChangeTimes->{3.570296566517097*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.5702922397511387`*^9, 3.570292241480398*^9}}]
},
WindowSize->{1440, 785},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 6, \
2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 125155, 3126, 4198, "Input"],
Cell[CellGroupData[{
Cell[125737, 3150, 2115, 49, 58, "Input"],
Cell[127855, 3201, 183, 3, 27, "Output"]
}, Open  ]],
Cell[128053, 3207, 94, 1, 27, "Input"]
}
]
*)

(* End of internal cache information *)
