(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    256010,       5730]
NotebookOptionsPosition[    253952,       5661]
NotebookOutlinePosition[    254308,       5677]
CellTagsIndexPosition[    254265,       5674]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"calculates", " ", "uncertainty", " ", "moments"}], ",", " ", 
    RowBox[{
    "uses", " ", "data", " ", "from", " ", "individ_comps", " ", 
     "programs"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"test1", "=", 
     RowBox[{"Import", "[", 
      RowBox[{
      "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
individ_hists_current_inf_carry_alt\>\"", ",", "\"\<List\>\""}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"indconvfix", "=", 
     RowBox[{"ToExpression", "[", "test1", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"indconv", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Select", "[", 
        RowBox[{
         RowBox[{"indconvfix", "[", 
          RowBox[{"[", "j", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"MatchQ", "[", 
           RowBox[{
            RowBox[{"Length", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", "6"}], 
           "]"}], "&"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "indconvfix", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"load", " ", "GDP", " ", "growth", " ", "data"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"testG", "=", 
     RowBox[{"Import", "[", 
      RowBox[{
      "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
individ_hists_rev_GDP_carry_alt\>\"", ",", "\"\<List\>\""}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"indconvGfix", "=", 
     RowBox[{"ToExpression", "[", "testG", "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"indconvG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Select", "[", 
        RowBox[{
         RowBox[{"indconvGfix", "[", 
          RowBox[{"[", "j", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"MatchQ", "[", 
           RowBox[{
            RowBox[{"Length", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", "6"}], 
           "]"}], "&"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "indconvGfix", "]"}]}], "}"}]}], "]"}]}], 
    ";"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5545670309237947`*^9, 3.5545670455298977`*^9}, 
   3.554643630208143*^9, {3.5546576240012827`*^9, 3.554657625463257*^9}, {
   3.5550868586060877`*^9, 3.555086925473778*^9}, {3.555099968929563*^9, 
   3.555099970231592*^9}, 3.556542421372993*^9, {3.556542785009132*^9, 
   3.556542792631926*^9}, 3.556543119995329*^9, {3.556545574836626*^9, 
   3.556545711967142*^9}, {3.556546029606524*^9, 3.556546065522009*^9}, {
   3.556547648868329*^9, 3.556547661587978*^9}, {3.556547693492258*^9, 
   3.556547709824868*^9}, {3.556548226829537*^9, 3.556548287319105*^9}, 
   3.5565502747907963`*^9, {3.556894305165886*^9, 3.556894305827384*^9}, {
   3.556894382341465*^9, 3.556894435037116*^9}, {3.556894478583499*^9, 
   3.556894671835415*^9}, {3.5570663675564833`*^9, 3.5570664877925463`*^9}, {
   3.557067556260502*^9, 3.557067699567856*^9}, {3.557068021352425*^9, 
   3.557068034061605*^9}, {3.557068272389628*^9, 3.5570682982309933`*^9}, {
   3.560106434708577*^9, 3.5601064358013287`*^9}, {3.560176353266882*^9, 
   3.560176378981084*^9}, {3.569871763663762*^9, 3.569871769103209*^9}, {
   3.5699443199023237`*^9, 3.56994433130799*^9}, {3.569961358714409*^9, 
   3.569961359710334*^9}, {3.5699614674743633`*^9, 3.569961467944043*^9}, 
   3.5699618142431097`*^9, {3.570195469528677*^9, 3.570195471645575*^9}, {
   3.570283073174637*^9, 3.570283107780611*^9}, {3.570283239490657*^9, 
   3.5702832753529654`*^9}, {3.570283341616379*^9, 3.570283374174971*^9}, {
   3.570297624508954*^9, 3.570297625215123*^9}, {3.57029910522128*^9, 
   3.570299118414484*^9}, {3.570539331423999*^9, 3.5705393592758293`*^9}, {
   3.570539425620152*^9, 3.570539429258707*^9}, 3.5705394967283373`*^9, {
   3.570540067475136*^9, 3.570540068805995*^9}, {3.57054145770681*^9, 
   3.570541500530182*^9}, {3.570901522888871*^9, 3.570901528261273*^9}, {
   3.570901610899033*^9, 3.5709016195827923`*^9}, {3.5709016664897633`*^9, 
   3.570901692454834*^9}, {3.5710772466500483`*^9, 3.571077282153866*^9}, 
   3.571077342920553*^9, {3.5716670170093117`*^9, 3.571667038671803*^9}, {
   3.576931966045165*^9, 3.576931996731462*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Functions", " ", "for", " ", "Inflation", " ", "Histogram", " ", 
    "estimation"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"constfrcs", "[", 
      RowBox[{"k_", ",", "j_", ",", "individualdatatable_"}], "]"}], ":=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"MatchQ", "[", 
        RowBox[{
         RowBox[{"individualdatatable", "[", 
          RowBox[{"[", 
           RowBox[{"k", ",", "j", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}], ",", 
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{"individualdatatable", "[", 
          RowBox[{"[", 
           RowBox[{"k", ",", "j"}], "]"}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}], ",", 
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{"individualdatatable", "[", 
          RowBox[{"[", 
           RowBox[{"k", ",", "j"}], "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ConstantArray", "[", 
            RowBox[{"8.0", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "1"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"7.0", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "2"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"6", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "3"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"5", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "4"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"4.0", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "5"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"3", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "6"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"2", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "7"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"1", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "8"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"0", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "9"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{
             RowBox[{"-", "1"}], ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "10"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}]}], "}"}]}], "]"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"constfrcsbeta", "[", 
      RowBox[{"k_", ",", "j_", ",", "individualdatatable_"}], "]"}], ":=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"MatchQ", "[", 
        RowBox[{
         RowBox[{"individualdatatable", "[", 
          RowBox[{"[", 
           RowBox[{"k", ",", "j", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}], ",", 
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{"individualdatatable", "[", 
          RowBox[{"[", 
           RowBox[{"k", ",", "j"}], "]"}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}], ",", 
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{"individualdatatable", "[", 
          RowBox[{"[", 
           RowBox[{"k", ",", "j"}], "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ConstantArray", "[", 
            RowBox[{"10.0", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "1"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"9", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "2"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"8", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "3"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"7", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "4"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"6", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "5"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"5", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "6"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"4", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "7"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"3", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "8"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"2", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "9"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"1", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "10"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}]}], "}"}]}], "]"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Functions", " ", "that", " ", "calculate", " ", "moments", " ", "from", 
     " ", "estimated", " ", "distributions"}], "*)"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{
     RowBox[{"IQRfunc", "[", 
      RowBox[{"k_", ",", "individualdatatable_"}], "]"}], ":=", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"MatchQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"constfrcs", "[", 
             RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], "[", 
            
            RowBox[{"[", "3", "]"}], "]"}], ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", 
         RowBox[{"{", "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcs", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], "\[NotEqual]", 
            RowBox[{"Max", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcs", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}]}], ",", 
           RowBox[{"InterquartileRange", "[", "\[IndentingNewLine]", "\t", 
            RowBox[{
            "SmoothKernelDistribution", "[", "\[IndentingNewLine]", "\t", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcs", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
             "]"}], "\[IndentingNewLine]", "]"}], ",", "0"}], "]"}]}], "]"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"individualdatatable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Medianfunc", "[", 
      RowBox[{"k_", ",", "individualdatatable_"}], "]"}], ":=", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"MatchQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"constfrcs", "[", 
             RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], "[", 
            
            RowBox[{"[", "3", "]"}], "]"}], ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", 
         RowBox[{"{", "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcs", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], "\[NotEqual]", 
            RowBox[{"Max", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcs", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}]}], ",", 
           RowBox[{"Median", "[", "\[IndentingNewLine]", "\t", 
            RowBox[{
            "SmoothKernelDistribution", "[", "\[IndentingNewLine]", "\t", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcs", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
             "]"}], "\[IndentingNewLine]", "]"}], ",", "0"}], "]"}]}], "]"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"individualdatatable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Meanfunc", "[", 
      RowBox[{"k_", ",", "individualdatatable_"}], "]"}], ":=", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"MatchQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"constfrcs", "[", 
             RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], "[", 
            
            RowBox[{"[", "3", "]"}], "]"}], ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", 
         RowBox[{"{", "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcs", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], "\[NotEqual]", 
            RowBox[{"Max", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcs", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}]}], ",", 
           RowBox[{"Mean", "[", "\[IndentingNewLine]", "\t", 
            RowBox[{
            "SmoothKernelDistribution", "[", "\[IndentingNewLine]", "\t", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcs", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
             "]"}], "\[IndentingNewLine]", "]"}], ",", "0"}], "]"}]}], "]"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"individualdatatable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"IQRfuncBeta", "[", 
      RowBox[{"k_", ",", "individualdatatable_"}], "]"}], ":=", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"MatchQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"constfrcsbeta", "[", 
             RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], "[", 
            
            RowBox[{"[", "3", "]"}], "]"}], ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", 
         RowBox[{"{", "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsbeta", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], "\[NotEqual]", 
            RowBox[{"Max", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsbeta", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}]}], ",", 
           RowBox[{"InterquartileRange", "[", "\[IndentingNewLine]", "\t", 
            RowBox[{"EstimatedDistribution", "[", "\[IndentingNewLine]", "\t", 
             RowBox[{
              RowBox[{
               RowBox[{"Flatten", "[", 
                RowBox[{
                 RowBox[{"constfrcsbeta", "[", 
                  RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
                 "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", "100"}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{"BetaDistribution", "[", 
               RowBox[{"\[Alpha]", ",", "\[Beta]"}], "]"}]}], "]"}], 
            "\[IndentingNewLine]", "]"}], ",", "0"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"individualdatatable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SkewFuncBeta", "[", 
      RowBox[{"k_", ",", "individualdatatable_"}], "]"}], ":=", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"MatchQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"constfrcsbeta", "[", 
             RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], "[", 
            
            RowBox[{"[", "3", "]"}], "]"}], ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", 
         RowBox[{"{", "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsbeta", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], "\[NotEqual]", 
            RowBox[{"Max", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsbeta", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}]}], ",", 
           RowBox[{"Skewness", "[", "\[IndentingNewLine]", "\t", 
            RowBox[{"EstimatedDistribution", "[", "\[IndentingNewLine]", "\t", 
             RowBox[{
              RowBox[{
               RowBox[{"Flatten", "[", 
                RowBox[{
                 RowBox[{"constfrcsbeta", "[", 
                  RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
                 "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", "100"}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{"BetaDistribution", "[", 
               RowBox[{"\[Alpha]", ",", "\[Beta]"}], "]"}]}], "]"}], 
            "\[IndentingNewLine]", "]"}], ",", "0"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"individualdatatable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SDFuncBeta", "[", 
      RowBox[{"k_", ",", "individualdatatable_"}], "]"}], ":=", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"MatchQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"constfrcsbeta", "[", 
             RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], "[", 
            
            RowBox[{"[", "3", "]"}], "]"}], ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", 
         RowBox[{"{", "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsbeta", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], "\[NotEqual]", 
            RowBox[{"Max", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsbeta", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}]}], ",", 
           RowBox[{"StandardDeviation", "[", "\[IndentingNewLine]", "\t", 
            RowBox[{"EstimatedDistribution", "[", "\[IndentingNewLine]", "\t", 
             RowBox[{
              RowBox[{
               RowBox[{"Flatten", "[", 
                RowBox[{
                 RowBox[{"constfrcsbeta", "[", 
                  RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
                 "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", "100"}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{"BetaDistribution", "[", 
               RowBox[{"\[Alpha]", ",", "\[Beta]"}], "]"}]}], "]"}], 
            "\[IndentingNewLine]", "]"}], ",", "0"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"individualdatatable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"MedianFuncBeta", "[", 
      RowBox[{"k_", ",", "individualdatatable_"}], "]"}], ":=", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"MatchQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"constfrcsbeta", "[", 
             RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], "[", 
            
            RowBox[{"[", "3", "]"}], "]"}], ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", 
         RowBox[{"{", "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsbeta", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], "\[NotEqual]", 
            RowBox[{"Max", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsbeta", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}]}], ",", 
           RowBox[{"Median", "[", "\[IndentingNewLine]", "\t", 
            RowBox[{"EstimatedDistribution", "[", "\[IndentingNewLine]", "\t", 
             RowBox[{
              RowBox[{
               RowBox[{"Flatten", "[", 
                RowBox[{
                 RowBox[{"constfrcsbeta", "[", 
                  RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
                 "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", "100"}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{"BetaDistribution", "[", 
               RowBox[{"\[Alpha]", ",", "\[Beta]"}], "]"}]}], "]"}], 
            "\[IndentingNewLine]", "]"}], ",", "0"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"individualdatatable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{"(*", 
    RowBox[{
    "Generate", " ", "lists", " ", "of", " ", "estimated", " ", "moments", 
     " ", "for", " ", "inflation"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dts", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"DateList", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ToString", "[", 
           RowBox[{"i", ".", "j"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Year\>\"", ",", "\"\<Quarter\>\""}], "}"}]}], "}"}], 
        "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1993", ",", "2010"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dtsG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"DateList", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ToString", "[", 
           RowBox[{"i", ".", "j"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Year\>\"", ",", "\"\<Quarter\>\""}], "}"}]}], "}"}], 
        "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1992", ",", "2010"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Delete", "[", 
     RowBox[{"dts", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1"}], "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"mediqrs", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"Median", "[", 
          RowBox[{"Select", "[", 
           RowBox[{
            RowBox[{"IQRfunc", "[", 
             RowBox[{"k", ",", "indconv"}], "]"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"MatchQ", "[", 
               RowBox[{"#", ",", 
                RowBox[{"{", "}"}]}], "]"}], "\[Equal]", "False"}], "&"}]}], 
           "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconv", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mediqrsbeta", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"Median", "[", 
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"IQRfuncBeta", "[", 
              RowBox[{"k", ",", "indconv"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"MatchQ", "[", 
                RowBox[{"#", ",", 
                 RowBox[{"{", "}"}]}], "]"}], "\[Equal]", "False"}], "&"}]}], 
            "]"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconv", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"medskewbeta", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"Median", "[", 
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"SkewFuncBeta", "[", 
              RowBox[{"k", ",", "indconv"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"MatchQ", "[", 
                RowBox[{"#", ",", 
                 RowBox[{"{", "}"}]}], "]"}], "\[Equal]", "False"}], "&"}]}], 
            "]"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconv", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"medSDbeta", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"Median", "[", 
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"SDFuncBeta", "[", 
              RowBox[{"k", ",", "indconv"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"MatchQ", "[", 
                RowBox[{"#", ",", 
                 RowBox[{"{", "}"}]}], "]"}], "\[Equal]", "False"}], "&"}]}], 
            "]"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconv", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"medMedian", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"Median", "[", 
          RowBox[{"Select", "[", 
           RowBox[{
            RowBox[{"Medianfunc", "[", 
             RowBox[{"k", ",", "indconv"}], "]"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"MatchQ", "[", 
               RowBox[{"#", ",", 
                RowBox[{"{", "}"}]}], "]"}], "\[Equal]", "False"}], "&"}]}], 
           "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconv", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"medMedianbeta", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          RowBox[{"100", "*", 
           RowBox[{"Median", "[", 
            RowBox[{"Select", "[", 
             RowBox[{
              RowBox[{"MedianFuncBeta", "[", 
               RowBox[{"k", ",", "indconv"}], "]"}], ",", 
              RowBox[{
               RowBox[{
                RowBox[{"MatchQ", "[", 
                 RowBox[{"#", ",", 
                  RowBox[{"{", "}"}]}], "]"}], "\[Equal]", "False"}], "&"}]}],
              "]"}], "]"}]}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconv", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IQRTotaldatabeta", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"IQRfuncBeta", "[", 
          RowBox[{"k", ",", "indconv"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconvG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IQRTotaldata", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"IQRfunc", "[", 
          RowBox[{"k", ",", "indconv"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconv", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{"(*", 
    RowBox[{
    "Functions", " ", "for", " ", "GDP", " ", "Histogram", " ", 
     "Estimation"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"constfrcsG", "[", 
      RowBox[{"k_", ",", "j_", ",", "individualdatatable_"}], "]"}], ":=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"MatchQ", "[", 
        RowBox[{
         RowBox[{"individualdatatable", "[", 
          RowBox[{"[", 
           RowBox[{"k", ",", "j", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}], ",", 
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{"individualdatatable", "[", 
          RowBox[{"[", 
           RowBox[{"k", ",", "j"}], "]"}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}], ",", 
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{"individualdatatable", "[", 
          RowBox[{"[", 
           RowBox[{"k", ",", "j"}], "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ConstantArray", "[", 
            RowBox[{"6.0", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "1"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"5", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "2"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"4", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "3"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"3", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "4"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"2", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "5"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"1", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "6"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"0", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "7"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{
             RowBox[{"-", "1"}], ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "8"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{
             RowBox[{"-", "2"}], ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "9"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{
             RowBox[{"-", "3"}], ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "10"}], "]"}], "]"}], 
               "*", "1000"}], "]"}]}], "]"}]}], "}"}]}], "]"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"constfrcsbetaG", "[", 
      RowBox[{"k_", ",", "j_", ",", "individualdatatable_"}], "]"}], ":=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"MatchQ", "[", 
        RowBox[{
         RowBox[{"individualdatatable", "[", 
          RowBox[{"[", 
           RowBox[{"k", ",", "j", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}], ",", 
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{"individualdatatable", "[", 
          RowBox[{"[", 
           RowBox[{"k", ",", "j"}], "]"}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}], ",", 
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{"individualdatatable", "[", 
          RowBox[{"[", 
           RowBox[{"k", ",", "j"}], "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ConstantArray", "[", 
            RowBox[{"10.0", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "1"}], "]"}], "]"}], 
               "*", "100"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"9", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "2"}], "]"}], "]"}], 
               "*", "100"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"8", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "3"}], "]"}], "]"}], 
               "*", "100"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"7", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "4"}], "]"}], "]"}], 
               "*", "100"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"6", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "5"}], "]"}], "]"}], 
               "*", "100"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"5", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "6"}], "]"}], "]"}], 
               "*", "100"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"4", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "7"}], "]"}], "]"}], 
               "*", "100"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"3", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "8"}], "]"}], "]"}], 
               "*", "100"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"2", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "9"}], "]"}], "]"}], 
               "*", "100"}], "]"}]}], "]"}], ",", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"1", ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{
               RowBox[{"individualdatatable", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", "j", ",", "2", ",", "10"}], "]"}], "]"}], 
               "*", "100"}], "]"}]}], "]"}]}], "}"}]}], "]"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Functions", " ", "for", " ", "GDP", " ", "moments"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"IQRfuncG", "[", 
      RowBox[{"k_", ",", "individualdatatable_"}], "]"}], ":=", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"MatchQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"constfrcsG", "[", 
             RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], "[", 
            
            RowBox[{"[", "3", "]"}], "]"}], ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", 
         RowBox[{"{", "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsG", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], "\[NotEqual]", 
            RowBox[{"Max", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsG", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}]}], ",", 
           RowBox[{"InterquartileRange", "[", "\[IndentingNewLine]", "\t", 
            RowBox[{
            "SmoothKernelDistribution", "[", "\[IndentingNewLine]", "\t", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsG", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
             "]"}], "\[IndentingNewLine]", "]"}], ",", "0"}], "]"}]}], "]"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"individualdatatable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"IQRfuncBetaG", "[", 
      RowBox[{"k_", ",", "individualdatatable_"}], "]"}], ":=", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"MatchQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"constfrcsbetaG", "[", 
             RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], "[", 
            
            RowBox[{"[", "3", "]"}], "]"}], ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", 
         RowBox[{"{", "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsbetaG", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], "\[NotEqual]", 
            RowBox[{"Max", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsbetaG", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}]}], ",", 
           RowBox[{"InterquartileRange", "[", "\[IndentingNewLine]", "\t", 
            RowBox[{"EstimatedDistribution", "[", "\[IndentingNewLine]", "\t", 
             RowBox[{
              RowBox[{
               RowBox[{"Flatten", "[", 
                RowBox[{
                 RowBox[{"constfrcsbetaG", "[", 
                  RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
                 "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", "100"}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{"BetaDistribution", "[", 
               RowBox[{"\[Alpha]", ",", "\[Beta]"}], "]"}]}], "]"}], 
            "\[IndentingNewLine]", "]"}], ",", "0"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"individualdatatable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"MedianfuncG", "[", 
      RowBox[{"k_", ",", "individualdatatable_"}], "]"}], ":=", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"MatchQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"constfrcsG", "[", 
             RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], "[", 
            
            RowBox[{"[", "3", "]"}], "]"}], ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", 
         RowBox[{"{", "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsG", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], "\[NotEqual]", 
            RowBox[{"Max", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsG", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}]}], ",", 
           RowBox[{"Median", "[", "\[IndentingNewLine]", "\t", 
            RowBox[{
            "SmoothKernelDistribution", "[", "\[IndentingNewLine]", "\t", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsG", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
             "]"}], "\[IndentingNewLine]", "]"}], ",", "0"}], "]"}]}], "]"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"individualdatatable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SkewFuncBetaG", "[", 
      RowBox[{"k_", ",", "individualdatatable_"}], "]"}], ":=", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"MatchQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"constfrcsbetaG", "[", 
             RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], "[", 
            
            RowBox[{"[", "3", "]"}], "]"}], ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", 
         RowBox[{"{", "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsbetaG", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], "\[NotEqual]", 
            RowBox[{"Max", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsbetaG", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}]}], ",", 
           RowBox[{"Skewness", "[", "\[IndentingNewLine]", "\t", 
            RowBox[{"EstimatedDistribution", "[", "\[IndentingNewLine]", "\t", 
             RowBox[{
              RowBox[{
               RowBox[{"Flatten", "[", 
                RowBox[{
                 RowBox[{"constfrcsbetaG", "[", 
                  RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
                 "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", "100"}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{"BetaDistribution", "[", 
               RowBox[{"\[Alpha]", ",", "\[Beta]"}], "]"}]}], "]"}], 
            "\[IndentingNewLine]", "]"}], ",", "0"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"individualdatatable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SDFuncBetaG", "[", 
      RowBox[{"k_", ",", "individualdatatable_"}], "]"}], ":=", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"MatchQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"constfrcsbetaG", "[", 
             RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], "[", 
            
            RowBox[{"[", "3", "]"}], "]"}], ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", 
         RowBox[{"{", "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsbetaG", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], "\[NotEqual]", 
            RowBox[{"Max", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsbetaG", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}]}], ",", 
           RowBox[{"StandardDeviation", "[", "\[IndentingNewLine]", "\t", 
            RowBox[{"EstimatedDistribution", "[", "\[IndentingNewLine]", "\t", 
             RowBox[{
              RowBox[{
               RowBox[{"Flatten", "[", 
                RowBox[{
                 RowBox[{"constfrcsbetaG", "[", 
                  RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
                 "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", "100"}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{"BetaDistribution", "[", 
               RowBox[{"\[Alpha]", ",", "\[Beta]"}], "]"}]}], "]"}], 
            "\[IndentingNewLine]", "]"}], ",", "0"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"individualdatatable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"MedianFuncBetaG", "[", 
      RowBox[{"k_", ",", "individualdatatable_"}], "]"}], ":=", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"MatchQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"constfrcsbetaG", "[", 
             RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], "[", 
            
            RowBox[{"[", "3", "]"}], "]"}], ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", 
         RowBox[{"{", "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsbetaG", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], "\[NotEqual]", 
            RowBox[{"Max", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"constfrcsbetaG", "[", 
                RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
               "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}]}], ",", 
           RowBox[{"Median", "[", "\[IndentingNewLine]", "\t", 
            RowBox[{"EstimatedDistribution", "[", "\[IndentingNewLine]", "\t", 
             RowBox[{
              RowBox[{
               RowBox[{"Flatten", "[", 
                RowBox[{
                 RowBox[{"constfrcsbetaG", "[", 
                  RowBox[{"k", ",", "j", ",", "individualdatatable"}], "]"}], 
                 "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", "100"}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{"BetaDistribution", "[", 
               RowBox[{"\[Alpha]", ",", "\[Beta]"}], "]"}]}], "]"}], 
            "\[IndentingNewLine]", "]"}], ",", "0"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"individualdatatable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Lists", " ", "of", " ", "estimated", " ", "moments", " ", "for", " ", 
     "GDP", " ", "growth"}], "*)"}], "\n", 
   RowBox[{
    RowBox[{"mediqrsG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dtsG", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"Median", "[", 
          RowBox[{"Select", "[", 
           RowBox[{
            RowBox[{"IQRfuncG", "[", 
             RowBox[{"k", ",", "indconvG"}], "]"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"MatchQ", "[", 
               RowBox[{"#", ",", 
                RowBox[{"{", "}"}]}], "]"}], "\[Equal]", "False"}], "&"}]}], 
           "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconvG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mediqrsbetaG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dtsG", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"Median", "[", 
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"IQRfuncBetaG", "[", 
              RowBox[{"k", ",", "indconvG"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"MatchQ", "[", 
                RowBox[{"#", ",", 
                 RowBox[{"{", "}"}]}], "]"}], "\[Equal]", "False"}], "&"}]}], 
            "]"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconvG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"medskewbetaG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dtsG", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"Median", "[", 
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"SkewFuncBetaG", "[", 
              RowBox[{"k", ",", "indconvG"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"MatchQ", "[", 
                RowBox[{"#", ",", 
                 RowBox[{"{", "}"}]}], "]"}], "\[Equal]", "False"}], "&"}]}], 
            "]"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconvG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"medSDbetaG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dtsG", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"Median", "[", 
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"SDFuncBetaG", "[", 
              RowBox[{"k", ",", "indconvG"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"MatchQ", "[", 
                RowBox[{"#", ",", 
                 RowBox[{"{", "}"}]}], "]"}], "\[Equal]", "False"}], "&"}]}], 
            "]"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconvG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"medMedianG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dtsG", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"Median", "[", 
          RowBox[{"Select", "[", 
           RowBox[{
            RowBox[{"MedianfuncG", "[", 
             RowBox[{"k", ",", "indconvG"}], "]"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"MatchQ", "[", 
               RowBox[{"#", ",", 
                RowBox[{"{", "}"}]}], "]"}], "\[Equal]", "False"}], "&"}]}], 
           "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconvG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"medMedianbetaG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dtsG", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"-", "4"}], "+", 
          RowBox[{"100", "*", 
           RowBox[{"Median", "[", 
            RowBox[{"Select", "[", 
             RowBox[{
              RowBox[{"MedianFuncBetaG", "[", 
               RowBox[{"k", ",", "indconvG"}], "]"}], ",", 
              RowBox[{
               RowBox[{
                RowBox[{"MatchQ", "[", 
                 RowBox[{"#", ",", 
                  RowBox[{"{", "}"}]}], "]"}], "\[Equal]", "False"}], "&"}]}],
              "]"}], "]"}]}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconvG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IQRTotaldatabetaG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dtsG", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"IQRfuncBetaG", "[", 
          RowBox[{"k", ",", "indconvG"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconvG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Remove", " ", "deterministic", " ", "quarterly", " ", "seasonal", " ", 
     "trend", " ", "imparted", " ", "by", " ", "histogram", " ", 
     "estimation"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y", ",", "z", ",", "u"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "g"}], "}"}], ",", "varU"}], "}"}], "=", 
     RowBox[{"Season", "[", 
      RowBox[{
       RowBox[{"mediqrs", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", "1", ",", 
       "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xG", ",", "yG", ",", "zG", ",", "uG"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"aG", ",", "gG"}], "}"}], ",", "varUG"}], "}"}], "=", 
     RowBox[{"Season", "[", 
      RowBox[{
       RowBox[{"mediqrsG", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", "1", ",", 
       "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xB", ",", "yB", ",", "zB", ",", "uB"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"aB", ",", "gB"}], "}"}], ",", "varUB"}], "}"}], "=", 
     RowBox[{"Season", "[", 
      RowBox[{
       RowBox[{"mediqrsbeta", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", "1", ",", 
       "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xBG", ",", "yBG", ",", "zBG", ",", "uBG"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"aBG", ",", "gBG"}], "}"}], ",", "varUBG"}], "}"}], "=", 
     RowBox[{"Season", "[", 
      RowBox[{
       RowBox[{"mediqrsbetaG", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", "1", ",", 
       "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"SxB", ",", "SyB", ",", "SzB", ",", "SuB"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"SaB", ",", "SgB"}], "}"}], ",", "SvarUB"}], "}"}], "=", 
     RowBox[{"Season", "[", 
      RowBox[{
       RowBox[{"medskewbeta", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", "1", ",", 
       "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"SxBG", ",", "SyBG", ",", "SzBG", ",", "SuBG"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"SaBG", ",", "SgBG"}], "}"}], ",", "SvarUBG"}], "}"}], "=", 
     RowBox[{"Season", "[", 
      RowBox[{
       RowBox[{"medskewbetaG", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", "1", ",", 
       "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"SDxB", ",", "SDyB", ",", "SDzB", ",", "SDuB"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"SDaB", ",", "SDgB"}], "}"}], ",", "SDvarUB"}], "}"}], "=", 
     RowBox[{"Season", "[", 
      RowBox[{
       RowBox[{"medSDbeta", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", "1", ",", 
       "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"SDxBG", ",", "SDyBG", ",", "SDzBG", ",", "SDuBG"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"SDaBG", ",", "SDgBG"}], "}"}], ",", "SDvarUBG"}], "}"}], "=", 
     RowBox[{"Season", "[", 
      RowBox[{
       RowBox[{"medSDbetaG", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", "1", ",", 
       "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"MEDxB", ",", "MEDyB", ",", "MEDzB", ",", "MEDuB"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"MEDaB", ",", "MEDgB"}], "}"}], ",", "MEDvarUB"}], "}"}], "=", 
     RowBox[{"Season", "[", 
      RowBox[{
       RowBox[{"medMedianbeta", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", "1", ",", 
       "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"MEDxBG", ",", "MEDyBG", ",", "MEDzBG", ",", "MEDuBG"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"MEDaBG", ",", "MEDgBG"}], "}"}], ",", "MEDvarUBG"}], "}"}], 
     "=", 
     RowBox[{"Season", "[", 
      RowBox[{
       RowBox[{"medMedianbetaG", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", "1", ",", 
       "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"MEDx", ",", "MEDy", ",", "MEDzB", ",", "MEDuB"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"MEDaB", ",", "MEDgB"}], "}"}], ",", "MEDvarUB"}], "}"}], "=", 
     RowBox[{"Season", "[", 
      RowBox[{
       RowBox[{"medMedian", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", "1", ",", 
       "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"MEDxG", ",", "MEDyG", ",", "MEDzBG", ",", "MEDuBG"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"MEDaBG", ",", "MEDgBG"}], "}"}], ",", "MEDvarUBG"}], "}"}], 
     "=", 
     RowBox[{"Season", "[", 
      RowBox[{
       RowBox[{"medMedianG", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", "1", ",", 
       "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"GraphicsGrid", "[", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ListLinePlot", "[", 
           RowBox[{"{", 
            RowBox[{"x", ",", "y", ",", "z", ",", 
             RowBox[{"x", "-", "z"}]}], "}"}], "]"}], ",", 
          RowBox[{"ListLinePlot", "[", 
           RowBox[{"{", 
            RowBox[{"xG", ",", "yG", ",", "zG", ",", 
             RowBox[{"xG", "-", "zG"}]}], "}"}], "]"}]}], "}"}], "}"}], "]"}],
       "ylist"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"y", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "y", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ylistG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dtsG", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"yG", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "yG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ylistB", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"yB", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "yB", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ylistBG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dtsG", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"yBG", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "yBG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ylistSDB", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"SDyB", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "SDyB", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ylistSDBG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dtsG", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"SDyBG", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "SDyBG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ylistMEDB", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"MEDyB", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "MEDyB", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ylistMEDBG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dtsG", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"MEDyBG", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "MEDyBG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ylistMED", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"MEDy", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "MEDy", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ylistMEDG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dtsG", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"MEDyG", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "MEDyG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DataExport", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"y", "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"yG", "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"yB", "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"yBG", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "yBG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DataExport2", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"x", "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"xG", "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"xB", "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"xBG", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "yBG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"medMedian", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dtsG", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"Median", "[", 
          RowBox[{"Select", "[", 
           RowBox[{
            RowBox[{"Meanfunc", "[", 
             RowBox[{"k", ",", "indconv"}], "]"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"MatchQ", "[", 
               RowBox[{"#", ",", 
                RowBox[{"{", "}"}]}], "]"}], "\[Equal]", "False"}], "&"}]}], 
           "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconv", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"MEDx", ",", "MEDy", ",", "MEDzB", ",", "MEDuB"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"MEDaB", ",", "MEDgB"}], "}"}], ",", "MEDvarUB"}], "}"}], "=", 
     RowBox[{"Season", "[", 
      RowBox[{
       RowBox[{"medMedian", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", "1", ",", 
       "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"MEDxG", ",", "MEDyG", ",", "MEDzBG", ",", "MEDuBG"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"MEDaBG", ",", "MEDgBG"}], "}"}], ",", "MEDvarUBG"}], "}"}], 
     "=", 
     RowBox[{"Season", "[", 
      RowBox[{
       RowBox[{"medMedianG", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", "1", ",", 
       "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ylistMED", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"k", "\[GreaterEqual]", "4"}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", "4"}], ")"}], "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"MEDx", "[", 
               RowBox[{"[", "k", "]"}], "]"}], "+", 
              RowBox[{"MEDx", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
              RowBox[{"MEDx", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "2"}], "]"}], "]"}], "+", 
              RowBox[{"MEDx", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "3"}], "]"}], "]"}]}], ")"}]}], ",", 
           RowBox[{"MEDx", "[", 
            RowBox[{"[", "k", "]"}], "]"}]}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "MEDx", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ylistavg", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"MEDy", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "MEDy", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ylistMEDG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dtsG", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"MEDyG", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "MEDyG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"GraphicsGrid", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"DateListPlot", "[", 
         RowBox[{"ylistMED", ",", 
          RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}], ",", 
        RowBox[{"DateListPlot", "[", 
         RowBox[{"ylistMEDG", ",", 
          RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"DateListPlot", "[", 
         RowBox[{"ylistavg", ",", 
          RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}], ",", 
        RowBox[{"DateListPlot", "[", 
         RowBox[{"ylistMEDBG", ",", 
          RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], "}"}]}], "}"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ylist", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"y", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "y", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IQRTotaldata", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"IQRfunc", "[", 
          RowBox[{"k", ",", "indconv"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconv", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IQRTotaldataG", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"dts", ",", "1"}], "]"}], "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"IQRfuncG", "[", 
          RowBox[{"k", ",", "indconvG"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "indconvG", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"GraphicsGrid", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"DateListPlot", "[", 
         RowBox[{"ylistB", ",", 
          RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}], ",", 
        RowBox[{"DateListPlot", "[", 
         RowBox[{"ylistBG", ",", 
          RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"DateListPlot", "[", 
         RowBox[{"ylist", ",", 
          RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}], ",", 
        RowBox[{"DateListPlot", "[", 
         RowBox[{"ylistG", ",", 
          RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], "}"}]}], "}"}], 
    "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5545670309237947`*^9, 3.5545670455298977`*^9}, 
   3.554643630208143*^9, {3.5546576240012827`*^9, 3.554657625463257*^9}, {
   3.5550868586060877`*^9, 3.555086925473778*^9}, {3.555099968929563*^9, 
   3.555099970231592*^9}, 3.556542421372993*^9, {3.556542785009132*^9, 
   3.556542792631926*^9}, 3.556543119995329*^9, {3.556545574836626*^9, 
   3.556545711967142*^9}, {3.556546029606524*^9, 3.556546065522009*^9}, {
   3.556547648868329*^9, 3.556547661587978*^9}, {3.556547693492258*^9, 
   3.556547709824868*^9}, {3.556548226829537*^9, 3.556548287319105*^9}, 
   3.5565502747907963`*^9, {3.556894305165886*^9, 3.556894305827384*^9}, {
   3.556894382341465*^9, 3.556894435037116*^9}, {3.556894478583499*^9, 
   3.556894671835415*^9}, {3.5570663675564833`*^9, 3.5570664877925463`*^9}, {
   3.557067556260502*^9, 3.557067699567856*^9}, {3.557068021352425*^9, 
   3.557068034061605*^9}, {3.557068272389628*^9, 3.5570682982309933`*^9}, {
   3.560106434708577*^9, 3.5601064358013287`*^9}, {3.560176353266882*^9, 
   3.560176378981084*^9}, {3.569871763663762*^9, 3.569871769103209*^9}, {
   3.5699443199023237`*^9, 3.56994433130799*^9}, {3.569961358714409*^9, 
   3.569961359710334*^9}, {3.5699614674743633`*^9, 3.569961467944043*^9}, 
   3.5699618142431097`*^9, {3.570195469528677*^9, 3.570195471645575*^9}, {
   3.570283073174637*^9, 3.570283107780611*^9}, {3.570283239490657*^9, 
   3.5702832753529654`*^9}, {3.570283341616379*^9, 3.570283374174971*^9}, {
   3.570297624508954*^9, 3.570297625215123*^9}, {3.57029910522128*^9, 
   3.570299118414484*^9}, {3.570539331423999*^9, 3.5705393592758293`*^9}, {
   3.570539425620152*^9, 3.570539429258707*^9}, 3.5705394967283373`*^9, {
   3.570540067475136*^9, 3.570540068805995*^9}, {3.57054145770681*^9, 
   3.570541500530182*^9}, {3.570901522888871*^9, 3.570901528261273*^9}, {
   3.570901610899033*^9, 3.5709016195827923`*^9}, {3.5709016664897633`*^9, 
   3.570901692454834*^9}, {3.5710772466500483`*^9, 3.571077282153866*^9}, 
   3.571077342920553*^9, {3.5710777951286182`*^9, 3.57107780118771*^9}, {
   3.571078822796657*^9, 3.571078831616659*^9}, {3.571516330732347*^9, 
   3.571516346017438*^9}, {3.571520177859283*^9, 3.571520194512528*^9}, {
   3.5715204203611*^9, 3.57152043651227*^9}, {3.571521528044614*^9, 
   3.571521550831542*^9}, {3.571521650993731*^9, 3.571521678520266*^9}, {
   3.5715947451021433`*^9, 3.571594773525874*^9}, 3.571594901371785*^9, {
   3.576932014338914*^9, 3.5769321701665993`*^9}, {3.576935678276512*^9, 
   3.5769356869073668`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Set", "::", "write"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Tag \[NoBreak]\\!\\(Times\\)\[NoBreak] in \
\[NoBreak]\\!\\(ylist\\\\ \\*GraphicsBox[List[List[], \
List[List[InsetBox[GraphicsBox[List[Skeleton[1]], List[Skeleton[6]]], \
List[192.`, -116.80842387373012`], ImageScaled[List[Skeleton[2]]], \
List[360.`, 222.49223594996212`]], InsetBox[GraphicsBox[List[Skeleton[1]], \
List[Skeleton[6]]], List[576.`, -116.80842387373012`], \
ImageScaled[List[Skeleton[2]]], List[360.`, 222.49223594996212`]]]], List[]], \
Rule[PlotRangePadding, List[6, 5]], Rule[ContentSelectable, True]]\\)\
\[NoBreak] is Protected. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/write\\\", ButtonNote -> \
\\\"Set::write\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGBQA2K+zpqa+rZXjlV1HHtWAOldV99fAdFCf7Jar8x45dj2
ccY8EO335HbvXyBt8kFvCYh+o17uoDDzleOhFTeiQDSHts9vEH1u+1EXTSC9
Xmy6P4i+ZHw/C0SHybHMmw2kfc7p7wDT55uvg+iVMRfyjwFpLSmnlLNA2sSu
Vv4ckPb6b1rhPOuVo1104TEQfcflca0LkF5R9+PFZyDtet2D5QuQPtw4MxBE
T2KSiQbRqaaX1oJoq93KJ0G019njBt+BdO5jHh8Q7efqY+E1+5Xj/zs/NyjM
eeX4W9H8Foi+t09zpRuQdpn94SyI/uH28ReInibwzMwdSD+pWD43C0gDAEhY
qMg=
  "]],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      GraphicsBox[{{}, {}, 
        {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwlkgtMU1cYx6vUwooowQmr84HTQGejlsfAubreD7VDhsqsNRqngjySwcRm
3YwZg3Yd0WWKigE1PrBOQQU2q5GMqGBRU50ZtTJcnOHROjjn3NFtpSivTrbe
rze5ufnlu+d8/+93zvyduzfkTxaJRKsCr/AVnrbufpBkROg6fhFxAXRVe/rh
533xy8ovDKkD7K3y94Odz5y482OEUFe2SgmElSXnymMmC6ynMgK2w/OXeysn
CZx1S06gWB0yXpKG9eybqQQadPt7ZlQMC/tZ+jQERo33ZKXrkV0Rmwic8Qx/
8KcJ2fY8j4D7SeTGg4+wv9NtIFCidux7lYP5IsO/IdChgmVn7K+EelbyUQIF
25IMF7+aEDg76RwBe3518WOKrE+0EohqiRenfPFSYOvW2wQ8dWWn+OmjOF+5
g0BV4lnbvdUj2G9LN4HNBR9elswaw3ybPQQW6lfLBh4ix5r9BLoW3f/BGo2c
3SClUPjOi0u+y36BOZOMQldGjXhpEebNMsopyApmRr54A30cuZRK4Wmj5PjG
17HufKyhoM5tpH8nYF5rnY7C5zk9856MYR5bbR6Fsl99taq1PoFFjwwUdrYN
RK9Qox9u1EwhQ1FRF7fBiz5GKik4TuS4/93zD+YbtlBwFzX3+HUD6H+elcKa
Befe+3jdIM6XfptC1JeNhel80P8cB4XwtLUNE7vQr3N2N4Xszt5jaZJQ9K/x
UFhpiUtOcEhwvt1+Ctyk9hlDFmTlKimDvb/bzQtXhAnMrZQxSCn2xybG4HrT
p3IGnzk661+WThHYVp3KoLl3V6+iJURgS6GGwQL9VVPSNvRj/UTHoMEVur25
KnheR/MYnH+zRXRSgf6VtwwMDo6fquJqkLmbZgYq59t3O5vG0ceNSgZdJ0t8
tr3o98gfFgZvjQ32+NxB/1OtDOrHkp/f/y3Yz93KYO77yhhnAt5nm6udgSLq
4azc62KBRdLuwHxkZpNzGubnkjwMRnVrMrf7cf7YMD+DOnZHFaeQoo9QKQ9s
qdHYmIOsV8p4+O4ajZuSHo79tsh5KK8OWfeTfSrejyWpPJwO/f5ZR9809LFY
w8Ohjnztf51Yd23SBf7f//TbQ3/h+lhTHg83pEU1O+qD/YwGHj56cHVEW/Ea
5isz8zB7z2Exfx3rpouVPERnauOXH0e2OS2BfKKvB0+8i2ypvcKD8tl4W6kK
z896oZUHbV+T9sAcPD9vezsPV4ZS2FyvmPsfRwW1nA==
          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       AxesOrigin->NCache[{2934835200, 1.}, {2.9348352*^9, 1.}],
       Frame->True,
       FrameTicks->{{Automatic, Automatic}, {{{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"1990\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"1995\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"2000\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"2005\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"2010\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}, {{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}}},
       GridLines->NCache[{{{2840140800, 
            GrayLevel[0.8]}, {2997907200, 
            GrayLevel[0.8]}, {3155673600, 
            GrayLevel[0.8]}, {3313526400, 
            GrayLevel[0.8]}, {3471292800, 
            GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
            GrayLevel[0.8]}, {2.9979072*^9, 
            GrayLevel[0.8]}, {3.1556736*^9, 
            GrayLevel[0.8]}, {3.3135264*^9, 
            GrayLevel[0.8]}, {3.4712928*^9, 
            GrayLevel[0.8]}}, None}],
       PlotRange->{{2.9348352*^9, 3.463344*^9}, {0.8542460775382744, 
        3.8617302971551464`}},
       PlotRangeClipping->True,
       PlotRangePadding->{
         Scaled[0.02], 
         Scaled[0.02]},
       Ticks->None], {192., -118.66252583997979`}, 
      ImageScaled[{0.5, 0.5}], {360., 222.4922359499621}], InsetBox[
      GraphicsBox[{{}, {}, 
        {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwlk39MU1cUxztg0D2QdIPAOqurg0kzKHv8SmUE6BEtbpOsTmES/2mg6joc
1HTLEjZp7YwuW4ZQQUd0WmasTrvkySZmAoJxZCYbtRjgD6RbhfXe+1ynBLMx
6MT1nb7k5eWTc+73e8+Pt66h5e3dcTKZbFP0lb7Rx2TtDcFS2dmJzB6ZPsrW
FiEE7zQ2/+mfiJfY0TwcgjfZgmXmQKLEIyd8IairrC782fOMxLIbgRAkVOQ9
PHs7ReJgdzgE6/+ebDIVp0o83xUJwamZJlfuCjJ/nSOQfmQsNO5ZhX5USeCj
wnb+OV+yxMZBDYGK/9S5W/uRTQM6At44w669PZzE7j8MBKwHJlbf3BPzW1VH
YM/dbz6TnUS9kVkzgTdKfMdVfjzvv2cjkF1TfDHlFJ5XJH9K4OOhQxP8NNZj
LHYRKP6rdmuWPQH9inoJfHvljOrgFxi3FgoE3q8fuKydwvPCrmECrr6XChbc
6D9/yEdg+rvZ3cu3kP31AQLuol+m+W7MD+4ME3jCX+kflCdJrHZGCEw6Ew9v
yUd90yWOAn+iRWPLQtY7lBSOLXg/5I9gvtGuoVDW1tg87kLuuKCjsLxc9Wp2
Oer7xw0UPIVJTy71YH8FT200vnTtBUX/s9iPc2YKytlbrefCaTiv2zYKdtXm
nCEPsv5fJ4Wr7tG2glYF+i12UsiY/C1VdiN2v3/cFBZG5c/vK38K+/+iQKHU
tvnghl7k4JZhCvUbTi5av4/txxofhbT7aqOtBufhVwWi+VMRR5BDfYUhTKFA
kZ39rgXjxpYIhdWZwd+T7VgPv4ljUPG18HpyJ9arr1Iy+KBubOWnstg+7tMw
+JJub2+9EId+3ToG2zvuVO+cwbj7PQMD7a+5OdrBp7EflloG6dsyzdsmUW/e
ZWaQ8YBbd9GB9+UHbQzOdGkfl+hQTz/gZDDjLT09tx/rM17rZNCXuLfBtAP3
o2POzSD1aNZi10Y51pciMDjtf5yUY8F9E+5dZ+C7mx8PnyOPBMcYqAPWh/ME
90PGBRjMvVz6yeUEnJe+KBz1e20qvTEPWS2PMGioWVvBpWE+n8SJUFXSqypZ
Qj8rrxTB3Lijz/EI6xHqNSJUy+Ncd76K7Ue+TgQx9a1AynHMd2sNIjiv7n/Q
7sD/NVhXKwK8Uvao/AdktcMswkpG0+G1Xszn7TYR4i0/DuWtwf7p25wibBQS
bo6fX6qU+n++U4T7671GdnS08n/k+I7L
          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       AxesOrigin->NCache[{2903212800, 0}, {2.9032128*^9, 0}],
       Frame->True,
       FrameTicks->{{Automatic, Automatic}, {{{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"1990\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"1995\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"2000\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"2005\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"2010\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}, {{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}}},
       GridLines->NCache[{{{2840140800, 
            GrayLevel[0.8]}, {2997907200, 
            GrayLevel[0.8]}, {3155673600, 
            GrayLevel[0.8]}, {3313526400, 
            GrayLevel[0.8]}, {3471292800, 
            GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
            GrayLevel[0.8]}, {2.9979072*^9, 
            GrayLevel[0.8]}, {3.1556736*^9, 
            GrayLevel[0.8]}, {3.3135264*^9, 
            GrayLevel[0.8]}, {3.4712928*^9, 
            GrayLevel[0.8]}}, None}],
       PlotRange->{{2.9032128*^9, 3.431808*^9}, {0., 4.981100004683435}},
       PlotRangeClipping->True,
       PlotRangePadding->{
         Scaled[0.02], 
         Scaled[0.02]},
       Ticks->None], {576., -118.66252583997979`}, 
      ImageScaled[{0.5, 0.5}], {360., 222.4922359499621}]}, {InsetBox[
      GraphicsBox[{{}, {}, 
        {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwlkw9Qk2Ucx98h6BigHEbXq+DIEkYexb9r1V3nfsvGUM5WcxAgRQh6enVA
qIWXuKZHnvlnQ4gLUUcwm/9qaneiAltXaWLQ4Kg8aYQhz/O8Md00G+SQ2vvj
vXvvvc+9z/N+//ze58myyjcqwjiOWxm6xad4fesZhwMfyg3aRIkqhKNN3nFI
DrwTt18ZJrK/MTgOv5O08T9i54ic3iMjcOxEePxBJa6vojyBuNRl5w/lPloR
Yl2XgsDgdK+hac6UyKWXlQTaf+XknXfui2y9rSGwquunnNdfDIg8GpNPIKH3
6F91/EORXX+WE9h0TVqcMYDfc9+qIXDzb2NJ615O1IuN2kXgQr7EcG7vrF52
A4Hb76VVt6zH/aVZbQQ++XRrMKtlUuSqTAeBqVMZrR1bUM9R7CTwVMvG7w4H
8b1/dz8B+b3Mb9aVoF93oYfAmlUn9qxb+i/6e9NL4EBXZ+2Dp4MiJ5mCofx9
MT8c8s6g3ikZhUK56aucVOxDZeQpqPptUfXDyLqdCgrt503q5mz0b7YrKajd
ZdC0Av26BzQUort35eiXzfo7bqCwdZ+gX1SBfbls5RR8k58z53y/yNzPNRSC
YYMpPH9XZNWUicKjNo/1tGUC+5i0UPj4re+3v+9DLg1YKQwtrrcvuHEP+5c7
KBQ5G522tdOYT+ukkFBx5kbnNZy3K7GfwmD1hjHfy3NFdid4KPxnV2hTz0qx
f42Xwp3lKe6hLGRdZZBC7r7hGfPxefh/rJQxSIl73FyXiax6hWcQlnyk9xgX
IbLxXQWDRZG23RdXYz+uJiWDh3lV6oXd6Me6WcPgZqBArd+P83BsMjCw609G
DEln59VQzuD6BHnwWjfOJ72rJrQ+fEl21BjuV102MRhYclBymOB8dJcsDOo+
aOSGqmf7H7MyyM5rnFn+I+q7ox0Mfhme1mbswfyOWz0MGp6YkScrwtHfaB+D
BQVbXrXcxz44mYeBlrfzCdswvyrLy+ClstXXJb9FipwkDTK4qNvWOV0ZhX3M
kwkwsbi2/u5INJ6XdF6A2Lz4S/qOGNQrVAhQvLStVuJDNj+rFGDH8y/M5x5D
tqZpBHh7e4R5JCDD85lvECB+pDmy9TnkJGO5AAUl3ma/Gjl9Z40AVyOvFJ1t
R1bVmQQoiymeu/kjZOOXFgGubHzmn5EW9OtyWwW4cI7pxyIwj9X2tQAbcr9I
LJJiXkdHjwCuq+urd6RiH/6+PgGOnvzM1e+TqP4HLY2tQw==
          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       AxesOrigin->NCache[{2934835200, 1.}, {2.9348352*^9, 1.}],
       Frame->True,
       FrameTicks->{{Automatic, Automatic}, {{{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"1990\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"1995\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"2000\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"2005\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"2010\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}, {{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}}},
       GridLines->NCache[{{{2840140800, 
            GrayLevel[0.8]}, {2997907200, 
            GrayLevel[0.8]}, {3155673600, 
            GrayLevel[0.8]}, {3313526400, 
            GrayLevel[0.8]}, {3471292800, 
            GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
            GrayLevel[0.8]}, {2.9979072*^9, 
            GrayLevel[0.8]}, {3.1556736*^9, 
            GrayLevel[0.8]}, {3.3135264*^9, 
            GrayLevel[0.8]}, {3.4712928*^9, 
            GrayLevel[0.8]}}, None}],
       PlotRange->{{2.9348352*^9, 3.463344*^9}, {0.8615325109395254, 
        3.7417020323085075`}},
       PlotRangeClipping->True,
       PlotRangePadding->{
         Scaled[0.02], 
         Scaled[0.02]},
       Ticks->None], {192., -355.98757751993935`}, 
      ImageScaled[{0.5, 0.5}], {360., 222.4922359499621}], InsetBox[
      GraphicsBox[{{}, {}, 
        {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwlkg1MU1cUxx9FC9ThmJuTirbKNGsGbl1Ru0/oUdLpMFnXWZgzGwXrGOJs
M2KE2CjWumHqDKDQZR+msMzBjNszW9jko5QMzDK3WqbdIlulCO/e+wLLuqAW
U6brO7zk5eWXc9///z/n3NWVdvNuGcdxxclX+iYfq6NdgJE2bzDn/ExRkh12
XoA3C+7U7x+/K3HDvgEBqLOy8NyjnCHJAW9QgEWFHtWab1Il5gYjAkzOTdZl
5aVJHG2dFmDTttblFk+6xLHTCQHWDjV2Tgwha/0KArGaXb68D/C8gyoJfPdp
jc4oLJTY1KchcCm75JWNXXKJrb16ArZXS27VXMW6b9JIYPMRs2r/11iPZpYS
OFhXGns4jBy4aSMwpn+sLzCD+ULjtQR29ysWr6MyibMWHSWwwn8t3WLGfkzr
Wwhs7783/nf9Palfa0E7AU3+2ne74imYT8cTmOLkYxdG0Z/fOUDAb+7rjB3B
/DF3kMAjvf0LppzIoR0RArerOe/dvxZgvtenCZRd/tfr2Yt6q1wJAtwpNbEe
RH/rOQWFE11n8t1hZEODkoIzUixkhzGv6bCGAmx7QTU8jNzUqadQsfw980dy
1A+NGCmMro49f2EN9s+ftVAIXTNvqC/OwHl8YaMQUMrVH3Zk4r6u1FLIrXrn
pXDDYvSbdVF42fL9Wz/fwPOmeDOFs2OnUgN1mNd6x0fB+0nRsYLBWWk+PjVP
IWXD9ooHw3GJo1sGKHg8v/Wcf2P+fqwMUlA/4x67nIJ5QisiFPhflnHPynD/
WcZpClt7bh/vbpvftz1B4Ybpuaeyl+C+tMUKBhuXuuMz+ehv2Kxk8JN6VKa5
8h/ex70aBk+s9Pww3HFf4kCrnkH3wopDKj+e9+0xMii5fuCi/XPU46stDFou
2Y5mDOO8Yi02Bnm6ycy3/8B5avtqGexK+9JlaEZ9Q6+LwUigLRj5MSGxqaeZ
QaPa83FHK/o1TfgY7Ms6oJrqwf9DD/AMgnODWzUM9flxPwP77Alhjxk5EP2V
wUNlV3XNx5A5RYRBPD9XHDmJbCiYTubN6Z4q3Il5V6UnGOQ4v22sbMd5atMU
ImSUe9WzMvR3aJUifGVZ8tp1Odb5HRoRllaX/i5OIDc9qRfhzNzJx4dOYz7f
OqMIZeUXU5tyUD9aahHhvmNZPGPLvF+DTYRNn62n7vb5eRyuFaHKLwpaHfoZ
DrlEUD+dVsXK/ym61TX64tD7IuQKx/90zt0s+h838p/T
          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       AxesOrigin->NCache[{2903212800, 1.}, {2.9032128*^9, 1.}],
       Frame->True,
       FrameTicks->{{Automatic, Automatic}, {{{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"1990\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"1995\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"2000\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"2005\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"2010\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}, {{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}}},
       GridLines->NCache[{{{2840140800, 
            GrayLevel[0.8]}, {2997907200, 
            GrayLevel[0.8]}, {3155673600, 
            GrayLevel[0.8]}, {3313526400, 
            GrayLevel[0.8]}, {3471292800, 
            GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
            GrayLevel[0.8]}, {2.9979072*^9, 
            GrayLevel[0.8]}, {3.1556736*^9, 
            GrayLevel[0.8]}, {3.3135264*^9, 
            GrayLevel[0.8]}, {3.4712928*^9, 
            GrayLevel[0.8]}}, None}],
       PlotRange->{{2.9032128*^9, 3.431808*^9}, {0.5933212554802234, 
        3.8129067972885347`}},
       PlotRangeClipping->True,
       PlotRangePadding->{
         Scaled[0.02], 
         Scaled[0.02]},
       Ticks->None], {576., -355.98757751993935`}, 
      ImageScaled[{0.5, 0.5}], {360., 222.4922359499621}]}}, {}},
  ContentSelectable->True,
  ImageSize->{745., Automatic},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{3.571595736389826*^9, 3.571668335162335*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      GraphicsBox[{{}, {}, 
        {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwl0n1MU1cUAPCuDnUFNnEuEXWxm07YIksnE/rHHO+IvjCJpioIRSWo1SCb
bUNJ/3AZNC0B2dxGmUJcG3lEgUVN6MZ0CAgl0vnBKJ3JHCyrFpV772NdaIaj
uipd3+lLXl5+ufeeez7eGwcNuw7LZTLZltgrfaVnyD8Fx982/LLhpxe5GAOn
g1Ogvlaurf4UHToVmQLhjqq2xYJWDSgIZDZsCztvyCUbaSqBS5UFzrmkFyRr
+tMJrN87W17zSjQn5rK+bAIfHRse3L87Ill4xBO4v8loL3r4XHIgeQ+BNbsH
3bRFJp13P9DF9k8W3foxGeP7Jk0EDml1P1RcWiB5SaKNwMbi/T2CGq15v4lA
LqeaWWrE/WWZbQS+in6/1lSP+Rg3uAhc9m7uqD6J8V17Bwn0tv/WNF6H+YVq
vQT+VdyuD782L9mn9ROg+rJNExfi+RUHCTQk6DMua3BdaY0QuBWa37hyKF7f
RQWFw+P8zxU2jM9ZUil8wzKL8zxoTU06hXfu+h3KAnTjd9kUbv5zocXkw/O+
X3kKdSfUCcM+jO/qKKTgmC3RX7Wh3e06ClvPnVj/pgMtGzNRSPji5eloFPPj
nlgpJNrvbSNzzyRrwnYKH6zINynl6LI5gcJ/R220dAItrHZRWBdePV1kxv4E
8gYp1I5nWaq8OF/3614Kyw2PRjSNC7H/q/yx/NVdnU2T6CV8kML1u7bHyyAB
6zNEKIzMVXV+2IPzUG1RMGjtcWT91YzmclMZNKeoFriDaMsn6QwM19uGtjvR
7tPZDNrSVli7M9BCBc/AE7ja/0cbztN1tJDBmD4FolXoUJOOQfWzbwvMvWhV
v4lBZe6xIdkTNNdnZdA9vbN0X338/+i1M6hofetQohzra3woMLgYnv36VQ/a
l+RicCbL8BhKsB7X5ACDcn7svc/r0O7AKIPPim57PRa0TOFnkF96JfmlHWgu
M8hg+czmL4UjaOXiCIMUsWdg2IBWLVKIMMI6np6dRxtVqSLcr3V25xuxny5t
ugj+pJV//u5EN76bLULfqQPmEjNayOBF6DqffGZNOTqwp1CE8eOr0vizaKVF
J8L8yRutafJFeF+NSQRz2sGt9/rRXLVVhMV/5zRXatGWTrsIheeuabkJPO/2
CbH4++Rq/cfx+9q7RBDyZhxXlsbzOz8gwixd9tyTgw6Njoow+rThwQi/kPsf
jI+udg==
          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       AxesOrigin->NCache[{2934835200, 1.8}, {2.9348352*^9, 1.8}],
       Frame->True,
       FrameTicks->{{Automatic, Automatic}, {{{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"1990\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"1995\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"2000\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"2005\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"2010\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}, {{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}}},
       GridLines->NCache[{{{2840140800, 
            GrayLevel[0.8]}, {2997907200, 
            GrayLevel[0.8]}, {3155673600, 
            GrayLevel[0.8]}, {3313526400, 
            GrayLevel[0.8]}, {3471292800, 
            GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
            GrayLevel[0.8]}, {2.9979072*^9, 
            GrayLevel[0.8]}, {3.1556736*^9, 
            GrayLevel[0.8]}, {3.3135264*^9, 
            GrayLevel[0.8]}, {3.4712928*^9, 
            GrayLevel[0.8]}}, None}],
       PlotRange->{{2.9348352*^9, 3.463344*^9}, {1.7078530779752603`, 
        2.967220823343207}},
       PlotRangeClipping->True,
       PlotRangePadding->{
         Scaled[0.02], 
         Scaled[0.02]},
       Ticks->None], {192., -118.66252583997979`}, 
      ImageScaled[{0.5, 0.5}], {360., 222.4922359499621}], InsetBox[
      GraphicsBox[{{}, {}, 
        {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwlkn9MW1UUxxtwgG9s4w+ZFLdSMiWt27SRmeKWbT2D1JmodEvAEZkS1xkh
y+goccCm1EoYzuhWBkPmrzbGMVyYL2ZqApMWf8y09JdjREQJr7D37n1YCAzt
NqrV9tyX3Lx8cs49P77fW/hK/f7DaQqFoix5Uv/kV2NxifBa32bLtCnbkGRL
PS9CrLrWTLevTrHtqFuEV7UnlptL70+xpycogunvY01jxzJTrBiZEiF8Irpy
RpuRYqE7KkJT7qR3rgR5sSsuQt7OgNCZl5Vi3TAnwbstgYLCENazEKUEjetf
6B3xcik2XdNIoM0fD3nXItcM6SXYR4IdV05hvvOWUYKBT0/lbXsHWVhTKcFP
B/sfKb3B5psxS+BYZ9jxfDneD0esEvSMnvvv8XyM56x+W4JL8aGrTx/G+U3b
OiV48nzs3kNpOG9NsUuC31UDrg1XV+F8T/DJ/u4tXQo/xvkX3RLMLV4s9jvx
/mJbUILN6XaTbzvuF66akqCw9261YxxZOBCVwDb8z6EHfkBW2+PJ/msbcj9Y
Rq65zBHoro1kJLQ4n8GmJLD766KOuRjGTa0aAt7Pntsz+wbGz17SE1D9cSfy
TA/b7xcjAdeS7+cLo+gXf7GCwKbrD1a2u9FPz+dmAo2Xm97aZEVWhKwE6qSb
3J4uzDfctRNIHEhwGb8x/e84CAT21aXDo0z/mJOAJeHl3JTpX8AT6FVtnC5Q
YVzY6yZwa3LHwyurkD0bgwTau28EK65jfnjDFAHZWiZwzM8cYzS536TLWsjY
VB8n8O1MS/Sj08i6Mo5Cw2jfwr9fIBtKlRTGcvKXwg1Yz3ZEQ+HZdcpo41Oo
j6dbTyHwzW5/2In+OOuMFPT+o9+934/+8bUVFNJFbXS2g73HTjOFlZNbta1x
9E93zUrhpu/j0LKC6T9kp3DEGjpUxd6badBBYfwT9f7Ebab/rJNCJFt930gR
0z+bp5D1oa/NzOblI8MU3hNU504fR309QoBC88uucO4Wpj83RWFhPqtvjQbZ
UBylsDRvriIvIauz4hRKqvvvtfDIukxOhuXyidrBZqxn0Sll6Al93x77kfWr
0sigW99G/2J+nH1ML8OuveUT4hnm11ajDHkDBy/MlzC/KitkSBPGZyaOI6tt
Zhn8O1e+LKpk+rdaZVh4fZfvq1+ZHm/aZRicnL6SNoZ62/ocMtwuOZlB/sw0
/A9a7KKo
          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       AxesOrigin->
        NCache[{2903212800, 2.8000000000000003`}, {2.9032128*^9, 
         2.8000000000000003`}],
       Frame->True,
       FrameTicks->{{Automatic, Automatic}, {{{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"1990\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"1995\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"2000\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"2005\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"2010\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}, {{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}}},
       GridLines->NCache[{{{2840140800, 
            GrayLevel[0.8]}, {2997907200, 
            GrayLevel[0.8]}, {3155673600, 
            GrayLevel[0.8]}, {3313526400, 
            GrayLevel[0.8]}, {3471292800, 
            GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
            GrayLevel[0.8]}, {2.9979072*^9, 
            GrayLevel[0.8]}, {3.1556736*^9, 
            GrayLevel[0.8]}, {3.3135264*^9, 
            GrayLevel[0.8]}, {3.4712928*^9, 
            GrayLevel[0.8]}}, None}],
       PlotRange->{{2.9032128*^9, 3.431808*^9}, {2.70779178614023, 
        3.593517944908642}},
       PlotRangeClipping->True,
       PlotRangePadding->{
         Scaled[0.02], 
         Scaled[0.02]},
       Ticks->None], {576., -118.66252583997979`}, 
      ImageScaled[{0.5, 0.5}], {360., 222.4922359499621}]}, {InsetBox[
      GraphicsBox[{{}, {}, 
        {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwllH9MU1cUxysgaK0C/iAporIxZ7eFUWWuW8ykp7iu+8NQ0TqI2WxMnWzp
ZreO+KMTm6KbStxoB1OihlYKOl3mw20BtEI3M/dDC6VLlgxH9hB7731bqYQE
qi370XfeS15ePjnnnu8533PzHtu1t3p3hkwm25R+xa/4fDcaheN7Nq/8MDZX
m0a+NRaF+h1ju5cYs0WebElF4d/aQ5derMgRWd0vJ9DsrUkpnsZ8G1USKF9X
d76sLUNkY0BF4NpIW89TW/6rSLP5uobAocbuQONgQmTvfT2B5Ims9ZZHSZH5
hdsJmJd92bvyAuYH71kIzO3TnEzG54j1wmN2AtOFNa9eOZglct6CRgITIy8r
HD2ZqPech4Cf/7Uq0I365nIfAfXInlPtrci2dVw6/triJz13sR63Y4CArIve
CSqQJ48MEvi9UiczTMlQr3aUQE3B7ezgcozzNbF0vTxLYaYPudiVIqAp+GnN
ti8kvctyCjby7Z+OFLLWqaQQOXe2qCIs+XFYRSFz/FRvleRP80UNhdtZ3a/Y
eGm+YT2FA+Gdg74nUJ/rMlFQbV1vPV34D/rRaaFQdOaF2o61KZFlQ3YKv/S9
Ewu6kbUPXRRKmw0PvKWzIhsTbgrmqpaPh30YN894Kch7Ozr7dFjPu4qjAA7r
zQ0F2A9vGKAw/br6jk+D+w6uGKTQ8Mcn/krNfOyvaJSC3zynMTcxD/3XxyiM
87rfVjdhvnFvikL5Ls/WZDvuR71JzsCsa+f80r60lUoG+ftfetMTRnZaVQxO
fH8s55EPOdiqYdDgIPOnFyF739YzyD5Y8rNbjvvl3jIxGN82a1oWR570WBhc
bOoKfZAv6QXsDJYXOyK3ohjXXncxuLXZ13byDYwbr7kZ7Fubb60vw/vaPO5l
0PGuKjJlw/7DCo7BXeUNZ+4E3m9urJ/BfednP8TjOG+QDzFIPDDlLuzBuEw+
yiD1fNnRuk/xvLY8xuCbzMV0uAS5eF6KAR+Y/HtLAvXUOXIBjr13fPUsw/M2
tVKAuGGmQZeUo16tSoCl1eem7l1SYH/PagRgha7zQz0L0I9SvQBft0Sqjz6O
++C3m9L5pz9fsXSRpOe0CGAiYxsu/4jzqw/bBdhpsJ756C/JjwaXAPUbHz4z
3S/5f8EtQLjp/TrdAewvGPYKELmx5KuhPKzn7bwiQDQ0U3J2PzLn7xdAP3Sz
YtVV6X8QCgkwUTyQsc+erf0fayOi7w==
          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       AxesOrigin->NCache[{2934835200, 1.5}, {2.9348352*^9, 1.5}],
       Frame->True,
       FrameTicks->{{Automatic, Automatic}, {{{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"1990\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"1995\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"2000\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"2005\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"2010\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}, {{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}}},
       GridLines->NCache[{{{2840140800, 
            GrayLevel[0.8]}, {2997907200, 
            GrayLevel[0.8]}, {3155673600, 
            GrayLevel[0.8]}, {3313526400, 
            GrayLevel[0.8]}, {3471292800, 
            GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
            GrayLevel[0.8]}, {2.9979072*^9, 
            GrayLevel[0.8]}, {3.1556736*^9, 
            GrayLevel[0.8]}, {3.3135264*^9, 
            GrayLevel[0.8]}, {3.4712928*^9, 
            GrayLevel[0.8]}}, None}],
       PlotRange->{{2.9348352*^9, 3.463344*^9}, {1.4879186030231886`, 
        3.5834406809101527`}},
       PlotRangeClipping->True,
       PlotRangePadding->{
         Scaled[0.02], 
         Scaled[0.02]},
       Ticks->None], {192., -355.98757751993935`}, 
      ImageScaled[{0.5, 0.5}], {360., 222.4922359499621}], InsetBox[
      GraphicsBox[{{}, {}, 
        {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwlkn1MU2cUxi+UAZYKbEvd0E1KnLFmonVs1o1tuQewU8NHRUtgBa0MMEoD
deWPZR+UFbS6aVNYCYjKCvIx5jR34S8Go4VEs2xQS9IoAyuFre97r2k2NpWR
NXHrPdzk5uaX857zPO+5T0ZlfXF1LMMwedFX/EYfg6knBOdVE0V/Pr+ejbKp
ngtB8JzjU8GSJHJTnTsEQ9/NC7P3E0X2dHhDAJ21D+32Z0RmJgIhOObv2LDQ
IBE52B4OQd/1912l/liRl52RENz88aIkeAHrqnEpgcMxe4oLTNhvomkEXigN
bM2qQ9aOKQnYIj/tHy2KE9kwqibwVdLwiT+EeJFdv2sIOHOJzhZOQL31JQQk
mU8SFwvXob+lKgI1P0+9mXNaKrJv0Uwg4a/OdfIZ7E9NaibQuZK/6d27OF/7
ehuBoWJ5z2eT6M+Q1UPg4YxdkX0L/Zte4wi8UZHE6k8ic3o3gbl+Z87Gfjy/
3OKN+pX3aTeloH9fWYBAbcHNfOM11AuWhgn07fsyozmAfhXWCAHZUKFjWo5s
uC6lsCosl38wif1sUxqFLTX3PmrXrfmzKClMxXpkf1fgPMc3agq24cZ4RTb2
+2Y0FPaOu7UKGzI3oKNwUa4cuFqN5z39VRRkRsmumGn0z9wxU3j6/dJOzUZk
dtVKwXHP7XgwgvfR/tNKoct2w7k9GfdpWHFRmL3t7K5+inlwpXMUfm0kRxd7
cb/B/W4KDaeYvefn1/Re9lLYcCejz7ID5/teClBY6tJXPmtncP+aMIW8sL95
8PGaXn2Ewqvd/vhyDvOlypPy8PXnIy3Fb6Eem5vGQ7ruiP/KnAzzaFTy8M4k
NXYNYt3Truah4r8F1+Zr2O86peHBVLZnx0oO+uFO6njw3r6brbYhL7dV8ZBy
dkRX24/3U42ZeSgqvxHH5GD+2VErD/+WpJ4JHE5Gfz+08sBIB7vDdqw7fnPx
MN+bfvXWJdT3yTgeZus+frR7APfBLY7zsL3SkjKsRb+e4DQPmfmF1ppVZEYa
4OHtzaHH3xqR2awwDw2cwTChx/mKxAgPnxzX246+mIr+EqQCXOk4cqZ+dwrm
UZUmgGRkUuVNRX9cmVKA0lc+fK/3F/Tj2KkWoCXbZ268gHlwZWqi54Nx2y47
MV/BEp0ABcmnD45N4f4VTVUCHMudbVu4H4N6FrMAhxLd557rwP/FNloFmNOd
PfDoC6w3DbYKwB1Sj15+Esv+DyB0kWg=
          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       AxesOrigin->NCache[{2903212800, 2.5}, {2.9032128*^9, 2.5}],
       Frame->True,
       FrameTicks->{{Automatic, Automatic}, {{{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"1990\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"1995\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"2000\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"2005\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"2010\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}, {{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}}},
       GridLines->NCache[{{{2840140800, 
            GrayLevel[0.8]}, {2997907200, 
            GrayLevel[0.8]}, {3155673600, 
            GrayLevel[0.8]}, {3313526400, 
            GrayLevel[0.8]}, {3471292800, 
            GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
            GrayLevel[0.8]}, {2.9979072*^9, 
            GrayLevel[0.8]}, {3.1556736*^9, 
            GrayLevel[0.8]}, {3.3135264*^9, 
            GrayLevel[0.8]}, {3.4712928*^9, 
            GrayLevel[0.8]}}, None}],
       PlotRange->{{2.9032128*^9, 3.431808*^9}, {2.069369095249713, 
        4.0237980985187916`}},
       PlotRangeClipping->True,
       PlotRangePadding->{
         Scaled[0.02], 
         Scaled[0.02]},
       Ticks->None], {576., -355.98757751993935`}, 
      ImageScaled[{0.5, 0.5}], {360., 222.4922359499621}]}}, {}},
  ContentSelectable->True,
  ImageSize->{745., Automatic},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{3.571595736389826*^9, 3.5716686170619173`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{
    "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
individ_IQRs_carry_alt\>\"", ",", "DataExport", ",", "\"\<List\>\""}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{
    "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
individ_IQRs_raw_carry_alt\>\"", ",", "DataExport2", ",", "\"\<List\>\""}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.557078002284696*^9, {3.571668805335803*^9, 3.5716688412254057`*^9}}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/Data/individ_IQRs_carry_alt\"\>"], "Output",
 CellChangeTimes->{{3.571668824778102*^9, 3.571668842501154*^9}}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/Data/individ_IQRs_raw_carry_alt\"\>"], "Output",
 CellChangeTimes->{{3.571668824778102*^9, 3.571668842504931*^9}}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.571519171036127*^9, 3.57151918657375*^9}, {
   3.571519296857819*^9, 3.571519322084407*^9}, 3.571594828751667*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"g1a", "=", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"DateListPlot", "[", 
       RowBox[{"ylist", ",", 
        RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}], ",", 
      RowBox[{"DateListPlot", "[", 
       RowBox[{"ylistG", ",", 
        RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], "}"}], "}"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/short/\
JMCB_revision/iqrfig_rev_carry.eps\>\"", ",", "g1a"}], "]"}]}], "Input",
 CellChangeTimes->{{3.556542821879648*^9, 3.556542848920586*^9}, 
   3.5565455115358047`*^9, {3.556895277531292*^9, 3.556895298099834*^9}, {
   3.571519117562202*^9, 3.571519120730715*^9}, 3.571594842722055*^9, {
   3.571600277013823*^9, 3.571600330047195*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     GraphicsBox[{{}, {}, 
       {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwlkg9MU1cYxUuBlj3oELPFNc7Jn21WNhnIYjOThX6xFuk27CqUP26uuhIC
1MBSJIYl0FQMRsMGYmO22aVktjiZWZ2JokUoGqe4FWqzMEn2XHHj3vtGN7uZ
MW2dG+/rS15efrn3nvOd827enlZjg1QikWiXX/ErPpP8Aoxu+GOwN0+uWcaI
M7oAlc/Fsr+xIseOJRbA1NFZMfZ6hsjF4xyBtiMnFHdyZCK3USUBefPIky1f
popsGFMRMG8pWDk7LxHZ7FcT4MbC13O64mXL7P5VR6CffC6T039FjihMBMq+
r2p12lLE/YG7FgINhgqDlEe90LyNwMrSOzefZ+i3IvMAAVtMu/XkIWTDq0cJ
fPVS5ppbN9PQr3SIQEd+TU9WAM+3bfQRmF2vNbpSpCL7dk4QUHzww+43anG+
WM80geydm9bPTCGH6ngCSyu+GL/fjvNEaqMEbq+bmd9/HznXkSDwdE58uj6I
euYRjoK1JnI8JkN/jV25zIYdm38+jGzoVlGYO3Gs+3Qfcv8pNYW193rODKiR
Q7d0FGyKV96WWpF93moKhZWeIzeG0rEPj4XCjxX79+S3Y/+SGRuFhhd5WdN3
mej3wEFh5KHxcaUL1w3/DFCYCKfLS+KY37zkpuB3FfY2RjGfe62PgipesNB4
OJlv2wSF6dt8w3vp+L8Da6YpfKwa/dsTRv3QszyFv8LN+slzWdi/Lkphcill
39RPHPq1Jig8kH2aYS16Au+HlmPwVNr74QOvIWu2KBn0ml62kwiy3api0Og1
XXmUhucDTjWDrkWLulyJ6+5mHQNnR8l2rxfn8TVVM/it89KH5kLMFztqYRA/
FVyl55L3cczGgO/0943KkTV+B4PAm2ffyT+b7OPSAIPUNLtyZAj1+39xM6iq
TVz0P0b/UJaPwfm8CwdrvJjPNz/OIH+YT/0vocD5IkEGe0/PTW3bjizheAb6
1R9daBzE/ZrSKANP/WVO+Rb2lZuRYLDDaXwBJKhfLOcEOFO7+uCcH7mtWCmA
kR1q7ZtN+tWpBLhX9VCaqs3G+YrUAnx7fdF4dxOye4NOgOESy7XzW9E/YqoW
oD/YntC7UC/XbhFAv/HqM3tbkn102wQY2qWrq/8s2UeXQ4D6dbtXNX2S7H94
QIBEcbS8oDfZf8gtgKvu3d8nHyG7PV8LsK/INKjZjHl8J8cFaClbTCkwIseC
QQGY16Et/5PT/A9tK5JL
         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      AxesOrigin->NCache[{2934835200, 2.}, {2.9348352*^9, 2.}],
      Frame->True,
      FrameTicks->{{Automatic, Automatic}, {{{
           NCache[2840140800, 2.8401408*^9], 
           FormBox["\"1990\"", TraditionalForm]}, {
           NCache[2997907200, 2.9979072*^9], 
           FormBox["\"1995\"", TraditionalForm]}, {
           NCache[3155673600, 3.1556736*^9], 
           FormBox["\"2000\"", TraditionalForm]}, {
           NCache[3313526400, 3.3135264*^9], 
           FormBox["\"2005\"", TraditionalForm]}, {
           NCache[3471292800, 3.4712928*^9], 
           FormBox["\"2010\"", TraditionalForm]}, {
           NCache[2871676800, 2.8716768*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2903212800, 2.9032128*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2934835200, 2.9348352*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2966371200, 2.9663712*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3029443200, 3.0294432*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3061065600, 3.0610656*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3092601600, 3.0926016*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3124137600, 3.1241376*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3187296000, 3.187296*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3218832000, 3.218832*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3250368000, 3.250368*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3281904000, 3.281904*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3345062400, 3.3450624*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3376598400, 3.3765984*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3408134400, 3.4081344*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3439756800, 3.4397568*^9], 
           FormBox["\"\"", TraditionalForm]}}, {{
           NCache[2840140800, 2.8401408*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2997907200, 2.9979072*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3155673600, 3.1556736*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3313526400, 3.3135264*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3471292800, 3.4712928*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2871676800, 2.8716768*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2903212800, 2.9032128*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2934835200, 2.9348352*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2966371200, 2.9663712*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3029443200, 3.0294432*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3061065600, 3.0610656*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3092601600, 3.0926016*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3124137600, 3.1241376*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3187296000, 3.187296*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3218832000, 3.218832*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3250368000, 3.250368*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3281904000, 3.281904*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3345062400, 3.3450624*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3376598400, 3.3765984*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3408134400, 3.4081344*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3439756800, 3.4397568*^9], 
           FormBox["\"\"", TraditionalForm]}}}},
      GridLines->NCache[{{{2840140800, 
           GrayLevel[0.8]}, {2997907200, 
           GrayLevel[0.8]}, {3155673600, 
           GrayLevel[0.8]}, {3313526400, 
           GrayLevel[0.8]}, {3471292800, 
           GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
           GrayLevel[0.8]}, {2.9979072*^9, 
           GrayLevel[0.8]}, {3.1556736*^9, 
           GrayLevel[0.8]}, {3.3135264*^9, 
           GrayLevel[0.8]}, {3.4712928*^9, 
           GrayLevel[0.8]}}, None}],
      PlotRange->{{2.9348352*^9, 3.463344*^9}, {1.6557786756127393`, 
       3.9082088692035692`}},
      PlotRangeClipping->True,
      PlotRangePadding->{
        Scaled[0.02], 
        Scaled[0.02]},
      Ticks->None], {192., -116.80842387373012`}, 
     ImageScaled[{0.5, 0.5}], {360., 222.49223594996212`}], InsetBox[
     GraphicsBox[{{}, {}, 
       {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwlkg1MU1cUx9+qQikoyJxSp7M41LqA4iorshjf2bDrlNhKpEp0s7ISv6pt
Vj/AjLVWtqGgA2xjpmQrWUREQ4puMj5i6zRO7SjtWKZhNqnbeu99DE23KOq6
JWtPX/Ly8su57/5/99yTW2UqrxZxHFcafxPf+KM3t0egquueM9qTxcfZbHJH
YF+JvPjYS8i2vZ4IqL9atS30ZGqCvaf8ERhq9YUyHksSzF0LRcDQU6feWCRO
cNg5HoFvM/eU9QRSEhx1xCLgU966+d5PyIVXJQSK1gqj3EJcb6ZSAgbZB4vH
NMjaQTmBX0qfN5+uSU2wfkBJYEbow1w1YJ7rDxWBNNmnogZNOuZN1RG49nw7
N1qTgX6/GQho7bJcxyr0DTywEDjzaPrelXlpCc5KP0LA0/so+vd19NEubyVw
/sfl3suzkfWKdgJHZ50cebFtCvq97ibw6/ffvPN5B7J7s4fA2rm6grSl6Bet
9xO499lYV48T/QOVIQJyb9PC1/LQN7xpnECDfaj6/AH0ldljBGrrJt24GcC6
/oKEQpdzx/GU9ejH26QUROLG+a/04/5aq5xC2YH297O/w3pzpzLOW4vfCLbh
/4GgisL926uLFEFkd0cFBbop2HvXh+u9Zw0UnvTl+y0OPB83bKEwat/Hz5yB
zD+zUzgk9Rf/tz3Zj6ctFJ4OTE/13cX/9RMuCttaOpbt2ZXs/zw3hb6h4ZwR
JfqF1R4Kis19Jd03sD/euX4KjhOSk1/yk9FvTii+X/el1gsC1rNU4xS2fFQp
PvMD9kNrilHIX72m9t0V03A+SiUMOtNHHPdH8f74t6UMPLvfXDNfgmwzyhnk
+7LO5UjRx+tUMth6/S95/WH0ce1SMTgeXmqx3kne184KBvXEemvmhuQ8thoY
VOv4OrEZz1c4aGFg2i/SfpGXzBuwM1j0sPzlibfQR9vfwuBSk+awxor15t9d
cb+0lU2yY+gfyHAzWGYMXpnWmOz/g6sMep0P171akpzH8BCD2CfG7IsxZE4S
YrBiWGdQ1CLzinEGuycPdy6ZQJaJYwzY7Iav5xVkol+qRACx+qLMUYX55kKp
ADn9mf+ebsZ8d6VcAG9+jbcpmpyPJUoBSqPGDTsO4nldBSoBTmSXk0oO+xHW
VQgweOesSWSehHk2gwA/lxkPrTv1AuZZLQKkV7f92T3God/HdgEaM6N+qQbX
2861CPBP7oLHtydS+P8BFraNdg==
         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      AxesOrigin->NCache[{2903212800, 2.5}, {2.9032128*^9, 2.5}],
      Frame->True,
      FrameTicks->{{Automatic, Automatic}, {{{
           NCache[2840140800, 2.8401408*^9], 
           FormBox["\"1990\"", TraditionalForm]}, {
           NCache[2997907200, 2.9979072*^9], 
           FormBox["\"1995\"", TraditionalForm]}, {
           NCache[3155673600, 3.1556736*^9], 
           FormBox["\"2000\"", TraditionalForm]}, {
           NCache[3313526400, 3.3135264*^9], 
           FormBox["\"2005\"", TraditionalForm]}, {
           NCache[3471292800, 3.4712928*^9], 
           FormBox["\"2010\"", TraditionalForm]}, {
           NCache[2871676800, 2.8716768*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2903212800, 2.9032128*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2934835200, 2.9348352*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2966371200, 2.9663712*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3029443200, 3.0294432*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3061065600, 3.0610656*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3092601600, 3.0926016*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3124137600, 3.1241376*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3187296000, 3.187296*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3218832000, 3.218832*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3250368000, 3.250368*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3281904000, 3.281904*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3345062400, 3.3450624*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3376598400, 3.3765984*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3408134400, 3.4081344*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3439756800, 3.4397568*^9], 
           FormBox["\"\"", TraditionalForm]}}, {{
           NCache[2840140800, 2.8401408*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2997907200, 2.9979072*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3155673600, 3.1556736*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3313526400, 3.3135264*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3471292800, 3.4712928*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2871676800, 2.8716768*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2903212800, 2.9032128*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2934835200, 2.9348352*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2966371200, 2.9663712*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3029443200, 3.0294432*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3061065600, 3.0610656*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3092601600, 3.0926016*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3124137600, 3.1241376*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3187296000, 3.187296*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3218832000, 3.218832*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3250368000, 3.250368*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3281904000, 3.281904*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3345062400, 3.3450624*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3376598400, 3.3765984*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3408134400, 3.4081344*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3439756800, 3.4397568*^9], 
           FormBox["\"\"", TraditionalForm]}}}},
      GridLines->NCache[{{{2840140800, 
           GrayLevel[0.8]}, {2997907200, 
           GrayLevel[0.8]}, {3155673600, 
           GrayLevel[0.8]}, {3313526400, 
           GrayLevel[0.8]}, {3471292800, 
           GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
           GrayLevel[0.8]}, {2.9979072*^9, 
           GrayLevel[0.8]}, {3.1556736*^9, 
           GrayLevel[0.8]}, {3.3135264*^9, 
           GrayLevel[0.8]}, {3.4712928*^9, 
           GrayLevel[0.8]}}, None}],
      PlotRange->{{2.9032128*^9, 3.431808*^9}, {2.1145914466002345`, 
       4.173769322728363}},
      PlotRangeClipping->True,
      PlotRangePadding->{
        Scaled[0.02], 
        Scaled[0.02]},
      Ticks->None], {576., -116.80842387373012`}, 
     ImageScaled[{0.5, 0.5}], {360., 222.49223594996212`}]}, {}},
  ContentSelectable->True,
  ImageSize->{845., Automatic},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{{3.57160033145942*^9, 3.571600346738608*^9}}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/short/JMCB_revision/iqrfig_rev_carry.eps\"\>"], \
"Output",
 CellChangeTimes->{{3.57160033145942*^9, 3.571600347411055*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.5715217956597357`*^9, 3.571521819651458*^9}, {
   3.571522069900084*^9, 3.5715220782202873`*^9}, {3.571668940595626*^9, 
   3.5716689749034977`*^9}, 3.576935301158988*^9}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/Data/medianinf_beta_carry_alt5\"\>"], "Output",
 CellChangeTimes->{3.5715220799202757`*^9, 3.571668992961721*^9}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/Data/medianinf_beta_carry_alt6\"\>"], "Output",
 CellChangeTimes->{3.5715220799202757`*^9, 3.5716689929639883`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SylistB", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"dts", ",", "1"}], "]"}], "[", 
        RowBox[{"[", "k", "]"}], "]"}], ",", 
       RowBox[{"SyB", "[", 
        RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", 
       RowBox[{"Length", "[", "SyB", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SylistBG", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"dts", ",", "1"}], "]"}], "[", 
        RowBox[{"[", "k", "]"}], "]"}], ",", 
       RowBox[{"SyBG", "[", 
        RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", 
       RowBox[{"Length", "[", "SyBG", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"skewfig", "=", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"DateListPlot", "[", 
       RowBox[{"SylistB", ",", 
        RowBox[{"Joined", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", "\"\<SPF Inflation Skew\>\""}]}], 
       "]"}], ",", 
      RowBox[{"DateListPlot", "[", 
       RowBox[{"SylistBG", ",", 
        RowBox[{"Joined", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", "\"\<SPF Growth Skew\>\""}]}], 
       "]"}]}], "}"}], "}"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/short/\
JMCB_revision/skewfig_rev2_carry.eps\>\"", ",", "skewfig"}], "]"}]}], "Input",\

 CellChangeTimes->{{3.556548650860856*^9, 3.556548675743815*^9}, {
  3.557769866190599*^9, 3.557769917426346*^9}, {3.5698722700313168`*^9, 
  3.5698723145596933`*^9}, {3.569944644939611*^9, 3.5699446534107323`*^9}, {
  3.5705419066509943`*^9, 3.570541908034376*^9}, {3.571600422861936*^9, 
  3.571600425680604*^9}, {3.5716004817330637`*^9, 3.571600485442884*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     GraphicsBox[{{}, {}, 
       {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwlkglMk2cYx+viViwiiCRanLGIURIFqzBBGaGPR0WNUpGrVEtjwGzqhNgR
JUZbCzqVDSiKJ2rxwptPPIhQoB4Fuqy14pgyOae87/uxzhEzkaSL2j79kjdf
fnmu/3OEbcpLyf1CIBAs8zzv3/s97BmE8Ffm9cYhlcyD/ZWuQXg7uU1VvzrL
y8NH3R77yJOaumill6XNIgJPMm6LNvg4n4oJmCtu/2NORlaYIwi83TNnb+A5
ZE1jLIGxf/5f3ngT2fRGTkBYHNUQ156J9QLSCbxJdXdVUGTLXzkECn9OKB2d
iv7OAS2BXuLHpVLkIP8iAqPqwGPCVtSriKkgsF86dVqVBFkTXU1g129xhR9C
UH/+Ao5A8nehauW+DC9zqhYCkXVl523312N/xQ4Ch8XztcuXpmI9ZQ+BekPA
y6yBNNSX6fLka1v7dHErxksMbgLB1o7Juum+/q6LKJi7SeGelWiX6cUUiq3j
n88SYbxCF0EhJjvsXepDzF9+JZZCcGft7LwZ6VjvmZxCtfsPsNqxf+5ymof3
n64+oNqA87iUQ6GvxR5y+Lray4KnWgrzS2wdK7qysd6ogYIm4ZtFXXeRFR+M
FH5avdBatRP9NSMmCnGa0tlzt2I+03SOgkz5i584HOfTn9Tiid9xumHCHN/8
pzkoXOurXZL7H+p3ft1DoX6k6OSaCag/SO6ikBvY5L95KAXr5bkp2Gwz1JFZ
yNJlIga/vnh56tFuZNlSMYOVnUGhyYkYr98WweBCgKU1pQ37t1TGMgjZbmzJ
3u67jy1yBvFJUuGDW7hP7vs0Bgfr35+TVKH+4YocBv+Gtbvu69AuNWsZ9IZH
R90dg/3IGg0MdPpxx5ef8N1jg5HBom5N06AFufy1icGkmaqAs/vQ3zmeYzAU
P2bKznvI3EAzg43jOrbeu4j+ln47g+fWx0d6ZbhfgaiHQV3f8Lb8GzgfWbSL
wZSz7XNr1mF/Ej83g2+vuksrS3zzEIp4uMMrFzYNrcN7lIp58Hv83nHQgcwp
I3hYVTIwmmlDLo+K5WF3cko3+YhsipTzoPg0L/HLIszXn57Gw5YCc3FnPLJE
n8PDoQszC6Tpvno6LQ/H3505FPrRN/+9Bh6CZz3Y1SfBe9fXGHmYGMj/HfcD
ssVp4uEr/xdRjrGo33SplocCZ9LapF5k7mIzD+rfC6zCGNzXsN3OQ5k28ceE
Zxmyz9zdq18=
         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      AxesOrigin->NCache[{2934835200, 70.}, {2.9348352*^9, 70.}],
      Frame->True,
      FrameTicks->{{Automatic, Automatic}, {{{
           NCache[2840140800, 2.8401408*^9], 
           FormBox["\"1990\"", TraditionalForm]}, {
           NCache[2997907200, 2.9979072*^9], 
           FormBox["\"1995\"", TraditionalForm]}, {
           NCache[3155673600, 3.1556736*^9], 
           FormBox["\"2000\"", TraditionalForm]}, {
           NCache[3313526400, 3.3135264*^9], 
           FormBox["\"2005\"", TraditionalForm]}, {
           NCache[3471292800, 3.4712928*^9], 
           FormBox["\"2010\"", TraditionalForm]}, {
           NCache[2871676800, 2.8716768*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2903212800, 2.9032128*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2934835200, 2.9348352*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2966371200, 2.9663712*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3029443200, 3.0294432*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3061065600, 3.0610656*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3092601600, 3.0926016*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3124137600, 3.1241376*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3187296000, 3.187296*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3218832000, 3.218832*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3250368000, 3.250368*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3281904000, 3.281904*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3345062400, 3.3450624*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3376598400, 3.3765984*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3408134400, 3.4081344*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3439756800, 3.4397568*^9], 
           FormBox["\"\"", TraditionalForm]}}, {{
           NCache[2840140800, 2.8401408*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2997907200, 2.9979072*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3155673600, 3.1556736*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3313526400, 3.3135264*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3471292800, 3.4712928*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2871676800, 2.8716768*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2903212800, 2.9032128*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2934835200, 2.9348352*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2966371200, 2.9663712*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3029443200, 3.0294432*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3061065600, 3.0610656*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3092601600, 3.0926016*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3124137600, 3.1241376*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3187296000, 3.187296*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3218832000, 3.218832*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3250368000, 3.250368*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3281904000, 3.281904*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3345062400, 3.3450624*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3376598400, 3.3765984*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3408134400, 3.4081344*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3439756800, 3.4397568*^9], 
           FormBox["\"\"", TraditionalForm]}}}},
      GridLines->NCache[{{{2840140800, 
           GrayLevel[0.8]}, {2997907200, 
           GrayLevel[0.8]}, {3155673600, 
           GrayLevel[0.8]}, {3313526400, 
           GrayLevel[0.8]}, {3471292800, 
           GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
           GrayLevel[0.8]}, {2.9979072*^9, 
           GrayLevel[0.8]}, {3.1556736*^9, 
           GrayLevel[0.8]}, {3.3135264*^9, 
           GrayLevel[0.8]}, {3.4712928*^9, 
           GrayLevel[0.8]}}, None}],
      PlotLabel->FormBox["\"SPF Inflation Skew\"", TraditionalForm],
      PlotRange->{{2.9348352*^9, 3.463344*^9}, {71.14605543161193, 
       127.39500875169757`}},
      PlotRangeClipping->True,
      PlotRangePadding->{
        Scaled[0.02], 
        Scaled[0.02]},
      Ticks->None], {192., -116.80842387373012`}, 
     ImageScaled[{0.5, 0.5}], {360., 222.49223594996212`}], InsetBox[
     GraphicsBox[{{}, {}, 
       {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwl0m1IU1EYAOBRQjUx90+XimZNrCyWGqtA29vmkj7spnPTpNhqRmXpTClK
crZCBXHNcoaBbdLXyIT5w2S5dMEig9L5pxIcqbVzLjhk2LJolXnfe+FyeXh5
v+45G0/VFFeuEggE21Ze7ss9rwNB2M74nPUlWvkKZ2yhIFQvvG2t1Wg4hzuj
QZiTDr/rDqg5S0eEBAr/sJvSw8WcjVRMQCYR24sfMpwZTyaB1tXjy2mPjnLW
DcsI/PamfPrQi3HHNxUBy5mWxuk4zJ+J0xCwp07Hm6bQ3jkDgfKspznmvmOc
/bN1BPTVTkNiBPNFsTcJTPnWNOctYX0m9w4Ba/szRYYS47qcXgJdzxVuNcF8
Y7aLgOJjR5JtAu2qGCUg6TrhWTuPDt8aJ6De0TlW38X3Kw8QiNi1RXtFWG+m
LERgUeRwDOiPcE4zRwl4rhVkp9oOY78+IYXm5HP72ndjXN4kprAgkc5n8fMw
pkwKkz0F3xNjcT+rU0bhkOHFq7KXaP+kikL+QPzlzW6060kpBb+z6u8/N87j
fWygUMVerXjgQwsm6igYE5Upx++h5b/MFOaKKrda7qOZnx0UnD9azNpatG7J
sVLfomK/NvD/P9VFYTZJdCndyu9XOEpBUxLab83l+6WMU7C+SZDkDfDzJQco
lDQsll4xoUWqEIWhdaLbGVF+v5oohV07BXvy29BSpZCF5mrlZ90WPB+5QszC
YP/FkX4BxpsuZLLg39C9PinC97PJWLh+93SM/iTeL8d5FQvR9wltYzFaeeON
jO7lAyycHTw49EWtlf8HjWgLeg==
         "]], LineBox[CompressedData["
1:eJxTTMoPSmViYGCQBGIQ/WSf2YPSwheOGVu9tt8PCXcAChnsKX7h+Eu31WLd
qjAQ32F30wvHxoAFLLHKQSB+wK6JLxwFM2YVLnDwB/EnPF7wwvEKR0hW5Dc/
EP8Cz4YXjjIC12xefg4E8Tc83PfC8b92p9dZr2AQ/8CDsy8c5zG/Db/0Gmwe
A9fdF463W7NEH5wCq3cwfvPCMenZndDKFjBfgeP3C8cVsysan8qD1Ruwc710
/Bxz6krdP7B8gYHkS8eugpd/alZB7IvUeOnYXN29Tf8FmD9Bz/yl4xvx7XM1
z4L1L9B1e+nII++x42EGmP8gLPSlI3fbj7d/GyH2NaS8dLT6k3Tp+tQAsH31
xS8dRWqstzOXg/3nUNf00vFo72WhCAMwv2H5xJeOjZkJT3S/+4L9d2HBS0c+
//O7nFLB8guWrn/peMryu7CXJNi8DUv2vXT8plH/yJIDbP+Hs2dfOh7auzRT
+1qIAwCISaL7
         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      AxesOrigin->NCache[{2934835200, 60.}, {2.9348352*^9, 60.}],
      Frame->True,
      FrameTicks->{{Automatic, Automatic}, {{{
           NCache[2840140800, 2.8401408*^9], 
           FormBox["\"1990\"", TraditionalForm]}, {
           NCache[2997907200, 2.9979072*^9], 
           FormBox["\"1995\"", TraditionalForm]}, {
           NCache[3155673600, 3.1556736*^9], 
           FormBox["\"2000\"", TraditionalForm]}, {
           NCache[3313526400, 3.3135264*^9], 
           FormBox["\"2005\"", TraditionalForm]}, {
           NCache[3471292800, 3.4712928*^9], 
           FormBox["\"2010\"", TraditionalForm]}, {
           NCache[2871676800, 2.8716768*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2903212800, 2.9032128*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2934835200, 2.9348352*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2966371200, 2.9663712*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3029443200, 3.0294432*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3061065600, 3.0610656*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3092601600, 3.0926016*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3124137600, 3.1241376*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3187296000, 3.187296*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3218832000, 3.218832*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3250368000, 3.250368*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3281904000, 3.281904*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3345062400, 3.3450624*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3376598400, 3.3765984*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3408134400, 3.4081344*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3439756800, 3.4397568*^9], 
           FormBox["\"\"", TraditionalForm]}}, {{
           NCache[2840140800, 2.8401408*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2997907200, 2.9979072*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3155673600, 3.1556736*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3313526400, 3.3135264*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3471292800, 3.4712928*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2871676800, 2.8716768*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2903212800, 2.9032128*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2934835200, 2.9348352*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2966371200, 2.9663712*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3029443200, 3.0294432*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3061065600, 3.0610656*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3092601600, 3.0926016*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3124137600, 3.1241376*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3187296000, 3.187296*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3218832000, 3.218832*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3250368000, 3.250368*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3281904000, 3.281904*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3345062400, 3.3450624*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3376598400, 3.3765984*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3408134400, 3.4081344*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3439756800, 3.4397568*^9], 
           FormBox["\"\"", TraditionalForm]}}}},
      GridLines->NCache[{{{2840140800, 
           GrayLevel[0.8]}, {2997907200, 
           GrayLevel[0.8]}, {3155673600, 
           GrayLevel[0.8]}, {3313526400, 
           GrayLevel[0.8]}, {3471292800, 
           GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
           GrayLevel[0.8]}, {2.9979072*^9, 
           GrayLevel[0.8]}, {3.1556736*^9, 
           GrayLevel[0.8]}, {3.3135264*^9, 
           GrayLevel[0.8]}, {3.4712928*^9, 
           GrayLevel[0.8]}}, None}],
      PlotLabel->FormBox["\"SPF Growth Skew\"", TraditionalForm],
      PlotRange->{{2.9348352*^9, 3.463344*^9}, {57.165014537740234`, 
       93.32615454002155}},
      PlotRangeClipping->True,
      PlotRangePadding->{
        Scaled[0.02], 
        Scaled[0.02]},
      Ticks->None], {576., -116.80842387373012`}, 
     ImageScaled[{0.5, 0.5}], {360., 222.49223594996212`}]}, {}},
  ContentSelectable->True,
  ImageSize->{1239., Automatic},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.556548678112502*^9, 3.557769839058752*^9, 3.557769920356834*^9, 
   3.560177184188755*^9, 3.569872320255118*^9, 3.569944657137835*^9, 
   3.570196285614045*^9, 3.5705419139799623`*^9, {3.571600427303141*^9, 
   3.571600436505446*^9}, 3.571600487156351*^9}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/short/JMCB_revision/skewfig_rev2_carry.eps\"\>"], \
"Output",
 CellChangeTimes->{
  3.556548678112502*^9, 3.557769839058752*^9, 3.557769920356834*^9, 
   3.560177184188755*^9, 3.569872320255118*^9, 3.569944657137835*^9, 
   3.570196285614045*^9, 3.5705419139799623`*^9, {3.571600427303141*^9, 
   3.571600436505446*^9}, 3.571600487890834*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.55654877724156*^9, 3.5565487831507883`*^9}, 
   3.556548826081277*^9}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.556548804343836*^9, 3.556548832870829*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.571596077851959*^9, 3.5715961212929564`*^9}, 
   3.571596177608891*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"g5a", "=", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"PDF", "[", 
         RowBox[{
          RowBox[{"SmoothKernelDistribution", "[", 
           RowBox[{"Flatten", "[", 
            RowBox[{"IQRTotaldata", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"1", ";;", 
                RowBox[{
                 RowBox[{"Length", "[", "IQRTotaldata", "]"}], "-", "8"}]}], 
               ",", "2"}], "]"}], "]"}], "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", "6"}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"Directive", "[", 
          RowBox[{"Thick", ",", "Black"}], "]"}]}]}], "]"}], ",", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"PDF", "[", 
         RowBox[{
          RowBox[{"SmoothKernelDistribution", "[", 
           RowBox[{"Flatten", "[", 
            RowBox[{"IQRTotaldataG", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"1", ";;", 
                RowBox[{
                 RowBox[{"Length", "[", "IQRTotaldata", "]"}], "-", "8"}]}], 
               ",", "2"}], "]"}], "]"}], "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", "6"}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"Directive", "[", 
          RowBox[{"Thick", ",", "Black"}], "]"}]}]}], "]"}]}], "}"}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.571599505300416*^9, 3.571599538335374*^9}, {
  3.571599741513608*^9, 3.571599753720893*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     GraphicsBox[{{}, {}, 
       {GrayLevel[0], Thickness[Large], LineBox[CompressedData["
1:eJwVmHk8lG8XxseSfRlmLNmSVEJkCZHOLTsplKhERRIlRbZKCEmiRZJUsv0k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         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->True,
      AxesOrigin->{0, 0.08},
      ImageSize->500,
      PlotRange->{{0, 6}, {0.07423327767624231, 0.22606630520088292`}},
      PlotRangeClipping->True,
      PlotRangePadding->{
        Scaled[0.02], 
        Scaled[0.02]}], {266.6666666666667, -162.23392204684737`}, 
     ImageScaled[{0.5, 0.5}], {500, 309.0169943749474}], InsetBox[
     GraphicsBox[{{}, {}, 
       {GrayLevel[0], Thickness[Large], LineBox[CompressedData["
1:eJwVmHk8lG8XxqWxZBmjGVuWpCKSrRKlzq2NEJKiEipZQhtZSiFrspQoWcpW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         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->True,
      AxesOrigin->{0, 0.11},
      ImageSize->500,
      PlotRange->{{0, 6}, {0.10337733034999487`, 0.1823477273360882}},
      PlotRangeClipping->True,
      PlotRangePadding->{
        Scaled[0.02], 
        Scaled[0.02]}], {800., -162.23392204684737`}, 
     ImageScaled[{0.5, 0.5}], {500, 309.0169943749474}]}, {}},
  ContentSelectable->True,
  ImageSize->{1078.6666666666667`, 336.46784409369474`},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{{3.571599508589747*^9, 3.571599538777907*^9}, 
   3.571600005517688*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/short/\
JMCB_revision/distfig_rev_carry.eps\>\"", ",", "g5a"}], "]"}]], "Input",
 CellChangeTimes->{{3.557768597080171*^9, 3.5577686530157213`*^9}, {
   3.557768689004095*^9, 3.55776870232232*^9}, {3.557768769101741*^9, 
   3.557768791915718*^9}, {3.5577709995454683`*^9, 3.557771014416753*^9}, {
   3.569872419724291*^9, 3.569872422438904*^9}, {3.569944958492598*^9, 
   3.569944966945677*^9}, {3.570543031820806*^9, 3.570543032724537*^9}, 
   3.5716001923604307`*^9}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/short/JMCB_revision/distfig_rev_carry.eps\"\>"], \
"Output",
 CellChangeTimes->{3.5577710162355127`*^9, 3.569944968532153*^9, 
  3.570196559164493*^9, 3.570543034161504*^9, 3.571600196876754*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
individ_IQRs_reest_inf_beta\>\"", ",", "mediqrsbeta", ",", "\"\<List\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.556895826965599*^9, 3.556895835300247*^9}}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/Data/individ_IQRs_reest_inf_beta\"\>"], "Output",
 CellChangeTimes->{3.556895836267293*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Nowcastinf", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"dts", ",", "1"}], "]"}], "[", 
        RowBox[{"[", "k", "]"}], "]"}], ",", 
       RowBox[{
        RowBox[{"MEDyB", "[", 
         RowBox[{"[", "k", "]"}], "]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{".14", "/", "2"}], ")"}], "*", 
         RowBox[{
          RowBox[{"SDyB", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "^", "2"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", 
       RowBox[{"Length", "[", "MEDyB", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NowcastGDP", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"dts", ",", "1"}], "]"}], "[", 
        RowBox[{"[", "k", "]"}], "]"}], ",", 
       RowBox[{
        RowBox[{"MEDyBG", "[", 
         RowBox[{"[", "k", "]"}], "]"}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{".92", "/", "2"}], ")"}], "*", 
         RowBox[{
          RowBox[{"SDyBG", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "^", "2"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", 
       RowBox[{"Length", "[", "MEDyBG", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DataExport3", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"dts", ",", "1"}], "]"}], "[", 
        RowBox[{"[", "k", "]"}], "]"}], ",", 
       RowBox[{
        RowBox[{"MEDyB", "[", 
         RowBox[{"[", "k", "]"}], "]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{".14", "/", "2"}], ")"}], "*", 
         RowBox[{
          RowBox[{"SDyB", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "^", "2"}]}]}], ",", 
       RowBox[{
        RowBox[{"SDyBG", "[", 
         RowBox[{"[", "k", "]"}], "]"}], "^", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", 
       RowBox[{"Length", "[", "MEDyBG", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DataExport4", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"dts", ",", "1"}], "]"}], "[", 
        RowBox[{"[", "k", "]"}], "]"}], ",", 
       RowBox[{"MEDyB", "[", 
        RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", 
       RowBox[{"Length", "[", "MEDyB", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DataExport5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"dts", ",", "1"}], "]"}], "[", 
        RowBox[{"[", "k", "]"}], "]"}], ",", 
       RowBox[{"MEDyBG", "[", 
        RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", 
       RowBox[{"Length", "[", "MEDyBG", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.557068601780238*^9, 3.557068735857396*^9}, {
   3.557068776834319*^9, 3.557068777105893*^9}, {3.557068823466557*^9, 
   3.557068864011541*^9}, {3.55706907592108*^9, 3.5570691428527327`*^9}, 
   3.557073674440131*^9, {3.557078013536994*^9, 3.5570780402884502`*^9}, {
   3.557081664595368*^9, 3.557081705217143*^9}, 3.557149365593362*^9, {
   3.5602613621459713`*^9, 3.560261391858718*^9}, {3.570901960429077*^9, 
   3.570901969683446*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"DateListPlot", "[", 
       RowBox[{"Nowcastinf", ",", 
        RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}], ",", 
      RowBox[{"DateListPlot", "[", 
       RowBox[{"NowcastGDP", ",", 
        RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"DateListPlot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Nowcastinf", ",", "ylistMEDB"}], "}"}], ",", 
        RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}], ",", 
      RowBox[{"DateListPlot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"NowcastGDP", ",", "ylistMEDBG"}], "}"}], ",", 
        RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], "}"}]}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.557068702231968*^9, 3.557068712111512*^9}, {
  3.5570688667462797`*^9, 3.5570690314785547`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      GraphicsBox[{{}, {}, 
        {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwlkw9MU1cUxotQwFbQBTfXABsSiXX45w3ISliEnqwrxk2tOqpkBmot++NA
mhTjxEya2sggBClQh8zU4hQ7NsPrNNkGhNYlmzhpqTImhkCLs/e+F2rCNlBm
02309CUvL7+cc8/35XvnrtfW7qtaIRAIdiy/0e/yo9H3BGFsZMOJmfpV8mXW
17JBeP7jV2LXG+IoG4+5grBQWFZ37tnKKLu/8AbBOFD/JPt1ZMGt6SAQ59n7
1svIAWsoCELpaV7nQ57vDAdh4rh0arIYmRkWEUjadKhfnYmspxICkbuHJ+IU
oiirhqQEbtXH9S92oL5mUEaga3fBVGo2+rM/VhI46BjX372J/YEUNYGHgVMV
S40xf490BGYiydvPFCVH2TdrIPA2kz5nO5kY5TXiMwSWqj9qPvlvAuoVtBNQ
FCvici4KUS+/h4B6t6SmtB379XksgW2zhnr5EWT2fReBDLujueY49s+bvQTq
Tsh6n+Yg+8qnCbz53KLtmsP5gYMhAq0d9CX/aqxnmcIEFp3OiL42pveNiEJO
V9Pi2lFkuVFC4e+NG34KlKCeqkFKIcXYCfrLWG9zyCh85u3MTRHFo949JYXX
VIcM4ewV6K+3jMLZ1uuyT/bGYR5XdRSKf3sn9cZRAf6vMQOFvvQGyadCZPmS
icLeSy23H1/BftUzC4XGe4L3Ht7B+ZqndgqVj1jtzS9R3/4qS+FA5MH5dSz6
C+xwURgR76y+8CHW3ZleCrcnEtaat8X8ZUxTcG9KUMcfwPlrlCEK57q/25/z
D+qrasMU7hSllv6ajv2MQsTBX/kqU0pVLI+3JBy48zp+sFpRz1gt5UA14u8/
chjZbZVxUJehcEecmLf9qJKDD14eGm2J5cN+XMbBrn2/p3n9qD/fruOAbIzP
dbYiM0MGDnzmgZrEAuyXD5o4mPmznGn/BfVVAxYOXpi7JNauw31q+8POwcIW
23h4D+6bbxXLwQ11y4VT15JQb3aYg1cqJxwVoVgeAQ8H1307L2p6kAWiaQ7M
T7b35fHoX54f4kC70uYfrcLzWclhDno3zxT+x6AekyTiYVImLh/bjPuuZyQ8
BHQ/b83txvvAlkt5MBcZXPwg1tu2ynioWLCNPWDQn32LkoeiSq/GORm7n+oy
HjJXN533FOL5LKOOB/HXIbqf4nmmwcCDoqnr+ykh9stPm3jwCxxDpRb0Z7xm
4cHmEdoS3o3l77Pz0K2U92kTY/txtZ+H++Np6fnHMF/2yvAyvyhLa2xeKonm
7/HwkPdttWHqc77kfzXxrto=
          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       AxesOrigin->NCache[{2903212800, 1.}, {2.9032128*^9, 1.}],
       Frame->True,
       FrameTicks->{{Automatic, Automatic}, {{{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"1990\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"1995\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"2000\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"2005\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"2010\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}, {{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}}},
       GridLines->NCache[{{{2840140800, 
            GrayLevel[0.8]}, {2997907200, 
            GrayLevel[0.8]}, {3155673600, 
            GrayLevel[0.8]}, {3313526400, 
            GrayLevel[0.8]}, {3471292800, 
            GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
            GrayLevel[0.8]}, {2.9979072*^9, 
            GrayLevel[0.8]}, {3.1556736*^9, 
            GrayLevel[0.8]}, {3.3135264*^9, 
            GrayLevel[0.8]}, {3.4712928*^9, 
            GrayLevel[0.8]}}, None}],
       PlotRange->{{2.9032128*^9, 3.463344*^9}, {0.7979562048325362, 
        3.575277676962841}},
       PlotRangeClipping->True,
       PlotRangePadding->{
         Scaled[0.02], 
         Scaled[0.02]},
       Ticks->None], {192., -118.66252583997979`}, 
      ImageScaled[{0.5, 0.5}], {360., 222.4922359499621}], InsetBox[
      GraphicsBox[{{}, {}, 
        {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwllH1MU1cYxlvGhquIhAykgFJwGZ1DrSLppg76RtfIFIZTUOI2ioLbXCOM
msH8A0oHshGHrasFs+EKKsJotCYuYkvaYhHJHKVGxQ3tUoTec29TtiqfrkzG
fXuTm5tfzjnv89z34yQdLP2wJITD4exYfNnv4iMra/VAe459v3b3i8xFLis1
euD4wrOi+OYFlpVHrR5oPGG+ZRpHtjU5PPDL71OmKAcyp9flAVNnd0q6hCNZ
RPcZnwf+7hb+aK9B9msDHnjxIPM1bimXZZGFR8EFS4P2+vIQlssIn4Kjm+N2
C0KQc3uEFJyrEB5YsOJ5mVlMQcMyoTNiA/rTj0spaN7+RsbzO/+y7F6WT4HD
0hXfFTGL/p4UU1BxNVaga5hm2TmqoCA+mnd7XoMcufQbCuZ0Y08+q5tiOXfT
aQo49Yp9Nz99xrIsrZWC4fBv6ya6n2I+NhopKOdaSj75aJJl4wErBdsuaY/J
zuN5f62DgkrbroyMt4J6BS4KUnQb3z7Cm0F/+30UxEyvz24RoD+BKkCBvyfd
N+zDdVkXj8C8oqZi0o7xJUo+gb1r2hqH5n3or1pIwNaUdT1hYJxldYeYwIDg
1XW9dz2od1dKoK+yu/5GEu43tucReOW7rbG7UjGe7WIxgf4IcdGIBfU5QwoC
X9emtp/XBlBvTkWgqofOf3f5f6g3qyFQJ/ohx2RHls3oCfykqh1q0mG99YlG
Au6pKu1JYbDeO6wETG2axKuFwf5Y6SBwzfBXal8dnncmuAhkr7n5vsGL9YqU
+gh8MPHVm/1fzqFeaYBA0Z449eFD6Ee0nUfDjfLZAbsM40m28WloK8kJlaeh
nlIupOGW/1541LGg3hkxDYWX71fPvBf0d0RKg+5UYefjQtxv/DyPhod7H+XV
G7D//KeLabg9nSYvuv8S9mOPgoaDcT+vgJZQliVmFQ0UV5ssf4qca9LQMBKW
xX99AFk9pqeBpLwj6Yx4mWVnuJEGs/zPR/+4cN04aqFhdHXWyisPMb7NPUjD
4eqCnWIr9jeH56IhubIpLgqQJWk+GmpqErOVJ9CfYEmAhgSDKaZgDP2LwngM
bF7ozepIRy4T8RkYaVhl+H4n/q+xQMhAdtjcii1enA/1OjED145zzc9lwXlZ
K2Vgn7o31mtDdufnMTB89mT0ofWYb4GymIHoyT1T55qxf0XVCgY2PEi6HDk/
gfmvUjHQGrMpeW2iG++DSxoGJBUdp37d6sT8O/UMNP52tmrpvceod/EKA7a+
L+6Yt3jR3wULA+X5/R8vacF58g8OMrBK510d+sds5v/RcNqi
          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       AxesOrigin->NCache[{2903212800, 0.5}, {2.9032128*^9, 0.5}],
       Frame->True,
       FrameTicks->{{Automatic, Automatic}, {{{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"1990\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"1995\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"2000\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"2005\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"2010\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}, {{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}}},
       GridLines->NCache[{{{2840140800, 
            GrayLevel[0.8]}, {2997907200, 
            GrayLevel[0.8]}, {3155673600, 
            GrayLevel[0.8]}, {3313526400, 
            GrayLevel[0.8]}, {3471292800, 
            GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
            GrayLevel[0.8]}, {2.9979072*^9, 
            GrayLevel[0.8]}, {3.1556736*^9, 
            GrayLevel[0.8]}, {3.3135264*^9, 
            GrayLevel[0.8]}, {3.4712928*^9, 
            GrayLevel[0.8]}}, None}],
       PlotRange->{{2.9032128*^9, 3.463344*^9}, {0.25370539692982064`, 
        2.6321587579195582`}},
       PlotRangeClipping->True,
       PlotRangePadding->{
         Scaled[0.02], 
         Scaled[0.02]},
       Ticks->None], {576., -118.66252583997979`}, 
      ImageScaled[{0.5, 0.5}], {360., 222.4922359499621}]}, {InsetBox[
      GraphicsBox[{{}, {}, 
        {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwlkw9MU1cUxotQwFbQBTfXABsSiXX45w3ISliEnqwrxk2tOqpkBmot++NA
mhTjxEya2sggBClQh8zU4hQ7NsPrNNkGhNYlmzhpqTImhkCLs/e+F2rCNlBm
02309CUvL7+cc8/35XvnrtfW7qtaIRAIdiy/0e/yo9H3BGFsZMOJmfpV8mXW
17JBeP7jV2LXG+IoG4+5grBQWFZ37tnKKLu/8AbBOFD/JPt1ZMGt6SAQ59n7
1svIAWsoCELpaV7nQ57vDAdh4rh0arIYmRkWEUjadKhfnYmspxICkbuHJ+IU
oiirhqQEbtXH9S92oL5mUEaga3fBVGo2+rM/VhI46BjX372J/YEUNYGHgVMV
S40xf490BGYiydvPFCVH2TdrIPA2kz5nO5kY5TXiMwSWqj9qPvlvAuoVtBNQ
FCvici4KUS+/h4B6t6SmtB379XksgW2zhnr5EWT2fReBDLujueY49s+bvQTq
Tsh6n+Yg+8qnCbz53KLtmsP5gYMhAq0d9CX/aqxnmcIEFp3OiL42pveNiEJO
V9Pi2lFkuVFC4e+NG34KlKCeqkFKIcXYCfrLWG9zyCh85u3MTRHFo949JYXX
VIcM4ewV6K+3jMLZ1uuyT/bGYR5XdRSKf3sn9cZRAf6vMQOFvvQGyadCZPmS
icLeSy23H1/BftUzC4XGe4L3Ht7B+ZqndgqVj1jtzS9R3/4qS+FA5MH5dSz6
C+xwURgR76y+8CHW3ZleCrcnEtaat8X8ZUxTcG9KUMcfwPlrlCEK57q/25/z
D+qrasMU7hSllv6ajv2MQsTBX/kqU0pVLI+3JBy48zp+sFpRz1gt5UA14u8/
chjZbZVxUJehcEecmLf9qJKDD14eGm2J5cN+XMbBrn2/p3n9qD/fruOAbIzP
dbYiM0MGDnzmgZrEAuyXD5o4mPmznGn/BfVVAxYOXpi7JNauw31q+8POwcIW
23h4D+6bbxXLwQ11y4VT15JQb3aYg1cqJxwVoVgeAQ8H1307L2p6kAWiaQ7M
T7b35fHoX54f4kC70uYfrcLzWclhDno3zxT+x6AekyTiYVImLh/bjPuuZyQ8
BHQ/b83txvvAlkt5MBcZXPwg1tu2ynioWLCNPWDQn32LkoeiSq/GORm7n+oy
HjJXN533FOL5LKOOB/HXIbqf4nmmwcCDoqnr+ykh9stPm3jwCxxDpRb0Z7xm
4cHmEdoS3o3l77Pz0K2U92kTY/txtZ+H++Np6fnHMF/2yvAyvyhLa2xeKonm
7/HwkPdttWHqc77kfzXxrto=
          "]]}, 
        {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwlk39ME2cYx4+KAgUmmWauTiZVUGBWqghscxl9BivKhFUUWDVmRbupE6Vb
dTL3g6YoEXVGOgx/aNKSgT/GzM4liwaathMxIdpSXEJBV6jQu/dOi3ZgkNlp
13t6yZvLJ889z/f7PO9z0p11FZ+JKIraEDnCO/JodO0MBNv84rqiBEWEdXU0
A2m1Yzv6FfECGw7YGbC5Eivc5XECO9pcDLSXHr3uejhPYOpPLwP75mYUr27E
uO9sgIGy04EVxmvIwdYQA7fyXHHDEmS5TcxC16H9X30zifk6ImGho7Xmzq4R
jKusmSwcWfnjWmYJ+tH0FLCQMXxu1GFHtviVLLyzLfYUo0N/vuQqFrKX3x0u
eT/qb1zLQu8WqF/+11yB3Q/0LCR8/KJZ/XKOwCmJjSzI2vuarnwvQr11JhZi
99zS9buRNbntLMzXlK8pM+D3urV0RO+P1JM5ZmR6u52Fw9RM/qZ05OBRFwvV
Q5tFHROY71Z7WZg8KDNnH0P2fRKI9Ps1N75wDXKaMcSCtLhjUpod1esSE1jx
YeMW621khUFCIP9tOtFTi/VVDZkEQlfzu41XMX7mUgGB6RSbZ6AmXCjoDSoJ
7D2ZHN88FBKYvlBJ4Nrn1+snc54L7OjUEmiYti2YIP8KTA3oCfTkykt+/hbj
ilkjgbvu6pVNAy8EVj1rIfDrVtv2DCuF/mYsBEbSxSey8lDfspSO+HWFTTFJ
6M+3wU5g/eD5ZMWrGHekugjozesfbyrHfPcSL4EuWWNzTDnWT1EGCJT6541f
Uf2HenUhAvtuVMh+Mr0UWF4s5mCVKsN8fwfmK4okHJzPaYXNfciG2kwOqGXp
9pHDyI6zBRykL/zb6y/FeVi+UHJwrFCW9zQb9ei9lRzcCH7wz0gY+w2atBx0
Mb+/94Yf5yG36jkgW40bF/eiH0WPkYNTB6eOvxvVU3W3cDA4Zp9RD0bnP2Hh
YCxLduf4EPbvTqI5EHmOOF+/iHH6gY2DQPFo966UGPTnc3Kg8VidzxxYjxJ7
OViqrUp485XofecGOFD+woUfPY3uR3wokj8qfRS+h/XlcWIe9ny6v+nQBdxn
nVzCw6Wi6vGsy7jvtDqTB9V3i3qt0X0/s7qAB941nZu0KhbvS6bkwXGi556Z
R/ZVVfKQKN0dY67H/DSDlof7b7lFp/vwf5Q36Hl40l/zeOcyrKf4wchDg27q
yWv56MdwsYWH557euJL50f7cFh4CbVO3v1yE92fp/I2H2d2pc8r4WZx/h42H
mzc7F5iypnD+TicP6oFtlz/qnyj8H0uOwU0=
          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       AxesOrigin->NCache[{2903212800, 1.}, {2.9032128*^9, 1.}],
       Frame->True,
       FrameTicks->{{Automatic, Automatic}, {{{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"1990\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"1995\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"2000\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"2005\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"2010\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}, {{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}}},
       GridLines->NCache[{{{2840140800, 
            GrayLevel[0.8]}, {2997907200, 
            GrayLevel[0.8]}, {3155673600, 
            GrayLevel[0.8]}, {3313526400, 
            GrayLevel[0.8]}, {3471292800, 
            GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
            GrayLevel[0.8]}, {2.9979072*^9, 
            GrayLevel[0.8]}, {3.1556736*^9, 
            GrayLevel[0.8]}, {3.3135264*^9, 
            GrayLevel[0.8]}, {3.4712928*^9, 
            GrayLevel[0.8]}}, None}],
       PlotRange->{{2.9032128*^9, 3.463344*^9}, {0.6183222110471248, 
        3.575277676962841}},
       PlotRangeClipping->True,
       PlotRangePadding->{
         Scaled[0.02], 
         Scaled[0.02]},
       Ticks->None], {192., -355.98757751993935`}, 
      ImageScaled[{0.5, 0.5}], {360., 222.4922359499621}], InsetBox[
      GraphicsBox[{{}, {}, 
        {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwllH1MU1cYxlvGhquIhAykgFJwGZ1DrSLppg76RtfIFIZTUOI2ioLbXCOM
msH8A0oHshGHrasFs+EKKsJotCYuYkvaYhHJHKVGxQ3tUoTec29TtiqfrkzG
fXuTm5tfzjnv89z34yQdLP2wJITD4exYfNnv4iMra/VAe459v3b3i8xFLis1
euD4wrOi+OYFlpVHrR5oPGG+ZRpHtjU5PPDL71OmKAcyp9flAVNnd0q6hCNZ
RPcZnwf+7hb+aK9B9msDHnjxIPM1bimXZZGFR8EFS4P2+vIQlssIn4Kjm+N2
C0KQc3uEFJyrEB5YsOJ5mVlMQcMyoTNiA/rTj0spaN7+RsbzO/+y7F6WT4HD
0hXfFTGL/p4UU1BxNVaga5hm2TmqoCA+mnd7XoMcufQbCuZ0Y08+q5tiOXfT
aQo49Yp9Nz99xrIsrZWC4fBv6ya6n2I+NhopKOdaSj75aJJl4wErBdsuaY/J
zuN5f62DgkrbroyMt4J6BS4KUnQb3z7Cm0F/+30UxEyvz24RoD+BKkCBvyfd
N+zDdVkXj8C8oqZi0o7xJUo+gb1r2hqH5n3or1pIwNaUdT1hYJxldYeYwIDg
1XW9dz2od1dKoK+yu/5GEu43tucReOW7rbG7UjGe7WIxgf4IcdGIBfU5QwoC
X9emtp/XBlBvTkWgqofOf3f5f6g3qyFQJ/ohx2RHls3oCfykqh1q0mG99YlG
Au6pKu1JYbDeO6wETG2axKuFwf5Y6SBwzfBXal8dnncmuAhkr7n5vsGL9YqU
+gh8MPHVm/1fzqFeaYBA0Z449eFD6Ee0nUfDjfLZAbsM40m28WloK8kJlaeh
nlIupOGW/1541LGg3hkxDYWX71fPvBf0d0RKg+5UYefjQtxv/DyPhod7H+XV
G7D//KeLabg9nSYvuv8S9mOPgoaDcT+vgJZQliVmFQ0UV5ssf4qca9LQMBKW
xX99AFk9pqeBpLwj6Yx4mWVnuJEGs/zPR/+4cN04aqFhdHXWyisPMb7NPUjD
4eqCnWIr9jeH56IhubIpLgqQJWk+GmpqErOVJ9CfYEmAhgSDKaZgDP2LwngM
bF7ozepIRy4T8RkYaVhl+H4n/q+xQMhAdtjcii1enA/1OjED145zzc9lwXlZ
K2Vgn7o31mtDdufnMTB89mT0ofWYb4GymIHoyT1T55qxf0XVCgY2PEi6HDk/
gfmvUjHQGrMpeW2iG++DSxoGJBUdp37d6sT8O/UMNP52tmrpvceod/EKA7a+
L+6Yt3jR3wULA+X5/R8vacF58g8OMrBK510d+sds5v/RcNqi
          "]]}, 
        {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwl0g1MGwUUB/DyZeE6ZCoSicyxqtBJtpRB6HAa+hh2Y4EMthZcpoVitzkl
o1sNU6NtPXTJGFRaOBCM8aaFDQlbo0uWbAS6j1jjUlbmJpuzrIC9j4CucwiF
G5m9R5NL80t6773+31tX17BrX6xEItkefcTv6KfWdDIEi+HWNP3RBHXUpgZ3
CAwbwlrh+ydE2w6NhECrkjZ+vE4q2tM1GgJjzX0Hk4GWXAqEwPTtw/qXNegg
NRuCpSzKa81BhzuEEKhutYYrX0ErhwkGOnOe+5B4jPVNbDoDRq2+v/gIumJI
wcBQ9Z8PBBLnqb2oYuD3mXdaZ87Hi6b/0jBA3iX1spfQweQqBviNE8XHs+Nw
vikjAyMf5cqaW2JF+yfNDOz2qiJZ29CrZU0MbEp9Vt4YiMF++U4GpJcjKScC
EuyXd5KBz4xPP1OoQps2uaP1j5OXTnWj3XtHGPDaD71Wvx7fD38+yoDyUf/h
Ei3avyfAQFfhjuW+BnTwzVkGbvy3q/PqT+hMUmDAYKZPzA+iawcIFpLSHhr+
LcX6als6C/1NZaXUlkdF4nxWBQtlY9TBHuei6LbTKhYMTrmeqBdE+8c0LKQW
zOTclj0W7e7TsUA9GSc5dwbre3qNLLjik5rGBzAfyXVztP77nzTL7JivOkKy
0FmWSvWUr+S/4GDh2poDRS02dO08zcJ0kT7XFYP7o9e6Weg4NnBn8tbKvreP
sHD59ZrTHZGV+1gzykLMzUmF/Q20PyPAgr/FcW/rAvZbrZll4YerFFXdjvur
aBBY2PnpcvvzL2I/ZQnBgVX7tyXl7UScb2s6B6S7X5a/LwnvsV7BwXjd4XfT
tqA9lIqDm93FGXddaPo9DQe9lpy88hsE7uugjoO+p7Lt0rpVuC+nkYN7aktG
uz0Z+w2ZOch9a/yb8/vR6oskB63gmvtjGX9fccHBwY6lH/9xdaHbpmkOfln0
rV04gPavcnOwNDU4HyvIsN/kMAelL8T96nOiPUEfB9U1+weNAs4jIQIcJMqP
VO59Fa3Om+WgctuV6e54nD8zUeCgsJhebJTj/1dKCR6yTRJuvArzNCnTefii
3Fp3zoN5ufcoeFiKbD47cBTdtlHFQ35T8s6EAjS9QcNDSUpNwm/3Mf9glY6H
sTxdgbIQ88+0GXlYP/eld/NuvBel1cyD847uq+sWvC+1heRhivZ6ie/mRNtO
OXjQn7n9gWHigWiPn+ahyvCz0MvPi6Z7z/JwZeLray0pK/foGubB3pPt6mjG
+wv7fDxckB/zZBVI1f8DGsq1Ag==
          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       AxesOrigin->NCache[{2903212800, 0}, {2.9032128*^9, 0}],
       Frame->True,
       FrameTicks->{{Automatic, Automatic}, {{{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"1990\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"1995\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"2000\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"2005\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"2010\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}, {{
            NCache[2840140800, 2.8401408*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2997907200, 2.9979072*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3155673600, 3.1556736*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3313526400, 3.3135264*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3471292800, 3.4712928*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2871676800, 2.8716768*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2903212800, 2.9032128*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2934835200, 2.9348352*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[2966371200, 2.9663712*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3029443200, 3.0294432*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3061065600, 3.0610656*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3092601600, 3.0926016*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3124137600, 3.1241376*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3187296000, 3.187296*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3218832000, 3.218832*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3250368000, 3.250368*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3281904000, 3.281904*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3345062400, 3.3450624*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3376598400, 3.3765984*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3408134400, 3.4081344*^9], 
            FormBox["\"\"", TraditionalForm]}, {
            NCache[3439756800, 3.4397568*^9], 
            FormBox["\"\"", TraditionalForm]}}}},
       GridLines->NCache[{{{2840140800, 
            GrayLevel[0.8]}, {2997907200, 
            GrayLevel[0.8]}, {3155673600, 
            GrayLevel[0.8]}, {3313526400, 
            GrayLevel[0.8]}, {3471292800, 
            GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
            GrayLevel[0.8]}, {2.9979072*^9, 
            GrayLevel[0.8]}, {3.1556736*^9, 
            GrayLevel[0.8]}, {3.3135264*^9, 
            GrayLevel[0.8]}, {3.4712928*^9, 
            GrayLevel[0.8]}}, None}],
       PlotRange->{{2.9032128*^9, 3.463344*^9}, {0., 3.694616530039738}},
       PlotRangeClipping->True,
       PlotRangePadding->{
         Scaled[0.02], 
         Scaled[0.02]},
       Ticks->None], {576., -355.98757751993935`}, 
      ImageScaled[{0.5, 0.5}], {360., 222.4922359499621}]}}, {}},
  ContentSelectable->True,
  ImageSize->{1262., Automatic},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{{3.557068712593939*^9, 3.557068741752572*^9}, 
   3.557068782035802*^9, 3.557068888734619*^9, {3.557068975985607*^9, 
   3.557069032227694*^9}, 3.5571492834911118`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/med_\
beta_currgdp_carry\>\"", ",", "DataExport5", ",", "\"\<List\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
medianinf_beta_carry\>\"", ",", "DataExport4", ",", "\"\<List\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
nowcast_beta_carry\>\"", ",", "DataExport3", ",", "\"\<List\>\""}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.557069166945566*^9, 3.557069176832245*^9}, {
  3.557078049137204*^9, 3.5570780602001953`*^9}, {3.5570822382367983`*^9, 
  3.557082243091152*^9}, {3.56026140025968*^9, 3.5602614127946157`*^9}, {
  3.569945217225656*^9, 3.56994521919277*^9}, {3.569945358924369*^9, 
  3.569945392885055*^9}, {3.569945536671262*^9, 3.569945548008854*^9}, {
  3.5709019883438807`*^9, 3.5709019946540728`*^9}}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/Data/med_beta_currgdp_carry\"\>"], "Output",
 CellChangeTimes->{3.557069186779188*^9, 3.5570780614360228`*^9, 
  3.557082209628173*^9, 3.557082250195153*^9, 3.557149374558011*^9, 
  3.5571494798321867`*^9, 3.560261418600605*^9, 3.569945255606772*^9, 
  3.56994540076361*^9, 3.569945552124673*^9, 3.570196621573043*^9, 
  3.570904175789484*^9}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/Data/medianinf_beta_carry\"\>"], "Output",
 CellChangeTimes->{3.557069186779188*^9, 3.5570780614360228`*^9, 
  3.557082209628173*^9, 3.557082250195153*^9, 3.557149374558011*^9, 
  3.5571494798321867`*^9, 3.560261418600605*^9, 3.569945255606772*^9, 
  3.56994540076361*^9, 3.569945552124673*^9, 3.570196621573043*^9, 
  3.5709041757930107`*^9}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/Data/nowcast_beta_carry\"\>"], "Output",
 CellChangeTimes->{3.557069186779188*^9, 3.5570780614360228`*^9, 
  3.557082209628173*^9, 3.557082250195153*^9, 3.557149374558011*^9, 
  3.5571494798321867`*^9, 3.560261418600605*^9, 3.569945255606772*^9, 
  3.56994540076361*^9, 3.569945552124673*^9, 3.570196621573043*^9, 
  3.570904175795776*^9}]
}, Open  ]]
},
WindowSize->{2560, 1266},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 6, \
2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 4668, 102, 133, "Input",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[5250, 126, 84118, 2199, 2713, "Input",
 InitializationCell->True],
Cell[89371, 2327, 1297, 25, 47, "Message"],
Cell[90671, 2354, 25880, 528, 476, "Output"],
Cell[116554, 2884, 25877, 531, 476, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[142468, 3420, 576, 14, 43, "Input"],
Cell[143047, 3436, 192, 2, 27, "Output"],
Cell[143242, 3440, 196, 2, 27, "Output"]
}, Open  ]],
Cell[143453, 3445, 163, 2, 27, "Input"],
Cell[CellGroupData[{
Cell[143641, 3451, 869, 20, 43, "Input"],
Cell[144513, 3473, 12804, 267, 292, "Output"],
Cell[157320, 3742, 206, 3, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[157563, 3750, 220, 3, 27, "Input"],
Cell[157786, 3755, 195, 2, 27, "Output"],
Cell[157984, 3759, 197, 2, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[158218, 3766, 2133, 57, 73, "Input"],
Cell[160354, 3825, 13263, 276, 421, "Output"],
Cell[173620, 4103, 424, 7, 27, "Output"]
}, Open  ]],
Cell[174059, 4113, 119, 2, 27, "Input"],
Cell[174181, 4117, 92, 1, 27, "Input"],
Cell[174276, 4120, 120, 2, 27, "Input"],
Cell[CellGroupData[{
Cell[174421, 4126, 1934, 48, 58, "Input"],
Cell[176358, 4176, 40034, 668, 351, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[216429, 4849, 588, 10, 27, "Input"],
Cell[217020, 4861, 277, 4, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[217334, 4870, 288, 6, 27, "Input"],
Cell[217625, 4878, 173, 2, 27, "Output"]
}, Open  ]],
Cell[217813, 4883, 3726, 111, 88, "Input"],
Cell[CellGroupData[{
Cell[221564, 4998, 963, 26, 27, "Input"],
Cell[222530, 5026, 29029, 582, 795, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[251596, 5613, 1060, 21, 58, "Input"],
Cell[252659, 5636, 425, 6, 27, "Output"],
Cell[253087, 5644, 425, 6, 27, "Output"],
Cell[253515, 5652, 421, 6, 27, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
