(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    394450,       9154]
NotebookOptionsPosition[    392318,       9083]
NotebookOutlinePosition[    392677,       9099]
CellTagsIndexPosition[    392634,       9096]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Performs", " ", "estimation", " ", "and", " ", "produces", " ", "Taylor", 
    " ", "rule", " ", "plots", " ", "in", " ", 
    "\"\<Nowcasting and the Taylor Rule\>\""}], "*)"}], "\[IndentingNewLine]",
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Loads", " ", "data", " ", "and", " ", "performs", " ", "calculations", 
     " ", "for", " ", "plotting", " ", "and", " ", "making", " ", 
     "timeseries", " ", "same", " ", 
     RowBox[{"length", ".", "  ", "Eventually"}], " ", "all", " ", "stored", 
     " ", "in", " ", "DataTable"}], ",", " ", 
    RowBox[{"listed", " ", "below"}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"infpointdata", "=", 
     RowBox[{
     "Import", "[", 
      "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
spfpointmed.xls\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tdata", "=", 
     RowBox[{
     "Import", "[", 
      "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
truledatashort.xls\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"greendata", "=", 
     RowBox[{
     "Import", "[", 
      "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
greenbookoutputgaps874034.xls\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"greenout1", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DateList", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], ",", 
         RowBox[{"greendata", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"greendata", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"greenout2", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DateList", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], ",", 
         RowBox[{"greendata", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "j", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"greendata", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"greeninfdata", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{
      "Import", "[", 
       "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/\
Data/greenbookinflation.xls\>\"", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"greengrowdata", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{
      "Import", "[", 
       "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/\
Data/greenbook_currentgrow.xls\>\"", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"greeninf", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DateList", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], ",", 
         RowBox[{"greeninfdata", "[", 
          RowBox[{"[", "j", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "greeninfdata", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"infpointdata", "=", 
     RowBox[{
     "Import", "[", 
      "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
spfpointmed.xls\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rgdppointdata", "=", 
     RowBox[{
     "Import", "[", 
      "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
rgdppointmed.xls\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"greengrow", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DateList", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], ",", 
         RowBox[{"greengrowdata", "[", 
          RowBox[{"[", "j", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "greengrowdata", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rgdpgrowdata", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{
      "Import", "[", 
       "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/\
Data/realGDPgrow.xls\>\"", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rgrow", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DateList", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], ",", 
         RowBox[{"rgdpgrowdata", "[", 
          RowBox[{"[", "j", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "rgdpgrowdata", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datesmaster", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"DateList", "[", 
        RowBox[{"tdata", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datesalign", "=", 
     RowBox[{"datesmaster", "[", 
      RowBox[{"[", 
       RowBox[{"18", ";;", 
        RowBox[{"Length", "[", "datesmaster", "]"}]}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dts", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"DateList", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ToString", "[", 
           RowBox[{"i", ".", "j"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Year\>\"", ",", "\"\<Quarter\>\""}], "}"}]}], "}"}], 
        "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1992", ",", "2010"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Delete", "[", 
     RowBox[{"dts", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1"}], "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"ffrate", "=", 
     RowBox[{"fedfunds2plot", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"18", ";;", 
         RowBox[{"Length", "[", "fedfunds2plot", "]"}]}], ",", "2"}], "]"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "Using", " ", "data", " ", "from", " ", "IQR", " ", "calc", " ", 
      "program"}], ",", " ", 
     RowBox[{"then", " ", "removes", " ", "seasonal", " ", "trend"}]}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"indiviqr", "=", 
     RowBox[{"ToExpression", "[", 
      RowBox[{"Import", "[", 
       RowBox[{
       "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/\
Data/individ_IQRs_carry\>\"", ",", "\"\<List\>\""}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"indiviqrRaw", "=", 
     RowBox[{"ToExpression", "[", 
      RowBox[{"Import", "[", 
       RowBox[{
       "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/\
Data/individ_IQRs_raw_carry\>\"", ",", "\"\<List\>\""}], "]"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DeTrend", "[", 
      RowBox[{"data_", ",", "raw_", ",", "\[Alpha]_", ",", "\[Gamma]_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "med1", ",", "med2", ",", "med3", ",", "med4", ",", "xt", ",", "yt", 
         ",", "zt", ",", "ut", ",", "at", ",", "gt", ",", "varUt", ",", "xtG",
          ",", "ytG", ",", "ztG", ",", "utG", ",", "atG", ",", "gtG", ",", 
         "varUtG", ",", "xtB", ",", "ytB", ",", "ztB", ",", "utB", ",", "atB",
          ",", "gtB", ",", "varUBt", ",", "xtBG", ",", "ytBG", ",", "ztBG", 
         ",", "utBG", ",", "atBG", ",", "gtBG", ",", "varUBtG"}], "}"}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"med1", "=", 
         RowBox[{"data", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", 
            RowBox[{"1", ";;", "2"}]}], "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"med2", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"data", "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "1"}], "]"}], "]"}], ",", 
             RowBox[{"data", "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", 
             RowBox[{"Length", "[", "data", "]"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"med3", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"data", "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "1"}], "]"}], "]"}], ",", 
             RowBox[{"data", "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "4"}], "]"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", 
             RowBox[{"Length", "[", "data", "]"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"med4", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"data", "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "1"}], "]"}], "]"}], ",", 
             RowBox[{"data", "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "5"}], "]"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", 
             RowBox[{"Length", "[", "data", "]"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"xt", ",", "yt", ",", "zt", ",", "ut"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"at", ",", "gt"}], "}"}], ",", "varUt"}], "}"}], "=", 
         RowBox[{"Season", "[", 
          RowBox[{
           RowBox[{"med1", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", 
           "\[Alpha]", ",", "\[Gamma]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"xtG", ",", "ytG", ",", "ztG", ",", "utG"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"atG", ",", "gtG"}], "}"}], ",", "varUtG"}], "}"}], "=", 
         RowBox[{"Season", "[", 
          RowBox[{
           RowBox[{"med2", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", 
           "\[Alpha]", ",", "\[Gamma]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"xtB", ",", "ytB", ",", "ztB", ",", "utB"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"atB", ",", "gtB"}], "}"}], ",", "varUBt"}], "}"}], "=", 
         RowBox[{"Season", "[", 
          RowBox[{
           RowBox[{"med3", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", 
           "\[Alpha]", ",", "\[Gamma]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"xtBG", ",", "ytBG", ",", "ztBG", ",", "utBG"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"atBG", ",", "gtBG"}], "}"}], ",", "varUBtG"}], "}"}], 
         "=", 
         RowBox[{"Season", "[", 
          RowBox[{
           RowBox[{"med4", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "4", ",", 
           "\[Alpha]", ",", "\[Gamma]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"MatchQ", "[", 
           RowBox[{"raw", ",", "1"}], "]"}], ",", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"Flatten", "[", 
                RowBox[{"dts", ",", "1"}], "]"}], "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"yt", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"ytG", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"ytB", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"ytBG", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", "1", ",", 
              RowBox[{"Length", "[", "ytBG", "]"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"Flatten", "[", 
                RowBox[{"dts", ",", "1"}], "]"}], "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"xt", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"xtG", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"xtB", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"xtBG", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", "1", ",", 
              RowBox[{"Length", "[", "xtBG", "]"}]}], "}"}]}], "]"}]}], 
         "]"}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DTiqrs", "=", 
     RowBox[{"DeTrend", "[", 
      RowBox[{"indiviqrRaw", ",", "1", ",", "2", ",", "100"}], "]"}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"used", " ", "for", " ", "nowcasts"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"infiqr", "=", 
     RowBox[{"DTiqrs", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", 
        RowBox[{"1", ";;", "2"}]}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gdpiqr", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DTiqrs", "[", 
          RowBox[{"[", 
           RowBox[{"j", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"DTiqrs", "[", 
          RowBox[{"[", 
           RowBox[{"j", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "DTiqrs", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"infbetaiqr", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DTiqrs", "[", 
          RowBox[{"[", 
           RowBox[{"j", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"DTiqrs", "[", 
          RowBox[{"[", 
           RowBox[{"j", ",", "4"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "DTiqrs", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gdpbetaiqr", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DTiqrs", "[", 
          RowBox[{"[", 
           RowBox[{"j", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"DTiqrs", "[", 
          RowBox[{"[", 
           RowBox[{"j", ",", "5"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "DTiqrs", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"condinf", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"medinf", "[", 
          RowBox[{"[", 
           RowBox[{"j", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"infpoint2plot", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"j", "+", "21"}], ",", "2"}], "]"}], "]"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{".14", "/", "2"}], ")"}], "*", 
           RowBox[{"infbetaiqr", "[", 
            RowBox[{"[", 
             RowBox[{"j", ",", "2"}], "]"}], "]"}]}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "medinf", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "calculates", " ", "standard", " ", "deviation", " ", "alt", " ", 
     "uncertainty", " ", "measure"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nowdat", "=", 
     RowBox[{"ToExpression", "[", 
      RowBox[{"Import", "[", 
       RowBox[{
       "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/\
Data/nowcast_beta_carry\>\"", ",", "\"\<List\>\""}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nowgap", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"nowdat", "[", 
          RowBox[{"[", 
           RowBox[{"j", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"gapalt", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "2"}], "]"}], "]"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{".92", "/", "2"}], ")"}], "*", 
           RowBox[{"nowdat", "[", 
            RowBox[{"[", 
             RowBox[{"j", ",", "3"}], "]"}], "]"}]}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "nowdat", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nowinf", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"nowdat", "[", 
          RowBox[{"[", 
           RowBox[{"j", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"condinf", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "2"}], "]"}], "]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{".14", "/", "2"}], ")"}], "*", 
           RowBox[{"infbetaiqr", "[", 
            RowBox[{"[", 
             RowBox[{"j", ",", "2"}], "]"}], "]"}]}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "nowdat", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"medinft", "=", 
     RowBox[{"ToExpression", "[", 
      RowBox[{"Import", "[", 
       RowBox[{
       "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/\
Data/medianinf_beta_carry\>\"", ",", "\"\<List\>\""}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"medinf", "=", 
     RowBox[{"medinft", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"medgrow", "=", 
     RowBox[{"ToExpression", "[", 
      RowBox[{"Import", "[", 
       RowBox[{
       "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/\
Data/med_beta_currgdp_carry\>\"", ",", "\"\<List\>\""}], "]"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sdinf", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"nowdat", "[", 
          RowBox[{"[", 
           RowBox[{"j", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"nowdat", "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "2"}], "]"}], "]"}], "-", 
             RowBox[{"medinf", "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "2"}], "]"}], "]"}]}], ")"}], "*", 
           RowBox[{"2", "/", ".14"}]}], ")"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "nowdat", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sdgap", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"nowdat", "[", 
          RowBox[{"[", 
           RowBox[{"j", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"(", 
          RowBox[{"nowdat", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "3"}], "]"}], "]"}], ")"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "nowdat", "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "calculates", " ", "difference", " ", "between", " ", "greenbook", " ", 
     "forecasts", " ", "and", " ", "conditional", " ", 
     RowBox[{"expec", "'"}], "s", " ", "forecast"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"infdiff", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"DataBetweenDates", "[", 
           RowBox[{"condinf", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"condinf", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
               "2008", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], 
               "}"}]}], "}"}]}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{"j", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"DataBetweenDates", "[", 
            RowBox[{
             RowBox[{"\"\<infgreen\>\"", "/.", "DataTable"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"condinf", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                "2008", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], 
                "}"}]}], "}"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "2"}], "]"}], "]"}], "-", 
          RowBox[{
           RowBox[{"DataBetweenDates", "[", 
            RowBox[{"condinf", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"condinf", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                "2008", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], 
                "}"}]}], "}"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "2"}], "]"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"DataBetweenDates", "[", 
           RowBox[{
            RowBox[{"\"\<infgreen\>\"", "/.", "DataTable"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"condinf", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
               "2008", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], 
               "}"}]}], "}"}]}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"growdiff", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"DataBetweenDates", "[", 
           RowBox[{"medgrow", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"medgrow", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
               "2008", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], 
               "}"}]}], "}"}]}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{"j", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"DataBetweenDates", "[", 
            RowBox[{"greengrow", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"medgrow", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                "2008", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], 
                "}"}]}], "}"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "2"}], "]"}], "]"}], "-", 
          RowBox[{
           RowBox[{"DataBetweenDates", "[", 
            RowBox[{"medgrow", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"medgrow", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                "2008", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], 
                "}"}]}], "}"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "2"}], "]"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"DataBetweenDates", "[", 
           RowBox[{"greengrow", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"medgrow", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
               "2008", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], 
               "}"}]}], "}"}]}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"inflrtdata", "=", 
     RowBox[{
     "Import", "[", 
      "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/Data/\
inflrt.xls\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"inflrt", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DateList", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], ",", 
         RowBox[{"inflrtdata", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"inflrtdata", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"{", 
     RowBox[{"date", ",", "fedfunds", ",", "pceinf", ",", "outgap", ",", 
      RowBox[{"outgap", " ", "RT"}]}], "}"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fedfunds2plot", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DateList", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], ",", 
         RowBox[{"tdata", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "j", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"infl2plot", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DateList", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], ",", 
         RowBox[{"tdata", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "j", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gap2plot", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DateList", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], ",", 
         RowBox[{"tdata", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "j", ",", "4"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gapRT2plot", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DateList", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], ",", 
         RowBox[{"tdata", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "j", ",", "5"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"tdata", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"infpoint2plot", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"datesmaster", "[", 
          RowBox[{"[", "j", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"infpointdata", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
          RowBox[{"[", "j", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "datesmaster", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gdppoint2plot", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"datesmaster", "[", 
          RowBox[{"[", "j", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"rgdppointdata", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
          RowBox[{"[", "j", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"Length", "[", "datesmaster", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gapalt1", "=", 
     RowBox[{"greenout2", "[", 
      RowBox[{"[", 
       RowBox[{"18", ";;", 
        RowBox[{"Length", "[", "greenout2", "]"}]}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gapalt", "=", 
     RowBox[{"Join", "[", 
      RowBox[{"gapalt1", ",", 
       RowBox[{"gap2plot", "[", 
        RowBox[{"[", 
         RowBox[{"66", ";;"}], "]"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Create", " ", "a", " ", "datatable"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DataTable", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<fedfunds\>\"", "\[Rule]", "fedfunds2plot"}], ",", 
       RowBox[{"\"\<inf\>\"", "\[Rule]", "infl2plot"}], ",", 
       RowBox[{"\"\<gap\>\"", "\[Rule]", "gap2plot"}], ",", 
       RowBox[{"\"\<gaprt\>\"", "\[Rule]", "gapRT2plot"}], ",", 
       RowBox[{"\"\<altgap\>\"", "\[Rule]", "gapalt"}], ",", 
       RowBox[{"\"\<nowinf\>\"", "\[Rule]", "infpoint2plot"}], ",", 
       RowBox[{"\"\<infspfiqr\>\"", "\[Rule]", "infiqr"}], ",", 
       RowBox[{"\"\<gdpspfiqr\>\"", "\[Rule]", "gdpiqr"}], ",", 
       RowBox[{"\"\<infiqrbeta\>\"", "\[Rule]", "infbetaiqr"}], ",", 
       RowBox[{"\"\<gdpiqrbeta\>\"", "\[Rule]", "gdpbetaiqr"}], ",", 
       RowBox[{"\"\<inflrt\>\"", "\[Rule]", "inflrt"}], ",", 
       RowBox[{"\"\<infnow\>\"", "\[Rule]", "nowinf"}], ",", 
       RowBox[{"\"\<gapnow\>\"", "\[Rule]", "nowgap"}], ",", 
       RowBox[{"\"\<infmed\>\"", "\[Rule]", "medinf"}], ",", 
       RowBox[{"\"\<infsd\>\"", "\[Rule]", "sdinf"}], ",", 
       RowBox[{"\"\<gdpsd\>\"", "\[Rule]", "sdgap"}], ",", 
       RowBox[{"\"\<infgreen\>\"", "\[Rule]", "greeninf"}], ",", 
       RowBox[{"\"\<growrgdp\>\"", "\[Rule]", "rgrow"}], ",", 
       RowBox[{"\"\<diffgrow\>\"", "\[Rule]", "growdiff"}], ",", 
       RowBox[{"\"\<infcond\>\"", "\[Rule]", "condinf"}], ",", 
       RowBox[{"\"\<diffinf\>\"", "\[Rule]", "infdiff"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
      "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", 
     "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
      "**", "**"}], "******)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Gives", " ", "the", " ", "relevant", " ", "time", " ", "periods"}], 
    "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"InterestRateDates", " ", "=", " ", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\"\<dotcom\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1993", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1999", ",", "4", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", " ", 
       RowBox[{"\"\<post-dotcom\>\"", "\[Rule]", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"2000", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2005", ",", "2", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}]}], "}"}]}], ",", 
       RowBox[{"\"\<Bernanke\>\"", "\[Rule]", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"2005", ",", "3", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2009", ",", "4", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"\"\<9303\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1993", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2003", ",", "4", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"\"\<0305\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"2003", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2005", ",", "4", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"\"\<9300\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1993", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2001", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"\"\<0105\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"2001", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2005", ",", "3", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"\"\<0506\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"2005", ",", "4", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2007", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"\"\<0106\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"2001", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
           "2006", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
           "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"\"\<0104\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"2001", ",", "4", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2004", ",", "3", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"\"\<precrisis\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1993", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
           "2007", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
           "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"\"\<All2\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1993", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2008", ",", "4", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"\"\<All\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1993", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2009", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}],
            "}"}]}], "}"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Pulls", " ", "out", " ", "the", " ", "data", " ", "during", " ", "these",
      " ", "subsamples"}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DataBetweenDates", "[", 
     RowBox[{"data_", ",", " ", 
      RowBox[{"{", 
       RowBox[{"startDate_", ",", " ", "endDate_"}], "}"}]}], "]"}], ":=", 
    " ", 
    RowBox[{"Select", "[", 
     RowBox[{"data", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"OrderedQ", "[", 
         RowBox[{"{", 
          RowBox[{"startDate", ",", 
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "]"}], "&&", 
        RowBox[{"OrderedQ", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "endDate"}], "}"}], "]"}]}], 
       "&"}]}], "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
      "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", 
     "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
      "**", "**"}], "******)"}], "\[IndentingNewLine]", "\[IndentingNewLine]",
    "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Create", " ", "a", " ", "Taylor", " ", "Rule"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"trule", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "a0_", ",", "ap_", ",", "ax_", ",", "p1_", ",", "p2_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"startEnd", "=", 
         RowBox[{"period", "/.", "InterestRateDates"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infiqr", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gdpiqr", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}]}], " ", 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"dtrst", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"datesmaster", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], "&&", 
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"dtrst", "[", 
            RowBox[{"[", "j", "]"}], "]"}], ",", 
           RowBox[{"a0", "+", 
            RowBox[{"ap", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"infrate", "[", 
                RowBox[{"[", 
                 RowBox[{"j", ",", "2"}], "]"}], "]"}], "+", 
               RowBox[{"p1", "*", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"infiqr", "[", 
                   RowBox[{"[", 
                    RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}], "^", 
                 "2"}]}]}], ")"}]}], "+", 
            RowBox[{"ax", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"gaprate", "[", 
                RowBox[{"[", 
                 RowBox[{"j", ",", "2"}], "]"}], "]"}], "+", 
               RowBox[{"p2", "*", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"gdpiqr", "[", 
                   RowBox[{"[", 
                    RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}], "^", 
                 "2"}]}]}], ")"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", 
           RowBox[{"Length", "[", 
            RowBox[{"infrate", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}]}], "}"}]}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PlotTrule", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "a0_", ",", "ap_", ",", "ax_", ",", "p1_", ",", "p2_", ",", "title_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ffdata", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"Select", "[", 
               RowBox[{"datesmaster", ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"OrderedQ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], 
                  "&&", 
                  RowBox[{"OrderedQ", "[", 
                   RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}],
                "]"}], ")"}], "[", 
             RowBox[{"[", "j", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"DataBetweenDates", "[", 
               RowBox[{
                RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
                RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}], ")"}],
              "[", 
             RowBox[{"[", 
              RowBox[{"j", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{"datesmaster", ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"OrderedQ", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], 
                 "&&", 
                 RowBox[{"OrderedQ", "[", 
                  RowBox[{"{", 
                   RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}],
               "]"}], "]"}]}], "}"}]}], "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ffdatr", "=", 
        RowBox[{"ffdata", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"truledatr", "=", 
        RowBox[{
         RowBox[{"trule", "[", 
          RowBox[{
          "period", ",", "infm", ",", "gapm", ",", "iiqr", ",", "giqr", ",", 
           "a0", ",", "ap", ",", "ax", ",", "p1", ",", "p2"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"DateListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"ffdatr", ",", "truledatr"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "Automatic", ",", 
           "\"\<Quarter\>\""}], "}"}], ",", 
         RowBox[{"DateTicksFormat", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<Year\>\"", ",", "\"\<QuarterNameShort\>\""}], "}"}]}],
          ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Red", ",", "Dashed"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Blue"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Black"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Green", ",", "Dotted"}], "]"}]}], "}"}]}],
          ",", 
         RowBox[{"PlotLabel", "\[Rule]", "title"}]}], "]"}]}]}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"DateListPlot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"ffdata", ",", 
          RowBox[{"trule", "[", 
           RowBox[{
           "period", ",", "infm", ",", "gapm", ",", "iiqr", ",", "giqr", ",", 
            "ap", ",", "ax", ",", "p1", ",", "p2"}], "]"}]}], "}"}], ",", 
        RowBox[{"Joined", "\[Rule]", "True"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Directive", "[", 
            RowBox[{"Thick", ",", "Red", ",", "Dashed"}], "]"}], ",", 
           RowBox[{"Directive", "[", 
            RowBox[{"Thick", ",", "Blue"}], "]"}], ",", 
           RowBox[{"Directive", "[", 
            RowBox[{"Thick", ",", "Black"}], "]"}], ",", 
           RowBox[{"Directive", "[", 
            RowBox[{"Thick", ",", "Green", ",", "Dotted"}], "]"}]}], "}"}]}], 
        ",", 
        RowBox[{"PlotLabel", "\[Rule]", "title"}]}], "]"}], "*)"}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
      "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", 
     "**", "**", "**", "**", "**"}], "*****)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "Long", " ", "list", " ", "of", " ", "functions", " ", "for", " ", 
      "calculating"}], ",", " ", 
     RowBox[{
     "estimating", " ", "and", " ", "plotting", " ", "various", " ", "Taylor",
       " ", "rule", " ", "specifications"}]}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"truleest", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "a0_", ",", "ap_", ",", "ax_", ",", "p1_", ",", "p2_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"startEnd", "=", 
         RowBox[{"period", "/.", "InterestRateDates"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infiqr", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gdpiqr", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}]}], " ", 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"dtrst", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"datesmaster", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], "&&", 
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"dtrst", "[", 
            RowBox[{"[", "j", "]"}], "]"}], ",", 
           RowBox[{"a0", "+", 
            RowBox[{"ap", "*", 
             RowBox[{"(", 
              RowBox[{"infrate", "[", 
               RowBox[{"[", 
                RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
            RowBox[{"p1", "*", 
             RowBox[{"(", 
              RowBox[{"infiqr", "[", 
               RowBox[{"[", 
                RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
            RowBox[{"ax", "*", 
             RowBox[{"(", 
              RowBox[{"gaprate", "[", 
               RowBox[{"[", 
                RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
            RowBox[{"p2", "*", 
             RowBox[{"(", 
              RowBox[{"gdpiqr", "[", 
               RowBox[{"[", 
                RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}]}]}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", 
           RowBox[{"Length", "[", 
            RowBox[{"infrate", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}]}], "}"}]}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"truleExpandest", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "infn_", ",", "gapn_", ",", 
      "a0_", ",", "ap_", ",", "ax_", ",", "p1_", ",", "p2_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"startEnd", "=", 
         RowBox[{"period", "/.", "InterestRateDates"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"nowinfrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infn", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"nowgaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapn", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}]}], " ", 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"dtrst", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"datesmaster", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], "&&", 
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"dtrst", "[", 
            RowBox[{"[", "j", "]"}], "]"}], ",", 
           RowBox[{"a0", "+", 
            RowBox[{"ap", "*", 
             RowBox[{"(", 
              RowBox[{"infrate", "[", 
               RowBox[{"[", 
                RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
            RowBox[{"p1", "*", 
             RowBox[{"(", 
              RowBox[{"nowinfrate", "[", 
               RowBox[{"[", 
                RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
            RowBox[{"ax", "*", 
             RowBox[{"(", 
              RowBox[{"gaprate", "[", 
               RowBox[{"[", 
                RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
            RowBox[{"p2", "*", 
             RowBox[{"(", 
              RowBox[{"nowgaprate", "[", 
               RowBox[{"[", 
                RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}]}]}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", 
           RowBox[{"Length", "[", 
            RowBox[{"infrate", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}]}], "}"}]}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"truleExpandestGrow", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "infn_", ",", "gapn_", ",", 
      "grow_", ",", "a0_", ",", "ap_", ",", "ax_", ",", "p1_", ",", "p2_", 
      ",", "p3_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"startEnd", "=", 
         RowBox[{"period", "/.", "InterestRateDates"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"nowinfrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infn", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"nowgaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapn", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"growrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"grow", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}]}], " ", 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"dtrst", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"datesmaster", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], "&&", 
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"dtrst", "[", 
            RowBox[{"[", "j", "]"}], "]"}], ",", 
           RowBox[{"a0", "+", 
            RowBox[{"ap", "*", 
             RowBox[{"(", 
              RowBox[{"infrate", "[", 
               RowBox[{"[", 
                RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
            RowBox[{"p1", "*", 
             RowBox[{"(", 
              RowBox[{"nowinfrate", "[", 
               RowBox[{"[", 
                RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
            RowBox[{"ax", "*", 
             RowBox[{"(", 
              RowBox[{"gaprate", "[", 
               RowBox[{"[", 
                RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
            RowBox[{"p2", "*", 
             RowBox[{"(", 
              RowBox[{"nowgaprate", "[", 
               RowBox[{"[", 
                RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
            RowBox[{"p3", "*", 
             RowBox[{"growrate", "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "2"}], "]"}], "]"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", 
           RowBox[{"Length", "[", 
            RowBox[{"infrate", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}]}], "}"}]}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PlotTruleEst", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "a0_", ",", "ap_", ",", "ax_", ",", "p1_", ",", "p2_", ",", "title_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ffdata", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"Select", "[", 
               RowBox[{"datesmaster", ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"OrderedQ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], 
                  "&&", 
                  RowBox[{"OrderedQ", "[", 
                   RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}],
                "]"}], ")"}], "[", 
             RowBox[{"[", "j", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"DataBetweenDates", "[", 
               RowBox[{
                RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
                RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}], ")"}],
              "[", 
             RowBox[{"[", 
              RowBox[{"j", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{"datesmaster", ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"OrderedQ", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], 
                 "&&", 
                 RowBox[{"OrderedQ", "[", 
                  RowBox[{"{", 
                   RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}],
               "]"}], "]"}]}], "}"}]}], "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ffdatr", "=", 
        RowBox[{"ffdata", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"truledatr", "=", 
        RowBox[{
         RowBox[{"truleest", "[", 
          RowBox[{
          "period", ",", "infm", ",", "gapm", ",", "iiqr", ",", "giqr", ",", 
           "a0", ",", "ap", ",", "ax", ",", "p1", ",", "p2"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"DateListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"ffdatr", ",", "truledatr"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "Automatic", ",", 
           "\"\<Quarter\>\""}], "}"}], ",", 
         RowBox[{"DateTicksFormat", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<Year\>\"", ",", "\"\<QuarterNameShort\>\""}], "}"}]}],
          ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Red", ",", "Dashed"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Blue"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Black"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Green", ",", "Dotted"}], "]"}]}], "}"}]}],
          ",", 
         RowBox[{"PlotLabel", "\[Rule]", "title"}]}], "]"}]}]}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PlotExpandedTruleEst", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "infn_", ",", "gapn_", ",", 
      "a0_", ",", "ap_", ",", "ax_", ",", "p1_", ",", "p2_", ",", "title_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ffdata", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"Select", "[", 
               RowBox[{"datesmaster", ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"OrderedQ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], 
                  "&&", 
                  RowBox[{"OrderedQ", "[", 
                   RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}],
                "]"}], ")"}], "[", 
             RowBox[{"[", "j", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"DataBetweenDates", "[", 
               RowBox[{
                RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
                RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}], ")"}],
              "[", 
             RowBox[{"[", 
              RowBox[{"j", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{"datesmaster", ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"OrderedQ", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], 
                 "&&", 
                 RowBox[{"OrderedQ", "[", 
                  RowBox[{"{", 
                   RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}],
               "]"}], "]"}]}], "}"}]}], "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ffdatr", "=", 
        RowBox[{"ffdata", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"truledatr", "=", 
        RowBox[{
         RowBox[{"truleExpandest", "[", 
          RowBox[{
          "period", ",", "infm", ",", "gapm", ",", "infn", ",", "gapn", ",", 
           "a0", ",", "ap", ",", "ax", ",", "p1", ",", "p2"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"DateListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"ffdatr", ",", "truledatr"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "Automatic", ",", 
           "\"\<Quarter\>\""}], "}"}], ",", 
         RowBox[{"DateTicksFormat", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<Year\>\"", ",", "\"\<QuarterNameShort\>\""}], "}"}]}],
          ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Red", ",", "Dashed"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Blue"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Black"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Green", ",", "Dotted"}], "]"}]}], "}"}]}],
          ",", 
         RowBox[{"PlotLabel", "\[Rule]", "title"}]}], "]"}]}]}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PlotExpandedTruleEstGrow", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "infn_", ",", "gapn_", ",", 
      "grow_", ",", "a0_", ",", "ap_", ",", "ax_", ",", "p1_", ",", "p2_", 
      ",", "p3_", ",", "title_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ffdata", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"Select", "[", 
               RowBox[{"datesmaster", ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"OrderedQ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], 
                  "&&", 
                  RowBox[{"OrderedQ", "[", 
                   RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}],
                "]"}], ")"}], "[", 
             RowBox[{"[", "j", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"DataBetweenDates", "[", 
               RowBox[{
                RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
                RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}], ")"}],
              "[", 
             RowBox[{"[", 
              RowBox[{"j", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{"datesmaster", ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"OrderedQ", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], 
                 "&&", 
                 RowBox[{"OrderedQ", "[", 
                  RowBox[{"{", 
                   RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}],
               "]"}], "]"}]}], "}"}]}], "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ffdatr", "=", 
        RowBox[{"ffdata", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"truledatr", "=", 
        RowBox[{
         RowBox[{"truleExpandestGrow", "[", 
          RowBox[{
          "period", ",", "infm", ",", "gapm", ",", "infn", ",", "gapn", ",", 
           "grow", ",", "a0", ",", "ap", ",", "ax", ",", "p1", ",", "p2", ",",
            "p3"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"DateListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"ffdatr", ",", "truledatr"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "Automatic", ",", 
           "\"\<Quarter\>\""}], "}"}], ",", 
         RowBox[{"DateTicksFormat", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<Year\>\"", ",", "\"\<QuarterNameShort\>\""}], "}"}]}],
          ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Red", ",", "Dashed"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Blue"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Black"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Green", ",", "Dotted"}], "]"}]}], "}"}]}],
          ",", 
         RowBox[{"PlotLabel", "\[Rule]", "title"}]}], "]"}]}]}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PlotTruleComp", "[", 
     RowBox[{
     "period_", ",", "infT_", ",", "gapT_", ",", "infm_", ",", "gapm_", ",", 
      "iiqr_", ",", "giqr_", ",", "a0T_", ",", "apT_", ",", "axT_", ",", 
      "a0_", ",", "ap_", ",", "ax_", ",", "p1_", ",", "p2_", ",", "title_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ffdata", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"Select", "[", 
               RowBox[{"datesmaster", ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"OrderedQ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], 
                  "&&", 
                  RowBox[{"OrderedQ", "[", 
                   RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}],
                "]"}], ")"}], "[", 
             RowBox[{"[", "j", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"DataBetweenDates", "[", 
               RowBox[{
                RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
                RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}], ")"}],
              "[", 
             RowBox[{"[", 
              RowBox[{"j", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Select", "[", 
              RowBox[{"datesmaster", ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"OrderedQ", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], 
                 "&&", 
                 RowBox[{"OrderedQ", "[", 
                  RowBox[{"{", 
                   RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}],
               "]"}], "]"}]}], "}"}]}], "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ffdatr", "=", 
        RowBox[{"ffdata", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"truledatr", "=", 
        RowBox[{
         RowBox[{"truleest", "[", 
          RowBox[{
          "period", ",", "infm", ",", "gapm", ",", "iiqr", ",", "giqr", ",", 
           "a0", ",", "ap", ",", "ax", ",", "p1", ",", "p2"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"truledatT", "=", 
        RowBox[{
         RowBox[{"trule", "[", 
          RowBox[{
          "period", ",", "infT", ",", "gapT", ",", "iiqr", ",", "giqr", ",", 
           "a0T", ",", "apT", ",", "axT", ",", "0", ",", "0"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"DateListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"ffdatr", ",", "truledatr", ",", "truledatT"}], "}"}], ",", 
         
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "Automatic", ",", 
           "\"\<Quarter\>\""}], "}"}], ",", 
         RowBox[{"DateTicksFormat", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<Year\>\"", ",", "\"\<QuarterNameShort\>\""}], "}"}]}],
          ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Red", ",", "Dashed"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Blue"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Black"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Green", ",", "Dotted"}], "]"}]}], "}"}]}],
          ",", 
         RowBox[{"PlotLabel", "\[Rule]", "title"}]}], "]"}]}]}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
      "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", 
     "**", "**", "**", "**", "**", "**", "**", "**"}], "******)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EstimateTaylorRule2", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "now_"}], "  ", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"xiqrinf", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"xiqrgdp", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"ff", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        "resids"}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
         RowBox[{"LMF", "=", 
          RowBox[{"LinearModelFit", "[", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"infrate", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"gaprate", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"xiqrinf", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"xiqrgdp", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"ff", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"wv", ",", "xv", ",", "yv", ",", "zv"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"wv", ",", "xv", ",", "yv", ",", "zv"}], "}"}]}], 
           "]"}]}], ",", 
         RowBox[{"LMF", "=", 
          RowBox[{"LinearModelFit", "[", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"infrate", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"gaprate", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"ff", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"xv", ",", "yv"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"xv", ",", "yv"}], "}"}]}], "]"}]}]}], "]"}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"LMF", "[", "\"\<ParameterTable\>\"", "]"}]}]}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EstimateTaylorRule", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "now_", ",", "constant_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"xiqrinf", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"xiqrgdp", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"ff", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        "resids", ",", "bvar", ",", "LMF"}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"constant", "==", "\"\<yes\>\""}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrinf", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrgdp", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"ff", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z"}], "}"}]}], "]"}]}], 
           ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"ff", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrinf", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrgdp", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ff", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "-", "1"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], "]"}]}],
            ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ff", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "-", "1"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", 
              RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], 
             "]"}]}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"resids", "=", 
        RowBox[{"LMF", "[", "\"\<FitResiduals\>\"", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "When", " ", "reporting", " ", "the", " ", "parameter", " ", "table", 
         " ", "printed", " ", "by", " ", "this", " ", "function", " ", 
         "gives", " ", "\[Alpha]", "*", "\[Phi]"}], " ", "*)"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "  ", 
       RowBox[{
        RowBox[{"LMF", "[", "\"\<ParameterTable\>\"", "]"}], 
        "\[IndentingNewLine]", 
        RowBox[{"LMF", "[", "\"\<AdjustedRSquared\>\"", "]"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"constant", "\[Equal]", "\"\<yes\>\""}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
            RowBox[{"PlotTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "5"}], "]"}], "]"}], ",", 
              "\"\<Nowcast Taylor Rule\>\""}], "]"}], ",", 
            RowBox[{"PlotTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", "0", 
              ",", "0", ",", "\"\<Estimated Taylor Rule\>\""}], "]"}]}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
            RowBox[{"PlotTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", "1", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
              "\"\<Nowcast Taylor Rule\>\""}], "]"}], ",", 
            RowBox[{"PlotTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", "1", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", "0", 
              ",", "0", ",", "\"\<Estimated Taylor Rule\>\""}], "]"}]}], 
           "]"}]}], "\[IndentingNewLine]", "]"}]}]}]}], "\[IndentingNewLine]",
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EstimateTaylorRuleStandardErrors", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "now_"}], "  ", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"xiqrinf", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"xiqrgdp", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"ff", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        "resids", ",", "bvar"}], "}"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
         RowBox[{"LMF", "=", 
          RowBox[{"LinearModelFit", "[", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"infrate", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"gaprate", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"xiqrinf", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"xiqrgdp", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"ff", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"w", ",", "x", ",", "y", ",", "z"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"w", ",", "x", ",", "y", ",", "z"}], "}"}]}], "]"}]}], 
         ",", 
         RowBox[{"LMF", "=", 
          RowBox[{"LinearModelFit", "[", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"infrate", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"gaprate", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"ff", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"resids", "=", 
        RowBox[{"LMF", "[", "\"\<FitResiduals\>\"", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"bvar", "=", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
          RowBox[{
           RowBox[{"Inverse", "[", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"t", "=", 
               RowBox[{"1", "+", "1"}]}], 
              RowBox[{"Length", "[", "resids", "]"}]], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", GridBox[{
                  {"1"},
                  {
                   RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                 }], ")"}], ".", 
               RowBox[{"Transpose", "[", 
                RowBox[{"(", GridBox[{
                   {"1"},
                   {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                  }], ")"}], "]"}]}], ")"}]}], "]"}], ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               UnderoverscriptBox["\[Sum]", 
                RowBox[{"t", "=", "1"}], 
                RowBox[{"Length", "[", "resids", "]"}]], 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"resids", "[", 
                   RowBox[{"[", "t", "]"}], "]"}], ")"}], "2"], "*", 
                RowBox[{
                 RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                   }], ")"}], ".", 
                 RowBox[{"Transpose", "[", 
                  RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                    }], ")"}], "]"}]}]}]}], ")"}], "+", 
             RowBox[{"(", 
              RowBox[{
               UnderoverscriptBox["\[Sum]", 
                RowBox[{"v", "=", "1"}], "4"], 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "-", 
                  RowBox[{".2", "*", "v"}]}], ")"}], "*", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", 
                  RowBox[{"t", "=", 
                   RowBox[{"v", "+", "1"}]}], 
                  RowBox[{"Length", "[", "resids", "]"}]], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"resids", "[", 
                    RowBox[{"[", "t", "]"}], "]"}], ")"}], "*", 
                    RowBox[{"(", 
                    RowBox[{"resids", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", "-", "v"}], "]"}], "]"}], ")"}], "*", 
                    RowBox[{
                    RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                    }], ")"}], ".", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]}
                    }], ")"}], "]"}]}]}], "+", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"resids", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", "-", "v"}], "]"}], "]"}], ")"}], "*", 
                    RowBox[{"(", 
                    RowBox[{"resids", "[", 
                    RowBox[{"[", "t", "]"}], "]"}], ")"}], "*", 
                    RowBox[{
                    RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]}
                    }], ")"}], ".", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                    }], ")"}], "]"}]}]}]}], ")"}]}]}]}], ")"}]}], ")"}], ".", 
           
           RowBox[{"Inverse", "[", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"t", "=", 
               RowBox[{"1", "+", "1"}]}], 
              RowBox[{"Length", "[", "resids", "]"}]], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", GridBox[{
                  {"1"},
                  {
                   RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                 }], ")"}], ".", 
               RowBox[{"Transpose", "[", 
                RowBox[{"(", GridBox[{
                   {"1"},
                   {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                  }], ")"}], "]"}]}], ")"}]}], "]"}]}], ",", 
          RowBox[{
           RowBox[{"Inverse", "[", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"t", "=", 
               RowBox[{"1", "+", "1"}]}], 
              RowBox[{"Length", "[", "resids", "]"}]], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", GridBox[{
                  {"1"},
                  {
                   RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                 }], ")"}], ".", 
               RowBox[{"Transpose", "[", 
                RowBox[{"(", GridBox[{
                   {"1"},
                   {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                  }], ")"}], "]"}]}], ")"}]}], "]"}], ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               UnderoverscriptBox["\[Sum]", 
                RowBox[{"t", "=", "1"}], 
                RowBox[{"Length", "[", "resids", "]"}]], 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"resids", "[", 
                   RowBox[{"[", "t", "]"}], "]"}], ")"}], "2"], "*", 
                RowBox[{
                 RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                   }], ")"}], ".", 
                 RowBox[{"Transpose", "[", 
                  RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                    }], ")"}], "]"}]}]}]}], ")"}], "+", 
             RowBox[{"(", 
              RowBox[{
               UnderoverscriptBox["\[Sum]", 
                RowBox[{"v", "=", "1"}], "4"], 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "-", 
                  RowBox[{".2", "*", "v"}]}], ")"}], "*", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", 
                  RowBox[{"t", "=", 
                   RowBox[{"v", "+", "1"}]}], 
                  RowBox[{"Length", "[", "resids", "]"}]], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"resids", "[", 
                    RowBox[{"[", "t", "]"}], "]"}], ")"}], "*", 
                    RowBox[{"(", 
                    RowBox[{"resids", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", "-", "v"}], "]"}], "]"}], ")"}], "*", 
                    RowBox[{
                    RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                    }], ")"}], ".", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]}
                    }], ")"}], "]"}]}]}], "+", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"resids", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", "-", "v"}], "]"}], "]"}], ")"}], "*", 
                    RowBox[{"(", 
                    RowBox[{"resids", "[", 
                    RowBox[{"[", "t", "]"}], "]"}], ")"}], "*", 
                    RowBox[{
                    RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]}
                    }], ")"}], ".", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                    }], ")"}], "]"}]}]}]}], ")"}]}]}]}], ")"}]}], ")"}], ".", 
           
           RowBox[{"Inverse", "[", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"t", "=", 
               RowBox[{"1", "+", "1"}]}], 
              RowBox[{"Length", "[", "resids", "]"}]], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", GridBox[{
                  {"1"},
                  {
                   RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                 }], ")"}], ".", 
               RowBox[{"Transpose", "[", 
                RowBox[{"(", GridBox[{
                   {"1"},
                   {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                  }], ")"}], "]"}]}], ")"}]}], "]"}]}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Diagonal", "[", 
        SuperscriptBox["bvar", 
         RowBox[{"1", "/", "2"}]], "]"}]}]}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EstimateExpandedTaylorRule", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "infn_", ",", "gapn_", ",", 
      "iiqr_", ",", "giqr_", ",", "now_", ",", "constant_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"xiqrinf", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"xiqrgdp", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"ff", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"nowgaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapn", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"nowinfrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infn", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        "resids", ",", "bvar", ",", "LMF"}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"constant", "==", "\"\<yes\>\""}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"nowinfrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"nowgaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"ff", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z"}], "}"}]}], "]"}]}], 
           ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"ff", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"nowinfrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"nowgaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ff", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "-", "1"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], "]"}]}],
            ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ff", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "-", "1"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", 
              RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], 
             "]"}]}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"resids", "=", 
        RowBox[{"LMF", "[", "\"\<FitResiduals\>\"", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "When", " ", "reporting", " ", "the", " ", "parameter", " ", "table", 
         " ", "printed", " ", "by", " ", "this", " ", "function", " ", 
         "gives", " ", "\[Alpha]", "*", "\[Phi]"}], " ", "*)"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "  ", 
       RowBox[{
        RowBox[{"LMF", "[", "\"\<ParameterTable\>\"", "]"}], 
        "\[IndentingNewLine]", 
        RowBox[{"LMF", "[", "\"\<AdjustedRSquared\>\"", "]"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"constant", "\[Equal]", "\"\<yes\>\""}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
            RowBox[{"PlotExpandedTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "infn", ",", "gapn", 
              ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "5"}], "]"}], "]"}], ",", 
              "\"\<Expanded Nowcast Taylor Rule\>\""}], "]"}], ",", 
            RowBox[{"PlotTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", "0", 
              ",", "0", ",", "\"\<Estimated Taylor Rule\>\""}], "]"}]}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
            RowBox[{"PlotExpandedTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "infn", ",", "gapn", 
              ",", "1", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
              "\"\<Nowcast Taylor Rule\>\""}], "]"}], ",", 
            RowBox[{"PlotTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", "1", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", "0", 
              ",", "0", ",", "\"\<Estimated Taylor Rule\>\""}], "]"}]}], 
           "]"}]}], "\[IndentingNewLine]", "]"}]}]}]}], "\[IndentingNewLine]",
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EstimateExpandedTaylorRuleGrowth", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "infn_", ",", "gapn_", ",", 
      "grow_", ",", "iiqr_", ",", "giqr_", ",", "now_", ",", "constant_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"xiqrinf", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"xiqrgdp", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"ff", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"nowgaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapn", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"nowinfrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infn", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"growrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"grow", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        "resids", ",", "bvar", ",", "LMF"}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"constant", "==", "\"\<yes\>\""}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"nowinfrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"nowgaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"growrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"ff", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z", ",", "v"}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z", ",", "v"}], "}"}]}],
              "]"}]}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"growrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"ff", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], "]"}]}]}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"nowinfrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"nowgaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"growrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ff", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "-", "1"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z", ",", "v"}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z", ",", "v"}], "}"}], 
              ",", 
              RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], "]"}]}],
            ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ff", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "-", "1"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", 
              RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], 
             "]"}]}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"resids", "=", 
        RowBox[{"LMF", "[", "\"\<FitResiduals\>\"", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "When", " ", "reporting", " ", "the", " ", "parameter", " ", "table", 
         " ", "printed", " ", "by", " ", "this", " ", "function", " ", 
         "gives", " ", "\[Alpha]", "*", "\[Phi]"}], " ", "*)"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "  ", 
       RowBox[{
        RowBox[{"LMF", "[", "\"\<ParameterTable\>\"", "]"}], 
        "\[IndentingNewLine]", 
        RowBox[{"LMF", "[", "\"\<AdjustedRSquared\>\"", "]"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"constant", "\[Equal]", "\"\<yes\>\""}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
            RowBox[{"PlotExpandedTruleEstGrow", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "infn", ",", "gapn", 
              ",", "grow", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "5"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "6"}], "]"}], "]"}], ",", 
              "\"\<Expanded Nowcast Taylor Rule\>\""}], "]"}], ",", 
            RowBox[{"PlotExpandedTruleEstGrow", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "infn", ",", "gapn", 
              ",", "grow", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", "0", 
              ",", "0", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
              "\"\<Expanded Nowcast Taylor Rule\>\""}], "]"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
            RowBox[{"PlotExpandedTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "infn", ",", "gapn", 
              ",", "1", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
              "\"\<Nowcast Taylor Rule\>\""}], "]"}], ",", 
            RowBox[{"PlotTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", "1", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", "0", 
              ",", "0", ",", "\"\<Estimated Taylor Rule\>\""}], "]"}]}], 
           "]"}]}], "\[IndentingNewLine]", "]"}]}]}]}], "\[IndentingNewLine]",
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EstimateExpandedTaylorRuleNoPlot", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "infn_", ",", "gapn_", ",", 
      "iiqr_", ",", "giqr_", ",", "now_", ",", "constant_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"xiqrinf", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"xiqrgdp", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"ff", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"nowgaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapn", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"nowinfrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infn", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        "resids", ",", "bvar", ",", "LMF"}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"constant", "==", "\"\<yes\>\""}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"nowinfrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"nowgaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"ff", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z"}], "}"}]}], "]"}]}], 
           ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"ff", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrinf", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrgdp", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ff", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "-", "1"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], "]"}]}],
            ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ff", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "-", "1"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", 
              RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], 
             "]"}]}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"resids", "=", 
        RowBox[{"LMF", "[", "\"\<FitResiduals\>\"", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "When", " ", "reporting", " ", "the", " ", "parameter", " ", "table", 
         " ", "printed", " ", "by", " ", "this", " ", "function", " ", 
         "gives", " ", "\[Alpha]", "*", "\[Phi]"}], " ", "*)"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "LMF"}]}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EstimateExpandedTaylorRuleDiffNoPlot", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "diff1_", ",", "diff2_", ",",
       "infn_", ",", "gapn_", ",", "iiqr_", ",", "giqr_", ",", "now_", ",", 
      "constant_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"xiqrinf", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"xiqrgdp", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"ff", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"nowgaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapn", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"nowinfrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infn", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"diffinfrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"diff1", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"diffgrowrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"diff2", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        "resids", ",", "bvar", ",", "LMF"}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"constant", "==", "\"\<yes\>\""}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"nowinfrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"nowgaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"diffinfrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"diffgrowrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"ff", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{
               "w", ",", "x", ",", "y", ",", "z", ",", "r", ",", "s"}], "}"}],
               ",", 
              RowBox[{"{", 
               RowBox[{
               "w", ",", "x", ",", "y", ",", "z", ",", "r", ",", "s"}], 
               "}"}]}], "]"}]}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"diffinfrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"diffgrowrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"ff", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "w", ",", "z"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "w", ",", "z"}], "}"}]}], 
             "]"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"nowinfrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"nowgaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"diffinfrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"diffgrowrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ff", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "-", "4"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
               "w", ",", "x", ",", "y", ",", "z", ",", "r", ",", "s"}], "}"}],
               ",", 
              RowBox[{"{", 
               RowBox[{
               "w", ",", "x", ",", "y", ",", "z", ",", "r", ",", "s"}], "}"}],
               ",", 
              RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], "]"}]}],
            ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ff", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "-", "1"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", 
              RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], 
             "]"}]}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"resids", "=", 
        RowBox[{"LMF", "[", "\"\<FitResiduals\>\"", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"LMF", "[", "\"\<ParameterTable\>\"", "]"}], 
        "\[IndentingNewLine]", 
        RowBox[{"LMF", "[", "\"\<AdjustedRSquared\>\"", "]"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "When", " ", "reporting", " ", "the", " ", "parameter", " ", "table",
           " ", "printed", " ", "by", " ", "this", " ", "function", " ", 
          "gives", " ", "\[Alpha]", "*", "\[Phi]"}], " ", "*)"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", "LMF"}]}]}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EstimateTaylorRuleDiffStandardErrors", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "diff1_", ",", "diff2_", ",", "now_"}], "  ", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"xiqrinf", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"xiqrgdp", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"ff", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"diffinfrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"diff1", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"diffgrowrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"diff2", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        "resids", ",", "bvar"}], "}"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
         RowBox[{"LMF", "=", 
          RowBox[{"LinearModelFit", "[", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"infrate", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"gaprate", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"xiqrinf", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"xiqrgdp", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"diffinfrate", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"diffgrowrate", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"ff", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"w", ",", "x", ",", "y", ",", "z", ",", "r", ",", "s"}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"w", ",", "x", ",", "y", ",", "z", ",", "r", ",", "s"}], 
             "}"}]}], "]"}]}], ",", 
         RowBox[{"LMF", "=", 
          RowBox[{"LinearModelFit", "[", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"infrate", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"gaprate", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
               RowBox[{"ff", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"resids", "=", 
        RowBox[{"LMF", "[", "\"\<FitResiduals\>\"", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"bvar", "=", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
          RowBox[{
           RowBox[{"Inverse", "[", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"t", "=", 
               RowBox[{"1", "+", "1"}]}], 
              RowBox[{"Length", "[", "resids", "]"}]], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", GridBox[{
                  {"1"},
                  {
                   RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"diffinfrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"diffgrowrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                 }], ")"}], ".", 
               RowBox[{"Transpose", "[", 
                RowBox[{"(", GridBox[{
                   {"1"},
                   {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"diffinfrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"diffgrowrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                  }], ")"}], "]"}]}], ")"}]}], "]"}], ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               UnderoverscriptBox["\[Sum]", 
                RowBox[{"t", "=", "1"}], 
                RowBox[{"Length", "[", "resids", "]"}]], 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"resids", "[", 
                   RowBox[{"[", "t", "]"}], "]"}], ")"}], "2"], "*", 
                RowBox[{
                 RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"diffinfrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"diffgrowrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                   }], ")"}], ".", 
                 RowBox[{"Transpose", "[", 
                  RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"diffinfrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"diffgrowrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                    }], ")"}], "]"}]}]}]}], ")"}], "+", 
             RowBox[{"(", 
              RowBox[{
               UnderoverscriptBox["\[Sum]", 
                RowBox[{"v", "=", "1"}], "4"], 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "-", 
                  RowBox[{".2", "*", "v"}]}], ")"}], "*", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", 
                  RowBox[{"t", "=", 
                   RowBox[{"v", "+", "1"}]}], 
                  RowBox[{"Length", "[", "resids", "]"}]], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"resids", "[", 
                    RowBox[{"[", "t", "]"}], "]"}], ")"}], "*", 
                    RowBox[{"(", 
                    RowBox[{"resids", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", "-", "v"}], "]"}], "]"}], ")"}], "*", 
                    RowBox[{
                    RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"diffinfrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"diffgrowrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                    }], ")"}], ".", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"diffinfrate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"diffgrowrate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]}
                    }], ")"}], "]"}]}]}], "+", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"resids", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", "-", "v"}], "]"}], "]"}], ")"}], "*", 
                    RowBox[{"(", 
                    RowBox[{"resids", "[", 
                    RowBox[{"[", "t", "]"}], "]"}], ")"}], "*", 
                    RowBox[{
                    RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"diffinfrate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"diffgrowrate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]}
                    }], ")"}], ".", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"diffinfrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"diffgrowrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                    }], ")"}], "]"}]}]}]}], ")"}]}]}]}], ")"}]}], ")"}], ".", 
           
           RowBox[{"Inverse", "[", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"t", "=", 
               RowBox[{"1", "+", "1"}]}], 
              RowBox[{"Length", "[", "resids", "]"}]], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", GridBox[{
                  {"1"},
                  {
                   RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"diffinfrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"diffgrowrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                 }], ")"}], ".", 
               RowBox[{"Transpose", "[", 
                RowBox[{"(", GridBox[{
                   {"1"},
                   {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"xiqrinf", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"xiqrgdp", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"diffinfrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"diffgrowrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                  }], ")"}], "]"}]}], ")"}]}], "]"}]}], ",", 
          RowBox[{
           RowBox[{"Inverse", "[", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"t", "=", 
               RowBox[{"1", "+", "1"}]}], 
              RowBox[{"Length", "[", "resids", "]"}]], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", GridBox[{
                  {"1"},
                  {
                   RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                 }], ")"}], ".", 
               RowBox[{"Transpose", "[", 
                RowBox[{"(", GridBox[{
                   {"1"},
                   {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                  }], ")"}], "]"}]}], ")"}]}], "]"}], ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               UnderoverscriptBox["\[Sum]", 
                RowBox[{"t", "=", "1"}], 
                RowBox[{"Length", "[", "resids", "]"}]], 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"resids", "[", 
                   RowBox[{"[", "t", "]"}], "]"}], ")"}], "2"], "*", 
                RowBox[{
                 RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                   }], ")"}], ".", 
                 RowBox[{"Transpose", "[", 
                  RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                    }], ")"}], "]"}]}]}]}], ")"}], "+", 
             RowBox[{"(", 
              RowBox[{
               UnderoverscriptBox["\[Sum]", 
                RowBox[{"v", "=", "1"}], "4"], 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "-", 
                  RowBox[{".2", "*", "v"}]}], ")"}], "*", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", 
                  RowBox[{"t", "=", 
                   RowBox[{"v", "+", "1"}]}], 
                  RowBox[{"Length", "[", "resids", "]"}]], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"resids", "[", 
                    RowBox[{"[", "t", "]"}], "]"}], ")"}], "*", 
                    RowBox[{"(", 
                    RowBox[{"resids", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", "-", "v"}], "]"}], "]"}], ")"}], "*", 
                    RowBox[{
                    RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                    }], ")"}], ".", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]}
                    }], ")"}], "]"}]}]}], "+", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"resids", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", "-", "v"}], "]"}], "]"}], ")"}], "*", 
                    RowBox[{"(", 
                    RowBox[{"resids", "[", 
                    RowBox[{"[", "t", "]"}], "]"}], ")"}], "*", 
                    RowBox[{
                    RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"t", "-", "v"}], ",", "2"}], "]"}], "]"}]}
                    }], ")"}], ".", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"(", GridBox[{
                    {"1"},
                    {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                    {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                    }], ")"}], "]"}]}]}]}], ")"}]}]}]}], ")"}]}], ")"}], ".", 
           
           RowBox[{"Inverse", "[", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"t", "=", 
               RowBox[{"1", "+", "1"}]}], 
              RowBox[{"Length", "[", "resids", "]"}]], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", GridBox[{
                  {"1"},
                  {
                   RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                  {
                   RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                 }], ")"}], ".", 
               RowBox[{"Transpose", "[", 
                RowBox[{"(", GridBox[{
                   {"1"},
                   {
                    RowBox[{"infrate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]},
                   {
                    RowBox[{"gaprate", "[", 
                    RowBox[{"[", 
                    RowBox[{"t", ",", "2"}], "]"}], "]"}]}
                  }], ")"}], "]"}]}], ")"}]}], "]"}]}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Diagonal", "[", 
        SuperscriptBox["bvar", 
         RowBox[{"1", "/", "2"}]], "]"}]}]}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FtestCalc", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "infn_", ",", "gapn_", ",", 
      "iiqr_", ",", "giqr_", ",", "now_", ",", "constant_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"VCVC", ",", "vcov", ",", "R", ",", "\[Beta]"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"VCVC", "=", 
        RowBox[{"EstimateExpandedTaylorRuleNoPlot", "[", 
         RowBox[{
         "period", ",", "infm", ",", "gapm", ",", "infn", ",", "gapn", ",", 
          "iiqr", ",", "giqr", ",", "now", ",", "constant"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"vcov", "=", 
        RowBox[{"VCVC", "[", "\"\<CovarianceMatrix\>\"", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"R", "=", 
        RowBox[{"(", GridBox[{
           {"0", 
            RowBox[{"-", ".14"}], "0", "1", "0"},
           {"0", "0", ".92", "0", "1"}
          }], ")"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Beta]", "=", 
        RowBox[{"(", GridBox[{
           {
            RowBox[{"VCVC", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}]},
           {
            RowBox[{"VCVC", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}]},
           {
            RowBox[{"VCVC", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}]},
           {
            RowBox[{"VCVC", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}]},
           {
            RowBox[{"VCVC", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "2", ",", "5"}], "]"}], "]"}]}
          }], ")"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Transpose", "[", 
          RowBox[{"R", ".", "\[Beta]"}], "]"}], ".", 
         RowBox[{"Inverse", "[", 
          RowBox[{"R", ".", "vcov", ".", 
           RowBox[{"Transpose", "[", "R", "]"}]}], "]"}], ".", "R", ".", 
         "\[Beta]"}], "/", "2"}]}]}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PlotInertialTruleEst", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "a0_", ",", "ap_", ",", "ax_", ",", "p1_", ",", "p2_", ",", "rho_", ",",
       "title_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"ffdata", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"Select", "[", 
                RowBox[{"datesmaster", ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"OrderedQ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], 
                   "&&", 
                   RowBox[{"OrderedQ", "[", 
                    RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}],
                 "]"}], ")"}], "[", 
              RowBox[{"[", "j", "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"DataBetweenDates", "[", 
                RowBox[{
                 RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
                 RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}], 
               ")"}], "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", 
             RowBox[{"Length", "[", 
              RowBox[{"Select", "[", 
               RowBox[{"datesmaster", ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"OrderedQ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], 
                  "&&", 
                  RowBox[{"OrderedQ", "[", 
                   RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}],
                "]"}], "]"}]}], "}"}]}], "]"}]}], ",", 
        RowBox[{"fflag", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"{", " ", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
              "1992", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
              "2008", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}]}], "}"}]}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
      
      RowBox[{
       RowBox[{"ffdatr", "=", 
        RowBox[{"ffdata", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"truledatr", "=", 
        RowBox[{
         RowBox[{"truleinertialest", "[", 
          RowBox[{
          "period", ",", "infm", ",", "gapm", ",", "iiqr", ",", "giqr", ",", 
           "a0", ",", "ap", ",", "ax", ",", "p1", ",", "p2", ",", "rho"}], 
          "]"}], "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"DateListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"ffdatr", ",", "truledatr"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "Automatic", ",", 
           "\"\<Quarter\>\""}], "}"}], ",", 
         RowBox[{"DateTicksFormat", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<Year\>\"", ",", "\"\<QuarterNameShort\>\""}], "}"}]}],
          ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Red", ",", "Dashed"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Blue"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Black"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Green", ",", "Dotted"}], "]"}]}], "}"}]}],
          ",", 
         RowBox[{"PlotLabel", "\[Rule]", "title"}]}], "]"}]}]}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"truleinertialest", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "a0_", ",", "ap_", ",", "ax_", ",", "p1_", ",", "p2_", ",", "rho_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"startEnd", "=", 
         RowBox[{"period", "/.", "InterestRateDates"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infiqr", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gdpiqr", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"fflag", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"{", " ", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
              "1992", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
              "2008", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}]}], "}"}]}], "]"}]}]}], " ", "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"dtrst", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"datesmaster", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], "&&", 
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"dtrst", "[", 
            RowBox[{"[", "j", "]"}], "]"}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"a0", "+", 
              RowBox[{"ap", "*", 
               RowBox[{"(", 
                RowBox[{"infrate", "[", 
                 RowBox[{"[", 
                  RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
              RowBox[{"p1", "*", 
               RowBox[{"(", 
                RowBox[{"infiqr", "[", 
                 RowBox[{"[", 
                  RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
              RowBox[{"ax", "*", 
               RowBox[{"(", 
                RowBox[{"gaprate", "[", 
                 RowBox[{"[", 
                  RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
              RowBox[{"p2", "*", 
               RowBox[{"(", 
                RowBox[{"gdpiqr", "[", 
                 RowBox[{"[", 
                  RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}]}], ")"}], 
            "+", 
            RowBox[{"rho", "*", 
             RowBox[{"fflag", "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "2"}], "]"}], "]"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", 
           RowBox[{"Length", "[", 
            RowBox[{"infrate", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}]}], "}"}]}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EstimateTaylorRuleInertia", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "now_", ",", "constant_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"xiqrinf", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"xiqrgdp", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"ff", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"fflag", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"{", " ", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
              "1992", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
              "2008", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}]}], "}"}]}], "]"}]}], ",", "resids", ",", "bvar", ",", 
        "LMF"}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"constant", "==", "\"\<yes\>\""}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrinf", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrgdp", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"fflag", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"ff", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z", ",", "v"}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z", ",", "v"}], "}"}]}],
              "]"}]}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"fflag", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"ff", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], "]"}]}]}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrinf", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrgdp", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"fflag", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ff", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "-", ".3"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z", ",", "v"}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z", ",", "v"}], "}"}], 
              ",", 
              RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], "]"}]}],
            ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"fflag", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ff", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "-", ".29"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], 
             "]"}]}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"resids", "=", 
        RowBox[{"LMF", "[", "\"\<FitResiduals\>\"", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "When", " ", "reporting", " ", "the", " ", "parameter", " ", "table", 
         " ", "printed", " ", "by", " ", "this", " ", "function", " ", 
         "gives", " ", "\[Alpha]", "*", "\[Phi]"}], " ", "*)"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "  ", 
       RowBox[{
        RowBox[{"LMF", "[", "\"\<ParameterTable\>\"", "]"}], 
        "\[IndentingNewLine]", 
        RowBox[{"LMF", "[", "\"\<AdjustedRSquared\>\"", "]"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"constant", "\[Equal]", "\"\<yes\>\""}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
            RowBox[{"PlotInertialTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "5"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "6"}], "]"}], "]"}], ",", 
              "\"\<Nowcast Taylor Rule\>\""}], "]"}], ",", 
            RowBox[{"PlotInertialTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", "0", 
              ",", "0", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
              "\"\<Estimated Taylor Rule\>\""}], "]"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
            RowBox[{"PlotInertialTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", "1", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "5"}], "]"}], "]"}], ",", 
              "\"\<Nowcast Taylor Rule\>\""}], "]"}], ",", 
            RowBox[{"PlotInertialTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", "1", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", "0", 
              ",", "0", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
              "\"\<Estimated Taylor Rule\>\""}], "]"}]}], "]"}]}], 
         "\[IndentingNewLine]", "]"}]}]}]}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PlotInertialTruleEst2Lag", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "a0_", ",", "ap_", ",", "ax_", ",", "p1_", ",", "p2_", ",", "rho_", ",",
       "rho2_", ",", "title_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"ffdata", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"Select", "[", 
                RowBox[{"datesmaster", ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"OrderedQ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], 
                   "&&", 
                   RowBox[{"OrderedQ", "[", 
                    RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}],
                 "]"}], ")"}], "[", 
              RowBox[{"[", "j", "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"DataBetweenDates", "[", 
                RowBox[{
                 RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
                 RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}], 
               ")"}], "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", 
             RowBox[{"Length", "[", 
              RowBox[{"Select", "[", 
               RowBox[{"datesmaster", ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"OrderedQ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], 
                  "&&", 
                  RowBox[{"OrderedQ", "[", 
                   RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}],
                "]"}], "]"}]}], "}"}]}], "]"}]}], ",", 
        RowBox[{"fflag", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"{", " ", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
              "1992", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
              "2008", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}]}], "}"}]}], "]"}]}], ",", 
        RowBox[{"fflag2", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"{", " ", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
              "1992", ",", "7", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
              "2008", ",", "7", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}]}], "}"}]}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
      
      RowBox[{
       RowBox[{"ffdatr", "=", 
        RowBox[{"ffdata", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"truledatr", "=", 
        RowBox[{
         RowBox[{"truleinertialest2Lag", "[", 
          RowBox[{
          "period", ",", "infm", ",", "gapm", ",", "iiqr", ",", "giqr", ",", 
           "a0", ",", "ap", ",", "ax", ",", "p1", ",", "p2", ",", "rho", ",", 
           "rho2"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"DateListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"ffdatr", ",", "truledatr"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "Automatic", ",", 
           "\"\<Quarter\>\""}], "}"}], ",", 
         RowBox[{"DateTicksFormat", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<Year\>\"", ",", "\"\<QuarterNameShort\>\""}], "}"}]}],
          ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Red", ",", "Dashed"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Blue"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Black"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Green", ",", "Dotted"}], "]"}]}], "}"}]}],
          ",", 
         RowBox[{"PlotLabel", "\[Rule]", "title"}]}], "]"}]}]}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"truleinertialest2Lag", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "a0_", ",", "ap_", ",", "ax_", ",", "p1_", ",", "p2_", ",", "rho_", ",",
       "rho2_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"startEnd", "=", 
         RowBox[{"period", "/.", "InterestRateDates"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infiqr", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gdpiqr", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"fflag", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"{", " ", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
              "1992", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
              "2008", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}]}], "}"}]}], "]"}]}], ",", 
        RowBox[{"fflag2", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"{", " ", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
              "1992", ",", "7", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
              "2008", ",", "7", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}]}], "}"}]}], "]"}]}]}], " ", "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"dtrst", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"datesmaster", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], "&&", 
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"dtrst", "[", 
            RowBox[{"[", "j", "]"}], "]"}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"a0", "+", 
              RowBox[{"ap", "*", 
               RowBox[{"(", 
                RowBox[{"infrate", "[", 
                 RowBox[{"[", 
                  RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
              RowBox[{"p1", "*", 
               RowBox[{"(", 
                RowBox[{"infiqr", "[", 
                 RowBox[{"[", 
                  RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
              RowBox[{"ax", "*", 
               RowBox[{"(", 
                RowBox[{"gaprate", "[", 
                 RowBox[{"[", 
                  RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
              RowBox[{"p2", "*", 
               RowBox[{"(", 
                RowBox[{"gdpiqr", "[", 
                 RowBox[{"[", 
                  RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}]}], ")"}], 
            "+", 
            RowBox[{"rho", "*", 
             RowBox[{"fflag", "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "2"}], "]"}], "]"}]}], "+", 
            RowBox[{"rho2", "*", 
             RowBox[{"fflag2", "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "2"}], "]"}], "]"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", 
           RowBox[{"Length", "[", 
            RowBox[{"infrate", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}]}], "}"}]}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EstimateTaylorRuleInertia2Lag", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "now_", ",", "constant_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"xiqrinf", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"xiqrgdp", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"ff", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"fflag", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"{", " ", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
              "1992", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
              "2008", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}]}], "}"}]}], "]"}]}], ",", 
        RowBox[{"fflag2", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"{", " ", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
              "1992", ",", "7", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
              "2008", ",", "7", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}]}], "}"}]}], "]"}]}], ",", "resids", ",", "bvar", ",", 
        "LMF"}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"constant", "==", "\"\<yes\>\""}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrinf", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrgdp", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"fflag", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"fflag2", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"ff", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{
               "w", ",", "x", ",", "y", ",", "z", ",", "u", ",", "v"}], "}"}],
               ",", 
              RowBox[{"{", 
               RowBox[{
               "w", ",", "x", ",", "y", ",", "z", ",", "u", ",", "v"}], 
               "}"}]}], "]"}]}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"fflag", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"ff", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], "]"}]}]}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrinf", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrgdp", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"fflag", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ff", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "-", ".3"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z", ",", "v"}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z", ",", "v"}], "}"}], 
              ",", 
              RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], "]"}]}],
            ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"fflag", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ff", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "-", ".29"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], 
             "]"}]}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"resids", "=", 
        RowBox[{"LMF", "[", "\"\<FitResiduals\>\"", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "When", " ", "reporting", " ", "the", " ", "parameter", " ", "table", 
         " ", "printed", " ", "by", " ", "this", " ", "function", " ", 
         "gives", " ", "\[Alpha]", "*", "\[Phi]"}], " ", "*)"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "  ", 
       RowBox[{
        RowBox[{"LMF", "[", "\"\<ParameterTable\>\"", "]"}], 
        "\[IndentingNewLine]", 
        RowBox[{"LMF", "[", "\"\<AdjustedRSquared\>\"", "]"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"constant", "\[Equal]", "\"\<yes\>\""}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
            RowBox[{"PlotInertialTruleEst2Lag", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "5"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "6"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "7"}], "]"}], "]"}], ",", 
              "\"\<Nowcast Taylor Rule\>\""}], "]"}], ",", 
            RowBox[{"PlotInertialTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", "0", 
              ",", "0", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
              "\"\<Estimated Taylor Rule\>\""}], "]"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
            RowBox[{"PlotInertialTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", "1", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "5"}], "]"}], "]"}], ",", 
              "\"\<Nowcast Taylor Rule\>\""}], "]"}], ",", 
            RowBox[{"PlotInertialTruleEst", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", "1", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", "0", 
              ",", "0", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
              "\"\<Estimated Taylor Rule\>\""}], "]"}]}], "]"}]}], 
         "\[IndentingNewLine]", "]"}]}]}]}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PlotInertialTruleEst2", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "grow_", ",", "a0_", ",", "ap_", ",", "ax_", ",", "p1_", ",", "p2_", 
      ",", "p3_", ",", "rho_", ",", "title_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"ffdata", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"Select", "[", 
                RowBox[{"datesmaster", ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"OrderedQ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], 
                   "&&", 
                   RowBox[{"OrderedQ", "[", 
                    RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}],
                 "]"}], ")"}], "[", 
              RowBox[{"[", "j", "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"DataBetweenDates", "[", 
                RowBox[{
                 RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
                 RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}], 
               ")"}], "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", 
             RowBox[{"Length", "[", 
              RowBox[{"Select", "[", 
               RowBox[{"datesmaster", ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"OrderedQ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], 
                  "&&", 
                  RowBox[{"OrderedQ", "[", 
                   RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}],
                "]"}], "]"}]}], "}"}]}], "]"}]}], ",", 
        RowBox[{"growrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"grow", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"fflag", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"{", " ", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
              "1992", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
              "2006", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}]}], "}"}]}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
      
      RowBox[{
       RowBox[{"ffdatr", "=", 
        RowBox[{"ffdata", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"truledatr", "=", 
        RowBox[{
         RowBox[{"truleinertialest2", "[", 
          RowBox[{
          "period", ",", "infm", ",", "gapm", ",", "iiqr", ",", "giqr", ",", 
           "grow", ",", "a0", ",", "ap", ",", "ax", ",", "p1", ",", "p2", ",",
            "p3", ",", "rho"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"DateListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"ffdatr", ",", "truledatr"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "Automatic", ",", 
           "\"\<Quarter\>\""}], "}"}], ",", 
         RowBox[{"DateTicksFormat", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<Year\>\"", ",", "\"\<QuarterNameShort\>\""}], "}"}]}],
          ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Red", ",", "Dashed"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Blue"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Black"}], "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Green", ",", "Dotted"}], "]"}]}], "}"}]}],
          ",", 
         RowBox[{"PlotLabel", "\[Rule]", "title"}]}], "]"}]}]}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"truleinertialest2", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "grow_", ",", "a0_", ",", "ap_", ",", "ax_", ",", "p1_", ",", "p2_", 
      ",", "p3_", ",", "rho_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"startEnd", "=", 
         RowBox[{"period", "/.", "InterestRateDates"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infiqr", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gdpiqr", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"growrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"grow", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"fflag", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"{", " ", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
              "1992", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
              "2006", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}]}], "}"}]}], "]"}]}]}], " ", "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"dtrst", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"datesmaster", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], "&&", 
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"dtrst", "[", 
            RowBox[{"[", "j", "]"}], "]"}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"a0", "+", 
              RowBox[{"ap", "*", 
               RowBox[{"(", 
                RowBox[{"infrate", "[", 
                 RowBox[{"[", 
                  RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
              RowBox[{"p1", "*", 
               RowBox[{"(", 
                RowBox[{"infiqr", "[", 
                 RowBox[{"[", 
                  RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
              RowBox[{"ax", "*", 
               RowBox[{"(", 
                RowBox[{"gaprate", "[", 
                 RowBox[{"[", 
                  RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}], "+", 
              RowBox[{"p2", "*", 
               RowBox[{"(", 
                RowBox[{"gdpiqr", "[", 
                 RowBox[{"[", 
                  RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}]}]}], ")"}], 
            "+", 
            RowBox[{"p3", "*", 
             RowBox[{"growrate", "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "2"}], "]"}], "]"}]}], "+", 
            RowBox[{"rho", "*", 
             RowBox[{"fflag", "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "2"}], "]"}], "]"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", 
           RowBox[{"Length", "[", 
            RowBox[{"infrate", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}]}], "}"}]}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EstimateTaylorRuleInertia2", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "grow_", ",", "now_", ",", "constant_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"xiqrinf", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"xiqrgdp", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"ff", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"growrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"grow", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"fflag", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<fedfunds\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"{", " ", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
              "1992", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
              "2006", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}]}], "}"}]}], "]"}]}], ",", "resids", ",", "bvar", ",", 
        "LMF"}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"constant", "==", "\"\<yes\>\""}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrinf", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrgdp", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"growrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"fflag", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"ff", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{
               "w", ",", "x", ",", "y", ",", "z", ",", "v", ",", "u"}], "}"}],
               ",", 
              RowBox[{"{", 
               RowBox[{
               "w", ",", "x", ",", "y", ",", "z", ",", "v", ",", "u"}], 
               "}"}]}], "]"}]}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"fflag", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"ff", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], "]"}]}]}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrinf", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"xiqrgdp", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"fflag", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ff", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "-", ".1"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z", ",", "v"}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"w", ",", "x", ",", "y", ",", "z", ",", "v"}], "}"}], 
              ",", 
              RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], "]"}]}],
            ",", 
           RowBox[{"LMF", "=", 
            RowBox[{"LinearModelFit", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"infrate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"gaprate", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"fflag", "[", 
                  RowBox[{"[", 
                   RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ff", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "-", ".29"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], 
             "]"}]}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"resids", "=", 
        RowBox[{"LMF", "[", "\"\<FitResiduals\>\"", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "When", " ", "reporting", " ", "the", " ", "parameter", " ", "table", 
         " ", "printed", " ", "by", " ", "this", " ", "function", " ", 
         "gives", " ", "\[Alpha]", "*", "\[Phi]"}], " ", "*)"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "  ", 
       RowBox[{
        RowBox[{"LMF", "[", "\"\<ParameterTable\>\"", "]"}], 
        "\[IndentingNewLine]", 
        RowBox[{"LMF", "[", "\"\<AdjustedRSquared\>\"", "]"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"constant", "\[Equal]", "\"\<yes\>\""}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
            RowBox[{"PlotInertialTruleEst2", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", "grow", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "5"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "6"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "7"}], "]"}], "]"}], ",", 
              "\"\<Nowcast Taylor Rule\>\""}], "]"}], ",", 
            RowBox[{"PlotInertialTruleEst2", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", "0", 
              ",", "0", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
              "\"\<Estimated Taylor Rule\>\""}], "]"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"now", "\[Equal]", "\"\<yes\>\""}], ",", 
            RowBox[{"PlotInertialTruleEst2", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", "1", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "5"}], "]"}], "]"}], ",", 
              "\"\<Nowcast Taylor Rule\>\""}], "]"}], ",", 
            RowBox[{"PlotInertialTruleEst2", "[", 
             RowBox[{
             "period", ",", "infm", ",", "gapm", ",", "xiqrinf", ",", 
              "xiqrgdp", ",", "1", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], ",", "0", 
              ",", "0", ",", 
              RowBox[{"LMF", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
              "\"\<Estimated Taylor Rule\>\""}], "]"}]}], "]"}]}], 
         "\[IndentingNewLine]", "]"}]}]}]}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nowcastInflation", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "p1_", ",", "p2_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"startEnd", "=", 
         RowBox[{"period", "/.", "InterestRateDates"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infiqr", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gdpiqr", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}]}], " ", 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"dtrst", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"datesmaster", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], "&&", 
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"dtrst", "[", 
            RowBox[{"[", "j", "]"}], "]"}], ",", 
           RowBox[{
            RowBox[{"infrate", "[", 
             RowBox[{"[", 
              RowBox[{"j", ",", "2"}], "]"}], "]"}], "+", 
            RowBox[{"p1", "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"infiqr", "[", 
                RowBox[{"[", 
                 RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}], "^", 
              "2"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", 
           RowBox[{"Length", "[", 
            RowBox[{"infrate", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}]}], "}"}]}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SPFinflation", "[", 
     RowBox[{
     "period_", ",", "infm_", ",", "gapm_", ",", "iiqr_", ",", "giqr_", ",", 
      "p1_", ",", "p2_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"startEnd", "=", 
         RowBox[{"period", "/.", "InterestRateDates"}]}], ",", 
        RowBox[{"infrate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"infm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gaprate", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"gapm", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"infiqr", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"iiqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}], ",", 
        RowBox[{"gdpiqr", "=", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"giqr", "/.", "DataTable"}], ",", 
           RowBox[{"period", "/.", "InterestRateDates"}]}], "]"}]}]}], " ", 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"dtrst", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"datesmaster", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "#"}], "}"}], "]"}], "&&", 
            RowBox[{"OrderedQ", "[", 
             RowBox[{"{", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"period", "/.", "InterestRateDates"}], ")"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "&"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"dtrst", "[", 
            RowBox[{"[", "j", "]"}], "]"}], ",", 
           RowBox[{"infrate", "[", 
            RowBox[{"[", 
             RowBox[{"j", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", 
           RowBox[{"Length", "[", 
            RowBox[{"infrate", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}]}], "}"}]}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ValueThumbSlider", "[", "v_", "]"}], ":=", 
     RowBox[{"ValueThumbSlider", "[", 
      RowBox[{"v", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ValueThumbSlider", "[", 
      RowBox[{
       RowBox[{"Dynamic", "[", "var_", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"min_", ",", "max_"}], "}"}], ",", "options___"}], "]"}], ":=", 
     RowBox[{"LocatorPane", "[", 
      RowBox[{
       RowBox[{"Dynamic", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"!", 
             RowBox[{"NumberQ", "[", "var", "]"}]}], ",", 
            RowBox[{"var", "=", "min"}]}], "]"}], ";", 
          RowBox[{"{", 
           RowBox[{"var", ",", "0"}], "}"}]}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"var", "=", 
            RowBox[{"First", "[", "#", "]"}]}], ")"}], "&"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"AbsoluteThickness", "[", "1.5", "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"min", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"max", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Dynamic", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Text", "[", 
               RowBox[{"var", ",", 
                RowBox[{"{", 
                 RowBox[{"var", ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", "1"}]}], "}"}]}], "]"}], ",", 
              RowBox[{"Polygon", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Offset", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"var", ",", "0"}], "}"}]}], "]"}], ",", 
                 RowBox[{"Offset", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "5"}], ",", 
                    RowBox[{"-", "8"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"var", ",", "0"}], "}"}]}], "]"}], ",", 
                 RowBox[{"Offset", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"5", ",", 
                    RowBox[{"-", "8"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"var", ",", "0"}], "}"}]}], "]"}]}], "}"}], 
               "]"}]}], "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"300", ",", "30"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{"min", ",", "max"}], "}"}], "+", 
             RowBox[{"0.1", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1"}], ",", "1"}], "}"}], 
              RowBox[{"(", 
               RowBox[{"max", "-", "min"}], ")"}]}]}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", 
          RowBox[{"1", "/", "10"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"min", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"max", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"Appearance", "\[Rule]", "None"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{"EstimateTaylorRule", "[", 
      RowBox[{
      "period", ",", "infmeasure", ",", "gapmeasure", ",", "infiqrmeasure", 
       ",", "gdpiqrmeasure", ",", "nowrule", ",", "const"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "infmeasure", ",", "\"\<nowinf\>\"", ",", 
         "\"\<Inflation forecast\>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "\"\<inf\>\"", ",", "\"\<inflrt\>\"", ",", " ", "\"\<nowinf\>\"", 
         ",", "\"\<infnow\>\"", ",", "\"\<infmed\>\"", ",", 
         "\"\<infgreen\>\"", ",", "\"\<infcond\>\""}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "gapmeasure", ",", "\"\<altgap\>\"", ",", "\"\<gap forecast\>\""}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "\"\<gap\>\"", ",", " ", "\"\<gaprt\>\"", ",", " ", "\"\<altgap\>\"", 
         ",", "\"\<gapnow\>\""}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "infiqrmeasure", ",", "\"\<infspfiqr\>\"", ",", 
         "\"\<Inflation Uncertainty\>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "\"\<infiqrbeta\>\"", ",", " ", "\"\<infspfiqr\>\"", ",", 
         "\"\<infsd\>\""}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "gdpiqrmeasure", ",", "\"\<gdpspfiqr\>\"", ",", 
         "\"\<GDP Uncertainty\>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "\"\<gdpiqrbeta\>\"", ",", " ", "\"\<gdpspfiqr\>\"", ",", 
         "\"\<gdpsd\>\""}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"period", ",", "\"\<precrisis\>\"", ",", "\"\<era\>\""}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "\"\<dotcom\>\"", ",", " ", "\"\<post-dotcom\>\"", ",", " ", 
         "\"\<Bernanke\>\"", ",", "\"\<0305\>\"", ",", "\"\<9300\>\"", ",", 
         "\"\<9303\>\"", ",", "\"\<0105\>\"", ",", "\"\<precrisis\>\"", ",", 
         " ", "\"\<All\>\"", ",", "\"\<All2\>\""}], "}"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"nowrule", ",", "\"\<yes\>\"", ",", "\"\<nowcast\>\""}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\"\<yes\>\"", ",", "\"\<no\>\""}], "}"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"const", ",", "\"\<yes\>\"", ",", "\"\<constant\>\""}], "}"}],
        ",", 
       RowBox[{"{", 
        RowBox[{"\"\<yes\>\"", ",", "\"\<no\>\""}], "}"}]}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "create", " ", "a", " ", "list", " ", "with", " ", "different", " ", 
      RowBox[{"\[Phi]", "'"}], "s", " ", "in", " ", "different", " ", 
      "subsamples"}], ",", " ", 
     RowBox[{"produces", " ", "best", " ", "fitting", " ", "rule"}]}], "*)"}],
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"optfitTRd", "=", 
     RowBox[{"truleExpandest", "[", 
      RowBox[{
       RowBox[{"\"\<9300\>\"", "/.", "InterestRateDates"}], ",", 
       "\"\<infmed\>\"", ",", "\"\<altgap\>\"", ",", "\"\<infsd\>\"", ",", 
       "\"\<gdpsd\>\"", ",", ".064", ",", "1.64", ",", ".84", ",", 
       RowBox[{"-", "1.04"}], ",", ".68"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"optfitTRdpd", "=", 
     RowBox[{"Join", "[", 
      RowBox[{"optfitTRd", ",", 
       RowBox[{"truleExpandest", "[", 
        RowBox[{
         RowBox[{"\"\<0106\>\"", "/.", "InterestRateDates"}], ",", 
         "\"\<infmed\>\"", ",", "\"\<altgap\>\"", ",", "\"\<infsd\>\"", ",", 
         "\"\<gdpsd\>\"", ",", 
         RowBox[{"-", "5.44"}], ",", "2.92", ",", ".74", ",", 
         RowBox[{"-", "1.16"}], ",", "1.35"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.555252504273892*^9, 3.555252672586149*^9}, {
   3.555252706446452*^9, 3.555252866929059*^9}, {3.555252984777835*^9, 
   3.555253004641448*^9}, {3.5552534326713753`*^9, 3.555253433043091*^9}, {
   3.5552589890974073`*^9, 3.555259576358062*^9}, {3.555266898158955*^9, 
   3.5552669182498198`*^9}, 3.555266998988851*^9, {3.555267076151133*^9, 
   3.555267195304204*^9}, {3.555267259311962*^9, 3.555267282548801*^9}, {
   3.555267578995022*^9, 3.5552675823921537`*^9}, {3.5552676236499767`*^9, 
   3.555267677617128*^9}, 3.55526774255158*^9, 3.555267855976272*^9, {
   3.555267892913764*^9, 3.555267894900044*^9}, {3.555415066252244*^9, 
   3.5554150763214083`*^9}, {3.555415853755574*^9, 3.555415903540414*^9}, 
   3.555417048908567*^9, {3.555417154319976*^9, 3.5554171570922117`*^9}, 
   3.555417383558488*^9, {3.55541743057157*^9, 3.555417432493775*^9}, 
   3.555417467672079*^9, 3.555417509747624*^9, {3.555417580616561*^9, 
   3.555417582104003*^9}, 3.5554176636948023`*^9, {3.555417695119071*^9, 
   3.5554176971214848`*^9}, {3.555417771862649*^9, 3.555417818610189*^9}, {
   3.555417967278*^9, 3.555418000686821*^9}, {3.5554180488007107`*^9, 
   3.5554180492457857`*^9}, {3.555418525597958*^9, 3.5554185259374123`*^9}, {
   3.55541868739425*^9, 3.555418740597806*^9}, {3.55541884212185*^9, 
   3.55541884554924*^9}, {3.556460431170723*^9, 3.556460463804727*^9}, 
   3.5564604953155127`*^9, {3.556460545236548*^9, 3.5564605478587008`*^9}, {
   3.556462781585445*^9, 3.556462782067285*^9}, {3.556463109822834*^9, 
   3.556463110452471*^9}, {3.556463153463641*^9, 3.556463192224996*^9}, {
   3.556463246102633*^9, 3.556463348304893*^9}, {3.556463381439911*^9, 
   3.556463410296414*^9}, {3.556463448725894*^9, 3.556463456030896*^9}, {
   3.5564634860639887`*^9, 3.556463496031911*^9}, {3.556464162912027*^9, 
   3.556464179577525*^9}, {3.5564693970934772`*^9, 3.55646945675076*^9}, {
   3.556469612825439*^9, 3.556469689743093*^9}, {3.5564701479265327`*^9, 
   3.556470159632345*^9}, {3.556470590946169*^9, 3.5564705940252323`*^9}, {
   3.556470672569777*^9, 3.5564706747963943`*^9}, {3.5564707965142097`*^9, 
   3.556470816854601*^9}, {3.556471009690816*^9, 3.556471031965906*^9}, {
   3.5564716645809507`*^9, 3.556471671475554*^9}, {3.55647170292974*^9, 
   3.556471703285713*^9}, {3.556471740512644*^9, 3.5564718673909807`*^9}, {
   3.556471936806481*^9, 3.5564719560998173`*^9}, {3.556471997864153*^9, 
   3.556472068090788*^9}, {3.556472263901154*^9, 3.556472283984455*^9}, {
   3.556472522901819*^9, 3.556472532513309*^9}, {3.5564741426459312`*^9, 
   3.556474191209124*^9}, {3.556474280835471*^9, 3.5564742810886507`*^9}, {
   3.55647466768476*^9, 3.556474708113673*^9}, {3.55647476801702*^9, 
   3.556474808654035*^9}, {3.556474987487999*^9, 3.556475023263359*^9}, {
   3.556475163282246*^9, 3.556475163879044*^9}, 3.556475777435184*^9, {
   3.556476257983745*^9, 3.556476265244173*^9}, {3.556476299211049*^9, 
   3.5564763032161913`*^9}, {3.5564771983192587`*^9, 3.556477282358615*^9}, {
   3.556477314932377*^9, 3.556477421115597*^9}, {3.5565448675546713`*^9, 
   3.5565448907613153`*^9}, 3.5565449270513983`*^9, {3.556895859081813*^9, 
   3.556895879048767*^9}, 3.5568959786025057`*^9, 3.556896050374065*^9, 
   3.5568961289169483`*^9, 3.556896196419693*^9, {3.556896595869792*^9, 
   3.556896599586644*^9}, {3.557073821274332*^9, 3.557073881286072*^9}, {
   3.5570742016689377`*^9, 3.557074202110927*^9}, {3.557074267764305*^9, 
   3.5570742996190367`*^9}, {3.557074531308469*^9, 3.55707454662099*^9}, {
   3.5570758983710337`*^9, 3.5570759129486723`*^9}, {3.5570762298844357`*^9, 
   3.557076263956773*^9}, {3.557076295679105*^9, 3.557076449307169*^9}, {
   3.557076487881374*^9, 3.557076699305361*^9}, {3.557076819661458*^9, 
   3.55707684786147*^9}, {3.557076942872952*^9, 3.557076960856885*^9}, {
   3.557077034705873*^9, 3.557077039623708*^9}, {3.5570774609926653`*^9, 
   3.557077506020687*^9}, {3.557078090806329*^9, 3.557078121465562*^9}, {
   3.557078198278495*^9, 3.557078204547097*^9}, {3.55707886126469*^9, 
   3.557078896551312*^9}, {3.5570789470240793`*^9, 3.55707908947641*^9}, {
   3.557079762685066*^9, 3.557079772482589*^9}, {3.557080708339837*^9, 
   3.557080718611071*^9}, 3.557080755379203*^9, {3.5570822884591427`*^9, 
   3.5570823279567223`*^9}, {3.557085769381675*^9, 3.5570857796568336`*^9}, {
   3.557085875568901*^9, 3.557085886187228*^9}, {3.557147399407535*^9, 
   3.557147412007025*^9}, {3.557149820421854*^9, 3.55714985620737*^9}, {
   3.557150054080662*^9, 3.557150056290978*^9}, {3.557150365540552*^9, 
   3.557150382049019*^9}, {3.557150951883209*^9, 3.557150954523921*^9}, {
   3.55715293433924*^9, 3.5571530035410557`*^9}, 3.557153543626483*^9, {
   3.557153578935622*^9, 3.557153598916297*^9}, {3.5571537897889957`*^9, 
   3.557153799419125*^9}, {3.557153867764831*^9, 3.5571538710521708`*^9}, 
   3.557153901882628*^9, 3.5571539756621017`*^9, 3.557154046314474*^9, {
   3.557154091677971*^9, 3.557154100708271*^9}, {3.557154252166183*^9, 
   3.5571542585855303`*^9}, {3.557154359133328*^9, 3.5571543727125673`*^9}, {
   3.557154490942169*^9, 3.557154639107638*^9}, {3.5571546811196613`*^9, 
   3.557154689302449*^9}, 3.557154777400138*^9, {3.557154825634746*^9, 
   3.5571548327189417`*^9}, {3.5571549743610983`*^9, 
   3.5571550305792513`*^9}, {3.557576298650392*^9, 3.557576431469338*^9}, {
   3.557576493702389*^9, 3.557576514657978*^9}, 3.557576595288206*^9, {
   3.557577343939725*^9, 3.557577438852253*^9}, {3.55757747257679*^9, 
   3.557577718734583*^9}, {3.5575777929976263`*^9, 3.557577838636669*^9}, {
   3.557577975997643*^9, 3.557577977939749*^9}, {3.557578060139505*^9, 
   3.557578100923263*^9}, {3.5575781781338778`*^9, 3.557578228047393*^9}, {
   3.5575848403938837`*^9, 3.557584841685655*^9}, 3.557584873309654*^9, {
   3.557585205171633*^9, 3.5575852178936367`*^9}, {3.557585268048025*^9, 
   3.557585271265007*^9}, {3.5575853922609243`*^9, 3.557585406187153*^9}, 
   3.55758559244545*^9, 3.557585844153749*^9, {3.557586033737898*^9, 
   3.5575860572115726`*^9}, {3.557586283243586*^9, 3.5575862866221867`*^9}, 
   3.557754134601119*^9, {3.557754164625725*^9, 3.5577541667439013`*^9}, {
   3.557754238837635*^9, 3.557754241103848*^9}, 3.557754590753982*^9, {
   3.5577602434141083`*^9, 3.5577602505771217`*^9}, {3.557760367729169*^9, 
   3.5577603885003977`*^9}, {3.557760492939197*^9, 3.5577604997791367`*^9}, {
   3.5577718844087143`*^9, 3.5577719571303377`*^9}, 3.560016668948699*^9, {
   3.560016885581059*^9, 3.56001688941094*^9}, {3.560195762741662*^9, 
   3.560195818746874*^9}, {3.560262135338788*^9, 3.56026213601128*^9}, {
   3.5602623783573713`*^9, 3.5602624287955523`*^9}, {3.560262675287683*^9, 
   3.56026270602048*^9}, {3.5602629895891323`*^9, 3.560262996411709*^9}, {
   3.560263047867189*^9, 3.560263052755067*^9}, {3.560263147681203*^9, 
   3.5602631828781357`*^9}, {3.56026333258119*^9, 3.560263407087759*^9}, {
   3.56026352691803*^9, 3.560263535152137*^9}, {3.560264130569069*^9, 
   3.5602643578736258`*^9}, {3.5602644734982224`*^9, 
   3.5602644869587927`*^9}, {3.5602651072601748`*^9, 
   3.5602651145797358`*^9}, {3.560265153733613*^9, 3.560265156977314*^9}, {
   3.560524327489156*^9, 3.56052434195607*^9}, {3.5606050959878473`*^9, 
   3.560605113903055*^9}, {3.569946090481597*^9, 3.569946119675662*^9}, {
   3.570199883618821*^9, 3.570199922356413*^9}, {3.5702001481384583`*^9, 
   3.570200167834627*^9}, {3.5702002591936913`*^9, 3.570200265484359*^9}, {
   3.57090143174823*^9, 3.570901446592958*^9}, {3.570902014914364*^9, 
   3.57090207703725*^9}, 3.5709059562432737`*^9, {3.570905994808446*^9, 
   3.570906000152268*^9}, {3.5709082829463577`*^9, 3.570908301545415*^9}, 
   3.570908516969347*^9, {3.570908893339551*^9, 3.570908894973935*^9}, {
   3.5709090523642197`*^9, 3.5709090539541693`*^9}, {3.571079149536583*^9, 
   3.5710791640747223`*^9}, {3.57108009088663*^9, 3.571080217383891*^9}, {
   3.571080297653487*^9, 3.571080312901888*^9}, {3.5710803453181677`*^9, 
   3.571080345694331*^9}, {3.5710806036568747`*^9, 3.571080615348383*^9}, {
   3.571080734001647*^9, 3.5710807384046307`*^9}, {3.571080770872861*^9, 
   3.571080771222515*^9}, 3.571080890274743*^9, {3.571082112094844*^9, 
   3.5710821434056063`*^9}, {3.571082255981798*^9, 3.571082257936997*^9}, 
   3.571522116583466*^9, {3.571522403005103*^9, 3.57152241348225*^9}, 
   3.571522513151721*^9, {3.571600773866211*^9, 3.5716007986559153`*^9}, 
   3.5716009127479477`*^9, {3.571601003707251*^9, 3.571601017202156*^9}, {
   3.5716020027496643`*^9, 3.571602009310164*^9}, 3.571602129676066*^9, {
   3.571602849926196*^9, 3.5716028677883987`*^9}, {3.571602975086814*^9, 
   3.571602991921484*^9}, {3.571603302200425*^9, 3.5716033064521*^9}, {
   3.571603895167858*^9, 3.571603895719852*^9}, {3.571685456387826*^9, 
   3.5716854773770447`*^9}, {3.57168583262261*^9, 3.5716859003317842`*^9}, {
   3.57168593332342*^9, 3.571686042225801*^9}, {3.571686075214384*^9, 
   3.5716862245736637`*^9}, 3.571686574587248*^9, {3.571767256020865*^9, 
   3.5717672599735126`*^9}, {3.571767987155312*^9, 3.5717680285161257`*^9}, {
   3.5769346771030827`*^9, 3.576934966033827*^9}, {3.5769350405707607`*^9, 
   3.5769351486546087`*^9}, 3.576935521507174*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`const$$ = "yes", $CellContext`gapmeasure$$ =
     "altgap", $CellContext`gdpiqrmeasure$$ = 
    "gdpspfiqr", $CellContext`infiqrmeasure$$ = 
    "infspfiqr", $CellContext`infmeasure$$ = 
    "nowinf", $CellContext`nowrule$$ = "yes", $CellContext`period$$ = 
    "precrisis", Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`infmeasure$$], "nowinf", "Inflation forecast"}, {
      "inf", "inflrt", "nowinf", "infnow", "infmed", "infgreen", 
       "infcond"}}, {{
       Hold[$CellContext`gapmeasure$$], "altgap", "gap forecast"}, {
      "gap", "gaprt", "altgap", "gapnow"}}, {{
       Hold[$CellContext`infiqrmeasure$$], "infspfiqr", 
       "Inflation Uncertainty"}, {"infiqrbeta", "infspfiqr", "infsd"}}, {{
       Hold[$CellContext`gdpiqrmeasure$$], "gdpspfiqr", "GDP Uncertainty"}, {
      "gdpiqrbeta", "gdpspfiqr", "gdpsd"}}, {{
       Hold[$CellContext`period$$], "precrisis", "era"}, {
      "dotcom", "post-dotcom", "Bernanke", "0305", "9300", "9303", "0105", 
       "precrisis", "All", "All2"}}, {{
       Hold[$CellContext`nowrule$$], "yes", "nowcast"}, {"yes", "no"}}, {{
       Hold[$CellContext`const$$], "yes", "constant"}, {"yes", "no"}}}, 
    Typeset`size$$ = {857., {164., 168.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`infmeasure$6502$$ = 0, $CellContext`gapmeasure$6503$$ =
     0, $CellContext`infiqrmeasure$6504$$ = 
    0, $CellContext`gdpiqrmeasure$6505$$ = 0, $CellContext`period$6506$$ = 
    0, $CellContext`nowrule$6507$$ = False, $CellContext`const$6508$$ = 
    False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`const$$ = "yes", $CellContext`gapmeasure$$ = 
        "altgap", $CellContext`gdpiqrmeasure$$ = 
        "gdpspfiqr", $CellContext`infiqrmeasure$$ = 
        "infspfiqr", $CellContext`infmeasure$$ = 
        "nowinf", $CellContext`nowrule$$ = "yes", $CellContext`period$$ = 
        "precrisis"}, "ControllerVariables" :> {
        Hold[$CellContext`infmeasure$$, $CellContext`infmeasure$6502$$, 0], 
        Hold[$CellContext`gapmeasure$$, $CellContext`gapmeasure$6503$$, 0], 
        Hold[$CellContext`infiqrmeasure$$, $CellContext`infiqrmeasure$6504$$, 
         0], 
        Hold[$CellContext`gdpiqrmeasure$$, $CellContext`gdpiqrmeasure$6505$$, 
         0], 
        Hold[$CellContext`period$$, $CellContext`period$6506$$, 0], 
        Hold[$CellContext`nowrule$$, $CellContext`nowrule$6507$$, False], 
        Hold[$CellContext`const$$, $CellContext`const$6508$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`EstimateTaylorRule[$CellContext`period$$, \
$CellContext`infmeasure$$, $CellContext`gapmeasure$$, \
$CellContext`infiqrmeasure$$, $CellContext`gdpiqrmeasure$$, \
$CellContext`nowrule$$, $CellContext`const$$], 
      "Specifications" :> {{{$CellContext`infmeasure$$, "nowinf", 
          "Inflation forecast"}, {
         "inf", "inflrt", "nowinf", "infnow", "infmed", "infgreen", 
          "infcond"}}, {{$CellContext`gapmeasure$$, "altgap", 
          "gap forecast"}, {
         "gap", "gaprt", "altgap", "gapnow"}}, {{$CellContext`infiqrmeasure$$,
           "infspfiqr", "Inflation Uncertainty"}, {
         "infiqrbeta", "infspfiqr", "infsd"}}, {{$CellContext`gdpiqrmeasure$$,
           "gdpspfiqr", "GDP Uncertainty"}, {
         "gdpiqrbeta", "gdpspfiqr", "gdpsd"}}, {{$CellContext`period$$, 
          "precrisis", "era"}, {
         "dotcom", "post-dotcom", "Bernanke", "0305", "9300", "9303", "0105", 
          "precrisis", "All", "All2"}}, {{$CellContext`nowrule$$, "yes", 
          "nowcast"}, {
         "yes", "no"}}, {{$CellContext`const$$, "yes", "constant"}, {
         "yes", "no"}}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{900., {281., 287.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.576934452865478*^9, 3.5769344588424664`*^9}, 
   3.576935014696733*^9, 3.576935163853384*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`const$$ = "yes", $CellContext`gapmeasure$$ =
     "altgap", $CellContext`gdpiqrmeasure$$ = 
    "gdpspfiqr", $CellContext`infiqrmeasure$$ = 
    "infspfiqr", $CellContext`infmeasure$$ = 
    "nowinf", $CellContext`nowrule$$ = "yes", $CellContext`period$$ = 
    "precrisis", Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`infmeasure$$], "nowinf", "Inflation forecast"}, {
      "inf", "inflrt", "nowinf", "infnow", "infmed", "infgreen", 
       "infcond"}}, {{
       Hold[$CellContext`gapmeasure$$], "altgap", "gap forecast"}, {
      "gap", "gaprt", "altgap", "gapnow"}}, {{
       Hold[$CellContext`infiqrmeasure$$], "infspfiqr", 
       "Inflation Uncertainty"}, {"infiqrbeta", "infspfiqr", "infsd"}}, {{
       Hold[$CellContext`gdpiqrmeasure$$], "gdpspfiqr", "GDP Uncertainty"}, {
      "gdpiqrbeta", "gdpspfiqr", "gdpsd"}}, {{
       Hold[$CellContext`period$$], "precrisis", "era"}, {
      "dotcom", "post-dotcom", "Bernanke", "0305", "9300", "9303", "0105", 
       "precrisis", "All", "All2"}}, {{
       Hold[$CellContext`nowrule$$], "yes", "nowcast"}, {"yes", "no"}}, {{
       Hold[$CellContext`const$$], "yes", "constant"}, {"yes", "no"}}}, 
    Typeset`size$$ = {857., {164., 168.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`infmeasure$8867$$ = 0, $CellContext`gapmeasure$8868$$ =
     0, $CellContext`infiqrmeasure$8869$$ = 
    0, $CellContext`gdpiqrmeasure$8870$$ = 0, $CellContext`period$8871$$ = 
    0, $CellContext`nowrule$8872$$ = False, $CellContext`const$8873$$ = 
    False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`const$$ = "yes", $CellContext`gapmeasure$$ = 
        "altgap", $CellContext`gdpiqrmeasure$$ = 
        "gdpspfiqr", $CellContext`infiqrmeasure$$ = 
        "infspfiqr", $CellContext`infmeasure$$ = 
        "nowinf", $CellContext`nowrule$$ = "yes", $CellContext`period$$ = 
        "precrisis"}, "ControllerVariables" :> {
        Hold[$CellContext`infmeasure$$, $CellContext`infmeasure$8867$$, 0], 
        Hold[$CellContext`gapmeasure$$, $CellContext`gapmeasure$8868$$, 0], 
        Hold[$CellContext`infiqrmeasure$$, $CellContext`infiqrmeasure$8869$$, 
         0], 
        Hold[$CellContext`gdpiqrmeasure$$, $CellContext`gdpiqrmeasure$8870$$, 
         0], 
        Hold[$CellContext`period$$, $CellContext`period$8871$$, 0], 
        Hold[$CellContext`nowrule$$, $CellContext`nowrule$8872$$, False], 
        Hold[$CellContext`const$$, $CellContext`const$8873$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`EstimateTaylorRule[$CellContext`period$$, \
$CellContext`infmeasure$$, $CellContext`gapmeasure$$, \
$CellContext`infiqrmeasure$$, $CellContext`gdpiqrmeasure$$, \
$CellContext`nowrule$$, $CellContext`const$$], 
      "Specifications" :> {{{$CellContext`infmeasure$$, "nowinf", 
          "Inflation forecast"}, {
         "inf", "inflrt", "nowinf", "infnow", "infmed", "infgreen", 
          "infcond"}}, {{$CellContext`gapmeasure$$, "altgap", 
          "gap forecast"}, {
         "gap", "gaprt", "altgap", "gapnow"}}, {{$CellContext`infiqrmeasure$$,
           "infspfiqr", "Inflation Uncertainty"}, {
         "infiqrbeta", "infspfiqr", "infsd"}}, {{$CellContext`gdpiqrmeasure$$,
           "gdpspfiqr", "GDP Uncertainty"}, {
         "gdpiqrbeta", "gdpspfiqr", "gdpsd"}}, {{$CellContext`period$$, 
          "precrisis", "era"}, {
         "dotcom", "post-dotcom", "Bernanke", "0305", "9300", "9303", "0105", 
          "precrisis", "All", "All2"}}, {{$CellContext`nowrule$$, "yes", 
          "nowcast"}, {
         "yes", "no"}}, {{$CellContext`const$$, "yes", "constant"}, {
         "yes", "no"}}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{900., {281., 287.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Input",
 CellChangeTimes->{3.57693444154958*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`const$$ = "yes", $CellContext`gapmeasure$$ =
     "altgap", $CellContext`gdpiqrmeasure$$ = 
    "gdpspfiqr", $CellContext`infiqrmeasure$$ = 
    "infspfiqr", $CellContext`infmeasure$$ = 
    "nowinf", $CellContext`nowrule$$ = "yes", $CellContext`period$$ = 
    "precrisis", Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`infmeasure$$], "nowinf", "Inflation forecast"}, {
      "inf", "inflrt", "nowinf", "infnow", "infmed", "infgreen", 
       "infcond"}}, {{
       Hold[$CellContext`gapmeasure$$], "altgap", "gap forecast"}, {
      "gap", "gaprt", "altgap", "gapnow"}}, {{
       Hold[$CellContext`infiqrmeasure$$], "infspfiqr", 
       "Inflation Uncertainty"}, {"infiqrbeta", "infspfiqr", "infsd"}}, {{
       Hold[$CellContext`gdpiqrmeasure$$], "gdpspfiqr", "GDP Uncertainty"}, {
      "gdpiqrbeta", "gdpspfiqr", "gdpsd"}}, {{
       Hold[$CellContext`period$$], "precrisis", "era"}, {
      "dotcom", "post-dotcom", "Bernanke", "0305", "9300", "9303", "0105", 
       "precrisis", "All", "All2"}}, {{
       Hold[$CellContext`nowrule$$], "yes", "nowcast"}, {"yes", "no"}}, {{
       Hold[$CellContext`const$$], "yes", "constant"}, {"yes", "no"}}}, 
    Typeset`size$$ = {857., {164., 168.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`infmeasure$2287$$ = 0, $CellContext`gapmeasure$2288$$ =
     0, $CellContext`infiqrmeasure$2289$$ = 
    0, $CellContext`gdpiqrmeasure$2290$$ = 0, $CellContext`period$2291$$ = 
    0, $CellContext`nowrule$2292$$ = False, $CellContext`const$2293$$ = 
    False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`const$$ = "yes", $CellContext`gapmeasure$$ = 
        "altgap", $CellContext`gdpiqrmeasure$$ = 
        "gdpspfiqr", $CellContext`infiqrmeasure$$ = 
        "infspfiqr", $CellContext`infmeasure$$ = 
        "nowinf", $CellContext`nowrule$$ = "yes", $CellContext`period$$ = 
        "precrisis"}, "ControllerVariables" :> {
        Hold[$CellContext`infmeasure$$, $CellContext`infmeasure$2287$$, 0], 
        Hold[$CellContext`gapmeasure$$, $CellContext`gapmeasure$2288$$, 0], 
        Hold[$CellContext`infiqrmeasure$$, $CellContext`infiqrmeasure$2289$$, 
         0], 
        Hold[$CellContext`gdpiqrmeasure$$, $CellContext`gdpiqrmeasure$2290$$, 
         0], 
        Hold[$CellContext`period$$, $CellContext`period$2291$$, 0], 
        Hold[$CellContext`nowrule$$, $CellContext`nowrule$2292$$, False], 
        Hold[$CellContext`const$$, $CellContext`const$2293$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`EstimateTaylorRule[$CellContext`period$$, \
$CellContext`infmeasure$$, $CellContext`gapmeasure$$, \
$CellContext`infiqrmeasure$$, $CellContext`gdpiqrmeasure$$, \
$CellContext`nowrule$$, $CellContext`const$$], 
      "Specifications" :> {{{$CellContext`infmeasure$$, "nowinf", 
          "Inflation forecast"}, {
         "inf", "inflrt", "nowinf", "infnow", "infmed", "infgreen", 
          "infcond"}}, {{$CellContext`gapmeasure$$, "altgap", 
          "gap forecast"}, {
         "gap", "gaprt", "altgap", "gapnow"}}, {{$CellContext`infiqrmeasure$$,
           "infspfiqr", "Inflation Uncertainty"}, {
         "infiqrbeta", "infspfiqr", "infsd"}}, {{$CellContext`gdpiqrmeasure$$,
           "gdpspfiqr", "GDP Uncertainty"}, {
         "gdpiqrbeta", "gdpspfiqr", "gdpsd"}}, {{$CellContext`period$$, 
          "precrisis", "era"}, {
         "dotcom", "post-dotcom", "Bernanke", "0305", "9300", "9303", "0105", 
          "precrisis", "All", "All2"}}, {{$CellContext`nowrule$$, "yes", 
          "nowcast"}, {
         "yes", "no"}}, {{$CellContext`const$$, "yes", "constant"}, {
         "yes", "no"}}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{900., {281., 287.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.5769344532562323`*^9}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.5602651181546497`*^9, 3.560265120992649*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"EstimateExpandedTaylorRule", "[", 
  RowBox[{
  "\"\<All2\>\"", ",", "\"\<infcond\>\"", ",", "\"\<altgap\>\"", ",", 
   "\"\<infiqrbeta\>\"", ",", "\"\<gdpiqrbeta\>\"", ",", "\"\<infspfiqr\>\"", 
   ",", "\"\<gdpspfiqr\>\"", ",", "\"\<yes\>\"", ",", "\"\<yes\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"FtestCalc", "[", 
  RowBox[{
  "\"\<All2\>\"", ",", "\"\<infcond\>\"", ",", "\"\<altgap\>\"", ",", 
   "\"\<infiqrbeta\>\"", ",", "\"\<gdpiqrbeta\>\"", ",", "\"\<infspfiqr\>\"", 
   ",", "\"\<gdpspfiqr\>\"", ",", "\"\<yes\>\"", ",", "\"\<yes\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"EstimateTaylorRuleStandardErrors", "[", 
  RowBox[{
  "\"\<All2\>\"", ",", "\"\<infcond\>\"", ",", "\"\<altgap\>\"", ",", 
   "\"\<infiqrbeta\>\"", ",", "\"\<gdpiqrbeta\>\"", ",", "\"\<yes\>\""}], 
  "  ", "]"}]}], "Input",
 CellChangeTimes->{{3.557153188350396*^9, 3.557153188956717*^9}, {
   3.5571532509744387`*^9, 3.557153252246234*^9}, 3.557153393360609*^9, {
   3.557153556997102*^9, 3.55715355711551*^9}, {3.55715373697738*^9, 
   3.5571537547028513`*^9}, {3.557153807041481*^9, 3.557153807215639*^9}, {
   3.557154284769998*^9, 3.557154293448638*^9}, {3.5571543928570004`*^9, 
   3.5571544029140673`*^9}, {3.5571544637559633`*^9, 3.557154484595807*^9}, {
   3.557154568027557*^9, 3.557154568741647*^9}, {3.5571549621656017`*^9, 
   3.557154965164074*^9}, {3.557155049422961*^9, 3.557155090646318*^9}, {
   3.557582849218577*^9, 3.5575828496663094`*^9}, {3.5575829720942*^9, 
   3.5575829780141907`*^9}, {3.557583085192333*^9, 3.557583128298297*^9}, {
   3.557583185917021*^9, 3.5575831987315073`*^9}, {3.557583232956621*^9, 
   3.557583266916934*^9}, {3.557583874745824*^9, 3.557583883143879*^9}, {
   3.5575840102745543`*^9, 3.5575840269381943`*^9}, {3.5575840890117483`*^9, 
   3.557584121723922*^9}, {3.557585244825466*^9, 3.557585246135683*^9}, {
   3.5575854484294567`*^9, 3.557585457059701*^9}, {3.5575863939016733`*^9, 
   3.557586416909114*^9}, {3.55758644764499*^9, 3.557586450780778*^9}, {
   3.557586950705106*^9, 3.557586957917618*^9}, {3.560016681024403*^9, 
   3.560016681461533*^9}, {3.560188747994582*^9, 3.560188817322504*^9}, {
   3.5601888567403173`*^9, 3.5601889269087954`*^9}, {3.560524252906945*^9, 
   3.56052429662675*^9}, {3.5606050336132517`*^9, 3.560605046171115*^9}, {
   3.569953174071892*^9, 3.569953250009571*^9}, {3.5699532992992487`*^9, 
   3.569953302178544*^9}, {3.569953377613509*^9, 3.569953467885666*^9}, 
   3.5699535678395653`*^9, {3.5701985236149282`*^9, 3.570198531471775*^9}, {
   3.571429558619583*^9, 3.571429583587214*^9}, {3.571429628925459*^9, 
   3.571429706644755*^9}, {3.571603751088111*^9, 3.5716037660797873`*^9}}],

Cell[BoxData[
 RowBox[{"0.807985420359976`", " ", 
  GraphicsBox[{{}, {}, 
    {RGBColor[1, 0, 0], Thickness[Large], Dashing[{Small, Small}], 
     LineBox[CompressedData["
1:eJxVk19I01EUx1eBup9JW2q6zFxFMKFSMhqJ0u+QLGMgKk2UIsXWg1JM0ZeS
TK2eemiO9KGI1j+LAvkFgtXErb8gki16kILBdHrvHY0amVPZoO49+w3swBif
nXv+fc/ZrlZH/bmNGo2mkn/Et7A3gUWof7nz+o+6DJljcCiyCEkPcvRWfBF6
ckaPz11CLp2UCETqREC64A5qIHDWXlPAxrSCaydMBHgy/mCL4BaPmcCd23u9
jb/1gt0LFgInXz3jloP1shoIVEqzDzsq8wT75u0EsFxOvmD/XBeBb48SrVMl
6NdlXiXAnfzFNqx3yEVgelp+ktWdi/XK7hOoHXc171vD/B0HFQKhHvfXtHL0
K6e8BIqwQeTotRkC72Nj/TUFyP6mAAFHRe+LhTzMH2yMELiYvZsbsnEgTkCp
vsATIrc8l6jaL7LcZ6Cqfsn+rpjo+njnUzOFThw4G+t9sVCwBH9y24r9jdgo
jHROlQwnkH2P7RTGC9c+uJpxHs3nLrp+Hnl1gMIZp9A/WW9lkKr9G7C/mDvV
33bUv0ihUKG18gfoD1Z7U/kx3lc4Q2G1mHFBcF/+HQEK1pDQMxP1t0QoeJd0
er1+A9ZzxCnk93u4xY+K+6iSmDp/QrB8zMBAbFeaRX/feRODbp3ob0Wwb8ic
ev9HsLvdwmD4o7iXJcFKm40B663iFhUcddkZ3Nsj+v+F9Sa6GLQf+c4PAP2y
Z4BB8embb5dNyLWvBxlYx4S+McHOkJtBGdpfwf7NCoN3yyYesQn1n5tkUJ7B
y9/A+/YFPzFA+UZxfo0USM2D9y2XRRhczi3nB4F6GTPiDE7Mp/EfcL+l6VJY
3WfyHksN/7HSZAqr94T7dB4wh1U9kN37LWF44OByWZP/lwZbKj5Zr88ehgnj
3cP+Nq38D9T8aJ0=
      "]]}, 
    {RGBColor[0, 0, 1], Thickness[Large], LineBox[CompressedData["
1:eJwlkgtIU1EYx13a1LV8VeYic5bUKrNl4sKS9pWtl9SQtrIXI2ZgRS61QjBb
GmgPzB6GGtGKysrSkVDkUlcYFZKvsChcPnLnnLsmLU0XzbDdzwuXy49z7/n9
z/9+0Qey0jKm+Pj4JHtv/slfr2x2SHV0napOFiq92FfutEP+6/zINd2BPLuu
eewwklgkGJX48SxvEhHY1n5gYYTFl2cDlRCo2D0szpoxnWf1SxmBcZLUsbU9
hGedRUHgbkkp6zaH8WwaVBFISJC+O+6eib7pWgJpnXsTaysieLYO6An4a1LT
4BhyR38OgeKwqzGL3DN4DplWRCBKF9Q7EoWsTrhCwPdFV0n0qtnoW3mbQHWB
sDqraBbmizd7fVUFcc+VuG7e0+zNk3xyV/BT9LvOthHoOp12bE49cke6jUBP
7YboFZ5wzLfLSSDRowlNnWRpoYeAXz7nemaY9NWIKOwwBD0XZSMrjRIKO51C
N8vA/dSnZRTe5Ar78kewj7IHCgr1594L9nlC0depopAX/KaFE2E/5vsaCr8O
78uM0+P31nt6CobjJxY4PuD+Pu05FFyNp3Z+fox5lH8KKWQLdU8630763Jcp
xB5srPudNwfzjZkotPhHDcpuSrD/KDMF435bROu8yfNtaqbwdX4tuFzYlzWy
jYK9Z4szqQ7zdsy1efN9MQ2NNQVg/yonhYrRcNPSqom1vC/LQ0Ga211aPDbK
szxFxODngi0FOXsFmG+9hIHfg832lpPj/LrxiIxBW1Jm3u74KegrVzB4eiZ9
YnEEzpfpkIqBobgp5rF8jH/fnKlhoBvPEFQO9/LsuqL38nd1ad2FAfS9zGEw
L2XJ0fi7/3hWWgoZHG0d2v55Mc6vuuEyg0C1IuShGee77LuJQaz2xCft+al4
PrGZwaB+wvNj5jTsv7+JgThS7Ng4EYz5+j4w2H89fMAyIMb+RTYGTkmN5GI/
/j/lSicDwWoacOsr/j9pgIeBI7jB+DEF51PuL+Kgt/GGpeQ8rhvkEg7uvDri
frIuCH3pMg7e3in4u7wSuSxOwUGgpjlMz9BvWqbiwECMjxZq0d+n1XDw7dI/
q6MHWWrUc9CQPFdnDRUp/wOCw3aX
      "]]}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   AxesOrigin->NCache[{2934835200, 0}, {2.9348352*^9, 0}],
   Frame->True,
   FrameTicks->{{Automatic, Automatic}, {{{
        NCache[2926886400, 2.9268864*^9], 
        FormBox["\"1992Q4\"", TraditionalForm]}, {
        NCache[3084652800, 3.0846528*^9], 
        FormBox["\"1997Q4\"", TraditionalForm]}, {
        NCache[3242419200, 3.2424192*^9], 
        FormBox["\"2002Q4\"", TraditionalForm]}, {
        NCache[3400185600, 3.4001856*^9], 
        FormBox["\"2007Q4\"", TraditionalForm]}, {
        NCache[3558038400, 3.5580384*^9], 
        FormBox["\"2012Q4\"", TraditionalForm]}, {
        NCache[2958422400, 2.9584224*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[2989958400, 2.9899584*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3021494400, 3.0214944*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3053116800, 3.0531168*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3116188800, 3.1161888*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3147724800, 3.1477248*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3179347200, 3.1793472*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3210883200, 3.2108832*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3273955200, 3.2739552*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3305577600, 3.3055776*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3337113600, 3.3371136*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3368649600, 3.3686496*^9], 
        FormBox["\"\"", TraditionalForm]}}, {{
        NCache[2926886400, 2.9268864*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3084652800, 3.0846528*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3242419200, 3.2424192*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3400185600, 3.4001856*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3558038400, 3.5580384*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[2958422400, 2.9584224*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[2989958400, 2.9899584*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3021494400, 3.0214944*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3053116800, 3.0531168*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3116188800, 3.1161888*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3147724800, 3.1477248*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3179347200, 3.1793472*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3210883200, 3.2108832*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3273955200, 3.2739552*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3305577600, 3.3055776*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3337113600, 3.3371136*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3368649600, 3.3686496*^9], 
        FormBox["\"\"", TraditionalForm]}}}},
   GridLines->NCache[{{{2926886400, 
        GrayLevel[0.8]}, {3084652800, 
        GrayLevel[0.8]}, {3242419200, 
        GrayLevel[0.8]}, {3400185600, 
        GrayLevel[0.8]}, {3558038400, 
        GrayLevel[0.8]}}, None}, {{{2.9268864*^9, 
        GrayLevel[0.8]}, {3.0846528*^9, 
        GrayLevel[0.8]}, {3.2424192*^9, 
        GrayLevel[0.8]}, {3.4001856*^9, 
        GrayLevel[0.8]}, {3.5580384*^9, 
        GrayLevel[0.8]}}, None}],
   ImageSize->500,
   PlotLabel->FormBox["\"Expanded Nowcast Taylor Rule\"", TraditionalForm],
   PlotRange->{{2.9348352*^9, 3.4081344*^9}, {0., 6.6190974673605005`}},
   PlotRangeClipping->True,
   PlotRangePadding->{
     Scaled[0.02], 
     Scaled[0.02]},
   Ticks->None], " ", 
  StyleBox[
   TagBox[GridBox[{
      {"\<\"\"\>", "\<\"Estimate\"\>", "\<\"Standard Error\"\>", "\<\"t\
\[Hyphen]Statistic\"\>", "\<\"P\[Hyphen]Value\"\>"},
      {"1", "4.6149848995681895`", "1.6073423200519863`", 
       "2.8711898156323827`", "0.005762707186176785`"},
      {"w", "1.735317461915855`", "0.203397152784906`", "8.53167037077931`", 
       "1.0395543129510297`*^-11"},
      {"x", "0.8463326378949027`", "0.0628128507597206`", 
       "13.473877202809945`", "3.2386801301513724`*^-19"},
      {"y", 
       RowBox[{"-", "0.9916823581716901`"}], "0.24202464462676637`", 
       RowBox[{"-", "4.0974437115732325`"}], "0.00013603182625651975`"},
      {"z", 
       RowBox[{"-", "0.352200574971125`"}], "0.36905731937074915`", 
       RowBox[{"-", "0.9543248608959571`"}], "0.3440206841432487`"}
     },
     AutoDelete->False,
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
     GridBoxDividers->{
      "ColumnsIndexed" -> {2 -> GrayLevel[0.7]}, 
       "RowsIndexed" -> {2 -> GrayLevel[0.7]}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{
      "ColumnsIndexed" -> {2 -> 1}, "RowsIndexed" -> {2 -> 0.75}}],
    "Grid"], "DialogStyle",
   StripOnInput->False]}]], "Output",
 CellChangeTimes->{
  3.557153139084751*^9, 3.5571531895253353`*^9, 3.557153253119204*^9, 
   3.5571533942031403`*^9, 3.557153557941018*^9, 3.557153617111512*^9, {
   3.5571537391164417`*^9, 3.557153755271484*^9}, {3.5571538038961554`*^9, 
   3.5571538079071703`*^9}, 3.5571539069130487`*^9, 3.557153986068817*^9, 
   3.557154055357171*^9, 3.557154110732998*^9, {3.557154264554096*^9, 
   3.5571542942185707`*^9}, {3.557154394441688*^9, 3.5571544033237257`*^9}, {
   3.5571544646930323`*^9, 3.5571544850441313`*^9}, 3.557154569410261*^9, 
   3.557154846142215*^9, 3.557154965639666*^9, {3.55715505287638*^9, 
   3.557155091159075*^9}, 3.557582857056511*^9, 3.557582984597927*^9, 
   3.5575831293048067`*^9, 3.557583199773617*^9, 3.557583235438841*^9, 
   3.557583485800252*^9, 3.557583885564054*^9, 3.5575840277959843`*^9, {
   3.557584104798077*^9, 3.557584122509858*^9}, {3.557585225060857*^9, 
   3.557585247100211*^9}, 3.557585281715536*^9, {3.557585449702821*^9, 
   3.557585457634099*^9}, {3.557586412257557*^9, 3.5575864174013777`*^9}, 
   3.557586451441457*^9, 3.55758695976231*^9, {3.560016653222321*^9, 
   3.5600166818668623`*^9}, 3.560016895867013*^9, {3.5601887611525927`*^9, 
   3.560188817854351*^9}, {3.56018886908491*^9, 3.5601888966045*^9}, 
   3.560188927581566*^9, {3.5605242681616592`*^9, 3.560524297318636*^9}, {
   3.560605027251587*^9, 3.560605046730133*^9}, {3.5699532072511663`*^9, 
   3.569953250550912*^9}, 3.569953304178834*^9, 3.5699533827060003`*^9, 
   3.569953433323202*^9, 3.5699534684596567`*^9, 3.569953569288033*^9, 
   3.570198167580661*^9, 3.5701985320907307`*^9, 3.571429591362754*^9, 
   3.571429707325197*^9, 3.571601229077299*^9, {3.5716037551254463`*^9, 
   3.57160376737157*^9}, {3.5717672726957273`*^9, 3.571767290928627*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", "16.60790571955103`", "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.557153139084751*^9, 3.5571531895253353`*^9, 3.557153253119204*^9, 
   3.5571533942031403`*^9, 3.557153557941018*^9, 3.557153617111512*^9, {
   3.5571537391164417`*^9, 3.557153755271484*^9}, {3.5571538038961554`*^9, 
   3.5571538079071703`*^9}, 3.5571539069130487`*^9, 3.557153986068817*^9, 
   3.557154055357171*^9, 3.557154110732998*^9, {3.557154264554096*^9, 
   3.5571542942185707`*^9}, {3.557154394441688*^9, 3.5571544033237257`*^9}, {
   3.5571544646930323`*^9, 3.5571544850441313`*^9}, 3.557154569410261*^9, 
   3.557154846142215*^9, 3.557154965639666*^9, {3.55715505287638*^9, 
   3.557155091159075*^9}, 3.557582857056511*^9, 3.557582984597927*^9, 
   3.5575831293048067`*^9, 3.557583199773617*^9, 3.557583235438841*^9, 
   3.557583485800252*^9, 3.557583885564054*^9, 3.5575840277959843`*^9, {
   3.557584104798077*^9, 3.557584122509858*^9}, {3.557585225060857*^9, 
   3.557585247100211*^9}, 3.557585281715536*^9, {3.557585449702821*^9, 
   3.557585457634099*^9}, {3.557586412257557*^9, 3.5575864174013777`*^9}, 
   3.557586451441457*^9, 3.55758695976231*^9, {3.560016653222321*^9, 
   3.5600166818668623`*^9}, 3.560016895867013*^9, {3.5601887611525927`*^9, 
   3.560188817854351*^9}, {3.56018886908491*^9, 3.5601888966045*^9}, 
   3.560188927581566*^9, {3.5605242681616592`*^9, 3.560524297318636*^9}, {
   3.560605027251587*^9, 3.560605046730133*^9}, {3.5699532072511663`*^9, 
   3.569953250550912*^9}, 3.569953304178834*^9, 3.5699533827060003`*^9, 
   3.569953433323202*^9, 3.5699534684596567`*^9, 3.569953569288033*^9, 
   3.570198167580661*^9, 3.5701985320907307`*^9, 3.571429591362754*^9, 
   3.571429707325197*^9, 3.571601229077299*^9, {3.5716037551254463`*^9, 
   3.57160376737157*^9}, {3.5717672726957273`*^9, 3.571767290965485*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.034649434610892`", ",", "0.16615431681708034`", ",", 
   "0.0453841945571115`", ",", "0.3876155184397454`", ",", 
   "0.3100919397278782`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.557153139084751*^9, 3.5571531895253353`*^9, 3.557153253119204*^9, 
   3.5571533942031403`*^9, 3.557153557941018*^9, 3.557153617111512*^9, {
   3.5571537391164417`*^9, 3.557153755271484*^9}, {3.5571538038961554`*^9, 
   3.5571538079071703`*^9}, 3.5571539069130487`*^9, 3.557153986068817*^9, 
   3.557154055357171*^9, 3.557154110732998*^9, {3.557154264554096*^9, 
   3.5571542942185707`*^9}, {3.557154394441688*^9, 3.5571544033237257`*^9}, {
   3.5571544646930323`*^9, 3.5571544850441313`*^9}, 3.557154569410261*^9, 
   3.557154846142215*^9, 3.557154965639666*^9, {3.55715505287638*^9, 
   3.557155091159075*^9}, 3.557582857056511*^9, 3.557582984597927*^9, 
   3.5575831293048067`*^9, 3.557583199773617*^9, 3.557583235438841*^9, 
   3.557583485800252*^9, 3.557583885564054*^9, 3.5575840277959843`*^9, {
   3.557584104798077*^9, 3.557584122509858*^9}, {3.557585225060857*^9, 
   3.557585247100211*^9}, 3.557585281715536*^9, {3.557585449702821*^9, 
   3.557585457634099*^9}, {3.557586412257557*^9, 3.5575864174013777`*^9}, 
   3.557586451441457*^9, 3.55758695976231*^9, {3.560016653222321*^9, 
   3.5600166818668623`*^9}, 3.560016895867013*^9, {3.5601887611525927`*^9, 
   3.560188817854351*^9}, {3.56018886908491*^9, 3.5601888966045*^9}, 
   3.560188927581566*^9, {3.5605242681616592`*^9, 3.560524297318636*^9}, {
   3.560605027251587*^9, 3.560605046730133*^9}, {3.5699532072511663`*^9, 
   3.569953250550912*^9}, 3.569953304178834*^9, 3.5699533827060003`*^9, 
   3.569953433323202*^9, 3.5699534684596567`*^9, 3.569953569288033*^9, 
   3.570198167580661*^9, 3.5701985320907307`*^9, 3.571429591362754*^9, 
   3.571429707325197*^9, 3.571601229077299*^9, {3.5716037551254463`*^9, 
   3.57160376737157*^9}, {3.5717672726957273`*^9, 3.571767290967683*^9}}]
}, Open  ]],

Cell[BoxData["|"], "Input",
 CellChangeTimes->{3.557153906698681*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"EstimateExpandedTaylorRuleDiffNoPlot", "[", 
  RowBox[{
  "\"\<precrisis\>\"", ",", "\"\<infgreen\>\"", ",", "\"\<altgap\>\"", ",", 
   "\"\<diffinf\>\"", ",", "\"\<diffgrow\>\"", ",", "\"\<infiqrbeta\>\"", 
   ",", "\"\<gdpiqrbeta\>\"", ",", "\"\<infsd\>\"", ",", "\"\<gdpsd\>\"", 
   ",", "\"\<yes\>\"", ",", "\"\<yes\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"EstimateTaylorRuleDiffStandardErrors", "[", 
  RowBox[{
  "\"\<precrisis\>\"", ",", "\"\<infgreen\>\"", ",", "\"\<altgap\>\"", ",", 
   "\"\<infiqrbeta\>\"", ",", "\"\<gdpiqrbeta\>\"", ",", "\"\<diffinf\>\"", 
   ",", "\"\<diffgrow\>\"", ",", "\"\<yes\>\""}], "  ", "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQAWIQXSWw3+RJ4yvHlOqLYPqerfWxlW2vHD/o5V4E0fOc
5B+A6Jg7j8B0h+btiFVA+ooWayyIbld7tQxEM88QWQGiXVwt9wS0v3LsKZlx
AERX3NfR0Zj5ylGhg0MfRF96nRM5F0iLzLucCqJ3XXuaDaJ/2i0sBNG3WNT7
QXSKuy2YflH5dT6Irl9UvAhEm9m/2ACijy36AKYv9TA+BNEGT+c+AtHPjvM6
ec155VhQu9AVRM+zEJX2BtISG7plQTT7tBYtEO2pYKgNop8Z51uD6M+fqsG0
40dLRxB96YGZG4h+ETnFC0TP3LXEG0TzyLwqnw2kU56aV4JoADauqco=
  "]],

Cell[BoxData[
 RowBox[{"0.8249436405360483`", " ", 
  RowBox[{"FittedModel", "[", 
   PanelBox[
    TagBox[
     RowBox[{"4.555907472786895`", "\[VeryThinSpace]", "-", 
      RowBox[{"1.4328400426386363`", " ", "r"}], "-", 
      RowBox[{"0.10088191983628957`", " ", "s"}], "+", 
      RowBox[{
       RowBox[{"\[LeftSkeleton]", "19", "\[RightSkeleton]"}], " ", "w"}], "+", 
      RowBox[{"0.8191692740434693`", " ", "x"}], "-", 
      RowBox[{"0.7571469458841699`", " ", "y"}], "-", 
      RowBox[{"0.524424828479608`", " ", "z"}]}],
     Short],
    FrameMargins->5], "]"}], " ", 
  StyleBox[
   TagBox[GridBox[{
      {"\<\"\"\>", "\<\"Estimate\"\>", "\<\"Standard Error\"\>", "\<\"t\
\[Hyphen]Statistic\"\>", "\<\"P\[Hyphen]Value\"\>"},
      {"1", "4.555907472786895`", "1.5582473215063004`", "2.923738362908185`",
        "0.005111763893317138`"},
      {"w", "1.7361892189545718`", "0.1999901792691498`", 
       "8.681372381880724`", "1.0841176212282253`*^-11"},
      {"x", "0.8191692740434693`", "0.06212767098046194`", 
       "13.185256442352129`", "3.258469207844972`*^-18"},
      {"y", 
       RowBox[{"-", "0.7571469458841699`"}], "0.27002239767555686`", 
       RowBox[{"-", "2.80401534243805`"}], "0.007079423746826796`"},
      {"z", 
       RowBox[{"-", "0.524424828479608`"}], "0.37747647947205415`", 
       RowBox[{"-", "1.3892914048925078`"}], "0.17066493571137065`"},
      {"r", 
       RowBox[{"-", "1.4328400426386363`"}], "0.2855706258497139`", 
       RowBox[{"-", "5.017462977416631`"}], "6.4789080846393735`*^-6"},
      {"s", 
       RowBox[{"-", "0.10088191983628957`"}], "0.05655954665903673`", 
       RowBox[{"-", "1.783640884613973`"}], "0.08031815988523992`"}
     },
     AutoDelete->False,
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
     GridBoxDividers->{
      "ColumnsIndexed" -> {2 -> GrayLevel[0.7]}, 
       "RowsIndexed" -> {2 -> GrayLevel[0.7]}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{
      "ColumnsIndexed" -> {2 -> 1}, "RowsIndexed" -> {2 -> 0.75}}],
    "Grid"], "DialogStyle",
   StripOnInput->False]}]], "Output",
 CellChangeTimes->{
  3.5602633081887817`*^9, 3.560263432957494*^9, 3.560263580087021*^9, 
   3.5602644254413157`*^9, 3.560264493210472*^9, {3.560265016789577*^9, 
   3.560265025146469*^9}, 3.560265165916623*^9, {3.560605132899622*^9, 
   3.5606051893991203`*^9}, 3.5699592891839113`*^9, 3.569959462145937*^9, 
   3.5701991844289923`*^9, {3.5701992444076433`*^9, 3.570199343081236*^9}, {
   3.5701993948697977`*^9, 3.570199437672876*^9}, 3.570199674959374*^9, {
   3.57019980904021*^9, 3.570199828572771*^9}, 3.570199943983303*^9, 
   3.570200177200145*^9, 3.5702002780848103`*^9, {3.570200329180944*^9, 
   3.5702003412913017`*^9}, {3.571601943267847*^9, 3.571601967301396*^9}, 
   3.5716020210760813`*^9, 3.571603694854466*^9, {3.571603774820651*^9, 
   3.5716038019771223`*^9}, {3.5716039135000257`*^9, 3.571603932588258*^9}, {
   3.571603978543895*^9, 3.571604018229288*^9}, 3.571604061932631*^9, 
   3.571768039879169*^9, {3.571768257464019*^9, 3.571768266922598*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.9351653302391131`", ",", "0.1601492202193898`", ",", 
   "0.05243145686404257`", ",", "0.3471027730135989`", ",", 
   "0.32804356719136324`", ",", "0.18883251266399134`", ",", 
   "0.06359539080904063`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.5602633081887817`*^9, 3.560263432957494*^9, 3.560263580087021*^9, 
   3.5602644254413157`*^9, 3.560264493210472*^9, {3.560265016789577*^9, 
   3.560265025146469*^9}, 3.560265165916623*^9, {3.560605132899622*^9, 
   3.5606051893991203`*^9}, 3.5699592891839113`*^9, 3.569959462145937*^9, 
   3.5701991844289923`*^9, {3.5701992444076433`*^9, 3.570199343081236*^9}, {
   3.5701993948697977`*^9, 3.570199437672876*^9}, 3.570199674959374*^9, {
   3.57019980904021*^9, 3.570199828572771*^9}, 3.570199943983303*^9, 
   3.570200177200145*^9, 3.5702002780848103`*^9, {3.570200329180944*^9, 
   3.5702003412913017`*^9}, {3.571601943267847*^9, 3.571601967301396*^9}, 
   3.5716020210760813`*^9, 3.571603694854466*^9, {3.571603774820651*^9, 
   3.5716038019771223`*^9}, {3.5716039135000257`*^9, 3.571603932588258*^9}, {
   3.571603978543895*^9, 3.571604018229288*^9}, 3.571604061932631*^9, 
   3.571768039879169*^9, {3.571768257464019*^9, 3.571768266927642*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"EstimateTaylorRuleInertia", "[", 
  RowBox[{
  "\"\<All\>\"", ",", "\"\<infcond\>\"", ",", "\"\<altgap\>\"", ",", 
   "\"\<infiqrbeta\>\"", ",", "\"\<gdpiqrbeta\>\"", ",", "\"\<yes\>\"", ",", 
   "\"\<yes\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.556472095970997*^9, 3.556472132626089*^9}, {
   3.556474306025324*^9, 3.556474317545041*^9}, {3.5564745918074017`*^9, 
   3.556474591982027*^9}, {3.5564749469495487`*^9, 3.5564749474759007`*^9}, {
   3.556475033799425*^9, 3.556475033893622*^9}, {3.5564751070955343`*^9, 
   3.556475107550929*^9}, {3.556475536302791*^9, 3.556475561118927*^9}, {
   3.556475618344439*^9, 3.556475647096087*^9}, {3.5564758008525143`*^9, 
   3.556475817107182*^9}, {3.556475910885316*^9, 3.556475911268929*^9}, {
   3.5564759596538982`*^9, 3.556475967853698*^9}, {3.556476028943552*^9, 
   3.556476029078673*^9}, {3.556476072792122*^9, 3.556476082887762*^9}, {
   3.5564762723487864`*^9, 3.5564762724672956`*^9}, 3.556544964087199*^9, {
   3.557584365742628*^9, 3.5575843932533627`*^9}, {3.557585048026237*^9, 
   3.557585059264571*^9}, {3.55758551972288*^9, 3.5575855333771067`*^9}, {
   3.557585600892194*^9, 3.557585607122615*^9}, {3.557585752366823*^9, 
   3.5575857526607647`*^9}, {3.55758586343908*^9, 3.557585942752421*^9}, {
   3.5575859935895*^9, 3.55758599427319*^9}, {3.557586144397221*^9, 
   3.557586144627632*^9}, {3.557586174876896*^9, 3.5575861804282627`*^9}, {
   3.557760163982424*^9, 3.557760195262209*^9}, {3.557760293968895*^9, 
   3.557760304799521*^9}, {3.5577603995870867`*^9, 3.557760400121441*^9}, {
   3.5601956577674847`*^9, 3.560195660894268*^9}, {3.5601956969428663`*^9, 
   3.560195697398538*^9}, {3.5699559234046164`*^9, 3.5699559379410267`*^9}, {
   3.5699559699015703`*^9, 3.5699560009262657`*^9}, {3.569956052622854*^9, 
   3.569956060654479*^9}, {3.569956153216948*^9, 3.5699561538724613`*^9}, {
   3.56995624853858*^9, 3.569956316451152*^9}, {3.5699589088650093`*^9, 
   3.569958919001108*^9}, {3.5699590626679773`*^9, 3.569959069747533*^9}, {
   3.569959195358018*^9, 3.569959202789847*^9}, {3.569960827315086*^9, 
   3.569960834650853*^9}, {3.5716013043535547`*^9, 3.571601304752549*^9}, {
   3.571601345825292*^9, 3.5716013528246737`*^9}, {3.5716014440278893`*^9, 
   3.571601466714745*^9}}],

Cell[BoxData[
 RowBox[{"0.9575406861133524`", " ", 
  GraphicsBox[{{}, {}, 
    {RGBColor[1, 0, 0], Thickness[Large], Dashing[{Small, Small}], 
     LineBox[CompressedData["
1:eJxVk21Ik1EUx5eCL49JLjVdZloRTKgcGY5E8TkkyxiISopSpNj6oBRT5peS
dK761IfmSD8U0nrTKJAnEKwUt15BJFv0QSoG8+3e+9ColfkSE+resw3swBi/
59zz9r/n7mmx1p6L02g0Mv+Jf2Ev/UtQ+2z3tW81SeJzoD+4BBEPcuhmeAm6
MkaOz11CNkxKBII1IiBRcDvVEThrqcpho8mCqyf0BHgyfmCb4OZxI4Hbt/Z7
Gn5pBbsXTQROPn/MLQPrpdYTKJNm77eXZQn2zlsIYLmMbMG+ORuBzw82WqYK
0Z+WcoUAd/ITO7DeEReB6Wl5OLUzE+sV3SVQPeZqOvAH87cfVggsdLk/JZSg
XznlIZCHDSKHrs4QeLM62luVg+xr9BOwlnY/XczC/IGGIIGL6Xu5Iec7wgSU
ygs8IXLzE4lG+0WW7Toa1S/SX4+ebo53PjJS6MCB07HeRxMFU+A7t+3Y31Ad
haGOqcKBDWTvQwuFsdw/b11NOI/mg41unkded1A44xT6R+qt9dFo/zrsb9Ud
628n6p+nUChNNvMD6A9UemL5Md6bO0NhvYBxQfC+fLv8FMwLQs8U1N8UpOBZ
TtNqtVuwnjVMIbt3nFu4XOxHhcSi828Ilo/pGIjblWbRbz+vZ9CZJvpbE+zt
N8bO/xbsbjMxGHgn9mVZsNJax4B1V3ALCQ65LAzu7BP9/8B6EzYGbUe/8AVA
vzzuYFBw+sarFT1y9Ys+BuZRoe+qYOeCm0ER2l/Bvq0Kg9creh4Rj/rPTTIo
SeLlr+N+ewPvGaB8Izi/RvLH5sH9louCDC5nlvCFQL3yk8IMTswn8A94v4ZE
SY3eZ2QfDbr/WGnUq9F9wvt0HjKqUT2Q3QdNKtyzcrnMkfdSXxeLj9SzW1SY
yB8s9rXi+zP02FSIj8vmAuEzl7sdKuDzknBe+3CfCj+/tsYPFgfK/wHgM3my

      "]]}, 
    {RGBColor[0, 0, 1], Thickness[Large], LineBox[CompressedData["
1:eJwlk39MzGEcx78kcZEU5YpdTuaw7HR0IbrP5Pzon2o7i4xUN9NsxfmRRp3z
I+THlTI/6zCxbum0WYhcGCt1Tn6X49Td93m+3CgMddr0fPpu3333ep7387w/
3/fzeaZm5KRoh3Mcpxp82Zc9TQ435HydPr64eyQbdpZ73HA/VjrCnTGKcU+Z
1w1fqp0B5k2+jOWNIh6ifD72xKxEziViHrh3qfOXPUd90j0ZD4nHYgr8pWMY
pzcoeThkLn/Z9CuQscml5uHPqrpOc1ow+o1dzUO/tGjaxhMhjK1dWTzcmHm7
7H7AJMb2zzoeutoq3cZanA/0389DkFNy9NuNieg3r5SHmmd3JOfyQ9FPcYmH
dUUDu2aPQH1utIWHWWuTFQVaZEvaAx7qNPKyzJ24vueAjYdW2eXTPzXI9jUO
HrptkfkDUtQ7Uz2D63+mSWfVIEcYvDzkt6trFrUip5tFBPb2VYcnWpFVejGB
1EJPIzk8VF+hjEB93XLXuOAJjI3XlQQWzlEULTyFbH+hJvDaoRS92R+E9VVp
CHw4WpF88Tuy9WoWgQW1Z30as1HPPdcR4K5pijv9cH/VXwOB4hbZwaiQIb8/
JQS68iODU6yYX/pvE4ENKt8958LDMH+JhUBBR//30Awx/t+KB4P1ZB94EhqE
bJ1iI/Dbndl/RTtU32QHAZc2foWreSzmr/YQkKfsJslT8PyTcrwE7J8U08Mk
f+NZfySIKLgSSmY8Ku1jrFoqppAdG3mnIQLn9VtkFAKW58VWD/vH2FqupHDE
/C/w5D4vY1O2moLUUi5bfOsHY8tmDQX/Y5W6ZW8Fxj2lWRQ8nzpiTr5zo989
HYVth7Y+1U9EvarBQCHaVDSX2PoZJ90toeBs763/UYX+xm4ThZY6f259HPrb
x1goPFwZbertG475f26kYHslLNlt8cM8nG0Uaqsq1urbsb85kYPCi7ztd71N
AZi/wkPhevSTneFB47E/RnkptB0fN1pjwPOT+4kEqND6dqRXYr/nysUCaFWZ
zxbPRbaskQkw6dH5JTuG7oNxjlKAx3kX4jbdQjZFqQU409zb2tKF+zlXawTY
mBe3oLMYOUKfJUCnalVYyHq8X/JCnQBGTv7l/ezRWF+BYdC/QpL49eYA5n+t
RACDTzNJqffE/wfne4sB
      "]]}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   AxesOrigin->NCache[{2934835200, 0}, {2.9348352*^9, 0}],
   Frame->True,
   FrameTicks->{{Automatic, Automatic}, {{{
        NCache[2926886400, 2.9268864*^9], 
        FormBox["\"1992Q4\"", TraditionalForm]}, {
        NCache[3084652800, 3.0846528*^9], 
        FormBox["\"1997Q4\"", TraditionalForm]}, {
        NCache[3242419200, 3.2424192*^9], 
        FormBox["\"2002Q4\"", TraditionalForm]}, {
        NCache[3400185600, 3.4001856*^9], 
        FormBox["\"2007Q4\"", TraditionalForm]}, {
        NCache[3558038400, 3.5580384*^9], 
        FormBox["\"2012Q4\"", TraditionalForm]}, {
        NCache[2958422400, 2.9584224*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[2989958400, 2.9899584*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3021494400, 3.0214944*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3053116800, 3.0531168*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3116188800, 3.1161888*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3147724800, 3.1477248*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3179347200, 3.1793472*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3210883200, 3.2108832*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3273955200, 3.2739552*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3305577600, 3.3055776*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3337113600, 3.3371136*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3368649600, 3.3686496*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3431808000, 3.431808*^9], 
        FormBox["\"\"", TraditionalForm]}}, {{
        NCache[2926886400, 2.9268864*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3084652800, 3.0846528*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3242419200, 3.2424192*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3400185600, 3.4001856*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3558038400, 3.5580384*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[2958422400, 2.9584224*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[2989958400, 2.9899584*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3021494400, 3.0214944*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3053116800, 3.0531168*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3116188800, 3.1161888*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3147724800, 3.1477248*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3179347200, 3.1793472*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3210883200, 3.2108832*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3273955200, 3.2739552*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3305577600, 3.3055776*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3337113600, 3.3371136*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3368649600, 3.3686496*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3431808000, 3.431808*^9], 
        FormBox["\"\"", TraditionalForm]}}}},
   GridLines->NCache[{{{2926886400, 
        GrayLevel[0.8]}, {3084652800, 
        GrayLevel[0.8]}, {3242419200, 
        GrayLevel[0.8]}, {3400185600, 
        GrayLevel[0.8]}, {3558038400, 
        GrayLevel[0.8]}}, None}, {{{2.9268864*^9, 
        GrayLevel[0.8]}, {3.0846528*^9, 
        GrayLevel[0.8]}, {3.2424192*^9, 
        GrayLevel[0.8]}, {3.4001856*^9, 
        GrayLevel[0.8]}, {3.5580384*^9, 
        GrayLevel[0.8]}}, None}],
   ImageSize->500,
   PlotLabel->FormBox["\"Nowcast Taylor Rule\"", TraditionalForm],
   PlotRange->{{2.9348352*^9, 3.431808*^9}, {0., 6.526956498928569}},
   PlotRangeClipping->True,
   PlotRangePadding->{
     Scaled[0.02], 
     Scaled[0.02]},
   Ticks->None], " ", 
  StyleBox[
   TagBox[GridBox[{
      {"\<\"\"\>", "\<\"Estimate\"\>", "\<\"Standard Error\"\>", "\<\"t\
\[Hyphen]Statistic\"\>", "\<\"P\[Hyphen]Value\"\>"},
      {"1", "1.9527280904256406`", "0.6914231454633049`", 
       "2.824215682159682`", "0.006486583883585856`"},
      {"w", "0.7537438478954912`", "0.12024662865972148`", 
       "6.268315846329999`", "4.901507457256005`*^-8"},
      {"x", "0.33695017765326846`", "0.04646880200095648`", 
       "7.25110532538224`", "1.109392747947154`*^-9"},
      {"y", 
       RowBox[{"-", "0.34305232515400674`"}], "0.12077114168001242`", 
       RowBox[{"-", "2.8405157091495954`"}], "0.006203094631166237`"},
      {"z", 
       RowBox[{"-", "0.35543306312593614`"}], "0.15574583384606716`", 
       RowBox[{"-", "2.2821352863745408`"}], "0.026167361497818138`"},
      {"v", "0.6785458179070605`", "0.0492234734621148`", 
       "13.785004799169814`", "5.929088449905018`*^-20"}
     },
     AutoDelete->False,
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
     GridBoxDividers->{
      "ColumnsIndexed" -> {2 -> GrayLevel[0.7]}, 
       "RowsIndexed" -> {2 -> GrayLevel[0.7]}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{
      "ColumnsIndexed" -> {2 -> 1}, "RowsIndexed" -> {2 -> 0.75}}],
    "Grid"], "DialogStyle",
   StripOnInput->False]}]], "Output",
 CellChangeTimes->{
  3.556472133415407*^9, 3.5564725396626453`*^9, 3.556473845873105*^9, 
   3.5564741484817343`*^9, 3.556474195683617*^9, {3.556474285984033*^9, 
   3.556474318198229*^9}, 3.5564745928122997`*^9, 3.556474714877161*^9, 
   3.556474816720952*^9, 3.556474949451912*^9, {3.556475009170451*^9, 
   3.556475034755781*^9}, 3.556475108768525*^9, 3.556475169070979*^9, {
   3.556475537433895*^9, 3.556475561772051*^9}, {3.556475621893672*^9, 
   3.556475647678318*^9}, {3.556475796304172*^9, 3.556475817705648*^9}, 
   3.556475914574254*^9, {3.556475961378665*^9, 3.556475968419621*^9}, 
   3.5564760296877604`*^9, {3.556476077519033*^9, 3.556476083408001*^9}, 
   3.556476273293857*^9, 3.556476312880547*^9, 3.5565449665990753`*^9, 
   3.557153928194887*^9, {3.557584377428067*^9, 3.557584393823443*^9}, 
   3.557584849448201*^9, 3.557584880233028*^9, {3.557585048923962*^9, 
   3.557585059804*^9}, 3.5575854223490753`*^9, {3.557585520668549*^9, 
   3.5575855339655237`*^9}, {3.5575856015856953`*^9, 3.557585607637869*^9}, 
   3.557585756342461*^9, {3.557585850450263*^9, 3.557585943272264*^9}, 
   3.5575859950861588`*^9, {3.557586145609908*^9, 3.557586181021105*^9}, {
   3.557760179812248*^9, 3.557760195934396*^9}, 3.557760259699012*^9, 
   3.557760295329741*^9, 3.557760400890074*^9, 3.557760504358533*^9, 
   3.560195661906684*^9, 3.56019569802638*^9, 3.5699558753111486`*^9, {
   3.56995592523547*^9, 3.569955938526947*^9}, {3.569955979093019*^9, 
   3.569956001596483*^9}, {3.569956053544409*^9, 3.569956061463369*^9}, {
   3.569956148104343*^9, 3.569956154423634*^9}, {3.569956249490254*^9, 
   3.569956317765394*^9}, {3.569958912373432*^9, 3.569958920331544*^9}, 
   3.569959070525242*^9, 3.569959203242024*^9, 3.569960835163566*^9, 
   3.570198668615294*^9, 3.5716013095679207`*^9, 3.571601354222295*^9, {
   3.571601445435926*^9, 3.571601467232213*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"EstimateTaylorRuleInertia2Lag", "[", 
  RowBox[{
  "\"\<All\>\"", ",", "\"\<infcond\>\"", ",", "\"\<altgap\>\"", ",", 
   "\"\<infiqrbeta\>\"", ",", "\"\<gdpiqrbeta\>\"", ",", "\"\<yes\>\"", ",", 
   "\"\<yes\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.571686509626375*^9, 3.571686510368252*^9}}],

Cell[BoxData[
 RowBox[{"0.9711383361440211`", " ", 
  GraphicsBox[{{}, {}, 
    {RGBColor[1, 0, 0], Thickness[Large], Dashing[{Small, Small}], 
     LineBox[CompressedData["
1:eJxVk21Ik1EUx5eCL49JLjVdZloRTKgcGY5E8TkkyxiISopSpNj6oBRT5peS
dK761IfmSD8U0nrTKJAnEKwUt15BJFv0QSoG8+3e+9ColfkSE+resw3swBi/
59zz9r/n7mmx1p6L02g0Mv+Jf2Ev/UtQ+2z3tW81SeJzoD+4BBEPcuhmeAm6
MkaOz11CNkxKBII1IiBRcDvVEThrqcpho8mCqyf0BHgyfmCb4OZxI4Hbt/Z7
Gn5pBbsXTQROPn/MLQPrpdYTKJNm77eXZQn2zlsIYLmMbMG+ORuBzw82WqYK
0Z+WcoUAd/ITO7DeEReB6Wl5OLUzE+sV3SVQPeZqOvAH87cfVggsdLk/JZSg
XznlIZCHDSKHrs4QeLM62luVg+xr9BOwlnY/XczC/IGGIIGL6Xu5Iec7wgSU
ygs8IXLzE4lG+0WW7Toa1S/SX4+ebo53PjJS6MCB07HeRxMFU+A7t+3Y31Ad
haGOqcKBDWTvQwuFsdw/b11NOI/mg41unkded1A44xT6R+qt9dFo/zrsb9Ud
628n6p+nUChNNvMD6A9UemL5Md6bO0NhvYBxQfC+fLv8FMwLQs8U1N8UpOBZ
TtNqtVuwnjVMIbt3nFu4XOxHhcSi828Ilo/pGIjblWbRbz+vZ9CZJvpbE+zt
N8bO/xbsbjMxGHgn9mVZsNJax4B1V3ALCQ65LAzu7BP9/8B6EzYGbUe/8AVA
vzzuYFBw+sarFT1y9Ys+BuZRoe+qYOeCm0ER2l/Bvq0Kg9creh4Rj/rPTTIo
SeLlr+N+ewPvGaB8Izi/RvLH5sH9louCDC5nlvCFQL3yk8IMTswn8A94v4ZE
SY3eZ2QfDbr/WGnUq9F9wvt0HjKqUT2Q3QdNKtyzcrnMkfdSXxeLj9SzW1SY
yB8s9rXi+zP02FSIj8vmAuEzl7sdKuDzknBe+3CfCj+/tsYPFgfK/wHgM3my

      "]]}, 
    {RGBColor[0, 0, 1], Thickness[Large], LineBox[CompressedData["
1:eJwlk2lMU1kUxwsoaIuoCEhdceJojWwjtcUPYo9gWUZN0ZSAOoTBolGZOEn9
oAyBWjAqbhSpQcWkqCBhvjyRoKkNrcYFmYgdY+ISwAL23fuYBlDZbKMM9/Ql
Ly+/d849/7PdVYVHdxUFikQi1czLvux51OuG0NLt+W/uBrPfLrPHDe/0CZrU
G3MYj9b63NA2dzJz1lW0J3aIebA4T/SsjQph/CeR8mB9K0x/PY7+GpuMhyGT
lZu9O5RxwUMlD4GX15U3ehYytnxS8xBB3TLty0WoNy+Hh6qcneFLoxczdgzo
eAi4H5cz9TmasbNfz0Ohb8fwejPaF0gqeHjwwCQJ/hCJevIaHjrGh6ujpqNQ
L6mBh5/KXWvcPRGY3waOhzTRJ+e6IvTn9tp5GG7/+UVBBvJoZfeMvSB9JP8H
+jvzenmQP08uaqxHuyvXw0PJQm+ndQjjxxh9PGRJWmzmC369v8UELiquth3Y
j6wySAk8PmQdKrX78yuXEQhOGvzn1H2MX92sJHB5ccnT/1ah3fmvmkBWtjWm
+Rr2h2vSEvgjLPrR8tnYH0ejjkBKZvLN3wHPi17pCYSMt2/7cA/Pq6aMBNpd
XUGrK/16kyYC57Pqz23SYf8KJiwEutIUecayJdj/lRwBemQz/XZLivVl2AkM
pLRO27vR37G8m4Ai/lL4FW845resl8DXL/LbXo0Y+6/2EBAKF410vZ6Fekd9
BI71BXJtqV+2sP1IE1OwjtValfHfGKtSpRTGGk+bYut8jA3FMgoV2erx4uLv
jB1mJYVX8ttJ/aVTjC2H1RSePalQrzBjPO6QloJGkwtHDKOMR2t0FJ7uyb1w
a4Cgnk1PIaDm15OGk+ivemikIG859hvtm2SssZooLLCP7Uu3TDCuHrRQ+JgS
Vqu3/2DsDOUoGIN6VvekYT1cfweF+NZOuakB99nheklhMFty1lyJ9YvEvTPx
Su+kN9XNx/4neSiUaSNa667j/GLm+CioFVHyA3NxfokhYgG2ffdEyjb49zFR
KsBWxUZuTQIylycT4JeR2M6GEvSvjlcKoJEcnDjRgmyJUwtwxma/JIn135cc
rQDLkkPfN+fjfGIMOgFqzPqD9c/CUK9cL4CrrypgT1EQ5ldmFMDW9NnzVwLW
b7hjEqAqwOP17hjb8j8BAox3
      "]]}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   AxesOrigin->NCache[{2934835200, 0}, {2.9348352*^9, 0}],
   Frame->True,
   FrameTicks->{{Automatic, Automatic}, {{{
        NCache[2926886400, 2.9268864*^9], 
        FormBox["\"1992Q4\"", TraditionalForm]}, {
        NCache[3084652800, 3.0846528*^9], 
        FormBox["\"1997Q4\"", TraditionalForm]}, {
        NCache[3242419200, 3.2424192*^9], 
        FormBox["\"2002Q4\"", TraditionalForm]}, {
        NCache[3400185600, 3.4001856*^9], 
        FormBox["\"2007Q4\"", TraditionalForm]}, {
        NCache[3558038400, 3.5580384*^9], 
        FormBox["\"2012Q4\"", TraditionalForm]}, {
        NCache[2958422400, 2.9584224*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[2989958400, 2.9899584*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3021494400, 3.0214944*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3053116800, 3.0531168*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3116188800, 3.1161888*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3147724800, 3.1477248*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3179347200, 3.1793472*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3210883200, 3.2108832*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3273955200, 3.2739552*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3305577600, 3.3055776*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3337113600, 3.3371136*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3368649600, 3.3686496*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3431808000, 3.431808*^9], 
        FormBox["\"\"", TraditionalForm]}}, {{
        NCache[2926886400, 2.9268864*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3084652800, 3.0846528*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3242419200, 3.2424192*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3400185600, 3.4001856*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3558038400, 3.5580384*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[2958422400, 2.9584224*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[2989958400, 2.9899584*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3021494400, 3.0214944*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3053116800, 3.0531168*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3116188800, 3.1161888*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3147724800, 3.1477248*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3179347200, 3.1793472*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3210883200, 3.2108832*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3273955200, 3.2739552*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3305577600, 3.3055776*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3337113600, 3.3371136*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3368649600, 3.3686496*^9], 
        FormBox["\"\"", TraditionalForm]}, {
        NCache[3431808000, 3.431808*^9], 
        FormBox["\"\"", TraditionalForm]}}}},
   GridLines->NCache[{{{2926886400, 
        GrayLevel[0.8]}, {3084652800, 
        GrayLevel[0.8]}, {3242419200, 
        GrayLevel[0.8]}, {3400185600, 
        GrayLevel[0.8]}, {3558038400, 
        GrayLevel[0.8]}}, None}, {{{2.9268864*^9, 
        GrayLevel[0.8]}, {3.0846528*^9, 
        GrayLevel[0.8]}, {3.2424192*^9, 
        GrayLevel[0.8]}, {3.4001856*^9, 
        GrayLevel[0.8]}, {3.5580384*^9, 
        GrayLevel[0.8]}}, None}],
   ImageSize->500,
   PlotLabel->FormBox["\"Nowcast Taylor Rule\"", TraditionalForm],
   PlotRange->{{2.9348352*^9, 3.431808*^9}, {0., 6.623544115006732}},
   PlotRangeClipping->True,
   PlotRangePadding->{
     Scaled[0.02], 
     Scaled[0.02]},
   Ticks->None], " ", 
  StyleBox[
   TagBox[GridBox[{
      {"\<\"\"\>", "\<\"Estimate\"\>", "\<\"Standard Error\"\>", "\<\"t\
\[Hyphen]Statistic\"\>", "\<\"P\[Hyphen]Value\"\>"},
      {"1", "1.4222793129166713`", "0.5787040109189873`", 
       "2.457697348007108`", "0.017047568358103973`"},
      {"w", "0.4351392455372896`", "0.1158114691961771`", 
       "3.7573070142145597`", "0.00040589555162669704`"},
      {"x", "0.2160297361147222`", "0.04454230518947355`", 
       "4.84999003073095`", "9.926120307548056`*^-6"},
      {"y", 
       RowBox[{"-", "0.2973272613519729`"}], "0.09994199201458162`", 
       RowBox[{"-", "2.974998350128869`"}], "0.0042912873980784855`"},
      {"z", 
       RowBox[{"-", "0.14108656521146618`"}], "0.13457530332455758`", 
       RowBox[{"-", "1.0483837801294438`"}], "0.2988869087469097`"},
      {"u", "1.2907966058801128`", "0.12198615762270111`", 
       "10.581500647577583`", "4.547527557495669`*^-15"},
      {"v", 
       RowBox[{"-", "0.5348621076300748`"}], "0.10049672177450715`", 
       RowBox[{"-", "5.322184626382036`"}], "1.7966214725131407`*^-6"}
     },
     AutoDelete->False,
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
     GridBoxDividers->{
      "ColumnsIndexed" -> {2 -> GrayLevel[0.7]}, 
       "RowsIndexed" -> {2 -> GrayLevel[0.7]}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{
      "ColumnsIndexed" -> {2 -> 1}, "RowsIndexed" -> {2 -> 0.75}}],
    "Grid"], "DialogStyle",
   StripOnInput->False]}]], "Output",
 CellChangeTimes->{{3.571686507054214*^9, 3.571686511316217*^9}, 
   3.5716865840922823`*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.5716867945124607`*^9, 3.571686796579865*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"TRFig", "=", 
  RowBox[{"PlotTrule", "[", 
   RowBox[{
   "\"\<All\>\"", ",", "\"\<inf\>\"", ",", "\"\<gap\>\"", ",", 
    "\"\<infsd\>\"", ",", "\"\<gdpsd\>\"", ",", "1", ",", "1.5", ",", "0.5", 
    ",", "0", ",", "0", ",", "\"\<Taylor Rule\>\""}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/short/\
JMCB_revision/TRfig.eps\>\"", ",", "TRFig"}], "]"}]}], "Input",
 CellChangeTimes->{{3.557768597080171*^9, 3.5577686530157213`*^9}, {
  3.557768689004095*^9, 3.55776870232232*^9}, {3.557768769101741*^9, 
  3.557768791915718*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], Thickness[Large], Dashing[{Small, Small}], 
    LineBox[CompressedData["
1:eJxVk21Ik1EUx5eCL49JLjVdZloRTKgcGY5E8TkkyxiISopSpNj6oBRT5peS
dK761IfmSD8U0nrTKJAnEKwUt15BJFv0QSoG8+3e+9ColfkSE+resw3swBi/
59zz9r/n7mmx1p6L02g0Mv+Jf2Ev/UtQ+2z3tW81SeJzoD+4BBEPcuhmeAm6
MkaOz11CNkxKBII1IiBRcDvVEThrqcpho8mCqyf0BHgyfmCb4OZxI4Hbt/Z7
Gn5pBbsXTQROPn/MLQPrpdYTKJNm77eXZQn2zlsIYLmMbMG+ORuBzw82WqYK
0Z+WcoUAd/ITO7DeEReB6Wl5OLUzE+sV3SVQPeZqOvAH87cfVggsdLk/JZSg
XznlIZCHDSKHrs4QeLM62luVg+xr9BOwlnY/XczC/IGGIIGL6Xu5Iec7wgSU
ygs8IXLzE4lG+0WW7Toa1S/SX4+ebo53PjJS6MCB07HeRxMFU+A7t+3Y31Ad
haGOqcKBDWTvQwuFsdw/b11NOI/mg41unkded1A44xT6R+qt9dFo/zrsb9Ud
628n6p+nUChNNvMD6A9UemL5Md6bO0NhvYBxQfC+fLv8FMwLQs8U1N8UpOBZ
TtNqtVuwnjVMIbt3nFu4XOxHhcSi828Ilo/pGIjblWbRbz+vZ9CZJvpbE+zt
N8bO/xbsbjMxGHgn9mVZsNJax4B1V3ALCQ65LAzu7BP9/8B6EzYGbUe/8AVA
vzzuYFBw+sarFT1y9Ys+BuZRoe+qYOeCm0ER2l/Bvq0Kg9creh4Rj/rPTTIo
SeLlr+N+ewPvGaB8Izi/RvLH5sH9louCDC5nlvCFQL3yk8IMTswn8A94v4ZE
SY3eZ2QfDbr/WGnUq9F9wvt0HjKqUT2Q3QdNKtyzcrnMkfdSXxeLj9SzW1SY
yB8s9rXi+zP02FSIj8vmAuEzl7sdKuDzknBe+3CfCj+/tsYPFgfK/wHgM3my

     "]]}, 
   {RGBColor[0, 0, 1], Thickness[Large], LineBox[CompressedData["
1:eJwlkwtIU2EUx682zDZfTYnWQ40eWlQOW40iaIdsZUGJadkDWqalZTkc9LQ5
ZkWRmRtFZQ+sKFehLZGiXHMa1SqrlWYPt5qa3/fdWmXYW9TcuRcul9/9n3vO
/55zvnGZ+anZgRzHqQZv/9N/NXi6oNp+MnRZS6j/tfe4rwved95adkQf4ufu
Y71dMGvJnr/VUrGf5XYxAfftvEklF5C1VEYgMtO7xiSR+DnFFk8g9kziTWk9
5tPUKQnUNt6tnCCK8HPFRzUBvUf13SAZjvVCVxBQvAlrvnYWdUdHFgFdXEdb
8ekwP7vadQTiCO1pbEY/EZJiAgXJ26b1rUZOUZgJ3OXidiYr0Y9mxnkCmvHt
Xudy1LWJVgLee+LwaDuydU09AUfLlwxneDj+375nBMyFfbdk55BdqzwEam6U
DrFUCf4yfARyLhdcT5yIHGvsJTAlqS/w1GGM11wTU3CuXXghcjH6VRlkFAwH
nbC1QPBXFE/Bu6Op/0wbxpdZlBTY3pVp64X8rhdqCi032mu7RFL0dzmdwqi2
7K+tdag7LmVR2Bb9ao5mPurccx2Fua0/vk1Ki8J6f4wUupWt+sZM5JTfJgov
t7v7TAtGoL9fFYP1s+nWi79Rr4ixUkhNKD7gtiN7F9UP1tcWviiPwfyOsc8o
LJ3Ys/tRCLJrjIfC5pWL9g9MxXlGqH0UOkqTMtUZwrzzeylUF06e+UAZjPuR
JGYQ1BnONewchv7myxj0HMm3BN3GeENePANtsVdU9S4I6x1XMojOzX1aNkeE
/jarGRw6vaG0ZCAA+5GbzsBYz/1wNqHebc5iUJKmP3liPX4vt+kYSLeMPAwE
56+qMzJwcAeeJO7AeaTcMTHwKQIDkmuE/ndWMJA09+dVVuK+uUKsDD51XH2b
M1bof7udQWSU9dKu0UL/vU8ZBL/aZOI+YDwn9jB4PVIkj/mIumqGj0H5P80E
809hP4J7GTRZFO6HRswnHyrmoXWv7eiQechauYyHjeVFaallGG9dFc+DVXz/
fUYE6mXTlTxkKxIeN1wXzss0NQ+2qLB3eQnCPq5I52HdQOjS2oMYH2vI4iFO
Li1wp2O8vEjHQ42tKuefC1mlN/Jw5b55yjktzs9QaeLBEjD78yhJ/7z/qbCC
Rw==
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  AxesOrigin->NCache[{2934835200, 1.}, {2.9348352*^9, 1.}],
  Frame->True,
  FrameTicks->{{Automatic, Automatic}, {{{
       NCache[2926886400, 2.9268864*^9], 
       FormBox["\"1992Q4\"", TraditionalForm]}, {
       NCache[3084652800, 3.0846528*^9], 
       FormBox["\"1997Q4\"", TraditionalForm]}, {
       NCache[3242419200, 3.2424192*^9], 
       FormBox["\"2002Q4\"", TraditionalForm]}, {
       NCache[3400185600, 3.4001856*^9], 
       FormBox["\"2007Q4\"", TraditionalForm]}, {
       NCache[3558038400, 3.5580384*^9], 
       FormBox["\"2012Q4\"", TraditionalForm]}, {
       NCache[2958422400, 2.9584224*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[2989958400, 2.9899584*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3021494400, 3.0214944*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3053116800, 3.0531168*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3116188800, 3.1161888*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3147724800, 3.1477248*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3179347200, 3.1793472*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3210883200, 3.2108832*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3273955200, 3.2739552*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3305577600, 3.3055776*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3337113600, 3.3371136*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3368649600, 3.3686496*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3431808000, 3.431808*^9], 
       FormBox["\"\"", TraditionalForm]}}, {{
       NCache[2926886400, 2.9268864*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3084652800, 3.0846528*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3242419200, 3.2424192*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3400185600, 3.4001856*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3558038400, 3.5580384*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[2958422400, 2.9584224*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[2989958400, 2.9899584*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3021494400, 3.0214944*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3053116800, 3.0531168*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3116188800, 3.1161888*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3147724800, 3.1477248*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3179347200, 3.1793472*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3210883200, 3.2108832*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3273955200, 3.2739552*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3305577600, 3.3055776*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3337113600, 3.3371136*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3368649600, 3.3686496*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3431808000, 3.431808*^9], 
       FormBox["\"\"", TraditionalForm]}}}},
  GridLines->NCache[{{{2926886400, 
       GrayLevel[0.8]}, {3084652800, 
       GrayLevel[0.8]}, {3242419200, 
       GrayLevel[0.8]}, {3400185600, 
       GrayLevel[0.8]}, {3558038400, 
       GrayLevel[0.8]}}, None}, {{{2.9268864*^9, 
       GrayLevel[0.8]}, {3.0846528*^9, 
       GrayLevel[0.8]}, {3.2424192*^9, 
       GrayLevel[0.8]}, {3.4001856*^9, 
       GrayLevel[0.8]}, {3.5580384*^9, 
       GrayLevel[0.8]}}, None}],
  ImageSize->500,
  PlotLabel->FormBox["\"Taylor Rule\"", TraditionalForm],
  PlotRange->{{2.9348352*^9, 3.431808*^9}, {0.506666666667, 6.52}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Output",
 CellChangeTimes->{3.557768641828641*^9, 3.557768794935978*^9}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/short/JMCB_revision/TRfig.eps\"\>"], "Output",
 CellChangeTimes->{3.557768641828641*^9, 3.557768795635145*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"TvsNow", "=", 
  RowBox[{"PlotTruleComp", "[", 
   RowBox[{
   "\"\<All\>\"", ",", "\"\<inf\>\"", ",", "\"\<gap\>\"", ",", 
    "\"\<infcond\>\"", ",", "\"\<altgap\>\"", ",", "\"\<infiqrbeta\>\"", ",", 
    "\"\<gdpiqrbeta\>\"", ",", "1", ",", "1.5", ",", ".5", ",", "4.6", ",", 
    "1.73", ",", ".85", ",", 
    RowBox[{"-", ".99"}], ",", 
    RowBox[{"-", ".35"}], ",", 
    "\"\<Rule Comparisons: Taylor vs. Nowcast\>\""}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/short/\
JMCB_revision/TNowfig_rev_carry.eps\>\"", ",", "TvsNow"}], "]"}]}], "Input",
 CellChangeTimes->{{3.557771249000201*^9, 3.55777136832913*^9}, {
  3.55777141813967*^9, 3.5577715111717052`*^9}, {3.56995962903333*^9, 
  3.569959653104207*^9}, {3.569960581738744*^9, 3.5699605827524014`*^9}, {
  3.570204441791935*^9, 3.57020447036656*^9}, {3.5716044333786993`*^9, 
  3.5716044342734613`*^9}, {3.571604464403592*^9, 3.5716044782180147`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], Thickness[Large], Dashing[{Small, Small}], 
    LineBox[CompressedData["
1:eJxVk21Ik1EUx5eCL49JLjVdZloRTKgcGY5E8TkkyxiISopSpNj6oBRT5peS
dK761IfmSD8U0nrTKJAnEKwUt15BJFv0QSoG8+3e+9ColfkSE+resw3swBi/
59zz9r/n7mmx1p6L02g0Mv+Jf2Ev/UtQ+2z3tW81SeJzoD+4BBEPcuhmeAm6
MkaOz11CNkxKBII1IiBRcDvVEThrqcpho8mCqyf0BHgyfmCb4OZxI4Hbt/Z7
Gn5pBbsXTQROPn/MLQPrpdYTKJNm77eXZQn2zlsIYLmMbMG+ORuBzw82WqYK
0Z+WcoUAd/ITO7DeEReB6Wl5OLUzE+sV3SVQPeZqOvAH87cfVggsdLk/JZSg
XznlIZCHDSKHrs4QeLM62luVg+xr9BOwlnY/XczC/IGGIIGL6Xu5Iec7wgSU
ygs8IXLzE4lG+0WW7Toa1S/SX4+ebo53PjJS6MCB07HeRxMFU+A7t+3Y31Ad
haGOqcKBDWTvQwuFsdw/b11NOI/mg41unkded1A44xT6R+qt9dFo/zrsb9Ud
628n6p+nUChNNvMD6A9UemL5Md6bO0NhvYBxQfC+fLv8FMwLQs8U1N8UpOBZ
TtNqtVuwnjVMIbt3nFu4XOxHhcSi828Ilo/pGIjblWbRbz+vZ9CZJvpbE+zt
N8bO/xbsbjMxGHgn9mVZsNJax4B1V3ALCQ65LAzu7BP9/8B6EzYGbUe/8AVA
vzzuYFBw+sarFT1y9Ys+BuZRoe+qYOeCm0ER2l/Bvq0Kg9creh4Rj/rPTTIo
SeLlr+N+ewPvGaB8Izi/RvLH5sH9louCDC5nlvCFQL3yk8IMTswn8A94v4ZE
SY3eZ2QfDbr/WGnUq9F9wvt0HjKqUT2Q3QdNKtyzcrnMkfdSXxeLj9SzW1SY
yB8s9rXi+zP02FSIj8vmAuEzl7sdKuDzknBe+3CfCj+/tsYPFgfK/wHgM3my

     "]]}, 
   {RGBColor[0, 0, 1], Thickness[Large], LineBox[CompressedData["
1:eJwlkgtMU2cUx6uoQHkIotNqkeJrZMJy5VWjaHvmrKCJ1s0SnUKEgXEdSrHR
KD6olcQH2QQiYpRoMTw2SGYzNeooWmcXia6Ai8sWY4FC+33f1Qbb8FApD7mH
m9zc/O6X7/z/539ObG7hN/nTRSKRcvIVvsLz2OGGoIsT8yKmzRJ+91R53FD+
W2BN0/Vggb2X/G7oKpk70u8MEJh7KCaw7sKOidRzyDoqIRCd0vHkhTtUYLUl
jgB3w3u2uiVC4L0tcgIdwf9dvl0zR2CTS0Ugavwpd8w9F/XCMgnMzO1fNnh+
gcDW3jwCWQejUzfnIHc69QTu79ggtbmiBI4IOUNgqKHx7t4IZHVyJQFxMgtv
WzEf9ZJqCYzquOHWwnnoL9FMoKmufvQkh+fm3Y8I2GLl9hP1qO8tbSfw3T2p
MaURuXOXg0Cipuxlle8z9LfTQ8D1PNzlHECWGf0Evh95uXhcO6XXLKaQv9k1
UPsjstIgoWA8c9Lmy8V66pI4Co5s2+LffZhH+S9yCklqZanqYyTqvVBRGPDb
QhJDMB9zg4ZCtcxeZ83H+9b6PArhhRmJM+xYX9ShpwBpxWv/bEY/yg9GCq0F
Safctim99xUU+vcUpccfXoj+hk0Uut/8rH1wVYL5x5gpNJ/LWHll/lR/6Y8o
WH6qDp1BMS9rdDuF7dWn097Wot9OqYPCkaFtDQG/BmH+Kg8F8dZXsX/pJhSC
XqF/8n73oqOa20MCc1+LGYQ9qLr2XDEN/W2QMPDeWiAqSBkVzg0FcQxuxiu2
aiOno16VnEHTvlUe9g73yaRVMaixK4xZDqxn/kHDQHagWOap7xLYW5nHYGey
992VXifqWfQMbv1rYSsPjQmsbDEyGE5f1N4VjPur/qOCge687++wS7jf5X0m
BtqYrLWvi2Zif6FmBt/eLbt5Y0yM+TsfMlAn8yOG3tnor8fOYM2yMV/ZM9xv
kdjB4Kw18P6Sf3B+yiQPgz3rpFs+tOP8ZEF+Bn2RlbZNctxPLlDMQ1HO6mcX
j+G5jpPwkKnX5Mz6PBz1dsXx0P2WDNQdRS7/Us5D/OB+S3Yb6psSVDysX7qx
d3ka6vdkangITXjKZzxGlhnyeIhWf3Fc24/9ciV6HnZ/9f94/GVk5SkjD9In
MQkj+3BehsYKHqwBfcdbSu8oPgGlQYxH
     "]]}, 
   {GrayLevel[0], Thickness[Large], LineBox[CompressedData["
1:eJwlkwtIU2EUx682zDZfTYnWQ40eWlQOW40iaIdsZUGJadkDWqalZTkc9LQ5
ZkWRmRtFZQ+sKFehLZGiXHMa1SqrlWYPt5qa3/fdWmXYW9TcuRcul9/9n3vO
/55zvnGZ+anZgRzHqQZv/9N/NXi6oNp+MnRZS6j/tfe4rwved95adkQf4ufu
Y71dMGvJnr/VUrGf5XYxAfftvEklF5C1VEYgMtO7xiSR+DnFFk8g9kziTWk9
5tPUKQnUNt6tnCCK8HPFRzUBvUf13SAZjvVCVxBQvAlrvnYWdUdHFgFdXEdb
8ekwP7vadQTiCO1pbEY/EZJiAgXJ26b1rUZOUZgJ3OXidiYr0Y9mxnkCmvHt
Xudy1LWJVgLee+LwaDuydU09AUfLlwxneDj+375nBMyFfbdk55BdqzwEam6U
DrFUCf4yfARyLhdcT5yIHGvsJTAlqS/w1GGM11wTU3CuXXghcjH6VRlkFAwH
nbC1QPBXFE/Bu6Op/0wbxpdZlBTY3pVp64X8rhdqCi032mu7RFL0dzmdwqi2
7K+tdag7LmVR2Bb9ao5mPurccx2Fua0/vk1Ki8J6f4wUupWt+sZM5JTfJgov
t7v7TAtGoL9fFYP1s+nWi79Rr4ixUkhNKD7gtiN7F9UP1tcWviiPwfyOsc8o
LJ3Ys/tRCLJrjIfC5pWL9g9MxXlGqH0UOkqTMtUZwrzzeylUF06e+UAZjPuR
JGYQ1BnONewchv7myxj0HMm3BN3GeENePANtsVdU9S4I6x1XMojOzX1aNkeE
/jarGRw6vaG0ZCAA+5GbzsBYz/1wNqHebc5iUJKmP3liPX4vt+kYSLeMPAwE
56+qMzJwcAeeJO7AeaTcMTHwKQIDkmuE/ndWMJA09+dVVuK+uUKsDD51XH2b
M1bof7udQWSU9dKu0UL/vU8ZBL/aZOI+YDwn9jB4PVIkj/mIumqGj0H5P80E
809hP4J7GTRZFO6HRswnHyrmoXWv7eiQechauYyHjeVFaallGG9dFc+DVXz/
fUYE6mXTlTxkKxIeN1wXzss0NQ+2qLB3eQnCPq5I52HdQOjS2oMYH2vI4iFO
Li1wp2O8vEjHQ42tKuefC1mlN/Jw5b55yjktzs9QaeLBEjD78yhJ/7z/qbCC
Rw==
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  AxesOrigin->NCache[{2934835200, 0}, {2.9348352*^9, 0}],
  Frame->True,
  FrameTicks->{{Automatic, Automatic}, {{{
       NCache[2926886400, 2.9268864*^9], 
       FormBox["\"1992Q4\"", TraditionalForm]}, {
       NCache[3084652800, 3.0846528*^9], 
       FormBox["\"1997Q4\"", TraditionalForm]}, {
       NCache[3242419200, 3.2424192*^9], 
       FormBox["\"2002Q4\"", TraditionalForm]}, {
       NCache[3400185600, 3.4001856*^9], 
       FormBox["\"2007Q4\"", TraditionalForm]}, {
       NCache[3558038400, 3.5580384*^9], 
       FormBox["\"2012Q4\"", TraditionalForm]}, {
       NCache[2958422400, 2.9584224*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[2989958400, 2.9899584*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3021494400, 3.0214944*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3053116800, 3.0531168*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3116188800, 3.1161888*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3147724800, 3.1477248*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3179347200, 3.1793472*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3210883200, 3.2108832*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3273955200, 3.2739552*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3305577600, 3.3055776*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3337113600, 3.3371136*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3368649600, 3.3686496*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3431808000, 3.431808*^9], 
       FormBox["\"\"", TraditionalForm]}}, {{
       NCache[2926886400, 2.9268864*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3084652800, 3.0846528*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3242419200, 3.2424192*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3400185600, 3.4001856*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3558038400, 3.5580384*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[2958422400, 2.9584224*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[2989958400, 2.9899584*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3021494400, 3.0214944*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3053116800, 3.0531168*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3116188800, 3.1161888*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3147724800, 3.1477248*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3179347200, 3.1793472*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3210883200, 3.2108832*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3273955200, 3.2739552*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3305577600, 3.3055776*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3337113600, 3.3371136*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3368649600, 3.3686496*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3431808000, 3.431808*^9], 
       FormBox["\"\"", TraditionalForm]}}}},
  GridLines->NCache[{{{2926886400, 
       GrayLevel[0.8]}, {3084652800, 
       GrayLevel[0.8]}, {3242419200, 
       GrayLevel[0.8]}, {3400185600, 
       GrayLevel[0.8]}, {3558038400, 
       GrayLevel[0.8]}}, None}, {{{2.9268864*^9, 
       GrayLevel[0.8]}, {3.0846528*^9, 
       GrayLevel[0.8]}, {3.2424192*^9, 
       GrayLevel[0.8]}, {3.4001856*^9, 
       GrayLevel[0.8]}, {3.5580384*^9, 
       GrayLevel[0.8]}}, None}],
  ImageSize->500,
  PlotLabel->FormBox[
   "\"Rule Comparisons: Taylor vs. Nowcast\"", TraditionalForm],
  PlotRange->{{2.9348352*^9, 3.431808*^9}, {0., 6.614426738661889}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Output",
 CellChangeTimes->{
  3.5577713295109987`*^9, 3.557771370233726*^9, {3.557771441938305*^9, 
   3.5577714545433064`*^9}, {3.557771487137601*^9, 3.557771512241213*^9}, {
   3.5699605774529552`*^9, 3.569960583409614*^9}, 3.57020447188032*^9, 
   3.571604480130917*^9}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/short/JMCB_revision/TNowfig_rev_carry.eps\"\>"], \
"Output",
 CellChangeTimes->{
  3.5577713295109987`*^9, 3.557771370233726*^9, {3.557771441938305*^9, 
   3.5577714545433064`*^9}, {3.557771487137601*^9, 3.557771512241213*^9}, {
   3.5699605774529552`*^9, 3.569960583409614*^9}, 3.57020447188032*^9, 
   3.57160448057553*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"EstTvsNow", "=", 
  RowBox[{"PlotTruleComp", "[", 
   RowBox[{
   "\"\<All\>\"", ",", "\"\<inflrt\>\"", ",", "\"\<gaprt\>\"", ",", 
    "\"\<infcond\>\"", ",", "\"\<altgap\>\"", ",", "\"\<infiqrbeta\>\"", ",", 
    "\"\<gdpiqrbeta\>\"", ",", ".77", ",", "1.27", ",", ".71", ",", "4.6", 
    ",", "1.73", ",", ".85", ",", 
    RowBox[{"-", ".99"}], ",", 
    RowBox[{"-", ".35"}], ",", 
    "\"\<Rule Comparisons: Est. Taylor vs. Nowcast\>\""}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/short/\
JMCB_revision/EstTNowfig_rev_carry.eps\>\"", ",", "EstTvsNow"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.5577715278131237`*^9, 3.557771558292844*^9}, {
  3.569959844005994*^9, 3.569959887198122*^9}, {3.569960080018342*^9, 
  3.569960083136121*^9}, {3.5699602489498777`*^9, 3.5699602740431347`*^9}, {
  3.569960309549423*^9, 3.569960327461713*^9}, {3.569960453417341*^9, 
  3.56996050796727*^9}, {3.5699606771885223`*^9, 3.569960756820413*^9}, {
  3.570198571574903*^9, 3.570198589769108*^9}, {3.571604316482625*^9, 
  3.571604403544961*^9}, {3.571604451323533*^9, 3.571604452225997*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], Thickness[Large], Dashing[{Small, Small}], 
    LineBox[CompressedData["
1:eJxVk21Ik1EUx5eCL49JLjVdZloRTKgcGY5E8TkkyxiISopSpNj6oBRT5peS
dK761IfmSD8U0nrTKJAnEKwUt15BJFv0QSoG8+3e+9ColfkSE+resw3swBi/
59zz9r/n7mmx1p6L02g0Mv+Jf2Ev/UtQ+2z3tW81SeJzoD+4BBEPcuhmeAm6
MkaOz11CNkxKBII1IiBRcDvVEThrqcpho8mCqyf0BHgyfmCb4OZxI4Hbt/Z7
Gn5pBbsXTQROPn/MLQPrpdYTKJNm77eXZQn2zlsIYLmMbMG+ORuBzw82WqYK
0Z+WcoUAd/ITO7DeEReB6Wl5OLUzE+sV3SVQPeZqOvAH87cfVggsdLk/JZSg
XznlIZCHDSKHrs4QeLM62luVg+xr9BOwlnY/XczC/IGGIIGL6Xu5Iec7wgSU
ygs8IXLzE4lG+0WW7Toa1S/SX4+ebo53PjJS6MCB07HeRxMFU+A7t+3Y31Ad
haGOqcKBDWTvQwuFsdw/b11NOI/mg41unkded1A44xT6R+qt9dFo/zrsb9Ud
628n6p+nUChNNvMD6A9UemL5Md6bO0NhvYBxQfC+fLv8FMwLQs8U1N8UpOBZ
TtNqtVuwnjVMIbt3nFu4XOxHhcSi828Ilo/pGIjblWbRbz+vZ9CZJvpbE+zt
N8bO/xbsbjMxGHgn9mVZsNJax4B1V3ALCQ65LAzu7BP9/8B6EzYGbUe/8AVA
vzzuYFBw+sarFT1y9Ys+BuZRoe+qYOeCm0ER2l/Bvq0Kg9creh4Rj/rPTTIo
SeLlr+N+ewPvGaB8Izi/RvLH5sH9louCDC5nlvCFQL3yk8IMTswn8A94v4ZE
SY3eZ2QfDbr/WGnUq9F9wvt0HjKqUT2Q3QdNKtyzcrnMkfdSXxeLj9SzW1SY
yB8s9rXi+zP02FSIj8vmAuEzl7sdKuDzknBe+3CfCj+/tsYPFgfK/wHgM3my

     "]]}, 
   {RGBColor[0, 0, 1], Thickness[Large], LineBox[CompressedData["
1:eJwlkgtMU2cUx6uoQHkIotNqkeJrZMJy5VWjaHvmrKCJ1s0SnUKEgXEdSrHR
KD6olcQH2QQiYpRoMTw2SGYzNeooWmcXia6Ai8sWY4FC+33f1Qbb8FApD7mH
m9zc/O6X7/z/539ObG7hN/nTRSKRcvIVvsLz2OGGoIsT8yKmzRJ+91R53FD+
W2BN0/Vggb2X/G7oKpk70u8MEJh7KCaw7sKOidRzyDoqIRCd0vHkhTtUYLUl
jgB3w3u2uiVC4L0tcgIdwf9dvl0zR2CTS0Ugavwpd8w9F/XCMgnMzO1fNnh+
gcDW3jwCWQejUzfnIHc69QTu79ggtbmiBI4IOUNgqKHx7t4IZHVyJQFxMgtv
WzEf9ZJqCYzquOHWwnnoL9FMoKmufvQkh+fm3Y8I2GLl9hP1qO8tbSfw3T2p
MaURuXOXg0Cipuxlle8z9LfTQ8D1PNzlHECWGf0Evh95uXhcO6XXLKaQv9k1
UPsjstIgoWA8c9Lmy8V66pI4Co5s2+LffZhH+S9yCklqZanqYyTqvVBRGPDb
QhJDMB9zg4ZCtcxeZ83H+9b6PArhhRmJM+xYX9ShpwBpxWv/bEY/yg9GCq0F
Safctim99xUU+vcUpccfXoj+hk0Uut/8rH1wVYL5x5gpNJ/LWHll/lR/6Y8o
WH6qDp1BMS9rdDuF7dWn097Wot9OqYPCkaFtDQG/BmH+Kg8F8dZXsX/pJhSC
XqF/8n73oqOa20MCc1+LGYQ9qLr2XDEN/W2QMPDeWiAqSBkVzg0FcQxuxiu2
aiOno16VnEHTvlUe9g73yaRVMaixK4xZDqxn/kHDQHagWOap7xLYW5nHYGey
992VXifqWfQMbv1rYSsPjQmsbDEyGE5f1N4VjPur/qOCge687++wS7jf5X0m
BtqYrLWvi2Zif6FmBt/eLbt5Y0yM+TsfMlAn8yOG3tnor8fOYM2yMV/ZM9xv
kdjB4Kw18P6Sf3B+yiQPgz3rpFs+tOP8ZEF+Bn2RlbZNctxPLlDMQ1HO6mcX
j+G5jpPwkKnX5Mz6PBz1dsXx0P2WDNQdRS7/Us5D/OB+S3Yb6psSVDysX7qx
d3ka6vdkangITXjKZzxGlhnyeIhWf3Fc24/9ciV6HnZ/9f94/GVk5SkjD9In
MQkj+3BehsYKHqwBfcdbSu8oPgGlQYxH
     "]]}, 
   {GrayLevel[0], Thickness[Large], LineBox[CompressedData["
1:eJwlknlME1EQxtsqhy0FRbEWD4oxiHcBsV5IJ2pFhVglpVaNNlqMR9OimBgj
AqmK8S5IIyExlqh4EM3ijSBgwLO1wh8qHmhVeG9XqtZoUFOv7rDJZvPbmfm+
efMmfq11Wa5IIBCogy//5Z87nd3AtLjMPYcl/G+vw9cNSeu79thXDeLZXx7o
hsiomruv8pCVjWICsud30yTnB/OcR+UEnrWXTEt1R/CsbUgkUK4XNbjdA3g2
1qsIOOp61s68iOzs0hBImxRbUrof873SHAK5+nM+AYv6ze9NBAwLpkhdFuS2
d/kEzryWCkZXRvM8ULKbQHOqwxIrQX/t1DIC5k8p/cs2Yb4xpYrA3CxlR3Zg
IPaXzBBI6Pi9RubGOLOyiUDtL2Nbqxnr/Xs8BF4Lt69sSY9BP0MnAUb0Sc/M
GYr9LfcR8GRvt9YlyXhW2AIEKlY8P+APx3pjjZjCkkXhEUfM6KcullM4VGNT
D2lE1hYlUpgY6JFt68X+7edUFEbeiILWOjn6tWso7O4d7r4vRH2mWkfhY9PL
yIJTyM1nTBQKj46bqeKwH8GTfAqXM2NtL60j0O+njYLtetaE6IJh6PejlMKc
uJjsR4cxbux1UngjiokqHIN+zjiGwqjpiw5VZqG+N6OJwuem+It1V6LQb6Qn
qE82zLJokNtGdFJ4kuwvvJYUivPX+CgUf7fc943HNdJaAxQmVD31i9P74X7M
E7OQMT6CWxqHcfVcOQsl5bsSMh/+Sw9ysTmRhQvsGE+DCfObHSoWiqovzb6W
FIL9bdKw8HVhyOZ5VUKcx0YdCwZh+2nD+jC8rzJTsL43R7rsS3/0a8hnoUIv
PLF6Nuar620stIr+6ZbuQD3trVIWch8pdh6/jmz/4GQhdMBgUXI9nqctgmHh
KnxIaLmC+8+8awzq36z2vt0ixv68j1mw59x+cf6gFOcv7gye74/btHdf332n
+FhgXK48x19kRXiAhfmn50/s7ts/ZZiYg9COoxVWwHnmKeUcWLpiFw/fhfqM
IZGDmFqPUhKP+2mfrArGa2fY9Tqsd07ScJB5MvWHWoH13hwdB98iH7yVyJAV
xSYO4kM096K34vmURfkclLv0lTXfcN7qQhsHG4ZkHxs9tG/+Z0s5uJk2Vlmw
riP9P4s8d9Y=
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  AxesOrigin->NCache[{2934835200, 0}, {2.9348352*^9, 0}],
  Frame->True,
  FrameTicks->{{Automatic, Automatic}, {{{
       NCache[2926886400, 2.9268864*^9], 
       FormBox["\"1992Q4\"", TraditionalForm]}, {
       NCache[3084652800, 3.0846528*^9], 
       FormBox["\"1997Q4\"", TraditionalForm]}, {
       NCache[3242419200, 3.2424192*^9], 
       FormBox["\"2002Q4\"", TraditionalForm]}, {
       NCache[3400185600, 3.4001856*^9], 
       FormBox["\"2007Q4\"", TraditionalForm]}, {
       NCache[3558038400, 3.5580384*^9], 
       FormBox["\"2012Q4\"", TraditionalForm]}, {
       NCache[2958422400, 2.9584224*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[2989958400, 2.9899584*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3021494400, 3.0214944*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3053116800, 3.0531168*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3116188800, 3.1161888*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3147724800, 3.1477248*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3179347200, 3.1793472*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3210883200, 3.2108832*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3273955200, 3.2739552*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3305577600, 3.3055776*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3337113600, 3.3371136*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3368649600, 3.3686496*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3431808000, 3.431808*^9], 
       FormBox["\"\"", TraditionalForm]}}, {{
       NCache[2926886400, 2.9268864*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3084652800, 3.0846528*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3242419200, 3.2424192*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3400185600, 3.4001856*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3558038400, 3.5580384*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[2958422400, 2.9584224*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[2989958400, 2.9899584*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3021494400, 3.0214944*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3053116800, 3.0531168*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3116188800, 3.1161888*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3147724800, 3.1477248*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3179347200, 3.1793472*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3210883200, 3.2108832*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3273955200, 3.2739552*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3305577600, 3.3055776*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3337113600, 3.3371136*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3368649600, 3.3686496*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3431808000, 3.431808*^9], 
       FormBox["\"\"", TraditionalForm]}}}},
  GridLines->NCache[{{{2926886400, 
       GrayLevel[0.8]}, {3084652800, 
       GrayLevel[0.8]}, {3242419200, 
       GrayLevel[0.8]}, {3400185600, 
       GrayLevel[0.8]}, {3558038400, 
       GrayLevel[0.8]}}, None}, {{{2.9268864*^9, 
       GrayLevel[0.8]}, {3.0846528*^9, 
       GrayLevel[0.8]}, {3.2424192*^9, 
       GrayLevel[0.8]}, {3.4001856*^9, 
       GrayLevel[0.8]}, {3.5580384*^9, 
       GrayLevel[0.8]}}, None}],
  ImageSize->500,
  PlotLabel->FormBox[
   "\"Rule Comparisons: Est. Taylor vs. Nowcast\"", TraditionalForm],
  PlotRange->{{2.9348352*^9, 3.431808*^9}, {0., 7.1384671193735}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Output",
 CellChangeTimes->{
  3.5577713295109987`*^9, 3.557771370233726*^9, {3.557771441938305*^9, 
   3.5577714545433064`*^9}, {3.557771487137601*^9, 3.557771512700903*^9}, 
   3.5577715606199417`*^9, {3.569959869231717*^9, 3.569959880938398*^9}, 
   3.569960084931773*^9, {3.569960252326055*^9, 3.569960275123712*^9}, {
   3.5699603102898607`*^9, 3.569960328177568*^9}, {3.569960468946957*^9, 
   3.569960508695129*^9}, 3.569960564461081*^9, {3.569960703962085*^9, 
   3.5699607245125217`*^9}, 3.569960757719742*^9, 3.5701985934742527`*^9, {
   3.5716043812771883`*^9, 3.571604404645895*^9}, 3.571604454889537*^9}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/short/JMCB_revision/EstTNowfig_rev_carry.eps\"\>"], \
"Output",
 CellChangeTimes->{
  3.5577713295109987`*^9, 3.557771370233726*^9, {3.557771441938305*^9, 
   3.5577714545433064`*^9}, {3.557771487137601*^9, 3.557771512700903*^9}, 
   3.5577715606199417`*^9, {3.569959869231717*^9, 3.569959880938398*^9}, 
   3.569960084931773*^9, {3.569960252326055*^9, 3.569960275123712*^9}, {
   3.5699603102898607`*^9, 3.569960328177568*^9}, {3.569960468946957*^9, 
   3.569960508695129*^9}, 3.569960564461081*^9, {3.569960703962085*^9, 
   3.5699607245125217`*^9}, 3.569960757719742*^9, 3.5701985934742527`*^9, {
   3.5716043812771883`*^9, 3.571604404645895*^9}, 3.571604455321127*^9}]
}, Open  ]],

Cell[BoxData["\"\</Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/short/JMCB_revision/BestNowfig.eps\>\""], "Input",
 CellChangeTimes->{{3.5577722802942457`*^9, 3.557772283633182*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ginert", "=", 
  RowBox[{"PlotInertialTruleEst", "[", 
   RowBox[{
   "\"\<All\>\"", ",", "\"\<infcond\>\"", ",", "\"\<altgap\>\"", ",", 
    "\"\<infiqrbeta\>\"", ",", "\"\<gdpiqrbeta\>\"", ",", 
    RowBox[{"6.07", "*", ".33"}], ",", 
    RowBox[{"2.3", "*", ".33"}], ",", 
    RowBox[{"1.05", "*", ".33"}], ",", 
    RowBox[{
     RowBox[{"-", "1.06"}], "*", ".33"}], ",", 
    RowBox[{
     RowBox[{"-", "1.08"}], "*", ".33"}], ",", ".67", ",", 
    "\"\<Inertial Nowcasting Taylor Rule\>\""}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/short/\
JMCB_revision/InertiaNowfig_rev_carry.eps\>\"", ",", "ginert"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.55777230485707*^9, 3.5577723325205*^9}, {
  3.5577723873214912`*^9, 3.557772431330481*^9}, {3.557772484699856*^9, 
  3.557772538901496*^9}, {3.569960801701077*^9, 3.569960802460094*^9}, {
  3.569960863589629*^9, 3.569960885437862*^9}, {3.570198976334921*^9, 
  3.57019899834182*^9}, {3.571604796832625*^9, 3.571604895770219*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], Thickness[Large], Dashing[{Small, Small}], 
    LineBox[CompressedData["
1:eJxVk21Ik1EUx5eCL49JLjVdZloRTKgcGY5E8TkkyxiISopSpNj6oBRT5peS
dK761IfmSD8U0nrTKJAnEKwUt15BJFv0QSoG8+3e+9ColfkSE+resw3swBi/
59zz9r/n7mmx1p6L02g0Mv+Jf2Ev/UtQ+2z3tW81SeJzoD+4BBEPcuhmeAm6
MkaOz11CNkxKBII1IiBRcDvVEThrqcpho8mCqyf0BHgyfmCb4OZxI4Hbt/Z7
Gn5pBbsXTQROPn/MLQPrpdYTKJNm77eXZQn2zlsIYLmMbMG+ORuBzw82WqYK
0Z+WcoUAd/ITO7DeEReB6Wl5OLUzE+sV3SVQPeZqOvAH87cfVggsdLk/JZSg
XznlIZCHDSKHrs4QeLM62luVg+xr9BOwlnY/XczC/IGGIIGL6Xu5Iec7wgSU
ygs8IXLzE4lG+0WW7Toa1S/SX4+ebo53PjJS6MCB07HeRxMFU+A7t+3Y31Ad
haGOqcKBDWTvQwuFsdw/b11NOI/mg41unkded1A44xT6R+qt9dFo/zrsb9Ud
628n6p+nUChNNvMD6A9UemL5Md6bO0NhvYBxQfC+fLv8FMwLQs8U1N8UpOBZ
TtNqtVuwnjVMIbt3nFu4XOxHhcSi828Ilo/pGIjblWbRbz+vZ9CZJvpbE+zt
N8bO/xbsbjMxGHgn9mVZsNJax4B1V3ALCQ65LAzu7BP9/8B6EzYGbUe/8AVA
vzzuYFBw+sarFT1y9Ys+BuZRoe+qYOeCm0ER2l/Bvq0Kg9creh4Rj/rPTTIo
SeLlr+N+ewPvGaB8Izi/RvLH5sH9louCDC5nlvCFQL3yk8IMTswn8A94v4ZE
SY3eZ2QfDbr/WGnUq9F9wvt0HjKqUT2Q3QdNKtyzcrnMkfdSXxeLj9SzW1SY
yB8s9rXi+zP02FSIj8vmAuEzl7sdKuDzknBe+3CfCj+/tsYPFgfK/wHgM3my

     "]]}, 
   {RGBColor[0, 0, 1], Thickness[Large], LineBox[CompressedData["
1:eJwlkwtME1kUhruKPKogiLtYggHEaHWRNNWlNtG1R7HiG8ESGo3Cpu6KGoui
oq4RLIgajTwUA0JMMYqIRKcxPqDdthJi1EitrOu6IlpWeu+dWhQfCFp8MIdJ
JpNv7j/nP/Ofe2N/06duGCESiVRDt/AUrludbnCW7DqtvOsvvHZVeN3gNgXt
TNYECtx70ueGwe1hNa0rRgkss4oJ8HNalHo5cg6VEKg+Kj/72IH6FIuUwNvR
T+PK48cInGlWEEj0fx2Z/DFUYGO3mkD7H2rb03Xh6BecTmCrwVhtrPhJYPv/
OgLysD+zlGMnCOzsyiVwPE9hYudwPXR0IYHfg47Fmet/RL9Z5QQaZHdKXuyJ
QL+ZtQTu7Zv6rEmE+hw5R6D51MbDv2Qjc2tsBMLrk1y3d+P3vUUOAqut16fP
0iI7tZ1D+vaAmMvxqHdleAmEmh5V6m8gxxh8BNIyBjtC/0POvCSm4JDlhRy5
j6wqkFBY8kNeBndiuL98KYW/LZuzQTJe4NJ6BQV76vgl76uQnQ/VFNJ6xIn6
E+OwvzoNBf8mV5LcH/Oxn9dR8Cta1F1YhHrRg1wKgbt6POOisL5qwEBBfnVl
eM6kYb/+Mgo1sxs/gBPzy/xopFBX4DlYNTUS84/mKKjkc/uXZUnw/5JtFDLa
e0u2hSDbJzooeK703Xu1dri/qM6hegf2GotbgzF/tZeCqWbAY56A80/R+yjE
RlhMaZED84T9kSRmUDmx8tCbvz4JrFogYWBr2zpdNxvXC7ZIGdzpW2ZKlA4K
bK9QMFha2pGvuOgT2LhJzSBhfUpDd8s7gblsDYOIf5fe+LmFF7i3XMdAFGUJ
tz50o58llwGnDDav1aJeZTYwSP2mrY2bjPVSmssYRId8nb/pM/qXvjQyaI7u
r11YjP7OMRyD+r59C5fHjMT8u6wMfn2e1eh4EIB5uNqG+qmr3nGSx/0tEncy
2CCK9Sx+FIL5z/QyuKmsuqmJCsP9EehjsDEyvutxMc5TFiDmoUnlPTOnGueZ
I5Pw4Cp3jtVIkTmtlAdu0WA0WYlcmqDgwbZqxtyWBmTjDDUPCS5lWOMTrOdK
1/DwucfvpaQQOaZAx8NIdds/XBqeL1l+Lg9TXnT4WacFYX/7DTwcepL+uvXM
F8z/QhkP868FismXV/O+A0T1iRw=
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  AxesOrigin->NCache[{2934835200, 0}, {2.9348352*^9, 0}],
  Frame->True,
  FrameTicks->{{Automatic, Automatic}, {{{
       NCache[2926886400, 2.9268864*^9], 
       FormBox["\"1992Q4\"", TraditionalForm]}, {
       NCache[3084652800, 3.0846528*^9], 
       FormBox["\"1997Q4\"", TraditionalForm]}, {
       NCache[3242419200, 3.2424192*^9], 
       FormBox["\"2002Q4\"", TraditionalForm]}, {
       NCache[3400185600, 3.4001856*^9], 
       FormBox["\"2007Q4\"", TraditionalForm]}, {
       NCache[3558038400, 3.5580384*^9], 
       FormBox["\"2012Q4\"", TraditionalForm]}, {
       NCache[2958422400, 2.9584224*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[2989958400, 2.9899584*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3021494400, 3.0214944*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3053116800, 3.0531168*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3116188800, 3.1161888*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3147724800, 3.1477248*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3179347200, 3.1793472*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3210883200, 3.2108832*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3273955200, 3.2739552*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3305577600, 3.3055776*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3337113600, 3.3371136*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3368649600, 3.3686496*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3431808000, 3.431808*^9], 
       FormBox["\"\"", TraditionalForm]}}, {{
       NCache[2926886400, 2.9268864*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3084652800, 3.0846528*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3242419200, 3.2424192*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3400185600, 3.4001856*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3558038400, 3.5580384*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[2958422400, 2.9584224*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[2989958400, 2.9899584*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3021494400, 3.0214944*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3053116800, 3.0531168*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3116188800, 3.1161888*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3147724800, 3.1477248*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3179347200, 3.1793472*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3210883200, 3.2108832*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3273955200, 3.2739552*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3305577600, 3.3055776*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3337113600, 3.3371136*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3368649600, 3.3686496*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3431808000, 3.431808*^9], 
       FormBox["\"\"", TraditionalForm]}}}},
  GridLines->NCache[{{{2926886400, 
       GrayLevel[0.8]}, {3084652800, 
       GrayLevel[0.8]}, {3242419200, 
       GrayLevel[0.8]}, {3400185600, 
       GrayLevel[0.8]}, {3558038400, 
       GrayLevel[0.8]}}, None}, {{{2.9268864*^9, 
       GrayLevel[0.8]}, {3.0846528*^9, 
       GrayLevel[0.8]}, {3.2424192*^9, 
       GrayLevel[0.8]}, {3.4001856*^9, 
       GrayLevel[0.8]}, {3.5580384*^9, 
       GrayLevel[0.8]}}, None}],
  ImageSize->500,
  PlotLabel->FormBox["\"Inertial Nowcasting Taylor Rule\"", TraditionalForm],
  PlotRange->{{2.9348352*^9, 3.431808*^9}, {0., 6.538671581685923}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Output",
 CellChangeTimes->{
  3.557772432860791*^9, {3.557772486638442*^9, 3.557772539614252*^9}, 
   3.569960888145466*^9, 3.570199000763695*^9, 3.571604898559988*^9}],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/short/JMCB_revision/InertiaNowfig_rev_carry.eps\"\>"], \
"Output",
 CellChangeTimes->{
  3.557772432860791*^9, {3.557772486638442*^9, 3.557772539614252*^9}, 
   3.569960888145466*^9, 3.570199000763695*^9, 3.5716048989488163`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"DateListPlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\"\<infcond\>\"", "/.", "DataTable"}], ")"}], ",", " ", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\"\<infcond\>\"", "/.", "DataTable"}], ")"}], "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "1"}], "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"\"\<infcond\>\"", "/.", "DataTable"}], ")"}], "[", 
               RowBox[{"[", 
                RowBox[{"j", ",", "2"}], "]"}], "]"}], "-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{".57", "/", "2"}], ")"}], "*", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"\"\<infiqrbeta\>\"", "/.", "DataTable"}], ")"}], 
                  "[", 
                  RowBox[{"[", 
                   RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}], 
                RowBox[{"1", "/", "2"}]]}]}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", 
             RowBox[{"Length", "[", 
              RowBox[{"\"\<infcond\>\"", "/.", "DataTable"}], "]"}]}], 
            "}"}]}], "]"}], ",", 
         RowBox[{"DataBetweenDates", "[", 
          RowBox[{
           RowBox[{"\"\<infgreen\>\"", "/.", "DataTable"}], ",", 
           RowBox[{"\"\<precrisis\>\"", "/.", "InterestRateDates"}]}], 
          "]"}]}], "}"}], ",", 
       RowBox[{"Joined", "\[Rule]", "True"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Directive", "[", 
           RowBox[{"Thick", ",", "Red", ",", "Dashed"}], "]"}], ",", 
          RowBox[{"Directive", "[", 
           RowBox[{"Thick", ",", "Blue"}], "]"}], ",", 
          RowBox[{"Directive", "[", 
           RowBox[{"Thick", ",", "Green", ",", "Dotted"}], "]"}]}], "}"}]}]}],
       "]"}], ",", 
     RowBox[{"DateListPlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\"\<altgap\>\"", "/.", "DataTable"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\"\<altgap\>\"", "/.", "DataTable"}], ")"}], "[", 
              RowBox[{"[", 
               RowBox[{"j", ",", "1"}], "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"\"\<altgap\>\"", "/.", "DataTable"}], ")"}], "[", 
               RowBox[{"[", 
                RowBox[{"j", ",", "2"}], "]"}], "]"}], "-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{".41", "/", "2"}], ")"}], "*", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"\"\<gdpiqrbeta\>\"", "/.", "DataTable"}], ")"}], 
                  "[", 
                  RowBox[{"[", 
                   RowBox[{"j", ",", "2"}], "]"}], "]"}], ")"}], 
                RowBox[{"1", "/", "2"}]]}]}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", 
             RowBox[{"Length", "[", 
              RowBox[{"\"\<altgap\>\"", "/.", "DataTable"}], "]"}]}], "}"}]}],
           "]"}]}], "}"}], ",", 
       RowBox[{"Joined", "\[Rule]", "True"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Directive", "[", 
           RowBox[{"Thick", ",", "Red", ",", "Dashed"}], "]"}], ",", 
          RowBox[{"Directive", "[", 
           RowBox[{"Thick", ",", "Blue"}], "]"}]}], "}"}]}]}], "]"}]}], "}"}],
    "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.557084795545991*^9, 3.557085041597786*^9}, {
   3.557085374341455*^9, 3.557085378836186*^9}, {3.557085526151943*^9, 
   3.557085528942122*^9}, 3.557150614290648*^9, {3.557150645811421*^9, 
   3.557150646666535*^9}, {3.55715067729397*^9, 3.557150688420102*^9}, {
   3.557151468954525*^9, 3.557151493116003*^9}, {3.5571515703729467`*^9, 
   3.557151570836525*^9}, {3.5571519211168127`*^9, 3.5571521326554947`*^9}, {
   3.557152180202195*^9, 3.557152226595546*^9}, {3.557777716677693*^9, 
   3.55777772258812*^9}, {3.5577777717668*^9, 3.557777771996846*^9}, {
   3.557777803428073*^9, 3.557777824609586*^9}, {3.557777858061673*^9, 
   3.557777862803237*^9}, {3.557777893964209*^9, 3.5577779026290607`*^9}, {
   3.557778007278139*^9, 3.5577780217936*^9}, {3.5577781634065742`*^9, 
   3.557778178102017*^9}, {3.569960956983283*^9, 3.569960967861537*^9}, {
   3.569961040911344*^9, 3.569961061615786*^9}, {3.571604523258165*^9, 
   3.571604603562152*^9}, {3.571604652286089*^9, 3.571604661553913*^9}, {
   3.571687443164893*^9, 3.571687513456592*^9}, {3.571687649208996*^9, 
   3.5716876685591784`*^9}, {3.571687727225341*^9, 3.571687755931774*^9}, {
   3.571767460522202*^9, 3.571767515569941*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     GraphicsBox[{{}, {}, 
       {RGBColor[1, 0, 0], Thickness[Large], Dashing[{Small, Small}], 
        LineBox[CompressedData["
1:eJwlkw9MlHUYxw/CsPMwO/t3eMY5W57L2iW4W5HwfsNuNoxDAxItwjg2u0AY
h0o0u+tyI0a2w4EFs3GBgAaOm5uaaMdB2sx2cFhbo2KenPze31sYR+ohQl2+
z73bu3effZ/nfb7P931/q96t2FYar1AoNt2/5ad8DY5P4qvpk7XV3yUI9zHY
PDWJV4qS/xHiiMNN85No7+h/rHXnAzIbvEqGcu/QO9JbxJWihiG4xxGpUi2S
OfeCnqFXE13xh0D9xeeNDJLeWLvBS7r7holh1rz2i4wPiYNJBQwm3VDLmjeJ
fRMWhidPuUIpLxEHrtsYTiTptrSXxMu8bMknDDz9yOiRnn8z5Xlphxk8ZW+3
pNaTXpz6NUPt1qrks+/H/K33MDz6a9xgRz2xZ+cAwy9LGq6gXUH7HRxm2H7G
dzpjP3GgcJzB2zXjtn1MHNw+xdCWdak7UkbzdM55hnhVn7kncUHm4h6lCLXv
mb3mx0kXHBoR0bFFC10v3iF/dr0I64rm3CxLWGbXcaOIz+ZyktSLb8scGDWJ
+Hlm37k/vyTd05UvIql73Zo9NcS+TouIvKErI+tORGRWjNhE2A+UuDJ/IBbu
OkVUJ9dUXcybo3mzjSLuWJ4+dWxjLI+IW8TlvM8TBh6kfdwpHhFdh3ZFH2qL
yvXBzQMidhhP3wpmx1H+K4dF9L7cn3KvNJaHdlzEC50Zu/N19+T6ZaYpEZoM
a7VZR/5zK+ZF/GRvEiedszIbNik5CpQLr0JLLGRpOK4dOG4355FfR5meQ5OQ
9sa1v0n3NRs5bjdIpptXKU+31cRxtal8bOsu0j3v5XMMT9clhopuyRw+bOHQ
7f3e1eegfA0XbBw+/nrbGTPpwnknR06isHSikvbL7W/keOpov/pkDb3fFXJz
FApLb/ZmU14BlYfjt9EfR1bbSPdc93Jo01XPljTE8gj6OfytF0NnV/9H+SvH
OazWMOvQ0v8kpE5xxN1QP2zzU71u8TzHRj7E0vbHzkuiUsLm6ifK0z+g81Bp
0EiYzt520PYa+fMU6iXsc/6ePuaiftfzRgmDoxUbem30/dzPmSQIw1mfHuqg
+cGCfAmXURv5doFY57BICKgcySuXU7/BbpPAvjmaU9dM/cJHTgnhpon63X8R
O7obJbjuJjhL54h9AbcEVdWOubXaMcq/s09C68TMIzmXQuTvmFdCy7mi5et9
lHfY75fQHVXX1beEM/8HeAG09Q==
         "]]}, 
       {RGBColor[0, 0, 1], Thickness[Large], LineBox[CompressedData["
1:eJwlkg1MU1cUxysr6jprjO6rODORiR0RbNANpon0ONKAYqaQYslkUVOFCRtd
mpm52ckANzTTlSqxM5kW8YNMjG9bNoawtsQZZKz4qgY/um4PK/feJx17I4K0
hbm+05e8vPxyzn3///2fk7qjpnhnkkKhyI+/8ld+eoLDcPxitMDkV+jjKDSH
hyHjjT329gxk6VhsGPZt7v9ufNmTvDjr3CoCP6ct7Ek/gGyhGgKWiqE7zzXM
kPs3dWsJTH5zMCvUgee3deUQOGl+K21rRpLMrgcGAvWDl0O3OewX1KUEejae
iCyoR/beNxM47Oh3nzcj80NWAu/fdT5dmDwt6817pp7AjflXh27PmZB50yoH
gZJI69J7nVjftrKFwMJjkOkYSfjL5gj4+VC0y4R+uLc9BNL758770RiT61LD
AIF7xtGApjcqM18WJPD6l42VB/cgC6YwgbXu6i1KG+otrosRWCdxrLvrEepd
UFE4VJo7ZekZl1lfq6FwIHLXm6QKo7/9WgqXPKa8yhv3Zba35VBwjrX6pl97
iHp+A4WPuQ1XMiEkM3fOSKH9wbIvohz2e8+aKQx2dGSFjo7KrLhupcBapOTi
Dcj6yToKRQWm9zyxf1HvcROF6jTzKDQn8phwUVDaPpzpqorI7HqZo3Dy1kf8
i6cm8X4Fnjg/3Htn+Rje17togMLntt5DVdewzr8UpPDK9UGtXj2G+RvCFM4F
TnQ+OsJQryZG4c9rHVMDLf/gfuSrGPw+M3e5+peEvzc1DP4SzKHABOZRW61l
EPXn30pJk1CvOYdBaMdV9WfpmJ9rt4GBbfX24+pW/B/3rpHBU7GG020XKc7L
YWbwlbC1zxYeQb1uK4NF2bsrhSqs67vqGAy+EAjc/OEx+rvcxKDPutf+gQPn
ZQ+5GKSc0peb1mBe/ByOgfJIebllPda5ITeDyiffNq4IJvIQfAx0E4Ku04/+
FKogA+eFXclSEPPVrwwzmL22+/toCe7T4tkxBjf/WHD02V//Q3+zVCIYPF/z
hRW4fxadRgR2umW1Kgv9cWVaESZTNv69KoZ69qwcEdbPSF1X5J7CPDINIrz6
/Jq2LY24f0KpUYSd5UrHUimxj7VmEaTiM6aKCM5Xt98qwr6MaPKVPjyv/7RO
hN+yt6e2f4J+a883ibDL9o5q/CdkL+8Sgc89PL2i1+2R9c5eEoFTOn3jNZ3o
74xbhPzCos1LnLivks8X9zNdUjYyV8j7H/hU1hU=
         "]]}, 
       {RGBColor[0, 1, 0], Thickness[Large], Dashing[{0, Small}], 
        LineBox[CompressedData["
1:eJxVkjtLw1AUx2PxGRVcC4q6dVGCFTo4mKAExyIoikuRKiiChX4ApfoBarGD
TnVQBJfMWmrcfdTRIVAfzb2BDBFFKxGx53qv3HMghB/n/T93eHlzdiWiKMpE
84M/2JVTN+LMuvUm1op+3Tg8AGsBDvbDuvEX2QqsVVRX5gyJCu4ETpZjrrHK
7GeyyamLhPA3gEsvpmCF9eudd42bazCWbz+lXd6/Dbj6mEX9+rp3RDzLT44X
UP9U/AjPN2aJeSLA1tIl8ge7t6JfF+u36KD6tQUf7TOUC12uV8j2O1MJj/8G
1rejhNf7Ak5uxQjP/wDOnyaE/xW4em8SuZ51Mofi7eM0YuUui+L1Ro4gPT73
iKxf6qNEkP6DFpHvW5u5JLJ+9sAtke9R7XdQfp/pi/wHtt9miObRplUqz6NP
RSmP98C/vRGjsl52MUF5/hubb92kvF/A9FibE/E+cFBIo3paOUtlvfWLHOLk
+R7Kzz+XqDxvtccS/nfW77EimL0Pu3aD6imqQ2W99LiP9h3qDKn8nrQO1ZPj
M1rUk+tZizHBveDPjyY8fu924NKI6f3f/xetvF0F
         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      AxesOrigin->NCache[{2934835200, 0}, {2.9348352*^9, 0}],
      Frame->True,
      FrameTicks->{{Automatic, Automatic}, {{{
           NCache[2840140800, 2.8401408*^9], 
           FormBox["\"1990\"", TraditionalForm]}, {
           NCache[2997907200, 2.9979072*^9], 
           FormBox["\"1995\"", TraditionalForm]}, {
           NCache[3155673600, 3.1556736*^9], 
           FormBox["\"2000\"", TraditionalForm]}, {
           NCache[3313526400, 3.3135264*^9], 
           FormBox["\"2005\"", TraditionalForm]}, {
           NCache[3471292800, 3.4712928*^9], 
           FormBox["\"2010\"", TraditionalForm]}, {
           NCache[2871676800, 2.8716768*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2903212800, 2.9032128*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2934835200, 2.9348352*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2966371200, 2.9663712*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3029443200, 3.0294432*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3061065600, 3.0610656*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3092601600, 3.0926016*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3124137600, 3.1241376*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3187296000, 3.187296*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3218832000, 3.218832*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3250368000, 3.250368*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3281904000, 3.281904*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3345062400, 3.3450624*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3376598400, 3.3765984*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3408134400, 3.4081344*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3439756800, 3.4397568*^9], 
           FormBox["\"\"", TraditionalForm]}}, {{
           NCache[2840140800, 2.8401408*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2997907200, 2.9979072*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3155673600, 3.1556736*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3313526400, 3.3135264*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3471292800, 3.4712928*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2871676800, 2.8716768*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2903212800, 2.9032128*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2934835200, 2.9348352*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2966371200, 2.9663712*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3029443200, 3.0294432*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3061065600, 3.0610656*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3092601600, 3.0926016*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3124137600, 3.1241376*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3187296000, 3.187296*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3218832000, 3.218832*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3250368000, 3.250368*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3281904000, 3.281904*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3345062400, 3.3450624*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3376598400, 3.3765984*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3408134400, 3.4081344*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3439756800, 3.4397568*^9], 
           FormBox["\"\"", TraditionalForm]}}}},
      GridLines->NCache[{{{2840140800, 
           GrayLevel[0.8]}, {2997907200, 
           GrayLevel[0.8]}, {3155673600, 
           GrayLevel[0.8]}, {3313526400, 
           GrayLevel[0.8]}, {3471292800, 
           GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
           GrayLevel[0.8]}, {2.9979072*^9, 
           GrayLevel[0.8]}, {3.1556736*^9, 
           GrayLevel[0.8]}, {3.3135264*^9, 
           GrayLevel[0.8]}, {3.4712928*^9, 
           GrayLevel[0.8]}}, None}],
      PlotRange->{{2.9348352*^9, 3.463344*^9}, {-0.12022685947633538`, 3.7}},
      PlotRangeClipping->True,
      PlotRangePadding->{
        Scaled[0.02], 
        Scaled[0.02]},
      Ticks->None], {192., -116.80842387373012`}, 
     ImageScaled[{0.5, 0.5}], {360., 222.49223594996212`}], InsetBox[
     GraphicsBox[{{}, {}, 
       {RGBColor[1, 0, 0], Thickness[Large], Dashing[{Small, Small}], 
        LineBox[CompressedData["
1:eJxVlF9I01EUx5f/ktVqBpVLRXsQ1oMyVFgQ0Y7JEHpRQ1FDGDrLLHIxgjDS
NcWwXtxIoh5iKy0pyF8P9k/ZFpEQujkjybDB1LbfvbRohSxrEe3cfndsB35/
Ppxz7znne8/vt7+9p6EzQyaT1SYufCbMYHKG4P/rLk/iZuoRQlDJbCey5Zw7
BLdvoSmQPTd9ITjJTIksexXgLEcOjkZC4J1Hy0KO3ohzzkXWuORhab9slk9U
haV8cXeC62bUYSk+gmyY1oal/cPIjs96vv4FclDRxJkewfrWjGGpnyCyf9Wc
ZIxXbhvg8W9Zvip7cj+MN1Q6OX9Ev6lCSDL6hRPuZD3I0UFfWn5/S4D7Y8jB
5kiyP+QSa5zXI9NhvkdyUYr/i36dRSVK/TN/Xb86zT8yoRVT1/sX9dyfgSzc
bxS5vsiecWMayxbMfP8sZN2mlfu3sHw/bWnxhpiD58tFdhQLfP0f1l+tm/MG
07/IJ6bq6S8MiKnnpdRHREmPdaZ/TzzZH7KmRk6k+O/IuqMqzr+QLWfVhOdD
9oxqSer8OLr1hOuB8yWcbiSp8xa1G9NYM2MmcCWnoLszJrJ801YC0PF872Jb
iNX30kbA+cSz9Nu6ijyy7iAwZ3bO1cM7ZP92gQC5tNk15ptm87HqInD82NKh
jKlJVl/QS2AQooZhBdNDJg8QmGj9cr6gb4idd2UkEd/bdrH6MZunktw4AdNy
Vcdd/ydkzVY5hTO6GtvV4tdsHjUqCg0VIWWX7iGy0KKmMNU7FDr1ZpnVV66l
YCm9tm+i38v0KNNTmF8ZcM2a7ey8mhop3Mmzt31rfor+EouRwlf6Yc3dyr43
Tb+ZQtHl0nzL4R9Mjz4rhR2ZZCOzPJP9Dx7YKJgWcuqrD+Sx/4HfQSF2L/As
e1iF7BifpKA4OBtsLylk+o+5KOwu01y4/r6A6e/1UmhfaSVre/I9/wDy7uDg

         "]]}, 
       {RGBColor[0, 0, 1], Thickness[Large], LineBox[CompressedData["
1:eJwl1H9ME2cYB/BSUltbTSj+GgkqOI2lK9iJs3FZtQ+6QqYiU2E4XOVHJ6t0
tqOZgnG0dGZbCSC44cwyZ5kTWZzzMA4TRdriH1tQoWzhl65QC733vVFJYQ7Q
bmN9311yuXzy3r3P9548d8nFpr3v8nk83o7oSa7Ro9DcHAR57vohs2OJO2qz
iQnCSHX5+Ri5lNh21BWEBm8jf5kujtj9ZU8QxgWxp03TdJ3n8QVhy43kkwcL
FxP7m0JB2KaZKTK4hcThLyJByC7zZu8flRArO8Us+D5KXCX/WUTroQQWbCUT
ta67POKcDhkLO3V9tfz6py6S77aKhYr57Qfrtk4RO8e1LLy3wtPbVTpC7F+c
x0Kkdm37qfmH20i+gJ4FzR+9mZ7X7hB7H1tYaK38dlfHWyFyf5zkYxbiCxy9
az4NEOdsOsPCJ+33qjoDXlovvZkFXfPZC5LNmNi8kYnmk8Uv7O74juzHFLhY
MGZeX5Vxtp84fKonuh9393iV6xGtd8DHgqRYcLjMEib254dYOCcaTl3wyl/E
SfYIC2pp2+4N08+IC6+IEagnlg4O5s8Ra2wJCPLThdnffx0hzrHKEExPyi+o
yuh6Q6sKQbfUM1g5QZ/39mkRGMvTsKX+X5qvJRfBZGl+2tr3+RrSj0t6BAL1
MZPaTM3rtSDYcGt4s+mHGGLNnB2Btf36Ob3kH1pvthFBFspZf/8ren/hjBNB
TdebWxVLBcTO1QyCmSX190S8Wfp+WS4EdVMDWaKfntD+r+yJ5kVXppUv/Er6
5030IRg5cVMyMjlK+68NIVDceWnyaGqY9t8UQWAytrQv+oBP52OHGENs0Tcv
3gjMknXN9gQMe72lbXkt88Q2owyDvWy4ra/1ObG7SYXhwabKVz800PlxHtFi
uGo9di02UUDMGHIx6D5PWafYTectfEaPARTaXYfzqJUdFgwxns8eDV2k86W5
bcfAVDR19ZT/n+9WI4aGmGu/Vax8Qtww5sRwRFgd2MOM0/dbxGDIKOq6P9VC
54d53IlBqXt6XCf9nebzP8BwsilTfojrI+aJfRi03WMvL0wZpPXSQxhuri55
R7iRzlOSKIKhIm5ZbcqhNmKlUMzBgMu4fAXjp/OoTODgx4yrc4aSh7TeARkH
KolBLUSI5ktTcXBiwPy3YozOtzNVy4EA6rY4+vvp95KXy8Hyt4vF6gKaL8mm
5yA1ucb67PmfxEqrhYOLM443pJo5mq/KzsHra1pHHfsW0P/B5UYOqmts6b8M
xbv/A2xvxoc=
         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      AxesOrigin->NCache[{2903212800, 0}, {2.9032128*^9, 0}],
      Frame->True,
      FrameTicks->{{Automatic, Automatic}, {{{
           NCache[2840140800, 2.8401408*^9], 
           FormBox["\"1990\"", TraditionalForm]}, {
           NCache[2997907200, 2.9979072*^9], 
           FormBox["\"1995\"", TraditionalForm]}, {
           NCache[3155673600, 3.1556736*^9], 
           FormBox["\"2000\"", TraditionalForm]}, {
           NCache[3313526400, 3.3135264*^9], 
           FormBox["\"2005\"", TraditionalForm]}, {
           NCache[3471292800, 3.4712928*^9], 
           FormBox["\"2010\"", TraditionalForm]}, {
           NCache[2871676800, 2.8716768*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2903212800, 2.9032128*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2934835200, 2.9348352*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2966371200, 2.9663712*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3029443200, 3.0294432*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3061065600, 3.0610656*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3092601600, 3.0926016*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3124137600, 3.1241376*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3187296000, 3.187296*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3218832000, 3.218832*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3250368000, 3.250368*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3281904000, 3.281904*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3345062400, 3.3450624*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3376598400, 3.3765984*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3408134400, 3.4081344*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3439756800, 3.4397568*^9], 
           FormBox["\"\"", TraditionalForm]}}, {{
           NCache[2840140800, 2.8401408*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2997907200, 2.9979072*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3155673600, 3.1556736*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3313526400, 3.3135264*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3471292800, 3.4712928*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2871676800, 2.8716768*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2903212800, 2.9032128*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2934835200, 2.9348352*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[2966371200, 2.9663712*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3029443200, 3.0294432*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3061065600, 3.0610656*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3092601600, 3.0926016*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3124137600, 3.1241376*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3187296000, 3.187296*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3218832000, 3.218832*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3250368000, 3.250368*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3281904000, 3.281904*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3345062400, 3.3450624*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3376598400, 3.3765984*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3408134400, 3.4081344*^9], 
           FormBox["\"\"", TraditionalForm]}, {
           NCache[3439756800, 3.4397568*^9], 
           FormBox["\"\"", TraditionalForm]}}}},
      GridLines->NCache[{{{2840140800, 
           GrayLevel[0.8]}, {2997907200, 
           GrayLevel[0.8]}, {3155673600, 
           GrayLevel[0.8]}, {3313526400, 
           GrayLevel[0.8]}, {3471292800, 
           GrayLevel[0.8]}}, None}, {{{2.8401408*^9, 
           GrayLevel[0.8]}, {2.9979072*^9, 
           GrayLevel[0.8]}, {3.1556736*^9, 
           GrayLevel[0.8]}, {3.3135264*^9, 
           GrayLevel[0.8]}, {3.4712928*^9, 
           GrayLevel[0.8]}}, None}],
      PlotRange->{{2.9032128*^9, 3.463344*^9}, {-7.03162718973, 3.}},
      PlotRangeClipping->True,
      PlotRangePadding->{
        Scaled[0.02], 
        Scaled[0.02]},
      Ticks->None], {576., -116.80842387373012`}, 
     ImageScaled[{0.5, 0.5}], {360., 222.49223594996212`}]}, {}},
  ContentSelectable->True,
  ImageSize->{1972., Automatic},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.571687669792015*^9, {3.571687740643976*^9, 3.5716877574625998`*^9}, 
   3.5716878437465277`*^9, {3.571767473990367*^9, 3.571767516644754*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\</Users/wbranch/Research/SPF_histograms/AsymmetricalTaylorRule/short/\
JMCB_revision/nowcastsfig_rev_carry.eps\>\"", ",", "%"}], "]"}]], "Input"],

Cell[BoxData["\<\"/Users/wbranch/Research/SPF_histograms/\
AsymmetricalTaylorRule/short/JMCB_revision/nowcastsfig_rev_carry.eps\"\>"], \
"Output",
 CellChangeTimes->{3.571687850097582*^9, 3.571767524569674*^9}]
}, Open  ]]
},
WindowSize->{2164, 1228},
WindowMargins->{{113, Automatic}, {Automatic, 10}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 6, \
2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 278338, 6736, 10403, "Input",
 InitializationCell->True],
Cell[278920, 6760, 4711, 85, 585, "Output"]
}, Open  ]],
Cell[283646, 6848, 4635, 84, 585, "Input"],
Cell[288284, 6934, 4639, 84, 585, "Output"],
Cell[292926, 7020, 94, 1, 27, "Input"],
Cell[CellGroupData[{
Cell[293045, 7025, 2705, 42, 58, "Input"],
Cell[295753, 7069, 9304, 185, 358, "Output"],
Cell[305060, 7256, 1863, 27, 27, "Output"],
Cell[306926, 7285, 1977, 30, 27, "Output"]
}, Open  ]],
Cell[308918, 7318, 69, 1, 27, "Input"],
Cell[CellGroupData[{
Cell[309012, 7323, 1082, 19, 43, "Input"],
Cell[310097, 7344, 3134, 61, 145, "Output"],
Cell[313234, 7407, 1242, 20, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[314513, 7432, 2287, 33, 27, "Input"],
Cell[316803, 7467, 9787, 195, 358, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[326627, 7667, 323, 6, 27, "Input"],
Cell[326953, 7675, 8162, 173, 358, "Output"]
}, Open  ]],
Cell[335130, 7851, 94, 1, 27, "Input"],
Cell[CellGroupData[{
Cell[335249, 7856, 654, 14, 43, "Input"],
Cell[335906, 7872, 6426, 139, 356, "Output"],
Cell[342335, 8013, 192, 2, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[342564, 8020, 1039, 20, 43, "Input"],
Cell[343606, 8042, 7923, 166, 356, "Output"],
Cell[351532, 8210, 407, 7, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[351976, 8222, 1210, 23, 43, "Input"],
Cell[353189, 8247, 8277, 170, 356, "Output"],
Cell[361469, 8419, 754, 11, 27, "Output"]
}, Open  ]],
Cell[362238, 8433, 200, 2, 27, "Input"],
Cell[CellGroupData[{
Cell[362463, 8439, 1111, 24, 43, "Input"],
Cell[363577, 8465, 6566, 141, 356, "Output"],
Cell[370146, 8608, 311, 5, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[370494, 8618, 5228, 121, 93, "Input"],
Cell[375725, 8741, 16126, 325, 661, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[391888, 9071, 201, 4, 27, "Input"],
Cell[392092, 9077, 210, 3, 27, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
